<?php

namespace App\Exports;

use App\Models\Account;
use App\Models\ClasstuitionCentrelink;
use App\Models\Classtutorlink;
use App\Models\ScheduleClass;
use App\Models\StudentClass;
use App\Models\TuitionCentre;
use App\Models\User;
use Illuminate\Contracts\View\View;
use Illuminate\Support\Facades\Auth;
use Maatwebsite\Excel\Concerns\FromView;

class StudentExport implements FromView
{
    /**
    * @return \Illuminate\Support\Collection
    */
    // public function collection()
    // {
    //     return Account::all();
    // }
    protected $tab, $id, $role, $class, $status;

    function __construct($tab, $id, $role, $class, $status)
    {
        $this->tab = $tab;
        $this->id = $id;
        $this->role = $role;
        $this->class = $class;
        $this->status = $status;
    }

    public function view(): View
    {
        $parent = Auth::user();
        $studentuserid = User::role('student')->pluck('id')->toArray();
        $students_id = Account::whereIn('user_id', $studentuserid)->pluck('id')->toArray();
        $class_ids = [];
        if($parent->roles->first()->name == 'tutor' || $parent->roles->first()->name == 'tuition center'){
            if($parent->roles->first()->name == 'tutor'){
                $parent_id = Account::where('user_id',$parent->id)->first();
                $std1 = Classtutorlink::where('tutor_id', $parent_id->id)->pluck('class_id')->toArray();
                $std = StudentClass::whereIn('class_id', $std1)->pluck('student_id')->toArray();
            }elseif($parent->roles->first()->name == 'tuition center'){
                $parent_id = TuitionCentre::where('user_id',$parent->id)->first();
                $std1 = ClasstuitionCentrelink::where('tuition_centre_id', $parent_id->id)->pluck('class_id')->toArray();
                $std = StudentClass::whereIn('class_id', $std1)->pluck('student_id')->toArray();
            }

            if($parent->roles->first()->name == 'tutor' || $parent->roles->first()->name == 'tuition center'){
                // if(auth()->user()->roles->first()->name == 'tutor'){
                //     $account = Account::where('user_id',auth()->user()->id)->first();
                //     $status = $account->is_verify == 0 ? 'unverified' : 'verified';
                // }else{
                //     $account = TuitionCentre::where('user_id',auth()->user()->id)->first();
                //     $status = $account->is_verified == 0 ? 'unverified' : 'verified';
                // }
                // if($status == 'unverified'){
                //     $std1 = [];
                // }
                $students = StudentClass::where('status','active')->whereIn('class_id',$std1)->orderBy('updated_at','desc');
            }
            if($this->tab == 'enquired'){
                $students = $students->where('student_status','0')->whereIn('student_id', $students_id)->get();
              }elseif($this->tab == 'enrolled'){
                $students = $students->where('student_status','1')->whereIn('student_id', $students_id)->get();
              }else{
                $students = $students->whereIn('student_id', $students_id)->get();
              }
        }else{
            if($this->role == 'student'){
                $students = User::role('student');
            }elseif($this->role == 'tutor'){
                $parent_id = Account::where('user_id',$this->id)->first();
                $class_ids = Classtutorlink::where('tutor_id',$parent_id->id)->pluck('class_id')->toArray();
                $student = StudentClass::whereIn('class_id',$class_ids)->pluck('student_id')->toArray();
                $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                $students = User::role('student')->whereIn('id',$std);
            }elseif($this->role == 'tuition center'){
                $parent_id = TuitionCentre::where('user_id',$this->id)->first();
                $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$parent_id->id)->pluck('class_id')->toArray();
                $student = StudentClass::whereIn('class_id',$class_ids)->pluck('student_id')->toArray();
                $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                $students = User::role('student')->whereIn('id',$std);
            }
            if($this->class != ''){
                $class_student = StudentClass::where('class_id', $this->class)->pluck('student_id')->toArray();
                $active_acc = Account::whereIn('id', $class_student)->pluck('user_id')->toArray();
                $students->whereIn('id', $active_acc);
            }

            if($this->status != ''){
                $active_acc = Account::where('status', $this->status)->pluck('user_id')->toArray();
                $students->whereIn('id', $active_acc);
            }

            $students = $students->orderBy('updated_at','desc')->get();
        }
        $role = $this->role;
        //   dd($students);
        return view('exports.student', compact('students','role','class_ids'));
    }
}
