<?php

namespace App\Exports;

use App\Models\Account;
use App\Models\User;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class TutorExport implements FromView
{
    /**
    * @return \Illuminate\Support\Collection
    */
    protected $year;

    function __construct($year)
    {
        $this->year = $year;
    }
    public function view(): View
    {
        $year = $this->year;
        $user = User::role('tutor')->pluck('id')->toArray();
        $tutors = Account::whereIn('user_id', $user)->orderBy('updated_at','desc')->get();
        $months = ['January','February','March','April','May','June','July','August','September','October','November','December'];
        return view('exports.tutor-report', compact('tutors','months','year'));
    }
}
