<?php

namespace App\Http\Controllers;

use App\Models\ScheduleClass;
use Illuminate\Http\Request;
use DataTables;

class AddressController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('permission:view-address')->only('index', 'Data');
    }

    public function index()
    {
        return view('addresses.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function Data()
    {
        $classes = ScheduleClass::orderBy('updated_at','desc')
        ->where(function ($query) {
            $query->whereNotnull('street_name')
                ->orwhereNotnull('city')
                ->orwhereNotnull('zip_code');
        })->get();
        return DataTables::of($classes)
        ->addIndexColumn()
        ->addColumn('address', function ($class) {

            if($class->street_name != '' || $class->city != '' || $class->zip_code != ''){

                $data = implode(',', array_unique(array_map('trim', explode(',', $class->street_name.','.$class->city.','.$class->zip_code))));
                return $data;
            }
        })
        ->addColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->rawColumns(['address'])->make(true);
    }

    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
