<?php

namespace App\Http\Controllers;

use DB;
use Mail;
use App\Mail\AdminNotificationForTutorCreation;
use App\Models\Account;
use App\Models\AdsBanner;
use App\Models\BannerClicked;
use App\Models\ClasstuitionCentrelink;
use App\Models\Classtutorlink;
use App\Models\ClickedPage;
use App\Models\Lessons;
use App\Models\Levels;
use App\Models\Ratings;
use App\Models\User;
use App\Models\Tutor;
use App\Models\ScheduleClass;
use App\Models\StudentClass;
use App\Models\TuitionCentre;
use Illuminate\Http\Request;
use auth;
use App\Models\FrontContactUs;
use App\Models\MultipleCentre;
use App\Models\SpecialClassSchedule;
use App\Models\Subject;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Log;

class ApiController extends Controller
{
    public function index(Request $request,$class_type)
    {
        // dd($request->all());
        $class_id_merge = [];
        if($request->provider != ''){
            $break_provider = explode(" ",$request->provider);

                //tutor first name
                $name_tutor_1 = Account::where('first_name', 'LIKE', '%' . $request->provider . '%')->pluck('id')->toArray();
                $name_tutor_11 = Account::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('first_name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                //tutor last name
                $name_tutor_2 = Account::where('last_name', 'LIKE', '%' . $request->provider . '%')->pluck('id')->toArray();
                $name_tutor_22 = Account::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('last_name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                //centre name
                $name_centre_1 = TuitionCentre::where('name', 'LIKE', '%' . $request->provider . '%')->pluck('id')->toArray();
                $name_centre_11 = TuitionCentre::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                $merge = array_merge($name_tutor_1,$name_tutor_11,$name_tutor_2,$name_tutor_22);
                $merge1 = array_merge($name_centre_1,$name_centre_11);

                $tutor = Classtutorlink::whereIn('tutor_id',$merge)->pluck('class_id')->toArray();
                $centre = ClasstuitionCentrelink::whereIn('tuition_centre_id',$merge1)->pluck('class_id')->toArray();
                $class_id_merge = array_merge($tutor,$centre);
        }
        if($request->level != ''){
            $lessons = Lessons::where('level_id',$request->level)->pluck('id')->toArray();
        }
        $upcoming_class1 = ScheduleClass::where('endRecurring_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
        $upcoming_class2 = ScheduleClass::where('endRecurring_date','>',date('Y-m-d'))->pluck('id')->toArray();
        $upcoming = array_merge($upcoming_class1,$upcoming_class2);
        if($class_type == "offline_group_classes"){
            $Classes = ScheduleClass::where('type_id',3)->whereIn('id',$upcoming)->orderByRaw('-position DESC');
            if($request->level != ''){
                $Classes->whereIn('lesson_id',$lessons);
            }
            if($request->provider != ''){
                $Classes->whereIn('id',$class_id_merge);
            }
            if($request->location != ''){
                /*$Classes->where(function ($query) use ($request) {
                    $query->where('street_name', 'like',  '%' .$request->location.'%')
                        ->orWhere('city', 'like',  '%' .$request->location.'%')
                        ->orWhere('state', 'like',  '%' .$request->location.'%');
                });*/
                $maxlat = '';
                $minlat = '';
                $maxlag = '';
                $minlag = '';
                $map_class_ids = [];
                $address = $request->location; // Replace with the address you want to geocode

                // Use Google Geocoding API to retrieve latitude and longitude for the address
                $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
                    'address' => $address,
                    'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                ]);

                $data = $response->json();

                if ($data['status'] === 'OK' && count($data['results']) > 0) {
                    $location = $data['results'][0]['geometry']['location'];
                    $latitude = $location['lat'];
                    $longitude = $location['lng'];
                    $radius = 1;

                    if($request->radius != ''){
                        $radius = $request->radius;
                    }
                     // 2 kilometers

                    // Use Google Places API to retrieve nearby places
                    // $response = Http::get('https://maps.googleapis.com/maps/api/place/nearbysearch/json', [
                    //     'location' => "{$latitude},{$longitude}",
                    //     'radius' => $radius,
                    //     'key' => 'AIzaSyDbbSMu0gI3jLZKoQP7X-_UkGsggG-R_LM', // Replace with your Google API key
                    // ]);

                    // $data = $response->json();

                    // if ($data['status'] === 'OK' && isset($data['results'])) {
                    //     $latitude = [];
                    //     $longitude = [];

                    //     foreach ($data['results'] as $result) {
                    //         array_push($latitude, $result['geometry']['location']['lat']);
                    //         array_push($longitude, $result['geometry']['location']['lng']);
                    //     }
                    // }
                    // $maxlat = max($latitude);
                    // $minlat = min($latitude);
                    // $maxlag = max($longitude);
                    // $minlag = min($longitude);

                    // Calculate the minimum and maximum latitude and longitude coordinates
                    $minlat = $latitude - (1 / 111.32) * $radius; // Approximately 1 degree latitude is about 111.32 km
                    $maxlat = $latitude + (1 / 111.32) * $radius;
                    $minlag = $longitude - (1 / (111.32 * cos(deg2rad($latitude)))) * $radius; // Adjust for longitude based on latitude
                    $maxlag = $longitude + (1 / (111.32 * cos(deg2rad($latitude)))) * $radius;
                    $class1 = ScheduleClass::where('type_id',3)->whereIn('id',$upcoming)->orderByRaw('-position DESC')->get();
                    foreach($class1 as $class_data){
                        if($class_data->street_name != '' && $class_data->longitude != ''){
                            $a = $class_data->street_name;
                            $b = $request->location;
                            $response = Http::get('https://maps.googleapis.com/maps/api/directions/json', [
                                        'destination' => "{$a}",
                                        'origin' => "{$b}",
                                        'key' => env('APP_LOCATION_KEY'),
                            ]);
                        $data = $response->json();
                        $value = preg_replace("/[^0-9\.]/", '', $data['routes'][0]['legs'][0]['distance']['text']);
                        // $min_value = $value - 1;
                        // $max_value = $value + 1;
                        if(intval($value) <= $radius){
                            array_push($map_class_ids,$class_data->id);
                        }
                        }
                    }
                }
                $Classes->whereIn('id',$map_class_ids);
                //  $Classes->whereBetween('latitude',[$minlat, $maxlat])->whereBetween('longitude',[$minlag, $maxlag]);
            }

            $Classes = $Classes->get();
            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                //subject added in class
                $subjectName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $subject = Subject::find($lesson->subject_id);
                    $subjectName = 'Subject: '.$subject->name;
                }

                //level name add in class detail
                $levelName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $level = Levels::find($lesson->level_id);
                    $levelName = 'Level: '.$level->name;
                }

                //service provider detail added
                $serviceProvider = '';
                $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
                if($class_tuition_centre){
                    $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                    if($tuition_centres){
                        $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                        $class['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'center';
                        $class['provider_id'] = $tuition_centres->id;
                    }
                }

                $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
                if($class_tutors){
                    $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                    if($tutor){
                        $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                        $class['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'tutor';
                        $class['provider_id'] = $tutor->id;
                    }
                }



                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                $class['subject'] = $subjectName;
                $class['level'] = $levelName;
                $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';
                array_push($array,$class);
              //(5*252 + 4*124 + 3*40 + 2*29 + 1*33) / (252+124+40+29+33)
            }
            return $array;
        } else if ($class_type == "online_group_classes"){
            $Classes = ScheduleClass::where('type_id',1)->whereIn('id',$upcoming)->orderByRaw('-position DESC');
            if($request->level != ''){
                $Classes->whereIn('lesson_id',$lessons);
            }
            if($request->provider != ''){
                $Classes->whereIn('id',$class_id_merge);
            }
            if($request->location != ''){
                /*$Classes->where(function ($query) use ($request) {
                    $query->where('street_name', 'like',  '%' .$request->location.'%')
                        ->orWhere('city', 'like',  '%' .$request->location.'%')
                        ->orWhere('state', 'like',  '%' .$request->location.'%');
                });*/
                $maxlat = '';
                $minlat = '';
                $maxlag = '';
                $minlag = '';

                $address = $request->location; // Replace with the address you want to geocode

                // Use Google Geocoding API to retrieve latitude and longitude for the address
                $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
                    'address' => $address,
                    'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                ]);

                $data = $response->json();

                if ($data['status'] === 'OK' && count($data['results']) > 0) {
                    $location = $data['results'][0]['geometry']['location'];
                    $latitude = $location['lat'];
                    $longitude = $location['lng'];


                    $radius = 2000; // 2 kilometers

                    // Use Google Places API to retrieve nearby places
                    $response = Http::get('https://maps.googleapis.com/maps/api/place/nearbysearch/json', [
                        'location' => "{$latitude},{$longitude}",
                        'radius' => $radius,
                        'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                    ]);

                    $data = $response->json();

                    if ($data['status'] === 'OK' && isset($data['results'])) {
                        $latitude = [];
                        $longitude = [];

                        foreach ($data['results'] as $result) {
                            array_push($latitude, $result['geometry']['location']['lat']);
                            array_push($longitude, $result['geometry']['location']['lng']);
                        }
                    }
                    $maxlat = max($latitude);
                    $minlat = min($latitude);
                    $maxlag = max($longitude);
                    $minlag = min($longitude);



                }
                 $Classes->whereBetween('latitude',[$minlat, $maxlat])->whereBetween('longitude',[$minlag, $maxlag]);
            }
            $Classes = $Classes->get();

            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                //subject added in class
                $subjectName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $subject = Subject::find($lesson->subject_id);
                    $subjectName = 'Subject: '.$subject->name;
                }

                //level name add in class detail
                $levelName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $level = Levels::find($lesson->level_id);
                    $levelName = 'Level: '.$level->name;
                }

                //service provider detail added
                $serviceProvider = '';
                $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
                if($class_tuition_centre){
                    $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                    if($tuition_centres){
                        $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                        $class['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'center';
                        $class['provider_id'] = $tuition_centres->id;
                    }
                }

                $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
                if($class_tutors){
                    $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                    if($tutor){
                        $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                        $class['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'tutor';
                        $class['provider_id'] = $tutor->id;
                    }
                }

                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                $class['subject'] = $subjectName;
                $class['level'] = $levelName;
                $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';
                array_push($array,$class);
            }
            return $array;
        } else if ($class_type == "offline_11_classes"){
            $Classes = ScheduleClass::where('type_id',4)->whereIn('id',$upcoming)->orderByRaw('-position DESC');
            if($request->level != ''){
                $Classes->whereIn('lesson_id',$lessons);
            }
            if($request->provider != ''){
                $Classes->whereIn('id',$class_id_merge);
            }
            if($request->location != ''){
                // $Classes->where(function ($query) use ($request) {
                //     $query->where('street_name', 'like',  '%' .$request->location.'%')
                //         ->orWhere('city', 'like',  '%' .$request->location.'%')
                //         ->orWhere('state', 'like',  '%' .$request->location.'%');
                // });
                // $Classes->where('street_name', 'like',  '%' .$request->location.'%')->orwhere('city', 'like',  '%' .$request->location.'%')->orwhere('state', 'like',  '%' .$request->location.'%');
                $maxlat = '';
                $minlat = '';
                $maxlag = '';
                $minlag = '';
                $map_class_ids = [];
                $address = $request->location; // Replace with the address you want to geocode

                // Use Google Geocoding API to retrieve latitude and longitude for the address
                $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
                    'address' => $address,
                    'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                ]);

                $data = $response->json();

                if ($data['status'] === 'OK' && count($data['results']) > 0) {
                    $location = $data['results'][0]['geometry']['location'];
                    $latitude = $location['lat'];
                    $longitude = $location['lng'];


                    $radius = 1;

                    if($request->radius != ''){
                        $radius = $request->radius;
                    }

                    // Use Google Places API to retrieve nearby places
                    // $response = Http::get('https://maps.googleapis.com/maps/api/place/nearbysearch/json', [
                    //     'location' => "{$latitude},{$longitude}",
                    //     'radius' => $radius,
                    //     'key' => 'AIzaSyDbbSMu0gI3jLZKoQP7X-_UkGsggG-R_LM', // Replace with your Google API key
                    // ]);

                    // $data = $response->json();

                    // if ($data['status'] === 'OK' && isset($data['results'])) {
                    //     $latitude = [];
                    //     $longitude = [];

                    //     foreach ($data['results'] as $result) {
                    //         array_push($latitude, $result['geometry']['location']['lat']);
                    //         array_push($longitude, $result['geometry']['location']['lng']);
                    //     }
                    // }
                    // $maxlat = max($latitude);
                    // $minlat = min($latitude);
                    // $maxlag = max($longitude);
                    // $minlag = min($longitude);

                   // Calculate the minimum and maximum latitude and longitude coordinates
                    $minlat = $latitude - (1 / 111.32) * $radius; // Approximately 1 degree latitude is about 111.32 km
                    $maxlat = $latitude + (1 / 111.32) * $radius;
                    $minlag = $longitude - (1 / (111.32 * cos(deg2rad($latitude)))) * $radius; // Adjust for longitude based on latitude
                    $maxlag = $longitude + (1 / (111.32 * cos(deg2rad($latitude)))) * $radius;
                    $class1 = ScheduleClass::where('type_id',4)->whereIn('id',$upcoming)->orderByRaw('-position DESC')->get();
                    foreach($class1 as $class_data){
                        if($class_data->street_name != '' && $class_data->longitude != ''){
                            $a = $class_data->street_name;
                            $b = $request->location;
                            $response = Http::get('https://maps.googleapis.com/maps/api/directions/json', [
                                        'destination' => "{$a}",
                                        'origin' => "{$b}",
                                        'key' => env('APP_LOCATION_KEY'),
                            ]);
                        $data = $response->json();
                        $value = preg_replace("/[^0-9\.]/", '', $data['routes'][0]['legs'][0]['distance']['text']);
                        // $min_value = $value - 1;
                        // $max_value = $value + 1;
                        if(intval($value) <= $radius){
                            array_push($map_class_ids,$class_data->id);
                        }
                        }
                    }
                }
                 $Classes->whereIn('id',$map_class_ids);
                //  $Classes->whereBetween('latitude',[$minlat, $maxlat])->whereBetween('longitude',[$minlag, $maxlag]);
            }
            $Classes = $Classes->get();
            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                //subject added in class
                $subjectName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $subject = Subject::find($lesson->subject_id);
                    $subjectName = 'Subject: '.$subject->name;
                }

                //level name add in class detail
                $levelName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $level = Levels::find($lesson->level_id);
                    $levelName = 'Level: '.$level->name;
                }

                //service provider detail added
                $serviceProvider = '';
                $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
                if($class_tuition_centre){
                    $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                    if($tuition_centres){
                        $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                        $class['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'center';
                        $class['provider_id'] = $tuition_centres->id;
                    }
                }

                $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
                if($class_tutors){
                    $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                    if($tutor){
                        $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                        $class['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'tutor';
                        $class['provider_id'] = $tutor->id;
                    }
                }

                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                $class['subject'] = $subjectName;
                $class['level'] = $levelName;
                $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';
                array_push($array,$class);
            }
            return $array;
        } else if ($class_type == "online_11_classes"){
            $Classes = ScheduleClass::where('type_id',2)->whereIn('id',$upcoming)->orderByRaw('-position DESC');
            if($request->level != ''){
                $Classes->whereIn('lesson_id',$lessons);
            }
            if($request->provider != ''){
                $Classes->whereIn('id',$class_id_merge);
            }
            if($request->location != ''){
                /*$Classes->where(function ($query) use ($request) {
                    $query->where('street_name', 'like',  '%' .$request->location.'%')
                        ->orWhere('city', 'like',  '%' .$request->location.'%')
                        ->orWhere('state', 'like',  '%' .$request->location.'%');
                });*/
                $maxlat = '';
                $minlat = '';
                $maxlag = '';
                $minlag = '';

                $address = $request->location; // Replace with the address you want to geocode

                // Use Google Geocoding API to retrieve latitude and longitude for the address
                $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
                    'address' => $address,
                    'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                ]);

                $data = $response->json();

                if ($data['status'] === 'OK' && count($data['results']) > 0) {
                    $location = $data['results'][0]['geometry']['location'];
                    $latitude = $location['lat'];
                    $longitude = $location['lng'];


                    $radius = 2000; // 2 kilometers

                    // Use Google Places API to retrieve nearby places
                    $response = Http::get('https://maps.googleapis.com/maps/api/place/nearbysearch/json', [
                        'location' => "{$latitude},{$longitude}",
                        'radius' => $radius,
                        'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                    ]);

                    $data = $response->json();

                    if ($data['status'] === 'OK' && isset($data['results'])) {
                        $latitude = [];
                        $longitude = [];

                        foreach ($data['results'] as $result) {
                            array_push($latitude, $result['geometry']['location']['lat']);
                            array_push($longitude, $result['geometry']['location']['lng']);
                        }
                    }
                    $maxlat = max($latitude);
                    $minlat = min($latitude);
                    $maxlag = max($longitude);
                    $minlag = min($longitude);



                }
                 $Classes->whereBetween('latitude',[$minlat, $maxlat])->whereBetween('longitude',[$minlag, $maxlag]);
            }
            $Classes = $Classes->get();
            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                //subject added in class
                $subjectName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $subject = Subject::find($lesson->subject_id);
                    $subjectName = 'Subject: '.$subject->name;
                }

                //level name add in class detail
                $levelName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $level = Levels::find($lesson->level_id);
                    $levelName = 'Level: '.$level->name;
                }

                //service provider detail added
                $serviceProvider = '';
                $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
                if($class_tuition_centre){
                    $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                    if($tuition_centres){
                        $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                        $class['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'center';
                        $class['provider_id'] = $tuition_centres->id;
                    }
                }

                $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
                if($class_tutors){
                    $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                    if($tutor){
                        $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                        $class['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'tutor';
                        $class['provider_id'] = $tutor->id;
                    }
                }

                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                $class['subject'] = $subjectName;
                $class['level'] = $levelName;
                $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';

                array_push($array,$class);
            }
            return $array;
        }else if ($class_type == "trial_group_classes"){
            $Classes = ScheduleClass::where('type_id',5)->whereIn('id',$upcoming)->orderByRaw('-position DESC');
            if($request->level != ''){
                $Classes->whereIn('lesson_id',$lessons);
            }
            if($request->provider != ''){
                $Classes->whereIn('id',$class_id_merge);
            }
            if($request->location != ''){
                /*$Classes->where(function ($query) use ($request) {
                    $query->where('street_name', 'like',  '%' .$request->location.'%')
                        ->orWhere('city', 'like',  '%' .$request->location.'%')
                        ->orWhere('state', 'like',  '%' .$request->location.'%');
                });*/
                $maxlat = '';
                $minlat = '';
                $maxlag = '';
                $minlag = '';
                $map_class_ids = [];
                $address = $request->location; // Replace with the address you want to geocode

                // Use Google Geocoding API to retrieve latitude and longitude for the address
                $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
                    'address' => $address,
                    'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                ]);

                $data = $response->json();

                if ($data['status'] === 'OK' && count($data['results']) > 0) {
                    $location = $data['results'][0]['geometry']['location'];
                    $latitude = $location['lat'];
                    $longitude = $location['lng'];


                    $radius = 1;

                    if($request->radius != ''){
                        $radius = $request->radius;
                    }

                    // Use Google Places API to retrieve nearby places
                    // $response = Http::get('https://maps.googleapis.com/maps/api/place/nearbysearch/json', [
                    //     'location' => "{$latitude},{$longitude}",
                    //     'radius' => $radius,
                    //     'key' => 'AIzaSyDbbSMu0gI3jLZKoQP7X-_UkGsggG-R_LM', // Replace with your Google API key
                    // ]);

                    // $data = $response->json();

                    // if ($data['status'] === 'OK' && isset($data['results'])) {
                    //     $latitude = [];
                    //     $longitude = [];

                    //     foreach ($data['results'] as $result) {
                    //         array_push($latitude, $result['geometry']['location']['lat']);
                    //         array_push($longitude, $result['geometry']['location']['lng']);
                    //     }
                    // }
                    // $maxlat = max($latitude);
                    // $minlat = min($latitude);
                    // $maxlag = max($longitude);
                    // $minlag = min($longitude);

                   // Calculate the minimum and maximum latitude and longitude coordinates
                    $minlat = $latitude - (1 / 111.32) * $radius; // Approximately 1 degree latitude is about 111.32 km
                    $maxlat = $latitude + (1 / 111.32) * $radius;
                    $minlag = $longitude - (1 / (111.32 * cos(deg2rad($latitude)))) * $radius; // Adjust for longitude based on latitude
                    $maxlag = $longitude + (1 / (111.32 * cos(deg2rad($latitude)))) * $radius;
                    $class1 = ScheduleClass::where('type_id',5)->whereIn('id',$upcoming)->orderByRaw('-position DESC')->get();
                    foreach($class1 as $class_data){
                        if($class_data->street_name != '' && $class_data->longitude != ''){
                            $a = $class_data->street_name;
                            $b = $request->location;
                            $response = Http::get('https://maps.googleapis.com/maps/api/directions/json', [
                                        'destination' => "{$a}",
                                        'origin' => "{$b}",
                                        'key' => env('APP_LOCATION_KEY'),
                            ]);
                        $data = $response->json();
                        $value = preg_replace("/[^0-9\.]/", '', $data['routes'][0]['legs'][0]['distance']['text']);
                        // $min_value = $value - 1;
                        // $max_value = $value + 1;
                        if(intval($value) <= $radius){
                            array_push($map_class_ids,$class_data->id);
                        }
                        }
                    }
                }
                 $Classes->whereIn('id',$map_class_ids);
                //  $Classes->whereBetween('latitude',[$minlat, $maxlat])->whereBetween('longitude',[$minlag, $maxlag]);
            }
            $Classes = $Classes->get();
            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                //subject added in class
                $subjectName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $subject = Subject::find($lesson->subject_id);
                    $subjectName = 'Subject: '.$subject->name;
                }

                //level name add in class detail
                $levelName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $level = Levels::find($lesson->level_id);
                    $levelName = 'Level: '.$level->name;
                }

                //service provider detail added
                $serviceProvider = '';
                $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
                if($class_tuition_centre){
                    $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                    if($tuition_centres){
                        $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                        $class['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'center';
                        $class['provider_id'] = $tuition_centres->id;
                    }
                }

                $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
                if($class_tutors){
                    $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                    if($tutor){
                        $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                        $class['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                        $class['provider_type'] = 'tutor';
                        $class['provider_id'] = $tutor->id;
                    }
                }

                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                $class['subject'] = $subjectName;
                $class['level'] = $levelName;
                $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';

                array_push($array,$class);
            }
            return $array;
        } else if ($class_type == "recentlyAdded_group_classes"){
            $Classes = ScheduleClass::whereIn('id',$upcoming)->limit(6)->orderBy('id', 'desc')->get();
            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                array_push($array,$class);
            }
            return $array;
        } else if ($class_type == "all_group_classes"){
            $Classes = ScheduleClass::whereIn('id',$upcoming)->limit(6)->orderBy('id', 'desc')->get();
            $array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                $class['reviews'] = $reviews;
                $class['ratings'] = $rating;
                $class['lessons'] = $lessons;
                array_push($array,$class);
            }
            return $array;
        }else if($class_type == "top-service-providers"){
            $Classes = ScheduleClass::whereIn('id',$upcoming)->orderByRaw('-position DESC')->pluck('id')->toArray();
            $center_providers = ClasstuitionCentrelink::whereIn('class_id',$Classes)->pluck('tuition_centre_id')->toArray();
            $center_user_ids = TuitionCentre::whereIn('id',$center_providers)->pluck('user_id')->toArray();
            $tutor_providers = Classtutorlink::whereIn('class_id',$Classes)->pluck('tutor_id')->toArray();
            $tutor_user_ids = Account::whereIn('id',$tutor_providers)->pluck('user_id')->toArray();
            $merge = array_merge($tutor_user_ids,$center_user_ids);

            $ex_array = [];
            // dd($tutor_user_ids,$center_user_ids,$merge);
            foreach($merge as $user){
                $center = TuitionCentre::where('user_id',$user)->first();
                $account = Account::where('user_id',$user)->first();
                if($center != ''){
                    $class_array = ClasstuitionCentrelink::whereIn('class_id',$Classes)->where('tuition_centre_id',$center->id)->pluck('class_id')->toArray();
                    $id = $center->user_id;
                }
                if($account != ''){
                    $class_array = Classtutorlink::whereIn('class_id',$Classes)->where('tutor_id',$account->id)->pluck('class_id')->toArray();
                    $id = $account->user_id;
                }
                $rat1 = Ratings::whereIn('class_id',$class_array)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::whereIn('class_id',$class_array)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::whereIn('class_id',$class_array)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::whereIn('class_id',$class_array)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::whereIn('class_id',$class_array)->where('ratings',5)->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }
                $ex_array[$id] = $rating;
            }
            $inside_array = [];
            $array = [];
            arsort($ex_array);
            $my_array = array_slice($ex_array,0,4,true);
            foreach($my_array as $x => $x_value) {
                $tuition_centres = TuitionCentre::where('user_id',$x)->first();
                if($tuition_centres){
                    $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                    $provider_type = 'center';
                    $inside_array['image'] = $tuition_centres->logo_name;
                    $inside_array['id'] = $tuition_centres->id;
                    $inside_array['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                }
                $tutor = Account::where('user_id',$x)->first();
                if($tutor){
                    $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                    $provider_type = 'tutor';
                    $inside_array['image'] = $tutor->profile_picture;
                    $inside_array['id'] = $tutor->id;
                    $inside_array['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                }
                $inside_array['total_rating'] = $x_value;
                $inside_array['provider_type'] = $provider_type;
                $inside_array['service_provider'] = $serviceProvider ? $serviceProvider : '-';
                array_push($array,$inside_array);
            }
            // dd($array);
            // $top_rating_class_array = Ratings::whereIn('class_id',$Classes)->whereIn('ratings',['4','5'])->where('is_approved','1')->pluck('class_id')->toArray();

            return $array;
        }else if($class_type == "top-lessons"){
            $Classes = ScheduleClass::whereIn('id',$upcoming)->orderByRaw('-position DESC')->get();

            $ex_array = [];
            foreach($Classes as $class){
                $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }
                $ex_array[$class->id] = $rating;
            }
            $inside_array = [];
            $array = [];
            arsort($ex_array);
            $my_array = array_slice($ex_array,0,4,true);
            foreach($my_array as $x => $x_value) {
                $class = ScheduleClass::find($x);
                $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();

                //lesson detail add
                $lessons = '';
                if ($class->is_special == 0) {
                    $lessons = 'Lessons : '.$class->no_lesson;
                }else{
                    $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                    $lessons = 'Lessons : '.count($SpecialClassSchedule);
                }

                //subject added in class
                $subjectName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $subject = Subject::find($lesson->subject_id);
                    $subjectName = 'Subject: '.$subject->name;
                }

                //level name add in class detail
                $levelName = '';
                $lesson = Lessons::find($class->lesson_id);
                if($lesson){
                    $level = Levels::find($lesson->level_id);
                    $levelName = 'Level: '.$level->name;
                }

                //service provider detail added
                $serviceProvider = '';
                $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
                if($class_tuition_centre){
                    $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                    if($tuition_centres){
                        $class['provider_type'] = 'center';
                        $class['provider_id'] = $tuition_centres->id;
                        $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                        $class['status'] = $tuition_centres->is_verified == 1 ? 'Verified' : '';
                    }
                }

                $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
                if($class_tutors){
                    $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                    if($tutor){
                        $class['provider_type'] = 'tutor';
                        $class['provider_id'] = $tutor->id;
                        $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                        $class['status'] = $tutor->is_verify == 1 ? 'Verified' : '';
                    }
                }



                $class['reviews'] = $reviews;
                $class['ratings'] = $x_value;
                $class['lessons'] = $lessons;
                $class['subject'] = $subjectName;
                $class['level'] = $levelName;
                $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';
                array_push($array,$class);
            }
            // dd($array);
            // $top_rating_class_array = Ratings::whereIn('class_id',$Classes)->whereIn('ratings',['4','5'])->where('is_approved','1')->pluck('class_id')->toArray();

            return $array;
        }else if($class_type == "new-service-providers"){
            $user = User::role('tutor')->latest()->take(2)->pluck('id')->toArray();
            $user1 = User::role('tuition center')->latest()->take(2)->pluck('id')->toArray();
            if(count($user) < 2){
               $user1 = User::role('tuition center')->latest()->take(4)->pluck('id')->toArray();
            }
            if(count($user1) < 2){
                $user = User::role('tutor')->latest()->take(4)->pluck('id')->toArray();
            }
            $merge = array_merge($user,$user1);

            $array = [];
            $my_array = [];
            foreach($merge as $tutor){
                $center = TuitionCentre::where('user_id',$tutor)->first();
                $account = Account::where('user_id',$tutor)->first();
                if($center != ''){
                    $provider_type = 'center';
                    $my_array['image'] = $center->logo_name;
                    $my_array['provider_type'] = 'center';
                    $id = $center->user_id;
                    $serviceProvider = 'Tuition Center: '.$center->name;
                    $class_id = ClasstuitionCentrelink::where('tuition_centre_id',$center->id)->pluck('class_id')->toArray();
                    $class = ScheduleClass::whereIn('id',$class_id)->pluck('name')->implode(',');
                    $my_array['class_name'] = $class ? $class : ' - ';
                    $my_array['status'] = $center->is_verified == 1 ? 'Verified' : '';
                }
                if($account != ''){
                    $provider_type = 'tutor';
                    $my_array['image'] = $account->profile_picture;
                    $my_array['provider_type'] = 'tutor';
                    $id = $account->user_id;
                    $serviceProvider = 'Tutor: '.$account->first_name.' '.$account->last_name;
                    $class_id = Classtutorlink::where('tutor_id',$account->id)->pluck('class_id')->toArray();
                    $class = ScheduleClass::whereIn('id',$class_id)->pluck('name')->implode(',');
                    $my_array['class_name'] = $class ? $class : ' - ';
                    $my_array['status'] = $account->is_verify == 1 ? 'Verified' : '';
                }
                $my_array['id'] = $id;
                $my_array['service_provider'] = $serviceProvider ? $serviceProvider : '-';
                array_push($array,$my_array);
            }
            return $array;
        }
        else {
            return "";
        }
    }
    public function getClassDetails($class_id)
    {
        $class_id = base64_decode($class_id);
        // $class_details = ScheduleClass::select('schedule_classes.*','subjects.name as subject_name','topics.name as topic_name')
        // ->leftJoin('subjects','subjects.id','schedule_classes.subject_id')
        // ->leftJoin('topics','topics.id','schedule_classes.topic_id')
        // ->where('schedule_classes.id',$class_id)->first();
        $class_details = ScheduleClass::select('schedule_classes.*','lessons.*','schedule_classes.name as class_name','subjects.name as subject_name','topics.name as topic_name')
        ->join('lessons', 'lessons.id', '=', 'schedule_classes.lesson_id')
        ->leftJoin('subjects','subjects.id','lessons.subject_id')
        ->leftJoin('topics','topics.id','lessons.topic_id')
        ->where('schedule_classes.id',$class_id)->first();

                $rat1 = Ratings::where('class_id',$class_id)->where('ratings',1)->where('is_approved','1')->get()->count();
                $rat2 = Ratings::where('class_id',$class_id)->where('ratings',2)->where('is_approved','1')->get()->count();
                $rat3 = Ratings::where('class_id',$class_id)->where('ratings',3)->where('is_approved','1')->get()->count();
                $rat4 = Ratings::where('class_id',$class_id)->where('ratings',4)->where('is_approved','1')->get()->count();
                $rat5 = Ratings::where('class_id',$class_id)->where('ratings',5)->where('is_approved','1')->get()->count();
                $reviews = Ratings::where('class_id',$class_id)->whereNotNull('review')->where('is_approved','1')->get()->count();
                $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                if($sum != 0){
                    $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                }else{
                    $ratings = 0;
                }
                if(is_float($ratings)){
                    $rating = number_format($ratings, 1);
                }else{
                    $rating = $ratings.'.0';
                }
        $lesson = Lessons::where('id',$class_details->lesson_id)->first();
        $level = Levels::find($lesson->level_id);
        $student_total = StudentClass::where('class_id',$class_id)->where('student_status','1')->groupBy('student_id')->get()->count();
        $day = date('l', strtotime($class_details->class_date));
        $time = date('h:i A', strtotime($class_details->start_time)).' To '.date('h:i A', strtotime($class_details->end_time));
        $date = date('d-m-Y', strtotime($class_details->class_date)).' To '.date('d-m-Y', strtotime($class_details->endRecurring_date));

        $lessons = '';
        if ($class_details->is_special == 0) {
            $lessons = 'Lessons : '.$class_details->no_lesson;
        }else{
            $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class_details->id)->orderBy('class_date')->pluck('class_date')->toArray();
            $lessons = 'Lessons : '.count($SpecialClassSchedule);
        }

        $class_details['reviews'] = $reviews;
        $class_details['ratings'] = $rating;
        $class_details['student_total'] = $student_total;
        $class_details['level_name'] = $level->name;

        $mode = '';
        if($class_details->type_id == 1){
            $mode = 'Online group classes';
        }elseif($class_details->type_id == 2){
            $mode = 'Online One - One Classes';
        }elseif($class_details->type_id == 3){
            $mode = 'Offline group classes';
        }elseif($class_details->type_id == 4){
            $mode = 'Offline One - One classes';
        }
        $class_details['mode'] = $mode;

        $check_provider = '';
        $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class_id)->first();
        $tuition_centres = $class_tuition_centre ? TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first()  : '';
        $service_provider_rating = '';



        $class_tutors  = Classtutorlink::where('class_id',$class_id)->first();
        $tutor = $class_tutors ? Account::where('id',$class_tutors->tutor_id)->first() : '';
        $tutor_work_year = '';
        $tutor_subject = '';
        $tutor_year = '';
        if($tutor){
            //tutor subjects add
            $subjects = DB::table('tutor_subjects')->where('tutor_id', $tutor->id)->pluck('subject_id')->toArray();
            $tutor_subject = Subject::whereIn('id', $subjects)->pluck('name')->toArray();

            //tutor education
            $tutor_educations = [];
            $tutor_edu = DB::table('tutor_educations')->where('tutor_id', $tutor->id)->get();
            foreach($tutor_edu as $key => $edu){
                $tutor_year = $edu->start_date ? date('Y', strtotime($edu->start_date)).' - '.date('Y', strtotime($edu->end_date)) : '' ;
                $tutor_educations[] = $edu->institute_name;
                $tutor_educations[] = $edu->course_name;
                $tutor_educations[] = $tutor_year;
            }


            //tutor working experiance
            $tutor_works = [];
            $tutor_work = DB::table('tutor_exps')->where('tutor_id', $tutor->id)->get();
            foreach($tutor_work as $key => $work){
                $tutor_work_year = $work->start_date ? date('Y', strtotime($work->start_date)).' - '.date('Y', strtotime($work->end_date)) : '' ;
                $tutor_works[] = $work->institute_name;
                $tutor_works[] = $work->course_name;
                $tutor_works[] = $tutor_work_year;
            }
        }

        $review_all = Ratings::where('class_id',$class_id)->where('is_approved','1')->get();
        $all_user_review = [];
        foreach($review_all as $key => $review){
            $review_user = Account::where('user_id', $review->user_id)->first();
            $all_user_review[] = $review_user ? $review_user->profile_picture : '' ;;
            $all_user_review[] = $review->ratings;
            $all_user_review[] = $review->review;
            $all_user_review[] = $review_user ? $review_user->first_name : '' ;
        }
        $completeClasses = '';
        if($tuition_centres){
            $check_provider = 'center';
            $description = $tuition_centres->description;
            $classes = ClasstuitionCentrelink::where('tuition_centre_id', $tuition_centres->id)->pluck('class_id')->toArray();

            $completed_class1 = ScheduleClass::whereIn('id', $classes)->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))->pluck('id')->toArray();
            $completed_class2 = ScheduleClass::whereIn('id', $classes)->where('endRecurring_date','<',date('Y-m-d'))->pluck('id')->toArray();
            $completed = array_merge($completed_class1,$completed_class2);
            $class_details['contact_number'] = $tuition_centres->contact_number;
            $class_details['email'] = $tuition_centres->email;
        }elseif($tutor){
            $check_provider = 'tutor';
            $description = $tutor->breif_note;
            $classes = Classtutorlink::where('tutor_id', $tutor->id)->pluck('class_id')->toArray();

            $completed_class1 = ScheduleClass::whereIn('id', $classes)->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))->pluck('id')->toArray();
            $completed_class2 = ScheduleClass::whereIn('id', $classes)->where('endRecurring_date','<',date('Y-m-d'))->pluck('id')->toArray();
            $completed = array_merge($completed_class1,$completed_class2);
            $class_details['contact_number'] = $tutor->contact_number;
            $class_details['email'] = $tutor->email;
        }

        $completeClasses = ScheduleClass::whereIn('id', $completed)->get()->count();

        $rating1 = Ratings::whereIn('class_id',$classes)->where('ratings',1)->where('is_approved','1')->get()->count();
        $rating2 = Ratings::whereIn('class_id',$classes)->where('ratings',2)->where('is_approved','1')->get()->count();
        $rating3 = Ratings::whereIn('class_id',$classes)->where('ratings',3)->where('is_approved','1')->get()->count();
        $rating4 = Ratings::whereIn('class_id',$classes)->where('ratings',4)->where('is_approved','1')->get()->count();
        $rating5 = Ratings::whereIn('class_id',$classes)->where('ratings',5)->where('is_approved','1')->get()->count();
        $reviewProvider = Ratings::whereIn('class_id',$classes)->whereNotNull('review')->where('is_approved','1')->get()->count();
        $sum1 = $rating1 + $rating2 + $rating3 + $rating4 + $rating5;
        if($sum1 != 0){
            $ratings = (5*$rating5 + 4*$rating4 + 3*$rating3 + 2*$rating2 + 1*$rating1) / ($rating5+$rating4+$rating3+$rating2+$rating1);
        }else{
            $ratings = 0;
        }
        if(is_float($ratings)){
            $service_provider_rating = number_format($ratings, 1);
        }else{
            $service_provider_rating = $ratings.'.0';
        }

        $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class_id)->first();
        $center_name = $class_tuition_centre->center_id != '' ? (MultipleCentre::find($class_tuition_centre->center_id)->name) : ($tuition_centres ? $tuition_centres->name : '');
        $class_details['tutor_names'] = $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
        $class_details['center_names'] = $center_name;
        $class_details['tutor_image'] = $tutor ? $tutor->profile_picture : '';
        $class_details['class_day'] = $day;
        $class_details['class_time'] = $time;
        $class_details['class_date'] = $date;
        $class_details['lessons'] = $lessons;
        $class_details['center_image'] = $tuition_centres ? $tuition_centres->logo_name : '';

        $class_details['subjects'] = $tutor_subject ? $tutor_subject : [''] ;
        $class_details['educations'] = $tutor ? $tutor_educations : [''] ;
        $class_details['experiance'] = $tutor ? $tutor_works : [''] ;
        $class_details['reviewses'] = $all_user_review ? $all_user_review : [''] ;
        $class_details['provider'] = $check_provider;
        $class_details['des'] = $description;
        $class_details['providerRating'] = $service_provider_rating;
        $class_details['providerReview'] = $reviewProvider;
        $class_details['providerCompleteClass'] = $completeClasses;

        if($class_details){
            return $class_details ;
        } else{
            return "" ;
        }
    }

    public function getTutorDetails($class_id)
    {
        $class_id = base64_decode($class_id);
        $class_details = ScheduleClass::find($class_id);
        $serviceProvider = '';
        $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class_id)->first();
        if($class_tuition_centre){
            $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
            if($tuition_centres){
                $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
            }
        }

        $class_tutors  = Classtutorlink::where('class_id',$class_id)->first();
        if($class_tutors){
            $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            if($tutor){
                $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
            }
        }


        // $detail['tutor_names'] =  $tutor ? $tutor->first_name.' '.$tutor->last_name : ' - ';
        // $detail['center_names'] = $tuition_centres ? $tuition_centres->name : '';
        // $detail['service_provider'] = $tutor ? $tutor->first_name.' '.$tutor->last_name : ' - ';
        $detail['service_provider'] = $serviceProvider ? $serviceProvider : '-';
        if($detail)
            return $detail;
        return false;
    }

    public function moodleTesting()
    {

        $tutor = Account::find(1);
        $admin = DB::table('users')
                ->select('users.email')
                ->leftJoin('model_has_roles','users.id','=','model_has_roles.model_id')
                ->leftJoin('roles','roles.id','=','model_has_roles.role_id')
                ->where('roles.id',6)
                ->first();

        Mail::to($admin->email)->send(new AdminNotificationForTutorCreation($tutor));

        dd($admin->email);
        $baseurl = 'http://localhost/moodle/webservice/rest/server.php?';
        $users = array(array(
        'username' =>  'dd',   //Username policy is defined in Moodle security config
        'password' =>  'Test@123', //Plain text password consisting of any characters
        'firstname' =>   'Admin', //The first name(s) of the user
        'lastname' => 'Testing',  //The family name of the user
        'email' => 'admin@test.com',
        'lang' => 'en',
        ));

        $params = array(
            'wstoken' => 'd49ebf5b2ef271247e633b0499f7a339',
            'wsfunction' => 'core_user_create_users',
            'moodlewsrestformat' => 'json',
            'users' => $users,
        );

        $url = $baseurl . http_build_query($params);

        $response = file_get_contents($url);
        dd($response);
    }

    public function getLevel(Request $request){
        if($request->level != 'false' && $request->level != 'true'){
         $sel_level = $request->level;
        }else{
         $sel_level = '';
        }
        $levels = Levels::all();
        return [
         'levels' => $levels,
         'sel_level' => $sel_level,
        ];
    }

    public function get_user_check(Request $request, $users){
        if (!Auth::check()) {
            return ['check in'];
        } else {
            return ['check out'];
        }
    }

    public function StoreContactData(Request $request){
        // Log::info('Received data:', $request->all());
        $contact_data = FrontContactUs::where('email', $request->email)->where('phone_no', $request->subject)->where('name', $request->name)->first();
        if($contact_data == ''){
            $contact_data = new FrontContactUs();
        }
        $contact_data->name = $request->name;
        $contact_data->email = $request->email;
        $contact_data->phone_no = $request->subject;
        $contact_data->message = $request->message;
        $contact_data->save();

        return redirect("https://tuitionking.swotfishdemo.cc/");
    }

    public function GetAllClasses(Request $request){

        if( $request->provider != '' ){
            $break_provider = explode(" ",$request->provider);

                //tutor first name
                $name_tutor_1 = Account::where('first_name', 'LIKE', '%' . $request->provider . '%')->pluck('id')->toArray();
                $name_tutor_11 = Account::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('first_name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                //tutor last name
                $name_tutor_2 = Account::where('last_name', 'LIKE', '%' . $request->provider . '%')->pluck('id')->toArray();
                $name_tutor_22 = Account::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('last_name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                //centre name
                $name_centre_1 = TuitionCentre::where('name', 'LIKE', '%' . $request->provider . '%')->pluck('id')->toArray();
                $name_centre_11 = TuitionCentre::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                $merge = array_merge($name_tutor_1,$name_tutor_11,$name_tutor_2,$name_tutor_22);
                $merge1 = array_merge($name_centre_1,$name_centre_11);

                $tutor = Classtutorlink::whereIn('tutor_id',$merge)->pluck('class_id')->toArray();
                $centre = ClasstuitionCentrelink::whereIn('tuition_centre_id',$merge1)->pluck('class_id')->toArray();
                $class_id_merge = array_merge($tutor,$centre);
        }
        if( $request->level != '' ){
            $lessons = Lessons::where('level_id',$request->level)->pluck('id')->toArray();
        }
        if( $request->searchWord != '' ){
            $break_provider = explode(" ",$request->searchWord);
            //tutor first name
                $name_tutor_1 = Account::where('first_name', 'LIKE', '%' . $request->searchWord . '%')->pluck('id')->toArray();
                $name_tutor_11 = Account::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('first_name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                //tutor last name
                $name_tutor_2 = Account::where('last_name', 'LIKE', '%' . $request->searchWord . '%')->pluck('id')->toArray();
                $name_tutor_22 = Account::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('last_name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                //centre name
                $name_centre_1 = TuitionCentre::where('name', 'LIKE', '%' . $request->searchWord . '%')->pluck('id')->toArray();
                $name_centre_11 = TuitionCentre::Where(function ($query) use($break_provider) {
                    for ($i = 0; $i < count($break_provider); $i++){
                       $query->orwhere('name', 'like',  '%' . $break_provider[$i] .'%');
                    }
                })->pluck('id')->toArray();

                $merge = array_merge($name_tutor_1,$name_tutor_11,$name_tutor_2,$name_tutor_22);
                $merge1 = array_merge($name_centre_1,$name_centre_11);

                $tutor = Classtutorlink::whereIn('tutor_id',$merge)->pluck('class_id')->toArray();
                $centre = ClasstuitionCentrelink::whereIn('tuition_centre_id',$merge1)->pluck('class_id')->toArray();
                $class_id_merge = array_merge($tutor,$centre);

                $level = Levels::where('name', 'LIKE', '%' . $request->searchWord . '%')->pluck('id')->toArray();
                $lessons = Lessons::whereIn('level_id', $level)->pluck('id')->toArray();

        }

        $upcoming_class1 = ScheduleClass::where('endRecurring_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
        $upcoming_class2 = ScheduleClass::where('endRecurring_date','>',date('Y-m-d'))->pluck('id')->toArray();
        $upcoming = array_merge($upcoming_class1,$upcoming_class2);

        $filterValue = [];
        $filterCount = [];
        $mode_id_array = [];
        $subject_id_array = [];
        $price_id_array = [];
        $day_id_array = [];
        $rating_id_array = [];
        $total_mode = [];
        $Classes = ScheduleClass::whereIn('id', $upcoming);
        if( $request->parameter != '' ){

            $subArray = Subject::pluck('name')->toArray();
            $typeids = explode(',', $request->parameter);
            $class_ids = ScheduleClass::pluck('id')->toArray();
            foreach( $typeids as $key => $val ){
                if( in_array($val, ['1','2','3','4','5']) ){
                    array_push($total_mode, $val);
                    $class_ids = ScheduleClass::whereIn('id', $upcoming)->where('type_id', $val)->pluck('id')->toArray();
                    foreach( $class_ids as $m ){
                        array_push( $filterValue, $m );
                        array_push( $mode_id_array, $m );
                    }
                    if( !in_array(1,$filterCount) ){
                        array_push($filterCount, 1);
                    }
                }
                if( in_array($val, $subArray )){

                    $subject = Subject::where('name', $val)->first();
                    $lesson = Lessons::where('subject_id', $subject->id)->pluck('id')->toArray();
                    $class_ids = ScheduleClass::whereIn('id', $upcoming)->whereIn('lesson_id', $lesson)->pluck('id')->toArray();
                    foreach($class_ids as $s){
                        array_push($filterValue, $s);
                        array_push($subject_id_array, $s);
                    }
                    if(!in_array(2,$filterCount)){
                        array_push($filterCount, 2);
                    }

                }
                if( in_array($val, ['Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday']) ){

                    $class_ids = ScheduleClass::whereIn('id', $upcoming)->get();
                    foreach($class_ids as $d){
                        $day = date('l', strtotime($d->class_date));
                        if($day == $val){
                            array_push($filterValue, $d->id);
                            array_push($day_id_array, $d->id);
                        }

                    }
                    if(!in_array(3,$filterCount)){
                        array_push($filterCount, 3);
                    }

                }
                if( in_array($val, ['4 above','3 above','2 above']) ){

                    $class_ids = ScheduleClass::whereIn('id', $upcoming)->get();
                    foreach($class_ids as $r){
                        $rat1 = Ratings::where('class_id',$r->id)->where('ratings',1)->where('is_approved','1')->get()->count();
                        $rat2 = Ratings::where('class_id',$r->id)->where('ratings',2)->where('is_approved','1')->get()->count();
                        $rat3 = Ratings::where('class_id',$r->id)->where('ratings',3)->where('is_approved','1')->get()->count();
                        $rat4 = Ratings::where('class_id',$r->id)->where('ratings',4)->where('is_approved','1')->get()->count();
                        $rat5 = Ratings::where('class_id',$r->id)->where('ratings',5)->where('is_approved','1')->get()->count();

                        $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
                        if($sum != 0){
                            $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
                        }else{
                            $ratings = 0;
                        }

                        if($ratings >= $val){
                            array_push($filterValue, $r->id);
                            array_push($rating_id_array, $r->id);
                        }
                        if(!in_array(4,$filterCount)){
                         array_push($filterCount, 4);
                        }
                    }

                }
                if( in_array($val, ['0to200','200to400','400']) ){

                    $class_ids = ScheduleClass::whereIn('id', $upcoming)->get();
                    foreach($class_ids as $p){
                        if( $val == '0to200'){
                            if( ( 0 < $p->price ) && ( $p->price < 200 ) ){
                                array_push($filterValue, $p->id);
                                array_push($price_id_array, $p->id);
                            }
                        }elseif( $val == '200to400'){
                            if( ( 200 <= $p->price ) && ( $p->price < 400 ) ){
                                array_push($filterValue, $p->id);
                                array_push($price_id_array, $p->id);
                            }
                        }elseif($val == '400' ){
                            if( 400 <= $p->price ){
                                array_push($filterValue, $p->id);
                                array_push($price_id_array, $p->id);
                            }
                        }
                    }
                    if(!in_array(5,$filterCount)){
                        array_push($filterCount, 5);
                    }
                }
            }
            if($price_id_array != [] || ($price_id_array == [] && in_array(5,$filterCount))){
                $Classes->whereIn('id',$price_id_array);
            }
            if($rating_id_array != [] || ($rating_id_array == [] && in_array(4,$filterCount))){
                $Classes->whereIn('id',$rating_id_array);
            }
            if($mode_id_array != [] || ($mode_id_array == [] && in_array(1,$filterCount))){
                $Classes->whereIn('id',$mode_id_array);
            }
            if($day_id_array != [] || ($day_id_array == [] && in_array(3,$filterCount))){
                $Classes->whereIn('id',$day_id_array);
            }
            if($subject_id_array != [] || ($subject_id_array == [] && in_array(2,$filterCount))){
                $Classes->whereIn('id',$subject_id_array);
            }
        }
        if($total_mode != []){
            $type = '';
        }else{
            $type = $request->type;
        }

        $similarValues = [];
        if($filterValue != []){
            if(max(array_count_values($filterValue)) >= 2){
                $similarValues = array_keys(array_count_values($filterValue),max(array_count_values($filterValue)));
            }elseif(count($filterCount) > 1 && $similarValues == []){
                $filterValue = [];
            }
        }




        // if($similarValues != []){
        //     $Classes = ScheduleClass::whereIn('id', $similarValues);
        // }elseif($filterValue != []){
        //     $Classes = ScheduleClass::whereIn('id', $filterValue);
        // }else{
        //     $Classes = ScheduleClass::whereIn('id', $upcoming);
        // }

        //  if( $request->parameter != '' && $filterValue == []){
        //      $Classes = ScheduleClass::whereIn('id', $filterValue);
        //  }



        if($request->level != ''){
            $Classes->whereIn('lesson_id',$lessons);
        }

        if($request->provider != ''){
            $Classes->whereIn('id',$class_id_merge);
        }
        if($request->location != ''){
            // $Classes->where(function ($query) use ($request) {
            //     $query->where('street_name', 'like',  '%' .$request->location.'%')
            //         ->orWhere('city', 'like',  '%' .$request->location.'%')
            //         ->orWhere('state', 'like',  '%' .$request->location.'%');
            // });
            $maxlat = '';
                $minlat = '';
                $maxlag = '';
                $minlag = '';
                $map_class_ids = [];
                $address = $request->location; // Replace with the address you want to geocode

                // Use Google Geocoding API to retrieve latitude and longitude for the address
                $response = Http::get('https://maps.googleapis.com/maps/api/geocode/json', [
                    'address' => $address,
                    'key' => env('APP_LOCATION_KEY'), // Replace with your Google API key
                ]);

                $data = $response->json();

                if ($data['status'] === 'OK' && count($data['results']) > 0) {
                    $location = $data['results'][0]['geometry']['location'];
                    $latitude = $location['lat'];
                    $longitude = $location['lng'];


                    $radius = 1;

                    if($request->radius != ''){
                        $radius = $request->radius;
                    }

                   // Calculate the minimum and maximum latitude and longitude coordinates
                    $minlat = $latitude - (1 / 111.32) * $radius; // Approximately 1 degree latitude is about 111.32 km
                    $maxlat = $latitude + (1 / 111.32) * $radius;
                    $minlag = $longitude - (1 / (111.32 * cos(deg2rad($latitude)))) * $radius; // Adjust for longitude based on latitude
                    $maxlag = $longitude + (1 / (111.32 * cos(deg2rad($latitude)))) * $radius;
                    $class1 = ScheduleClass::whereIn('id',$upcoming)->get();
                    foreach($class1 as $class_data){
                        if($class_data->street_name != '' && $class_data->longitude != ''){
                            $distance = $this->haversineDistance($latitude, $longitude, $class_data->latitude, $class_data->longitude);
                                if ($distance <= $radius) {
                                    $map_class_ids[] = $class_data->id;
                                }
                    //         $a = $class_data->street_name;
                    //         $b = $request->location;
                    //         $response = Http::get('https://maps.googleapis.com/maps/api/directions/json', [
                    //                     'destination' => "{$a}",
                    //                     'origin' => "{$b}",
                    //                     'key' => env('APP_LOCATION_KEY'),
                    //         ]);
                    //     $data = $response->json();
                    //     $value = preg_replace("/[^0-9\.]/", '', $data['routes'][0]['legs'][0]['distance']['text']);
                    //     // $min_value = $value - 1;
                    //     // $max_value = $value + 1;
                    //     if(intval($value) <= $radius){
                    //         array_push($map_class_ids,$class_data->id);
                    //     }
                        }
                    }
                }
                $Classes->whereIn('id',$map_class_ids);
                //  $Classes->whereBetween('longitude',[$minlag, $maxlag]);
            // $Classes->where('street_name', 'like',  '%' .$request->location.'%')->orwhere('city', 'like',  '%' .$request->location.'%')->orwhere('state', 'like',  '%' .$request->location.'%');
        }
        if($request->searchWord != ''){
            if($class_id_merge[0] != ''){
                $Classes->whereIn('id',$class_id_merge);
            }elseif($lessons[0] != ''){
                $Classes->whereIn('lesson_id',$lessons);
            }
        }

        if($request->type != ''){
            $Classes->where('type_id', $request->type);
        }

        $Classes = $Classes->orderByRaw('-position DESC')->get();
        $array = [];
        foreach($Classes as $class){
            $rat1 = Ratings::where('class_id',$class->id)->where('ratings',1)->where('is_approved','1')->get()->count();
            $rat2 = Ratings::where('class_id',$class->id)->where('ratings',2)->where('is_approved','1')->get()->count();
            $rat3 = Ratings::where('class_id',$class->id)->where('ratings',3)->where('is_approved','1')->get()->count();
            $rat4 = Ratings::where('class_id',$class->id)->where('ratings',4)->where('is_approved','1')->get()->count();
            $rat5 = Ratings::where('class_id',$class->id)->where('ratings',5)->where('is_approved','1')->get()->count();
            $reviews = Ratings::where('class_id',$class->id)->whereNotNull('review')->where('is_approved','1')->get()->count();
            $sum = $rat1 + $rat2 + $rat3 + $rat4 + $rat5;
            if($sum != 0){
                $ratings = (5*$rat5 + 4*$rat4 + 3*$rat3 + 2*$rat2 + 1*$rat1) / ($rat5+$rat4+$rat3+$rat2+$rat1);
            }else{
                $ratings = 0;
            }
            if(is_float($ratings)){
                $rating = number_format($ratings, 1);
            }else{
                $rating = $ratings.'.0';
            }

            //lesson detail add
            $lessons = '';
            if ($class->is_special == 0) {
                $lessons = 'Lessons : '.$class->no_lesson;
            }else{
                $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                $lessons = 'Lessons : '.count($SpecialClassSchedule);
            }

            //subject added in class
            $subjectName = '';
            $lesson = Lessons::find($class->lesson_id);
            if($lesson){
                $subject = Subject::find($lesson->subject_id);
                $subjectName = 'Subject: '.$subject->name;
            }

            //register student
            $total_student = StudentClass::where('class_id', $class->id)->get()->count();

            //level name added
             $lesson = Lessons::find($class->lesson_id);
            if($lesson){
                $level = Levels::find($lesson->level_id);
                $levelName = 'Level: '.$level->name;
            }


            //class group
            $class_group = '';
            if($class->type_id == 1){
                $class_group = 'Online group classes';
            }elseif($class->type_id == 2){
                $class_group = 'Online One - One Classes';
            }elseif($class->type_id == 3){
                $class_group = 'Offline group classes';
            }elseif($class->type_id == 4){
                $class_group = 'Offline One - One classes';
            }elseif($class->type_id == 5){
                $class_group = 'Trial Group classes';
            }

            //service provider detail added
            $serviceProvider = '';
            $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            if($class_tuition_centre){
                $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
                if($tuition_centres){
                    $serviceProvider = 'Tuition Centre: '.$tuition_centres->name;
                }
            }

            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            if($class_tutors){
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
                if($tutor){
                    $serviceProvider = 'Tutor: '.$tutor->first_name.' '.$tutor->last_name;
                }
            }


            $class['reviews'] = $reviews;
            $class['ratings'] = $rating;
            $class['lessons'] = $lessons;
            $class['totalStudent'] = $total_student;
            $class['classMode'] = $class_group;
            $class['level'] = $levelName;
            $class['subject'] = $subjectName;
            $class['service_provider'] = $serviceProvider ? $serviceProvider : '-';
            // array_push($array,$class);
              //(5*252 + 4*124 + 3*40 + 2*29 + 1*33) / (252+124+40+29+33)
        }


        $sub = [];
        $subjects = Subject::all();
        foreach($subjects as $value){
            $sub[] = $value->name;
        }
        $class['subjects'] = $sub;

        return $Classes;
    }

    function haversineDistance($lat1, $lon1, $lat2, $lon2) {
        // Convert latitude and longitude from degrees to radians
        $lat1 = deg2rad($lat1);
        $lon1 = deg2rad($lon1);
        $lat2 = deg2rad($lat2);
        $lon2 = deg2rad($lon2);

        // Calculate the difference between latitudes and longitudes
        $dlat = $lat2 - $lat1;
        $dlon = $lon2 - $lon1;

        // Calculate the distance using Haversine formula
        $a = sin($dlat / 2) ** 2 + cos($lat1) * cos($lat2) * sin($dlon / 2) ** 2;
        $c = 2 * asin(sqrt($a));
        $r = 6371; // Radius of the Earth in kilometers (you can use 3956 for miles)

        // Calculate the final distance
        $distance = $c * $r;

        return $distance;
    }

    function getbanners(Request $request){
        // dd($request->all());
        $data = AdsBanner::orderBy('position','asc')->get();
        return $data;
    }

    function clicked(Request $request){
        // dd($request->all());
            $m = date("n",strtotime(date('M')));
            $store = BannerClicked::where('banner_id',$request->value)->whereYear('created_at',date('Y'))->whereMonth('created_at', $m)->first();
            if($store == ''){
                $store = new BannerClicked();
                $store->clicked = 1;
            }else{
                $store->clicked = $store->clicked + 1;
            }
            $store->banner_id = $request->value;
            $store->save();
            $banner = AdsBanner::where('id',$store->banner_id)->first();
        return view('banner.show_img',compact('banner'));
    }
}
