<?php

namespace App\Http\Controllers;

use App\Exports\CentreExport;
use App\Exports\StudentExport;
use App\Models\TuitionCentre;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;
class CentreReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('permission:view-centre-report')->only('index','CentreFilter');
    }
    public function index(Request $request)
    {
        // dd($request->all());
        if($request->year){
            $year = $request->year;
        }else{
            $year = date('Y');
        }
        $centres = TuitionCentre::orderBy('updated_at','desc')->get();
        return view('reports.centre',compact('centres','year'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function CentreFilter(Request $request)
    {
        // dd($request->all());
        if($request->year){
            $year = $request->year;
        }else{
            $year = date('Y');
        }
        $centres = TuitionCentre::orderBy('updated_at','desc')->get();
        return view('reports.centre',compact('centres','year'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function centreCsv(Request $request)
    {
        // dd($request->all());
        if($request->year_csv){
            $year = $request->year_csv;
        }else{
            $year = date('Y');
        }
        $fileName = 'centre-report.csv';
        return Excel::download(new CentreExport($year), $fileName);
    }
}
