<?php

namespace App\Http\Controllers;

use App\Models\Account;
use App\Models\ClasstuitionCentrelink;
use App\Models\Classtutorlink;
use App\Models\Lessons;
use App\Models\Levels;
use App\Models\MultipleCentre;
use App\Models\Ratings;
use App\Models\ScheduleClass;
use App\Models\StudentClass;
use App\Models\TuitionCentre;
use App\Models\Tutor;
use App\Models\User;
use Auth;
use File;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;
use App\Models\SpecialClassSchedule;
use View;
use App\Models\RecurrClassSchedule;

class ClassController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('permission:view-class')->only('index');
        $this->middleware('permission:create-class')->only('create', 'store');
        $this->middleware('permission:edit-class')->only('edit', 'update');
        $this->middleware('permission:delete-class')->only('destroy');
        $this->middleware('permission:show-details-class')->only('show');
        $this->middleware('permission:rating-class')->only('rating');
    }

    public function class_lesson(Request $request){
        if ($request->show == 1) {
            $lessonDate = [];
            for ($i=1; $i <= $request->no_lesson ; $i++) {
                $day = date('D', strtotime($request->date));
                if ($i == 1) {
                    $lessonDate[$i] = date('Y-m-d', strtotime($request->date));
                }else{
                    $lessonDate[$i] = date('Y-m-d', strtotime($lessonDate[$i - 1]. ' + 7 days'));
                }
            }
            
            $html = View::make("classes.class_lessons_view")->with('no_lesson', $request->no_lesson)->with('end_time', $request->end_time)->with('date', $request->date)->with('start_time', $request->start_time)->with('duration_hrs', $request->duration_hrs)->with('duration_mins', $request->duration_mins)->with('lessonDate', $lessonDate)->with('show', $request->show)->render();
        }else{
            $lessonDate = [];
            $recurr_class_dated = RecurrClassSchedule::where('class_id', $request->classId)->get();
            foreach ($recurr_class_dated as $key => $value) {
                $lessonDate[$key + 1] = date('Y-m-d', strtotime($value->lesson_date));
            }

            $html = View::make("classes.class_lessons_view")->with('no_lesson', $request->no_lesson)->with('end_time', $request->end_time)->with('date', $request->date)->with('start_time', $request->start_time)->with('duration_hrs', $request->duration_hrs)->with('duration_mins', $request->duration_mins)->with('lessonDate', $lessonDate)->with('show', $request->show)->render();
        }
        

        return [
            'html' => $html,
        ];
    }

    public function index()
    {
        $all_class = '';
        $sponcer_class = '';
        $normal_class = '';
        $user = Auth::user();
        if($user->roles->first()->name == 'tutor' || $user->roles->first()->name == 'tuition center'){
            if($user->roles->first()->name == 'tutor'){
            $tutor = Account::where('user_id', auth()->user()->id)->first();
            $class_ids = Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray();
            }else{
            $centre = TuitionCentre::where('user_id', auth()->user()->id)->first();
            $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
            }
            $normal_class = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '0')->orderBy('updated_at','desc')->where(function ($query) {
                $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','>=',date('H:i:s'))
                      ->orwhere('endRecurring_date','>',date('Y-m-d'));
            })->get()->count();
            $expired_class = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '0')->orderBy('updated_at','desc')->where(function ($query) {
                $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))
                      ->orwhere('endRecurring_date','<',date('Y-m-d'));
            })->get()->count();
            $sponcer_class = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '1')->orderBy('position','asc')->where(function ($query) {
                $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','>=',date('H:i:s'))
                      ->orwhere('endRecurring_date','>',date('Y-m-d'));
            })->get()->count();
            // $normal_class = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '0')->orderBy('updated_at','desc')->get()->count();
            // $sponcer_class = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '1')->orderBy('updated_at','desc')->get()->count();
            $all_class = ScheduleClass::whereIn('id',$class_ids)->orderBy('updated_at','desc')->get()->count();
        }else{
            $normal_class = ScheduleClass::where('is_sponsored', '0')->orderBy('updated_at','desc')->where(function ($query) {
                $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','>=',date('H:i:s'))
                      ->orwhere('endRecurring_date','>',date('Y-m-d'));
            })->get()->count();
            $expired_class = ScheduleClass::where('is_sponsored', '0')->orderBy('updated_at','desc')->where(function ($query) {
                $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))
                      ->orwhere('endRecurring_date','<',date('Y-m-d'));
            })->get()->count();
            $sponcer_class = ScheduleClass::where('is_sponsored', '1')->orderBy('position','asc')->where(function ($query) {
                $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','>=',date('H:i:s'))
                      ->orwhere('endRecurring_date','>',date('Y-m-d'));
            })->get()->count();
            // $normal_class = ScheduleClass::where('is_sponsored', '0')->orderBy('updated_at','desc')->get()->count();
            // $sponcer_class = ScheduleClass::where('is_sponsored', '1')->orderBy('updated_at','desc')->get()->count();
            $all_class = ScheduleClass::orderBy('updated_at','desc')->get()->count();
        }
        $class_centres  = ClasstuitionCentrelink::pluck('tuition_centre_id')->toArray();
        $class_tutors  = Classtutorlink::pluck('tutor_id')->toArray();
        $tuition_centres = TuitionCentre::whereIn('id',$class_centres)->get();
        $tutors = Account::whereIn('id',$class_tutors)->get();
        $lessons = Lessons::all();
        $levels = Levels::all();
        return view('classes.index', compact('expired_class','all_class', 'sponcer_class', 'normal_class','levels','tuition_centres','tutors','lessons'));
    }

    public function getLesson(Request $request)
    {    if($request->level != ''){
            $lessons = Lessons::where('level_id',$request->level)->get();
         }else{
            $lessons = Lessons::all();
         }
         return ['lessons' => $lessons];
    }

    public function getClass(Request $request)
    {
        $class= [];
        $count = [];
        $all_classes = ScheduleClass::all();
        foreach($all_classes as $class_data){
            $stud = StudentClass::where('class_id',$class_data->id)->get()->count();
            if($stud >= $class_data->class_size){
                array_push($count,$class_data->id);
            }
        }
        if($request->type == 'lesson'){
            if($request->stud_id){
                if($request->old_id){
                    if($request->old_id == $request->stud_id){
                        $classes = StudentClass::where('class_id','!=',$request->class_id)->where('student_id',$request->stud_id)->pluck('class_id')->toArray();
                    }else{
                        $classes = StudentClass::where('student_id',$request->stud_id)->pluck('class_id')->toArray();
                    }
                }else{
                    if($request->class_id){
                        $classes = StudentClass::where('class_id','!=',$request->class_id)->where('student_id',$request->stud_id)->pluck('class_id')->toArray();
                    }else{
                        $classes = StudentClass::where('student_id',$request->stud_id)->pluck('class_id')->toArray();
                    }
                }
                $acc = Account::find($request->stud_id);
                $merge = array_merge($count,$classes);
                $lesson = ScheduleClass::whereNotIn('id',$merge)->pluck('lesson_id')->toArray();
                $class = Lessons::whereIn('id',$lesson)->get();
            }
        }else{
            if($request->stud_id){
            if($request->class_id){
                $classes = StudentClass::where('class_id','!=',$request->class_id)->where('student_id',$request->stud_id)->pluck('class_id')->toArray();
            }else{
                $classes = StudentClass::where('student_id',$request->stud_id)->pluck('class_id')->toArray();
            }
            $merge = array_merge($count,$classes);
            $class = ScheduleClass::whereNotIn('id',$merge)->where('lesson_id',$request->lesson)->get();
        }
        }
        return [ 'classes' => $class ];
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function autocomplete(Request $request)
    {
        $data = '';
        if($request->get('query') != ''){
            $data = ScheduleClass::select('street_name','city','zip_code','longitude','latitude')
            ->where("street_name","LIKE",'%' . $request->get('query') . '%')->orwhere("city","LIKE",'%' . $request->get('query') . '%')
            ->first();
        }
        return response()->json($data);
    }
    public function create()
    {
        $lessons = Lessons::all();
        $user = User::role('tutor')->pluck('id')->toArray();
        $tutors = Account::whereIn('user_id', $user)->get();
        $tuition_centres = TuitionCentre::get();
        // $status = '';
        // if(auth()->user()->roles->first()->name == 'tutor' || auth()->user()->roles->first()->name == 'tuition center'){
        //     if(auth()->user()->roles->first()->name == 'tutor'){
        //         $account = Account::where('user_id',auth()->user()->id)->first();
        //         $status = $account->is_verify == 0 ? 'unverified' : 'verified';
        //     }else{
        //         $account = TuitionCentre::where('user_id',auth()->user()->id)->first();
        //         $status = $account->is_verified == 0 ? 'unverified' : 'verified';
        //     }
        // }
        $acc = TuitionCentre::where('user_id',auth()->user()->id)->first();
        $multiple_centres = [];
        if($acc != ''){
            $multiple_centres = MultipleCentre::where('center_id',$acc->id)->get();
        }
        return view('classes.create',compact('lessons','user','tutors','tuition_centres','multiple_centres'));
    }

    public function getExpiredData(Request $request){
        // dd($request->all());
        $user = Auth::user();
        if($user->roles->first()->name == 'tutor' || $user->roles->first()->name == 'tuition center'){
            if($user->roles->first()->name == 'tutor'){
            $tutor = Account::where('user_id', auth()->user()->id)->first();
            $class_ids = Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray();
            }else{
            $centre = TuitionCentre::where('user_id', auth()->user()->id)->first();
            $multiple_centre = MultipleCentre::where('center_id',$centre->id)->pluck('id')->toArray();
            $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
            }
            $classes = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '0')->orderBy('updated_at','desc');
        }else{
            $classes = ScheduleClass::where('is_sponsored', '0')->orderBy('updated_at','desc');
        }
        if($request->provider != ''){
            $centre = TuitionCentre::where('user_id',$request->provider)->first();
            $tutor = Account::where('user_id',$request->provider)->first();
            $class_tutor = $tutor ? Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray() : [];
            $class_centre = $centre ? ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray() : [];
            $merge = array_merge($class_centre,$class_tutor);
            $classes->whereIn('id',$merge);
          }
          if($request->class_mode != ''){
            $classes->where('type_id',$request->class_mode);
        }

        if($request->level != ''){
            $lesson = Lessons::where('level_id',$request->level)->pluck('id')->toArray();
            $classes->whereIn('lesson_id',$lesson);
        }

        if($request->lesson != ''){
            $classes->where('lesson_id',$request->lesson);
        }

        $classes->where(function ($query) {
            $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))
                  ->orwhere('endRecurring_date','<',date('Y-m-d'));
        });

        $classes = $classes->get();
        return DataTables::of($classes)
        ->editColumn('name', function ($class) {
            return $class->name;
        })
        ->editColumn('mode', function ($class) {
            $mode = '';
            if($class->type_id == 1){
                $mode = 'Online group classes';
            }elseif($class->type_id == 2){
                $mode = 'Online One - One Classes';
            }elseif($class->type_id == 3){
                $mode = 'Offline group classes';
            }elseif($class->type_id == 4){
                $mode = 'Offline One - One classes';
            }elseif($class->type_id == 5){
                $mode = 'Trial classes';
            }
            return $mode;
        })
        ->editColumn('lesson', function ($class) {
           return Lessons::find($class->lesson_id) ? Lessons::find($class->lesson_id)->name : '';
        })
        ->editColumn('class_date', function ($class) {
            return date('d-m-Y', strtotime($class->class_date)).' To '. date('d-m-Y', strtotime($class->endRecurring_date));
        })
        ->editColumn('timing', function ($class) {
            return date('h:i A', strtotime($class->start_time)).' To '.date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('no_of_lesson', function ($class) {
            $lessons = '';
            if ($class->is_special == 0) {
                $lessons = $class->no_lesson;
            }else{
                $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                $lessons = count($SpecialClassSchedule);
            }
            return $lessons ? $lessons : '' ;
        })
        ->editColumn('end_time', function ($class) {
            return date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('centre', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            return $centre ? $centre->name : '';
        })
        ->editColumn('tutor', function ($class) {
            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }


            return $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
        })
        ->addColumn('vacancy', function ($class) {
            $user = User::role('student')->pluck('id')->toArray();
            $students = StudentClass::where('class_id',$class->id)->where('student_status','1')->get()->count();
            return '<p style="background-color:#78d2ebb3;border-radius: 25px;border:3px solid #004bbbb3;" >' . $students . '/' . $class->class_size . '</p>';
        })
        ->editColumn('level', function ($class) {
            $lesson = Lessons::find($class->lesson_id);
            $levelName = '';
            if($lesson){
                $level = Levels::find($lesson->level_id);
                $levelName = $level ? $level->name : '';
            }
            return $levelName;
         })
         ->editColumn('provider', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }

            $centre = $centre ? $centre->name : '';
            $tutor_nm = $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
            return $centre.$tutor_nm;
         })
        ->editColumn('sponsore', function ($class) {
                if($class->is_sponsored == 0){
                    return view('classes.change_classAction', ['class' => $class, 'sponsored' => 0]);
                }
            })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->editColumn('actions', function ($class) {
            return '<a href="'.route('class.show', $class->id).'?show=1'.'" title="View Details" class="btn btn-sm opcm-edit"><i class="fas fa-eye text-secondary"></i></a>';
        })
        ->rawColumns(['actions','vacancy','sponsore'])->make(true);
    }

    public function getData(Request $request){
        // dd($request->all());
        $user = Auth::user();
        if($user->roles->first()->name == 'tutor' || $user->roles->first()->name == 'tuition center'){
            if($user->roles->first()->name == 'tutor'){
            $tutor = Account::where('user_id', auth()->user()->id)->first();
            $class_ids = Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray();
            }else{
            $centre = TuitionCentre::where('user_id', auth()->user()->id)->first();
            $multiple_centre = MultipleCentre::where('center_id',$centre->id)->pluck('id')->toArray();
            $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
            }
            $classes = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '0')->orderBy('updated_at','desc');
        }else{
            $classes = ScheduleClass::where('is_sponsored', '0')->orderBy('updated_at','desc');
        }
        if($request->provider != ''){
            $centre = TuitionCentre::where('user_id',$request->provider)->first();
            $tutor = Account::where('user_id',$request->provider)->first();
            $class_tutor = $tutor ? Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray() : [];
            $class_centre = $centre ? ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray() : [];
            $merge = array_merge($class_centre,$class_tutor);
            $classes->whereIn('id',$merge);
          }
          if($request->class_mode != ''){
            $classes->where('type_id',$request->class_mode);
        }

        if($request->level != ''){
            $lesson = Lessons::where('level_id',$request->level)->pluck('id')->toArray();
            $classes->whereIn('lesson_id',$lesson);
        }

        if($request->lesson != ''){
            $classes->where('lesson_id',$request->lesson);
        }
        // $classes = $classes->get();

        $classes->where(function ($query) {
            $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','>=',date('H:i:s'))
                  ->orwhere('endRecurring_date','>',date('Y-m-d'));
        });
        if($request->status != ''){
            if($request->status == 'in_progress'){
                $classes = $classes->where(function ($query) {
                    $query->where('class_date','=',date('Y-m-d'))->where('start_time','<=',date('H:i:s'))
                          ->orwhere('class_date','<',date('Y-m-d'));
                })->get();
            }else{
                $classes = $classes->where(function ($query) {
                    $query->where('class_date','=',date('Y-m-d'))->where('start_time','>',date('H:i:s'))
                          ->orwhere('class_date','>',date('Y-m-d'));
                })->get();
            }
        }else{
            $classes = $classes->get();
        }
        return DataTables::of($classes)
        ->editColumn('name', function ($class) {
            return $class->name;
        })
        ->editColumn('mode', function ($class) {
            $mode = '';
            if($class->type_id == 1){
                $mode = 'Online group classes';
            }elseif($class->type_id == 2){
                $mode = 'Online One - One Classes';
            }elseif($class->type_id == 3){
                $mode = 'Offline group classes';
            }elseif($class->type_id == 4){
                $mode = 'Offline One - One classes';
            }elseif($class->type_id == 5){
                $mode = 'Trial classes';
            }
            return $mode;
        })
        ->editColumn('lesson', function ($class) {
           return Lessons::find($class->lesson_id) ? Lessons::find($class->lesson_id)->name : '';
        })
        ->editColumn('class_date', function ($class) {
            return date('d-m-Y', strtotime($class->class_date)).' To '. date('d-m-Y', strtotime($class->endRecurring_date));
        })
        ->editColumn('timing', function ($class) {
            return date('h:i A', strtotime($class->start_time)).' To '.date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('no_of_lesson', function ($class) {
            $lessons = '';
            if ($class->is_special == 0) {
                $lessons = $class->no_lesson;
            }else{
                $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                $lessons = count($SpecialClassSchedule);
            }
            return $lessons ? $lessons : '' ;
        })
        ->editColumn('end_time', function ($class) {
            return date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('centre', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            return $centre ? $centre->name : '';
        })
        ->editColumn('tutor', function ($class) {
            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }


            return $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
        })
        ->addColumn('vacancy', function ($class) {
            $user = User::role('student')->pluck('id')->toArray();
            $students = StudentClass::where('class_id',$class->id)->where('student_status','1')->get()->count();
            return '<p style="background-color:#78d2ebb3;border-radius: 25px;border:3px solid #004bbbb3;" >' . $students . '/' . $class->class_size . '</p>';
        })
        ->editColumn('level', function ($class) {
            $lesson = Lessons::find($class->lesson_id);
            $levelName = '';
            if($lesson){
                $level = Levels::find($lesson->level_id);
                $levelName = $level ? $level->name : '';
            }
            return $levelName;
         })
         ->editColumn('provider', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }

            $centre = $centre ? $centre->name : '';
            $tutor_nm = $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
            return $centre.$tutor_nm;
         })
        ->editColumn('sponsore', function ($class) {
                if($class->is_sponsored == 0){
                    return view('classes.change_classAction', ['class' => $class, 'sponsored' => 0]);
                }
            })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->editColumn('actions', function ($class) {
            return view('classes.action', ['class' => $class]);
        })
        ->rawColumns(['actions','vacancy','sponsore'])->make(true);
    }

    public function getSpoData(Request $request)
    {
        $user = Auth::user();
        if($user->roles->first()->name == 'tutor' || $user->roles->first()->name == 'tuition center'){
            if($user->roles->first()->name == 'tutor'){
            $tutor = Account::where('user_id', auth()->user()->id)->first();
            $class_ids = Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray();
            }else{
            $centre = TuitionCentre::where('user_id', auth()->user()->id)->first();
            $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
            }
            $classes = ScheduleClass::whereIn('id',$class_ids)->where('is_sponsored', '1')->orderBy('position','asc');
        }else{
            $classes = ScheduleClass::where('is_sponsored', '1')->orderBy('position','asc');
        }
        if($request->provider != ''){
            $centre = TuitionCentre::where('user_id',$request->provider)->first();
            $tutor = Account::where('user_id',$request->provider)->first();
            $class_tutor = $tutor ? Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray() : [];
            $class_centre = $centre ? ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray() : [];
            $merge = array_merge($class_centre,$class_tutor);
            $classes->whereIn('id',$merge);
          }
          if($request->class_mode != ''){
            $classes->where('type_id',$request->class_mode);
        }

        if($request->level != ''){
            $lesson = Lessons::where('level_id',$request->level)->pluck('id')->toArray();
            $classes->whereIn('lesson_id',$lesson);
        }

        if($request->lesson != ''){
            $classes->where('lesson_id',$request->lesson);
        }

        // $classes = $classes->get();
        $classes->where(function ($query) {
            $query->where('endRecurring_date','=',date('Y-m-d'))->where('end_time','>=',date('H:i:s'))
                  ->orwhere('endRecurring_date','>',date('Y-m-d'));
        });
        if($request->status != ''){
            if($request->status == 'in_progress'){
                $classes = $classes->where(function ($query) {
                    $query->where('class_date','=',date('Y-m-d'))->where('start_time','<=',date('H:i:s'))
                          ->orwhere('class_date','<',date('Y-m-d'));
                })->get();
            }else{
                $classes = $classes->where(function ($query) {
                    $query->where('class_date','=',date('Y-m-d'))->where('start_time','>',date('H:i:s'))
                          ->orwhere('class_date','>',date('Y-m-d'));
                })->get();
            }
        }else{
            $classes = $classes->get();
        }

        return DataTables::of($classes)
        ->addIndexColumn()
        ->editColumn('name', function ($class) {
            return $class->name;
        })
        ->editColumn('mode', function ($class) {
            $mode = '';
            if($class->type_id == 1){
                $mode = 'Online group classes';
            }elseif($class->type_id == 2){
                $mode = 'Online One - One Classes';
            }elseif($class->type_id == 3){
                $mode = 'Offline group classes';
            }elseif($class->type_id == 4){
                $mode = 'Offline One - One classes';
            }elseif($class->type_id == 5){
                $mode = 'Trial classes';
            }
            return $mode;
        })
        ->editColumn('lesson', function ($class) {
           return Lessons::find($class->lesson_id) ? Lessons::find($class->lesson_id)->name : '';
        })
        ->editColumn('level', function ($class) {
            $lesson = Lessons::find($class->lesson_id);
            $levelName = '';
            if($lesson){
                $level = Levels::find($lesson->level_id);
                $levelName = $level ? $level->name : '';
            }
            return $levelName;
         })
        ->editColumn('class_date', function ($class) {
            return date('d-m-Y', strtotime($class->class_date)).' To '. date('d-m-Y', strtotime($class->endRecurring_date));
        })
        ->editColumn('timing', function ($class) {
            return date('h:i A', strtotime($class->start_time)).' To '.date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('no_of_lesson', function ($class) {
            $lessons = '';
            if ($class->is_special == 0) {
                $lessons = $class->no_lesson;
            }else{
                $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                $lessons = count($SpecialClassSchedule);
            }
            return $lessons ? $lessons : '' ;
        })
        ->editColumn('end_time', function ($class) {
            return date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('provider', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }

            $centre = $centre ? $centre->name : '';
            $tutor_nm = $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
            return $centre.$tutor_nm;
         })
        ->editColumn('centre', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            return $centre ? $centre->name : '';
        })
        ->editColumn('tutor', function ($class) {
            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }


            return $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
        })
        ->addColumn('vacancy', function ($class) {
            $user = User::role('student')->pluck('id')->toArray();
            $students = StudentClass::where('class_id',$class->id)->where('student_status','1')->get()->count();
            return '<p style="background-color:#78d2ebb3;border-radius: 25px;border:3px solid #004bbbb3;" >' . $students . '/' . $class->class_size . '</p>';
        })
        ->editColumn('normal', function ($class) {
            if($class->is_sponsored == 1){
                return view('classes.change_classAction', ['class' => $class, 'sponsored' => 1]);
                /*return "<form action='".route('schedule-class.changenormal', $class->id)."' method='get' onsubmit=' confirm('Are you sure want to change ?');'>
                    <button type='submit' class='btn btn-sm font-weight-bolder btn-primary'>
                        Normal Class</button></form>";*/
            }
        })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->editColumn('actions', function ($class) {
            return view('classes.action', ['class' => $class]);
        })
        ->rawColumns(['actions','vacancy','normal'])->make(true);
    }

    public function getAllData(){
        $user = Auth::user();
        if($user->roles->first()->name == 'tutor' || $user->roles->first()->name == 'tuition center'){
            if($user->roles->first()->name == 'tutor'){
            $tutor = Account::where('user_id', auth()->user()->id)->first();
            $class_ids = Classtutorlink::where('tutor_id',$tutor->id)->pluck('class_id')->toArray();
            }else{
            $centre = TuitionCentre::where('user_id', auth()->user()->id)->first();
            $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$centre->id)->pluck('class_id')->toArray();
            }
            $classes = ScheduleClass::whereIn('id',$class_ids)->orderBy('updated_at','desc')->get();
        }else{
            $classes = ScheduleClass::orderBy('updated_at','desc')->get();
        }
        return DataTables::of($classes)
        ->editColumn('name', function ($class) {
            return $class->name;
        })
        ->editColumn('mode', function ($class) {
            $mode = '';
            if($class->type_id == 1){
                $mode = 'Online group classes';
            }elseif($class->type_id == 2){
                $mode = 'One - One Online Classes';
            }elseif($class->type_id == 3){
                $mode = 'Offline group classes';
            }elseif($class->type_id == 4){
                $mode = 'One - One in person classes';
            }elseif($class->type_id == 5){
                $mode = 'Trial classes';
            }
            return $mode;
        })
        ->editColumn('lesson', function ($class) {
           return Lessons::find($class->lesson_id) ? Lessons::find($class->lesson_id)->name : '';
        })
        ->editColumn('class_date', function ($class) {
            return date('d-m-Y', strtotime($class->class_date)).' To '. date('d-m-Y', strtotime($class->endRecurring_date));
        })
        ->editColumn('timing', function ($class) {
            return date('h:i A', strtotime($class->start_time)).' To '.date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('no_of_lesson', function ($class) {
            $lessons = '';
            if ($class->is_special == 0) {
                $lessons = $class->no_lesson;
            }else{
                $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->pluck('class_date')->toArray();
                $lessons = count($SpecialClassSchedule);
            }
            return $lessons ? $lessons : '' ;
        })
        ->editColumn('end_time', function ($class) {
            return date('h:i A', strtotime($class->end_time));
        })
        ->editColumn('centre', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            return $centre ? $centre->name : '';
        })
        ->editColumn('tutor', function ($class) {
            $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }


            return $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
        })
        ->addColumn('vacancy', function ($class) {
            $user = User::role('student')->pluck('id')->toArray();
            $students = StudentClass::where('class_id',$class->id)->where('student_status','1')->get()->count();
            return '<p style="background-color:#78d2ebb3;border-radius: 25px;border:3px solid #004bbbb3;" >' . $students . '/' . $class->class_size . '</p>';
        })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->editColumn('actions', function ($class) {
            return view('classes.action', ['class' => $class]);
        })
        ->rawColumns(['actions','vacancy','sponsore'])->make(true);
    }


    Public function rating(Request $request){
        $class_id = $request->class_id;
        return view('classes.review',compact('class_id'));
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'lesson' => 'required',
            'class' => 'required',
            'time' => 'required|date_format:h:i A'
        ]);
        $class = new ScheduleClass();
        $class->name = $request->class;
        $class->lesson_id = $request->lesson;
        $class->start_time = date('H:i:s',strtotime($request->time));
        $class->save();
        return redirect()->route('class.index')->with('message', 'Class created successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function show($id)
    {
        $class = ScheduleClass::find($id);
        $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$id)->first();
        $tuition_centres = '';
        if ($class_tuition_centre) {
            $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
        }

        $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
        $tutors = '';
        if ($class_tutors) {
            $tutors = Account::where('id',$class_tutors->tutor_id)->first();
        }

        $attendanceDate = [];
        if ($class->is_special == 0) {
            /*for ($i=0; $i < $class->no_lesson ; $i++) {
                $day = date('D', strtotime($class->class_date));
                if ($i == 0) {
                    $attendanceDate[] = date('j F, l', strtotime($class->class_date));
                }else{
                    $attendanceDate[] = date('j F, l', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
            }*/
            $recurr_class_dated = RecurrClassSchedule::where('class_id', $id)->get();
            foreach ($recurr_class_dated as $key => $value) {
                $attendanceDate[] = date('j F, l', strtotime($value->lesson_date));
            }
        }

        if ($class->is_special == 1) {
            $specialclass_dates = SpecialClassSchedule::where('class_id', $id)->get();
            foreach ($specialclass_dates as $key => $value) {
                $attendanceDate[] = date('j F, l', strtotime($value->class_date));
            }
        }

        return view('classes.show',compact('class','tutors','tuition_centres','attendanceDate','class_tuition_centre'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $lessons = Lessons::all();
        $class = ScheduleClass::find($id);
        $user = User::role('tutor')->pluck('id')->toArray();
        $tutors = Account::whereIn('user_id', $user)->get();
        $tuition_centres = TuitionCentre::get();
        $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$id)->first();
        $class_tutors = Classtutorlink::where('class_id',$id)->first();
        $special_class_dates = SpecialClassSchedule::where('class_id', $id)->get();
        $acc = TuitionCentre::where('user_id',auth()->user()->id)->first();
        $multiple_centres = [];
        if($acc != ''){
            $multiple_centres = MultipleCentre::where('center_id',$acc->id)->get();
        }

        $LessonDate = [];
        if ($class->is_special == 0) {
            $recurr_class_dated = RecurrClassSchedule::where('class_id', $id)->get();
            foreach ($recurr_class_dated as $key => $value) {
                $LessonDate[] = date('j F, l', strtotime($value->lesson_date));
            }
        }
        return view('classes.edit',compact('lessons','class','tutors','tuition_centres','class_tuition_centre','class_tutors','special_class_dates','multiple_centres','LessonDate'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'lesson' => 'required',
            'class' => 'required',
            'time' => 'required|date_format:h:i A'
        ]);
        $class = ScheduleClass::find($id);
        $class->name = $request->class;
        $class->lesson_id = $request->lesson;
        $class->start_time = date('H:i:s',strtotime($request->time));
        $class->save();
        return redirect()->route('class.index')->with('message', 'Class Updated successfully');
    }

    public function dropzoneStore(Request $request)
    {
        $image = $request->file('file');
        $imageName = time().'.'.$image->extension();
        $pdf_image1 = '';
        if($request->file('file')->extension() == 'pdf'){
            $pdf_image1 = "data:application/pdf;base64,".base64_encode(file_get_contents($request->file('file')->path()));
            $image1 = "data:image/png;base64,".base64_encode(file_get_contents($request->file('file')->path()));
        }else{
            $image1 = "data:image/png;base64,".base64_encode(file_get_contents($request->file('file')->path()));
        }
        return response()->json(['success'=>$imageName,'dataURL'=>$image1,'pdfurl'=>$pdf_image1]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(ScheduleClass $class)
    {
        $class->delete();
        return redirect()->route('class.index')->with('message', 'Class Deleted successfully');
    }
}
