<?php

namespace App\Http\Controllers;

use App\Models\Account;
use App\Models\ClasstuitionCentrelink;
use DB;
use Auth;
use DateTime;
use DatePeriod;
use DateInterval;
use App\Models\Tutor;
use Illuminate\Http\Request;
use App\Models\ScheduleClass;
use App\Models\TuitionCentre;
use App\Models\Classtutorlink;
use App\Models\ClickedPage;
use App\Models\MultipleCentre;
use App\Models\StudentClass;
use Session;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Http\Response;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function setCookie(Request $request){
      $minutes = 60;
      $response = new Response('Set Cookie');
      $response->withCookie(cookie('fgfgf', 'MyValue', $minutes));
      return $response;
   }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index(Request $request)
    {
        if($request->provider_id){
            $m = date("n",strtotime(date('M')));
            $store = ClickedPage::where('user_role',$request->provider_type)->where('provider_id',$request->provider_id)->whereYear('created_at',date('Y'))->whereMonth('created_at', $m)->first();
            if($store == ''){
                $store = new ClickedPage();
                $store->clicked_count = 1;
            }else{
                $store->clicked_count = $store->clicked_count + 1;
            }
            $store->user_role = $request->provider_type;
            $store->provider_id = $request->provider_id;
            $store->save();
        }
        $user = Auth::user();
        if($request->value)
        {
            if($user->roles->first()->name != 'student' && $user->roles->first()->name != 'parent'){
                 return redirect()->route('home');
            }
        }

        Cookie::queue('login', '1', 20,null,'.swotfishdemo.cc');
        if($user->roles->first()->name != 'tuition center' && $user->roles->first()->name != 'tutor' && $user->roles->first()->name != 'student'  && $user->roles->first()->name != 'parent')
            return view('home');
            elseif($user->roles->first()->name == 'parent'){
                $user_data = Account::where('user_id', $user->id)->first();
                if($user_data->status == 'inactive'){
                    session()->forget('my_test_key');
                    Auth::logout();
                    return redirect()->route('account.sign_in', ['user' => 'parent'])->withErrors(['email' => __('Your account is inactive')]);
                }else{
                    if($request->value){
                        return redirect()->route('student_class.index',['class_id' => $request->value]);
                    }else{
                        if(Session::get('classId')){
                            return redirect()->route('student_class.index',['class_id' => Session::get('classId')]);
                        }else{
                            return redirect()->route('parent.student_dashboard',['class_id' => $request->class_id]);
                        }
                    }
                }
            }
        elseif($user->roles->first()->name == 'tuition center'){
            $centre = TuitionCentre::where('user_id', Auth::user()->id)->first();
            $index = 0;
            $grp_id = 0;
            $tutor_ids = ClasstuitionCentrelink::where('tuition_centre_id', $centre->id)->pluck('class_id')->toArray();
            //upcoming
            $upcoming_class1 = ScheduleClass::whereIn('id',$tutor_ids)->where('endRecurring_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
            $upcoming_class2 = ScheduleClass::whereIn('id',$tutor_ids)->where('endRecurring_date','>',date('Y-m-d'))->pluck('id')->toArray();
            $upcoming = array_merge($upcoming_class1,$upcoming_class2);

            //find
            $classes = ScheduleClass::whereIn('id', $upcoming)->orderBy('id','DESC')->get();
            $scheduleClasses = [];
            foreach ($classes as $key => $value) {
                // if ($value->class_date >= date('Y-m-d')) {
                    $scheduleClasses[] = $value;
                // }
            }
            $final_array = array(array());
            $loc_arr = array();

            foreach($scheduleClasses as $class){
                $start_day = date('D',strtotime($class->class_date));
                $is_weekday = $start_day == 'Sat' || $start_day == 'Sun' ? '0' : '1';
                if($class->is_recurring){
                    if($class->everyWeekday){
                        $interval = DateInterval::createFromDateString('1 day');
                        $period = new DatePeriod(new DateTime($class->class_date), $interval, new DateTime($class->endRecurring_date.' +1 day'));

                        foreach ($period as $dt) {
                            if($is_weekday){
                                if(!($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun')){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            } else {
                                if($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun'){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            }
                        }
                    } else if($class->everyWeek){
                        $interval = DateInterval::createFromDateString('1 week');
                        $period = new DatePeriod(new DateTime($class->class_date), $interval, new DateTime($class->endRecurring_date.' +1 day'));

                        foreach ($period as $dt) {
                            $loc_arr = array(
                                'grp' => $grp_id,
                                'id' => $class->id,
                                'name' => $class->name,
                                'class_date' => $dt->format('Y-m-d'),
                                'start_time' => date('h:i A',strtotime($class->start_time))
                            );
                            $final_array[$index++] = $loc_arr;
                        }
                    } else { //MONTHLY
                        $interval = DateInterval::createFromDateString('1 month');
                        $period = new DatePeriod(new DateTime($class->class_date), $interval, new DateTime($class->endRecurring_date.' +1 day'));

                        foreach ($period as $dt) {
                            if($is_weekday){
                                if(!($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun')){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            } else {
                                if($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun'){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            }
                        }
                    }
                } else {
                    if($class->start_time < date('H:i:s')){
                        $date = date('Y-m-d',strtotime('+1 days'));
                    }else{
                        $date = date('Y-m-d');
                    }
                    $loc_arr = array(
                        'grp' => $grp_id,
                        'id' => $class->id,
                        'name' => $class->name,
                        'class_date' => $date,
                        'start_time' => date('h:i A',strtotime($class->start_time))
                    );
                    $final_array[$index++] = $loc_arr;
                }
                $grp_id++;
            }
            $scheduleClasses = $final_array;
            $acc = TuitionCentre::where('user_id',auth()->user()->id)->first();
            $multiple_centres = [];
            if($acc != ''){
                $multiple_centres = MultipleCentre::where('center_id',$acc->id)->get();
            }
            // dd($final_array);
            return view('centre_managers.index',compact('centre','scheduleClasses','multiple_centres'));
        } elseif($user->roles->first()->name == 'tutor'){
            $tutor = Account::where('user_id',$user->id)->first();
            $index = 0;
            $grp_id = 0;
            $tutor_ids = Classtutorlink::where('tutor_id', $tutor->id)->pluck('class_id')->toArray();
            //upcoming
            $upcoming_class1 = ScheduleClass::whereIn('id',$tutor_ids)->where('endRecurring_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
            $upcoming_class2 = ScheduleClass::whereIn('id',$tutor_ids)->where('endRecurring_date','>',date('Y-m-d'))->pluck('id')->toArray();
            $upcoming = array_merge($upcoming_class1,$upcoming_class2);

            //find
            $classes = ScheduleClass::whereIn('id', $upcoming)->orderBy('id','DESC')->get();
            $scheduleClasses = [];
            foreach ($classes as $key => $value) {
                // if ($value->class_date >= date('Y-m-d')) {
                    $scheduleClasses[] = $value;
                // }
            }
            $final_array = array(array());
            $loc_arr = array();

            foreach($scheduleClasses as $class){
                $start_day = date('D',strtotime($class->class_date));
                $is_weekday = $start_day == 'Sat' || $start_day == 'Sun' ? '0' : '1';
                if($class->is_recurring){
                    if($class->everyWeekday){
                        $interval = DateInterval::createFromDateString('1 day');
                        $period = new DatePeriod(new DateTime($class->class_date), $interval, new DateTime($class->endRecurring_date.' +1 day'));

                        foreach ($period as $dt) {
                            if($is_weekday){
                                if(!($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun')){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            } else {
                                if($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun'){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            }
                        }
                    } else if($class->everyWeek){
                        $interval = DateInterval::createFromDateString('1 week');
                        $period = new DatePeriod(new DateTime($class->class_date), $interval, new DateTime($class->endRecurring_date.' +1 day'));

                        foreach ($period as $dt) {
                            $loc_arr = array(
                                'grp' => $grp_id,
                                'id' => $class->id,
                                'name' => $class->name,
                                'class_date' => $dt->format('Y-m-d'),
                                'start_time' => date('h:i A',strtotime($class->start_time))
                            );
                            $final_array[$index++] = $loc_arr;
                        }
                    } else { //MONTHLY
                        $interval = DateInterval::createFromDateString('1 month');
                        $period = new DatePeriod(new DateTime($class->class_date), $interval, new DateTime($class->endRecurring_date.' +1 day'));

                        foreach ($period as $dt) {
                            if($is_weekday){
                                if(!($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun')){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            } else {
                                if($dt->format('D') == 'Sat' || $dt->format('D') == 'Sun'){
                                    $loc_arr = array(
                                        'grp' => $grp_id,
                                        'id' => $class->id,
                                        'name' => $class->name,
                                        'class_date' => $dt->format('Y-m-d'),
                                        'start_time' => date('h:i A',strtotime($class->start_time))
                                    );
                                    $final_array[$index++] = $loc_arr;
                                }
                            }
                        }
                    }
                } else {
                    if($class->start_time < date('H:i:s')){
                        $date = date('Y-m-d',strtotime('+1 days'));
                    }else{
                        $date = date('Y-m-d');
                    }
                    $loc_arr = array(
                        'grp' => $grp_id,
                        'id' => $class->id,
                        'name' => $class->name,
                        'class_date' => $date,
                        'start_time' => date('h:i A',strtotime($class->start_time))
                    );
                    $final_array[$index++] = $loc_arr;
                }
                $grp_id++;
            }
            $scheduleClasses = $final_array;

            $tutor_educations = DB::table('tutor_educations')->where('tutor_id',$tutor->id)->get();
            $tutor_exps = DB::table('tutor_exps')->where('tutor_id',$tutor->id)->get();
            return view('tutors.index2',compact('scheduleClasses','tutor','tutor_educations','tutor_exps'));
            return view('tutors.index',compact('scheduleClasses'));
        } elseif($user->roles->first()->name == 'student'){
            if($request->value){
                return redirect()->route('student.my_classes',['class_id' => $request->value]);
            }else{
                return redirect()->route('student.my_classes');
            }
        }
    }

    public function landingPageIndex()
    {
        $offline_group_classes = ScheduleClass::where('type_id',3)->limit(3)->get();
        $online_group_classes = ScheduleClass::where('type_id',1)->limit(6)->get();
        $recently_added_classes = ScheduleClass::limit(6)->orderBy('created_at', 'desc')->get();

        return view('welcome', compact('offline_group_classes','online_group_classes','recently_added_classes'));
    }
}
