<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Laravel\Socialite\Facades\Socialite;
use App\Models\User;
use Auth;
use Illuminate\Support\Facades\Hash;
use DB;
use Dcblogdev\MsGraph\Facades\MsGraph;

class ProviderLoginController extends Controller
{
    public function RedirectToGoogle()
    {
        return Socialite::driver('google')->redirect();
    }

    public function ProviderGoogleCallback()
    {
        $user_data = Socialite::driver('google')->stateless()->user();
        // dd($user_data);
        $user = User::where('email', $user_data->email)->first();
        if (!$user) {
            $user = new User();
            $user->name = $user_data->name;
            $user->email = $user_data->email;
            $user->provider_id = $user_data->id;
            $user->password = Hash::make('123456');
            $user->save();

            $user->assignRole('parent');

            $user_admin = array(
                'user_id' => $user->id,
                'first_name' => $user_data->name,
                'gender' => 'm',
                'email' => $user_data->email,
            );
            DB::table('accounts')->insert($user_admin);

        }

        
        Auth::login($user);
     
        return redirect('home');

    }

    public function RedirectToFacebook()
    {
        return Socialite::driver('facebook')->redirect();
    }

    public function ProviderFacebookCallback()
    {
        $user_data = Socialite::driver('facebook')->stateless()->user();
        // dd($user_data);
        if($user_data->email != ''){
            $user = User::where('email', $user_data->email)->first();
            if (!$user) {
                $user = new User();
                $user->name = $user_data->name;
                $user->email = $user_data->email;
                $user->provider_id = $user_data->id;
                $user->password = Hash::make('123456');
                $user->save();
    
                $user->assignRole('parent');
    
                $user_admin = array(
                    'user_id' => $user->id,
                    'first_name' => $user_data->name,
                    'gender' => 'm',
                    'email' => $user_data->email,
                );
                DB::table('accounts')->insert($user_admin);
    
            }
    
            
            Auth::login($user);
         
            return redirect('home');
        }else{
            return redirect('parent-register')->with('message', 'Email-id not existing in your facebook account')->with('name', $user_data->name);
        }

    }

    public function connect()
    {
        return MsGraph::connect();
    }

    public function app()
    {
        // dd('okay');
        $all = MsGraph::get('me');
        dd($all);
    }

    public function RedirectToGraph()
    {
        return Socialite::driver('graph')->redirect();
    }

    public function ProviderGraphCallback()
    {
        $user_data = Socialite::driver('graph')->stateless()->user();
        // dd($user_data);
        $user = User::where('email', $user_data->email)->first();
        if (!$user) {
            $user = new User();
            $user->name = $user_data->name;
            $user->email = $user_data->email;
            $user->provider_id = $user_data->id;
            $user->password = Hash::make('123456');
            $user->save();

            $user->assignRole('parent');

            $user_admin = array(
                'user_id' => $user->id,
                'first_name' => $user_data->name,
                'gender' => 'm',
                'email' => $user_data->email,
            );
            DB::table('accounts')->insert($user_admin);

        }

        
        Auth::login($user);
     
        return redirect('home');

    }
}
