<?php

namespace App\Http\Controllers;

use App\Models\Account;
use App\Models\Ratings;
use DataTables;
use App\Models\ScheduleClass;
use App\Models\User;
use Illuminate\Http\Request;
use Auth;

class RatingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $classes = ScheduleClass::where('id',$request->class_id)->first();
        $value = Ratings::where('class_id',$request->class_id)->where('user_id',auth()->user()->id)->first();
        return view('reviews.index',compact('classes','value'));
    }

    public function GetUser(Request $request){
        if (!Auth::check()) {
            return ['check in'];
        } else {
            return ['check out'];
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        $classes = ScheduleClass::where('id',$request->class_id)->first();
        $value = Ratings::where('class_id',$request->class_id)->where('user_id',auth()->user()->id)->first();
        return view('reviews.index',compact('classes','value'));
    }

    public function give_ratings(Request $request){
        $classes = ScheduleClass::where('id',$request->id)->first();
        $value = Ratings::where('class_id',$request->class_id)->where('user_id',auth()->user()->id)->first();
        if ($value == ''){
        $html = '<li><i class="far fa-star" id="star1" name="true"></i></li>
        <li><i class="far fa-star" id="star2" name="true"></i></li>
        <li><i class="far fa-star" id="star3" name="true"></i></li>
        <li><i class="far fa-star" id="star4" name="true"></i></li>
        <li><i class="far fa-star" id="star5" name="true"></i></li>';
        }else{
        if ($value->ratings == 0){
            $html = '<li><i class="far fa-star" id="star1" name="true"></i></li>
            <li><i class="far fa-star" id="star2" name="true"></i></li>
            <li><i class="far fa-star" id="star3" name="true"></i></li>
            <li><i class="far fa-star" id="star4" name="true"></i></li>
            <li><i class="far fa-star" id="star5" name="true"></i></li>';
        }elseif($value->ratings == 1){
            $html = '<li><i class="fa fa-star" id="star1" name="false"></i></li>
        <li><i class="far fa-star" id="star2" name="true"></i></li>
        <li><i class="far fa-star" id="star3" name="true"></i></li>
        <li><i class="far fa-star" id="star4" name="true"></i></li>
        <li><i class="far fa-star" id="star5" name="true"></i></li>';
        }elseif($value->ratings == 2){
            $html = '<li><i class="fa fa-star" id="star1" name="false"></i></li>
        <li><i class="fa fa-star" id="star2" name="false"></i></li>
        <li><i class="far fa-star" id="star3" name="true"></i></li>
        <li><i class="far fa-star" id="star4" name="true"></i></li>
        <li><i class="far fa-star" id="star5" name="true"></i></li>';
        }elseif($value->ratings == 3){
            $html = '<li><i class="fa fa-star" id="star1" name="false"></i></li>
        <li><i class="fa fa-star" id="star2" name="false"></i></li>
        <li><i class="fa fa-star" id="star3" name="false"></i></li>
        <li><i class="far fa-star" id="star4" name="true"></i></li>
        <li><i class="far fa-star" id="star5" name="true"></i></li>';
        }elseif($value->ratings == 4){
            $html = '<li><i class="fa fa-star" id="star1" name="false"></i></li>
        <li><i class="fa fa-star" id="star2" name="false"></i></li>
        <li><i class="fa fa-star" id="star3" name="false"></i></li>
        <li><i class="fa fa-star" id="star4" name="false"></i></li>
        <li><i class="far fa-star" id="star5" name="true"></i></li>';
        }elseif($value->ratings == 5){
            $html = '<li><i class="fa fa-star" id="star1" name="false"></i></li>
        <li><i class="fa fa-star" id="star2" name="false"></i></li>
        <li><i class="fa fa-star" id="star3" name="false"></i></li>
        <li><i class="fa fa-star" id="star4" name="false"></i></li>
        <li><i class="fa fa-star" id="star5" name="false"></i></li>';
        }
    }
    if($value != ''){
        $old_star = $value->ratings;
        $review = $value->review;
        $comment = $value->comment != '' ? $value->comment : 'No Comments Found!';
    }else{
        $old_star = '0';
        $review = '';
        $comment = 'No Comments Found!';
    }
        return[
            'html' => $html,
            'old_star' => $old_star,
            'review' => $review,
            'comment' => $comment
        ];
    }

    public function data(Request $request){
        if($request->type == 'student'){
            $user = User::role('student')->pluck('id')->toArray();
        }else{
            $user = User::role('parent')->pluck('id')->toArray();
        }
        $values = Ratings::where('class_id',$request->class_id)->whereIn('user_id',$user)->get();
        return DataTables::of($values)
        ->addIndexColumn()
        ->editColumn('name', function ($rating) {
            $value = Account::where('user_id',$rating->user_id)->first();
            return $value->first_name.' '.$value->last_name;
        })
        ->addColumn('role', function ($rating) {
            $user = User::find($rating->user_id);
            return ucfirst(str_replace('_',' ',$user->roles->first()->name));
        })
        ->addColumn('review', function ($rating) {
            return $rating->review;
        })
        ->addColumn('rating', function ($ratings) {
            $star = '';
            for($i=1;$i <= $ratings->ratings;$i++){
                $star .= '<i class="fas fa-star" style="color:#ffbc00;width:20px;"></i>';
            }
            return $star;
        })
        ->editColumn('status', function ($rating) {
            if($rating->is_approved == 0){
                return '<a class="btn btn-warning" onclick="return confirm(\'Are you sure want to Approve ?\');" style="border:none;color:#ce7906;background:#ed921847;" href="'.route('rating.changestatus',['user_id' => $rating->user_id,'class_id' => $rating->class_id,'value' => 1]).'">Disapproved</a>';
            }else{
                return '<a class="btn btn-success" onclick="return confirm(\'Are you sure want to Disapprove?\');" style="border:none;color:#26ab38;background:#26ab3863;" href="'.route('rating.changestatus',['user_id' => $rating->user_id,'class_id' => $rating->class_id,'value' => 0]).'">Approved</a>';
            }
        })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->addColumn('action', function ($rating) {
            return view('reviews.action', ['rating' => $rating]);
        })
        ->rawColumns(['rating','status','action'])->make(true);
    }

    public function ChangeStatus(Request $request){
      $store = Ratings::where('user_id',$request->user_id)->where('class_id',$request->class_id)->first();
      $store->is_approved = $request->value;
      $store->save();
      $status = $request->value == 0 ? 'Disapproved' : 'Approved';
      return redirect()->route('class.rating', ['class_id' => $request->class_id])->with('message','Rating Status '.$status.' Successfully.');
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $store = Ratings::where('class_id',$request->class_id)->where('user_id',auth()->user()->id)->first();
        if($store == ''){
            $store = new Ratings();
            $store->user_id = auth()->user()->id;
        }
        $store->class_id = $request->class_id;
        $store->ratings = $request->star;
        $store->review = $request->review;
        $store->save();
        if ($request->student_view == 1) {
            return redirect()->route('home')->with('message','Rating Added Successfully');
        }else{
            return redirect()->route('student_class.index')->with('message','Rating Added Successfully');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    public function comment_store(Request $request)
    {
       $store = Ratings::find($request->id);
       $store->comment = $request->comment;
       $store->save();
       return redirect()->back()->with('message','Comment Added Successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request,$id)
    {
        $rating = Ratings::find($id);
        $rating->delete();
        return redirect()->route('class.rating',['class_id' => $request->class_id])->with('message', 'Rating deleted successfully');
    }
}
