<?php

namespace App\Http\Controllers;

use App\Models\Account;
use App\Models\ScheduleClass;
use App\Models\StudentAttendance;
use App\Models\StudentClass;
use Illuminate\Http\Request;
use App\Models\SpecialClassSchedule;
use View;
use App\Models\RecurrClassSchedule;

class StudentAttendanceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        // dd($request->all());
        $student_ids = StudentClass::where('class_id',$request->id)->where('student_status','1')->pluck('student_id')->toArray();
        $students = Account::whereIn('id',$student_ids)->get();
        $class_id = $request->id;
        $class = ScheduleClass::find($request->id);

        $attendanceDate = [];
        $first_date = NULL;
        if ($class->is_special == 0) {
            $recurrClassSchedule = RecurrClassSchedule::where('class_id', $class->id)->get();
            // dd($class->no_lesson);
            foreach ($recurrClassSchedule as $key => $value) {
                if ($key == 0) {
                    $first_date = $value->lesson_date;
                }elseif ($key == $class->no_lesson) {
                    continue;
                }
                // dd(date('d-m-Y',strtotime($value->lesson_date)));
                $attendanceDate[] = $value->lesson_date;
                // $attendanceDate[] = date('d-m-Y',strtotime($value->lesson_date)) .' ( '.date('h:i A',strtotime($value->start_time)).' To '.date('h:i A',strtotime($value->end_time)).' )';
                
                if(date('Y-m-d') == $value->lesson_date){
                    $first_date = date('Y-m-d');
                }else{
                    if(date('Y-m-d') > $value->lesson_date){
                        $first_date = $value->lesson_date;
                    }
                }
            }
            // for ($i=0; $i < $class->no_lesson ; $i++) {
            //     $day = date('D', strtotime($class->class_date));
                
            //     if ($i == 0) {
            //         $attendanceDate[] = $class->class_date;
            //         // $first_date = $class->class_date;
            //     }else{
            //         $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
            //         if(date('Y-m-d') == $attendanceDate[$i]){
            //             $first_date = date('Y-m-d');
            //         }else{
            //             if(date('Y-m-d') > $attendanceDate[$i]){
            //                 // $first_date = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' - 7 days'));
            //                 $first_date = $attendanceDate[$i];
                            
            //             }
            //         }
            //     }
            //     // dd(date('Y-m-d', strtotime($class->class_date. ' + 7 days')));
            // }
        }

        $special_Attendance = [];
        if ($class->is_special == 1) {
            $specialclass_dates = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->get();
            foreach ($specialclass_dates as $key => $value) {
                if ($key == 0) {
                    $first_date = $value->class_date;
                }
                $attendanceDate[] = $value->class_date;
                $special_Attendance[] = date('d-m-Y',strtotime($value->class_date)).' ( '.date('h:i A',strtotime($value->start_time)).' To '.date('h:i A',strtotime($value->end_time)).' )';
                if(date('Y-m-d') == $value->class_date){
                    $first_date = date('Y-m-d');
                }else{
                    if(date('Y-m-d') > $value->class_date){
                        // $first_date = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' - 7 days'));
                        $first_date = $value->class_date;
                    }
                }
            }
        }
        if ($request->selectDate) {
            $first_date = $request->selectDate;
        }
        // dd($first_date);
        return view('students.student_attendance',compact('students','class_id','class','attendanceDate','first_date','special_Attendance'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        foreach($request->stud_id as $key => $value){
            $store = StudentAttendance::where('student_id',$value)->where('class_id',$request->class_id)->where('date', $request->attendance_date)->first();
            if($store == ''){
                $store = New StudentAttendance();
            }
           $store->student_id = $value;
           $store->class_id = $request->class_id;
           $store->result = $request->result[$key];
           $store->feedback = $request->feedback[$key];
           $store->attendance = $request->attendance[$key];
           $store->date = $request->attendance_date;
           $store->save();
        }
        // return redirect()->back()->with('message','Attendance Updated Successfully!')->with('first_date', $request->attendance_date);

        return redirect()->route('attendance.index', ['id' => $request->class_id, 'selectDate' => $request->attendance_date])->with('message','Attendance Updated Successfully!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function DateAttendance(Request $request)
    {
        // dd($request->all());
        $student_ids = StudentClass::where('class_id',$request->class_id)->where('student_status','1')->pluck('student_id')->toArray();
        $students = Account::whereIn('id',$student_ids)->get();
        $class_id = $request->class_id;
        $class = ScheduleClass::find($request->class_id);
        $date = $request->date;

        $html = View::make("students.date_attendance")->with('students', $students)->with('class_id', $class_id)->with('class', $class)->with('date', $date)->render();

        return [
            'html' => $html,
            'date' => $date
        ];
    }
}
