<?php

namespace App\Http\Controllers;

use App\Models\Account;
use App\Models\User;
use App\Models\ClasstuitionCentrelink;
use App\Models\Classtutorlink;
use App\Models\Lessons;
use App\Models\ScheduleClass;
use App\Models\StudentClass;
use App\Models\TuitionCentre;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;
use Auth;
use App\Mail\StudentClassJoin;
use Illuminate\Support\Facades\Mail;
use DB;
use App\Models\StudentAttendance;
use Carbon\Carbon;
use App\Models\SpecialClassSchedule;

class StudentClassController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('permission:create-enroll-classes')->only('create');
        $this->middleware('permission:view-enroll-classes')->only('index');
        $this->middleware('permission:show-details-enroll-classes')->only('show');
        $this->middleware('permission:parent-view-attendance')->only('StudentClassAttendance');
    }

    public function index(Request $request)
    {
        // dd($request->all());
        $parent = Auth::user();
        $parent_id = Account::where('user_id',$parent->id)->first();
        $childrens = Account::where('parent_id', $parent_id->id)->get();
        if($request->child){
            if($request->child == 'all'){
                $student = Account::where('parent_id', $parent_id->id)->pluck('id')->toArray();
                $student_class = StudentClass::whereIn('student_id', $student)->get();
            }else{
                $student_class = StudentClass::where('student_id', $request->child)->get();
            }
            $sel_child = $request->child;
        }
        else
        {
            $student = Account::where('parent_id', $parent_id->id)->pluck('id')->toArray();
            $student_class = StudentClass::whereIn('student_id', $student)->get();
            $sel_child = '';
        }

        $completed_class1 = ScheduleClass::where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))->pluck('id')->toArray();
        $completed_class2 = ScheduleClass::where('endRecurring_date','<',date('Y-m-d'))->pluck('id')->toArray();
        $completed = array_merge($completed_class1,$completed_class2);
        // dd($completed);

        $all_classes = [];
        $student_class_id = [];
        foreach($student_class as $value){
            $row_array = ScheduleClass::where('id', $value->class_id)->first();
            if(in_array($value->class_id,$completed)){
                if($value->student_status == 1){
                    $row_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                    $row_array['student_id'] = $value->student_id;
                    $all_classes[] = $row_array;
                    array_push($student_class_id,$value->class_id);
                }
            }
        }

        //in progress
        $inprogress_class1 = ScheduleClass::where('class_date','=',date('Y-m-d'))->where('start_time','<=',date('H:i:s'))->pluck('id')->toArray();
        $inprogress_class2 = ScheduleClass::where('class_date','<',date('Y-m-d'))->where('endRecurring_date','>',date('Y-m-d'))->pluck('id')->toArray();

        $inprogress = array_merge($inprogress_class1,$inprogress_class2);


        foreach($student_class as $value){
            $row_array = ScheduleClass::where('id', $value->class_id)->first();
            if(in_array($value->class_id,$inprogress)){
                    $row_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                    $row_array['student_id'] = $value->student_id;
                    $all_classes[] = $row_array;
                    array_push($student_class_id,$value->class_id);
            }
        }

        $upcoming_class1 = ScheduleClass::where('class_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
        $upcoming_class2 = ScheduleClass::where('class_date','>',date('Y-m-d'))->pluck('id')->toArray();
        $upcoming = array_merge($upcoming_class1,$upcoming_class2);

        foreach($student_class as $value){
            $row_array = ScheduleClass::where('id', $value->class_id)->first();
            if(in_array($value->class_id,$upcoming)){
                    $row_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                    $row_array['student_id'] = $value->student_id;
                    $all_classes[] = $row_array;
                    array_push($student_class_id,$value->class_id);
            }
        }
        // $upcoming_classes = ScheduleClass::whereIn('id', $upcoming)->whereIn('id',$student_class_id)->get();

        // dd($student_class);

        $upcoming_classes = [];
        $completed_classes = [];
        $inprogress_classes = [];
        foreach($student_class as $value)
        {
            //upcoming
            $upcoming_array = ScheduleClass::whereIn('id', $upcoming)->where('id', $value->class_id)->first();
            if($upcoming_array != '')
            {
                $upcoming_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                $upcoming_array['student_id'] = $value->student_id;
                $upcoming_classes[] = $upcoming_array;
            }

            //completed
            $completed_array = ScheduleClass::whereIn('id', $completed)->where('id', $value->class_id)->first();
            if($completed_array != '' && $value->student_status == 1)
            {
                $completed_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                $completed_array['student_id'] = $value->student_id;
                $completed_classes[] = $completed_array;
            }

            //In progress
            $inprogress_array = ScheduleClass::whereIn('id', $inprogress)->where('id', $value->class_id)->first();
            if($inprogress_array != '')
            {
                $inprogress_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                $inprogress_array['student_id'] = $value->student_id;
                $inprogress_classes[] = $inprogress_array;
            }
        }

        // dd($inprogress);
        if($request->class_id){
            $class = $request->class_id;
        }else{
            $class = '';
        }
        // $completed_classes = ScheduleClass::whereIn('id', $completed)->whereIn('id',$student_class_id)->get();

        return view('student_classes.index',compact('class','sel_child','childrens','all_classes','upcoming_classes','completed_classes','upcoming','completed','student_class_id','inprogress','inprogress_classes'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        $parent = Account::where('user_id',auth()->user()->id)->first();
        $students = Account::where('parent_id',$parent->id)->get();
        $classes = ScheduleClass::all();
        if($request->stud_id){
            $stud_id = Account::where('user_id',$request->stud_id)->first();
            $child = 1;
        }else{
            $stud_id = '';
            $child = 0;
        }
        return view('student_classes.create',compact('classes','students','stud_id','child'));
    }

    public function getData(Request $request){
        $parent = Auth::user();
        // $upcoming_class1 = ScheduleClass::where('class_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
        // $upcoming_class2 = ScheduleClass::where('class_date','>',date('Y-m-d'))->pluck('id')->toArray();
        // $upcoming = array_merge($upcoming_class1,$upcoming_class2);
        // $completed_class1 = ScheduleClass::where('class_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))->pluck('id')->toArray();
        // $completed_class2 = ScheduleClass::where('class_date','<',date('Y-m-d'))->pluck('id')->toArray();
        // $completed = array_merge($completed_class1,$completed_class2);
        $studentuserid = User::role('student')->pluck('id')->toArray();
        $students_id = Account::whereIn('user_id', $studentuserid)->pluck('id')->toArray();

        if($parent->roles->first()->name == 'parent' || $parent->roles->first()->name == 'tutor' || $parent->roles->first()->name == 'tuition center'){
            if($parent->roles->first()->name == 'parent'){
                $parent_id = Account::where('user_id',$parent->id)->first();
                $std = Account::where('parent_id', $parent_id->id)->pluck('id')->toArray();
            }elseif($parent->roles->first()->name == 'tutor'){
                $parent_id = Account::where('user_id',$parent->id)->first();
                $std1 = Classtutorlink::where('tutor_id', $parent_id->id)->pluck('class_id')->toArray();
                $std = StudentClass::whereIn('class_id', $std1)->pluck('student_id')->toArray();
            }elseif($parent->roles->first()->name == 'tuition center'){
                $parent_id = TuitionCentre::where('user_id',$parent->id)->first();
                $std1 = ClasstuitionCentrelink::where('tuition_centre_id', $parent_id->id)->pluck('class_id')->toArray();
                $std = StudentClass::whereIn('class_id', $std1)->pluck('student_id')->toArray();
            }
            if($request->type){
                if($request->role != 'student'){
                    //Profile
                    if($request->role == 'parent'){
                        $classes = StudentClass::where('status','active')->whereIn('student_id',$std)->orderBy('updated_at','desc')->groupBy('class_id');
                    }else{
                        $classes = StudentClass::where('status','active')->whereIn('class_id',$std1)->orderBy('updated_at','desc');
                    }
                }else{
                    //chindren
                    $classes = StudentClass::where('status','active')->where('student_id',$request->id)->orderBy('updated_at','desc')->groupBy('class_id');
                }
            }else{
                //tutor or center,
                if($parent->roles->first()->name == 'tutor' || $parent->roles->first()->name == 'tuition center'){
                    // if(auth()->user()->roles->first()->name == 'tutor'){
                    //     $account = Account::where('user_id',auth()->user()->id)->first();
                    //     $status = $account->is_verify == 0 ? 'unverified' : 'verified';
                    // }else{
                    //     $account = TuitionCentre::where('user_id',auth()->user()->id)->first();
                    //     $status = $account->is_verified == 0 ? 'unverified' : 'verified';
                    // }
                    // if($status == 'unverified'){
                    //     $std1 = [];
                    // }
                    $classes = StudentClass::where('status','active')->whereIn('class_id',$std1)->orderBy('updated_at','desc');
                }else{
                    $classes = StudentClass::where('status','active')->whereIn('student_id',$std)->orderBy('updated_at','desc');
                }
            }
        }else{
            //admin side
            if($request->type){
                if($request->role == 'parent'){
                    $std = Account::where('parent_id', $request->id)->pluck('id')->toArray();
                    $classes = StudentClass::where('status','active')->where('student_id',$request->id)->orderBy('updated_at','desc')->groupBy('class_id');
                }elseif($request->role == 'student'){
                    $classes = StudentClass::where('status','active')->where('student_id',$request->id)->orderBy('updated_at','desc');
                }elseif($request->role == 'tutor'){
                    $std1 = Classtutorlink::where('tutor_id', $request->id)->pluck('class_id')->toArray();
                    $std = StudentClass::whereIn('class_id', $std1)->pluck('student_id')->toArray();
                    $classes = StudentClass::where('status','active')->whereIn('class_id',$std1)->orderBy('updated_at','desc')->groupBy('class_id');
                }elseif($request->role == 'tuition center'){
                    $std1 = ClasstuitionCentrelink::where('tuition_centre_id', $request->id)->pluck('class_id')->toArray();
                    $std = StudentClass::whereIn('class_id', $std1)->pluck('student_id')->toArray();
                    $classes = StudentClass::where('status','active')->whereIn('class_id',$std1)->orderBy('updated_at','desc')->groupBy('class_id');
                }else{
                $classes = StudentClass::where('status','active')->orderBy('updated_at','desc');
                }
            }else{
                $classes = StudentClass::where('status','active')->orderBy('updated_at','desc');
            }
        }
         if($request->status == 'enquired'){
            $classes = $classes->where('student_status','0')->whereIn('student_id', $students_id)->get();
          }elseif($request->status == 'enrolled'){
            $classes = $classes->where('student_status','1')->whereIn('student_id', $students_id)->get();
          }else{
            $classes = $classes->whereIn('student_id', $students_id)->get();
          }
        return DataTables::of($classes)
        ->addIndexColumn()
        ->editColumn('name', function ($class) {
            $student = Account::find($class->student_id);
            return $student ? $student->first_name.' '.$student->last_name : '';
        })
        ->addColumn('email', function ($class) {
            $student = Account::find($class->student_id);
            return $student ? $student->email : '';
        })
        ->addColumn('parent_name', function ($class) {
            $student = Account::find($class->student_id);
            return $student ? (Account::find($student->parent_id) ? Account::find($student->parent_id)->first_name.' '.Account::find($student->parent_id)->last_name : '') : '';
        })
        ->addColumn('std_status', function ($class) use($request) {
            if($request->mode){
                if($class->student_status == 0){
                    return '<a  style="border:none;color:#ce7906;cursor:auto;" >Enquired</a>';
                }else{
                    return '<a style="border:none;color:#26ab38;cursor:auto;" >Enrolled</a>';
                }
            }else{
                if(auth()->user()->roles->first()->name == 'parent'){
                    if($class->student_status == 0){
                        return '<a  style="border:none;color:#ce7906;cursor:auto;" >Enquired</a>';
                    }else{
                        return '<a style="border:none;color:#26ab38;cursor:auto;" >Enrolled</a>';
                    }
                }else{
                    if($class->student_status == 0){
                        return '<a class="btn btn-warning" onclick="return confirm(\'Are you sure want to change status to Enrolled ?\');" style="border:none;color:#ce7906;background:#ed921847;" href="'.route('student.changestatus',['id' => $class->id,'class_id' => $class->class_id,'value' => 1]).'">Enquired</a>';
                    }else{
                        return '<a class="btn btn-success" onclick="return confirm(\'Are you sure want to change status to Enquired?\');" style="border:none;color:#26ab38;background:#26ab3863;" href="'.route('student.changestatus',['id' => $class->id,'class_id' => $class->class_id,'value' => 0]).'">Enrolled</a>';
                    }
                }
            }
        })
        ->editColumn('lesson', function ($classes) {
            $class = ScheduleClass::find($classes->class_id);
            if($class != ''){
                return Lessons::find($class->lesson_id) ? Lessons::find($class->lesson_id)->name : '';
            }else{
                return '';
            }
        })
        ->editColumn('class', function ($classes) {
            $class = ScheduleClass::find($classes->class_id);
            return $class ? $class->name.' ('.date('d-m-Y', strtotime($class->class_date)).' To '. date('d-m-Y', strtotime($class->endRecurring_date)).') ('.date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)).')' : '';
        })
        ->addColumn('remove_action', function ($class) {
            $student = Account::find($class->student_id);
            return '<a class="opcm-del btn btn-sm" onclick="return confirm(\'Are you sure want to remove student from this class?\');" href="'.route('student_class.delete_student', $student->id).'"><i class="text-danger fas fa-trash" Title="Delete"></i></a>';
        })
        ->addColumn('class_date', function ($classes) {
            $class = ScheduleClass::find($classes->class_id);
            return $class ? date('d-m-Y', strtotime($class->class_date)) : '';
        })
        ->addColumn('timing', function ($classes) {
            $class = ScheduleClass::find($classes->class_id);
            return $class ? date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)) : '';
        })
        ->editColumn('provider', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->class_id)->first();
            $centre = '';
            if ($class_centre) {
                $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();
            }

            $class_tutors  = Classtutorlink::where('class_id',$class->class_id)->first();
            $tutor = '';
            if ($class_tutors) {
                $tutor = Account::where('id',$class_tutors->tutor_id)->first();
            }

            $centre = $centre ? $centre->name : '';
            $tutor_nm = $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
            return $centre.$tutor_nm;
         })
        ->addColumn('centre', function ($class) {
            $class_centre  = ClasstuitionCentrelink::where('class_id',$class->class_id)->first();
            $centre = $class_centre ? TuitionCentre::where('id',$class_centre->tuition_centre_id)->first() : '';
            return $centre ? $centre->name : '';
        })
        ->addColumn('tutor', function ($class) {
            $class_tutors  = Classtutorlink::where('class_id',$class->class_id)->first();
            $tutor = $class_tutors ? Account::where('id',$class_tutors->tutor_id)->first() : '';

            return $tutor ? $tutor->first_name.' '.$tutor->last_name : '';
        })
        ->editColumn('created_at', function ($class) {
            return date('d-m-Y', strtotime($class->created_at));
        })
        ->editColumn('updated_at', function ($class) {
            return date('Y-m-d', strtotime($class->updated_at));
        })
        ->editColumn('actions', function ($class) {
            return view('student_classes.action', ['class' => $class]);
        })
        ->rawColumns(['actions','std_status','remove_action'])->make(true);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {
        // dd($request->all());
        $this->validate($request, [
            'child' => 'required',
            'lesson' => 'required',
            'class' => 'required'
        ]);
        $class = new StudentClass();
        $class->student_id = $request->child;
        $class->class_id = $request->class;
        $class->save();

        $admin = DB::table('users')
                ->select('users.email')
                ->leftJoin('model_has_roles','users.id','=','model_has_roles.model_id')
                ->leftJoin('roles','roles.id','=','model_has_roles.role_id')
                ->where('roles.id',6)
                ->first();


        $student = Account::find($request->child);
        $className = ScheduleClass::find($request->class);
        $title = "Student Join Class";
        $msg = $student->first_name .' Student join '.$className->name .' Class';

        Mail::to([$admin->email])->send(new StudentClassJoin($title, $msg));

        if($request->from_child != 0){
            return redirect()->route('parent.student_dashboard')->with('message', 'Class Enrolled successfully');
        }else{
            return redirect()->route('student_class.index')->with('message', 'Class Enrolled successfully');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Request $request,$id)
    {
        $class = StudentClass::find($id);

        $class_centre  = ClasstuitionCentrelink::where('class_id',$class->class_id)->first();
        $centre = TuitionCentre::where('id',$class_centre->tuition_centre_id)->first();

        $class_tutors  = Classtutorlink::where('class_id',$class->class_id)->first();
        $array = Account::where('id',$class_tutors->tutor_id)->first();

        $array ? $array->first_name.' '.$array->last_name : '';
        $centre ? $centre->name : '';

        $schedule_class = ScheduleClass::find($class->class_id);
        $value = Account::where('user_id',auth()->user()->id)->first();
        return view('students.show_enrollclass_details',compact('class','array','centre','schedule_class'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $parent = Account::where('user_id',auth()->user()->id)->first();
        $students = Account::where('parent_id',$parent->id)->get();
        $student_class = StudentClass::find($id);
        $classes = ScheduleClass::all();
        return view('student_classes.edit',compact('classes','students','student_class'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'child' => 'required',
            'lesson' => 'required',
            'class' => 'required'
        ]);
        $class = StudentClass::find($id);
        $class->student_id = $request->child;
        $class->class_id = $request->class;
        $class->save();
        return redirect()->route('student_class.index')->with('message', 'Class Enrollment Updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(StudentClass $student_class)
    {
        $student_class->delete() ;
        return redirect()->route('student_class.index')->with('message', 'Class Enrollment Deleted successfully');
    }

    public function delete_student(Request $request,$id)
    {
        // dd($id);
        $student_class = StudentClass::where('student_id',$request->id)->first()->delete();
        return redirect()->back()->with('message', 'Student Removed successfully');
    }

    public function StudentClassAttendance(Request $request, $id, $student)
    {
        // dd($student);
        $class_detail = ScheduleClass::find($id);
        $tutor_id = Classtutorlink::where('class_id', $class_detail->id)->first();
        $tutor = '';
        if ($tutor_id) {
            $tutor = Account::find($tutor_id->tutor_id);
        }
        $mode = '';
        if($class_detail->type_id == 1){
            $mode = 'Online group classes';
        }elseif($class_detail->type_id == 2){
            $mode = 'One - One Online Classes';
        }elseif($class_detail->type_id == 3){
            $mode = 'Offline group classes';
        }elseif($class_detail->type_id == 4){
            $mode = 'One - One in person classes';
        }

        $attendanceDate = [];
        if ($class_detail->is_special == 0) {
            for ($i=0; $i < $class_detail->no_lesson ; $i++) {
                $day = date('D', strtotime($class_detail->class_date));
                if ($i == 0) {
                    $attendanceDate[] = $class_detail->class_date;
                }else{
                    $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
                // dd(date('Y-m-d', strtotime($class_detail->class_date. ' + 7 days')));
            }
        }

        if ($class_detail->is_special == 1) {
            $specialclass_dates = SpecialClassSchedule::where('class_id', $id)->get();
            foreach ($specialclass_dates as $key => $value) {
                $attendanceDate[] = $value->class_date;
            }
        }

        $student_detail = Account::find($student);
        // dd($attendanceDate);

        $attendances = StudentAttendance::where('class_id', $class_detail->id)->where('student_id', $student)->first();

        return view('student_classes.class_attendance', compact('class_detail', 'tutor', 'mode','attendances', 'attendanceDate', 'student', 'student_detail'));
    }

    public function StudentClassDetail(Request $request, $id)
    {
        // dd($id);
        $class = ScheduleClass::find($id);
        $class_tuition_centre = ClasstuitionCentrelink::where('class_id',$id)->first();
        $tuition_centres = '';
        if ($class_tuition_centre) {
            $tuition_centres = TuitionCentre::where('id',$class_tuition_centre->tuition_centre_id)->first();
        }

        $class_tutors  = Classtutorlink::where('class_id',$class->id)->first();
        $tutors = '';
        if ($class_tutors) {
            $tutors = Account::where('id',$class_tutors->tutor_id)->first();
        }

        return view('student_classes.student_class_detail', compact('class','tuition_centres','tutors'));
    }
}
