<?php

namespace App\Http\Controllers;

use App\Exports\StudentExport;
use App\Mail\StudentClassJoin;
use App\Models\Account;
use App\Models\Student;
use App\Models\StudentClass;
use App\Models\ClasstuitionCentrelink;
use App\Models\Classtutorlink;
use App\Models\Lessons;
use App\Models\Levels;
use App\Models\ScheduleClass;
use App\Models\TuitionCentre;
use DataTables;
use DB;
use File;
use Auth;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Role;
use App\Models\User;
use Illuminate\Http\Request;
use App\Mail\StudentMail;
use App\Mail\TuitionCenter;
use Illuminate\Support\Facades\Mail;
use App\Models\StudentAttendance;
use App\Models\SpecialClassSchedule;
use App\Mail\AdminNotificationForTutorCreation;
use Notification;
use App\Notifications\StudentJoinClass;
use Maatwebsite\Excel\Facades\Excel;

class StudentController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('permission:view-student')->only('index');
        $this->middleware('permission:create-student')->only('create','store');
        $this->middleware('permission:edit-student')->only('edit', 'update');
        $this->middleware('permission:delete-student')->only('destroy');
        $this->middleware('permission:view-enroll-classes')->only('EnrollClassIndex');
        $this->middleware('permission:show-details-student')->only('show');
        $this->middleware('permission:student-view-attendance')->only('ViewClassAttendance');
        $this->middleware('permission:student-my-class')->only('myClasses');
    }

    public function student_index(){
      $admin = Auth::user();
        if($admin->roles->first()->name == 'student'){
            $value = Account::where('user_id',auth()->user()->id)->first();
            return view('students.index',compact('value'));
        }else{
            $classes = ScheduleClass::all();
            return view('students.admin_index', compact('classes'));
        }
    }

    public function index()
    {
        $admin = Auth::user();
        if($admin->roles->first()->name == 'student'){
            $value = Account::where('user_id',auth()->user()->id)->first();
            return view('students.index',compact('value'));
        }else{
            $classes = ScheduleClass::all();
            return view('students.admin_index', compact('classes'));
        }
    }

    public function data(Request $request)
    {
        $parent = Auth::user();
        $class_ids = [];
        if($parent->roles->first()->name == 'parent'){
            $parent_id = Account::where('user_id',$parent->id)->first();
            $std = Account::where('parent_id', $parent_id->id)->pluck('user_id')->toArray();
            $user = User::whereIn('id',$std);
            if($request->type == 'parent' && $request->id != ''){
                $std = Account::where('parent_id', $request->id)->pluck('user_id')->toArray();
                $user = User::role('student')->whereIn('id',$std);
            }
        }elseif(auth()->user()->roles->first()->name == 'tutor'){
            if($request->class_id){
                $student = StudentClass::where('class_id',$request->class_id)->pluck('student_id')->toArray();
                $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                $user = User::role('student')->whereIn('id',$std);
            }else{
                $tutor_id = Account::where('user_id',$parent->id)->first();
                $class_ids = Classtutorlink::where('tutor_id',$tutor_id->id)->pluck('class_id')->toArray();
                $student = StudentClass::whereIn('class_id',$class_ids)->pluck('student_id')->toArray();
                $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                $user = User::role('student')->whereIn('id',$std);
            }

        }elseif(auth()->user()->roles->first()->name == 'tuition center'){
            if($request->class_id){
                $student = StudentClass::where('class_id',$request->class_id)->pluck('student_id')->toArray();
                $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                $user = User::role('student')->whereIn('id',$std);
            }else{
                $tutor_id = TuitionCentre::where('user_id',$parent->id)->first();
                $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$tutor_id->id)->pluck('class_id')->toArray();
                $student = StudentClass::whereIn('class_id',$class_ids)->pluck('student_id')->toArray();
                $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                $user = User::role('student')->whereIn('id',$std);
            }
        }else{
            if(($request->type == 'parent' && $request->id != '') || $request->class_id != ''){
                // $account = Account::find($request->id);
                // $role = User::find($account->user_id);
                if($request->role == 'parent'){
                    $std = Account::where('parent_id', $request->id)->pluck('user_id')->toArray();
                    $user = User::role('student')->whereIn('id',$std);
                }elseif($request->role == 'tutor'){
                    if($request->class_id){
                        $student = StudentClass::where('class_id',$request->class_id)->pluck('student_id')->toArray();
                        $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                        $user = User::role('student')->whereIn('id',$std);
                    }else{
                        $class_ids = Classtutorlink::where('tutor_id',$request->id)->pluck('class_id')->toArray();
                        $student = StudentClass::whereIn('class_id',$class_ids)->pluck('student_id')->toArray();
                        $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                        $user = User::role('student')->whereIn('id',$std);
                    }
                }elseif($request->role == 'tuition center'){
                    if($request->class_id){
                        $student = StudentClass::where('class_id',$request->class_id)->pluck('student_id')->toArray();
                        $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                        $user = User::role('student')->whereIn('id',$std);
                    }else{
                        $class_ids = ClasstuitionCentrelink::where('tuition_centre_id',$request->id)->pluck('class_id')->toArray();
                        $student = StudentClass::whereIn('class_id',$class_ids)->pluck('student_id')->toArray();
                        $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                        $user = User::role('student')->whereIn('id',$std);
                    }
                }elseif($request->role == 'super_admin'){
                    if($request->class_id){
                        $student = StudentClass::where('class_id',$request->class_id)->pluck('student_id')->toArray();
                        $std = Account::whereIn('id', $student)->pluck('user_id')->toArray();
                        $user = User::role('student')->whereIn('id',$std);
                    }else{
                        $user = User::role('student');
                    }
                }
            }else{
                $user = User::role('student');
            }

            if($request->class != ''){
                $class_student = StudentClass::where('class_id', $request->class)->pluck('student_id')->toArray();
                $active_acc = Account::whereIn('id', $class_student)->pluck('user_id')->toArray();
                $user->whereIn('id', $active_acc);
            }

            if($request->status != ''){
                $active_acc = Account::where('status', $request->status)->pluck('user_id')->toArray();
                $user->whereIn('id', $active_acc);
            }

            $user = $user->orderBy('updated_at','desc')->get();
        }



        return DataTables::of($user)
        ->addIndexColumn()
        ->editColumn('name', function ($student) {
            $acc = Account::where('user_id',$student->id)->first();
            return $acc->first_name.' '.$acc->last_name;
        })
        ->addColumn('status', function ($student) use($request){
            if($request->class_id){
                $acc = Account::where('user_id',$student->id)->first();
                $class = StudentClass::where('class_id',$request->class_id)->where('student_id',$acc->id)->first();
                $status = $class->student_status == 0 ? '<span style="color:#ce7906;" > Enquired </span>' : '<span style="color:#26ab38;" > Enrolled </span>';
                return $status;
            }else{
                return '';
            }
        })
        ->editColumn('contact_number', function ($student) {
            $account = Account::where('user_id',$student->id)->first();
            return $account->contact_number;
        })
        ->editColumn('created_at', function ($student) {
            return date('d-m-Y', strtotime($student->created_at));
        })
        ->addColumn('updated_at', function ($student) {
            return date('Y-m-d', strtotime($student->updated_at));
        })
        ->editColumn('user_status', function ($student) {
            $account = Account::where('user_id',$student->id)->first();
            if($account->status == 'inactive'){
                return '<a class="btn btn-warning" onclick="return confirm(\'Are you sure want to Active ?\');" style="border:none;color:#ce7906;background:#ed921847;" href="'.route('account.changestatus',['id' => $student->id,'value' => 1,'user'=>'Student']).'">Inactive</a>';
            }else{
                return '<a class="btn btn-success" onclick="return confirm(\'Are you sure want to Inactive ?\');" style="border:none;color:#26ab38;background:#26ab3863;" href="'.route('account.changestatus',['id' => $student->id,'value' => 0,'user'=>'Student']).'">Active</a>';
            }
        })
        ->addColumn('parent_name', function ($student) {
            $account = Account::where('user_id',$student->id)->first();
            if($account != ''){
                $parent = Account::where('id',$account->parent_id)->first();
                return $parent ? $parent->first_name.' '.$parent->last_name  : '';
            }else{
                return '';
            }
        })
        ->addColumn('class', function ($student) use ($class_ids,$request) {
            $array = [];
            if($request->role == 'tutor' || $request->role == 'tuition center' || auth()->user()->roles->first()->name == 'tutor' || auth()->user()->roles->first()->name == 'tuition center'){
                $acc = Account::where('user_id',$student->id)->first();
                $classes = StudentClass::where('student_id',$acc->id)->get();
                foreach($classes as $class){
                    if(in_array($class->class_id,$class_ids)){
                     if(auth()->user()->roles->first()->name == 'tutor'){
                        $status = '';
                    }else{
                        $status = $class->student_status == 0 ? '<span style="color:#ce7906;" > (Enquired) </span>' : '<span style="color:#26ab38;" > (Enrolled)</span>';
                    }
                    $class = ScheduleClass::find($class->class_id);
                     array_push($array,$class ? $class->name.' ('.date('d-m-Y', strtotime($class->class_date)).' To '.date('d-m-Y', strtotime($class->endRecurring_date)).')'.' ('.date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)).')'.$status : '');
                    }
                }
            }else{
                $acc = Account::where('user_id',$student->id)->first();
                $classes = StudentClass::where('student_id',$acc->id)->get();
                foreach($classes as $class){
                    if(auth()->user()->roles->first()->name == 'tutor'){
                        $status = '';
                    }else{
                        $status = $class->student_status == 0 ? '<span style="color:#ce7906;" > (Enquired) </span>' : '<span style="color:#26ab38;" > (Enrolled)</span>';
                    }
                    $class = ScheduleClass::find($class->class_id);
                     array_push($array,$class ? $class->name.' ('.date('d-m-Y', strtotime($class->class_date)).' To '.date('d-m-Y', strtotime($class->endRecurring_date)).')'.' ('.date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)).')'.$status : '');
                }
            }
            if($array){
                return implode(',',$array);
            }else{
                return '<center>-</center>';
            }
        })
        ->editColumn('email', function ($student) {
            return $student->email;
        })
        ->addColumn('remove_action', function ($student) {
            $account = Account::where('user_id',$student->id)->first();
            return '<a class="opcm-del btn btn-sm" onclick="return confirm(\'Are you sure want to remove student from this class?\');" href="'.route('student_class.delete_student', $account->id).'"><i class="text-danger fas fa-trash" Title="Delete"></i></a>';
        })
        ->addColumn('actions', function ($student) {
            $account = Account::where('user_id',$student->id)->first();
            $classes = StudentClass::where('student_id',$account->id)->pluck('class_id')->toArray();
            $lesson = ScheduleClass::whereNotIn('id',$classes)->pluck('lesson_id')->toArray();
            $class = Lessons::whereIn('id',$lesson)->get()->count();
            return view('students.action', ['student' => $student,'class' => $class]);
        })
        ->escapeColumns('ratings')
        ->rawColumns(['actions','class','status','user_status','remove_action'])->make(true);
    }

    public function changestatus(Request $request,$id){
        $store = StudentClass::find($id);
        $store->student_status = $request->value;
        $store->save();

        $class_detail = ScheduleClass::find($request->class_id);

        $status = '';
        $chng_status = '';
        if ($request->value == 0) {
            $status = 'Enquired';
            $chng_status = 'Enrolled';
        }else{
            $status = 'Enrolled';
            $chng_status = 'Enquired';
        }

        $email = [];
        $student = Account::where('id', $store->student_id)->first();
        if ($student) {
            $email[] = $student->email;
            $studetUser = User::find($student->user_id);

            $msg = $student->first_name.' Status Change '.$chng_status. ' To '. $status .' For '. $class_detail->name;
            $type = 1;
            $title = 'Student enrollment status';
            $studetUser->notify(new StudentJoinClass($msg, $title, $type));
            // Notification::send($studetUser, new StudentJoinClass($msg, $title, $type));
        }

        $parent = Account::where('id', $student->parent_id)->first();
        if ($parent) {
            $email[] = $parent->email;
            $parentUser = User::find($parent->user_id);

            $msg = $student->first_name.' Status Change '.$chng_status. ' To '. $status .' For '. $class_detail->name;
            $type = 1;
            $title = 'Student enrollment status';
            $parentUser->notify(new StudentJoinClass($msg, $title, $type));
            // Notification::send($parentUser, new StudentJoinClass($msg, $title, $type));

        }
        // dd($email);

        $title = "Student enrollment status";
        $msg = $student->first_name.' Status Change '.$chng_status. ' To '. $status .' For '. $class_detail->name;
        Mail::to($email)->send(new StudentMail($title, $msg));

        return redirect()->back()->with('message', 'Status Updated successfully');
    }
    public function create()
    {
        $edit = 0;
        $user = User::role('parent')->pluck('id')->toArray();
        $parents = Account::whereIn('user_id', $user)->get();
        $parent = Auth::user();
        if($parent->roles->first()->name == 'parent'){
            $account = Account::where('user_id', $parent->id)->first();
            $logged_parent_id = $account->id;
        }else{
            $logged_parent_id = '';
        }
        $contact_number = 65;
        return view('students.create',compact('edit','parents','logged_parent_id','contact_number'));
    }

    public function lessonManagementIndex()
    {
        return view('students.lesson_management');
    }

    public function store(Request $request)
    {
        // dd($request);
        $this->validate($request, [
            // 'profile_picture' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048',
            'first_name' => 'required|min:3|max:50',
            'last_name' => 'required',
            'gender' => 'required',
            'parent' => 'required',
            'street_name' => 'required',
            'state' => 'required',
            'city' => 'required',
            'zip_code' => 'required',
            'email' => 'required|email|unique:users,email',
            'contact_number' => 'required',
            'password' => 'required|required_with:password_confirmation|same:password_confirmation',
            // 'password_confirmation' => 'min:6',
        ]);

        $user = User::create([
            'name' => $request->first_name." ".$request->last_name,
            'email' => $request->email,
            'password' => Hash::make($request->password)
        ]);
        // $user->assignRole($request->role_id);
        $user->assignRole('student');

        $updated_logo_name = "";
        if ($request->profile_picture != '') {
            $image = $request->profile_picture_url;  // your base64 encoded
            $image = str_replace('data:image/png;base64,', '', $image);
            $image = str_replace(' ', '+', $image);
            $imageName = $request->profile_picture;

            $path = public_path() . '/profile_pictures/';
            File::exists($path) or File::makeDirectory($path, 0777, true);
            File::put(public_path() . '/profile_pictures/' . $imageName, base64_decode($image));

            $updated_logo_name = $imageName;
        }

        // $updated_logo_name = "";
        // if ($logo = $request->file('profile_picture')) {
        //     $logo_name = $request->first_name.$request->file('profile_picture')->getClientOriginalName();
        //     $target_path = public_path('/profile_pictures/');

        //     if ($logo->move($target_path, $logo_name)) {
        //         $updated_logo_name = $logo_name;
        //     }
        // }

        $student_details = array(
            'user_id' => $user->id,
            'profile_picture' => $updated_logo_name,
            'first_name' => $request->first_name,
            'parent_id' => $request->parent,
            'last_name' => $request->last_name,
            'gender' => $request->gender,
            'street_name' => $request->street_name,
            'state' => $request->state,
            'city' => $request->city,
            'zip_code' => $request->zip_code,
            'email' => $request->email,
            'contact_number' => $request->countryCode.$request->contact_number,
            'remarks' => $request->remarks,
            'status' => $request->status
        );
        DB::table('accounts')->insert($student_details);

        $title = "Create Student";
        $msg = $request->first_name.' Student created';

        Mail::to($request->email)->send(new StudentMail($title, $msg));

        if(auth()->user()->roles->first()->name == 'parent'){
            return redirect()->route('parent.student_dashboard')->with('message', 'Student Created successfully');
        }else{
            return redirect()->route('student.index')->with('message', 'Student created successfully');
        }

    }

    public function storeChildAccount(Request $request)
    {
        // dd($request->all());
        if($request->enroll_class){
                $class = new StudentClass();
                $class->student_id = $request->child_id;
                $class->class_id = $request->class;
                $class->save();

            $email = [];
            $std_details = Account::find($request->child_id);
            $className = ScheduleClass::find($request->class);
            $center_provide = ClasstuitionCentrelink::where('class_id', $className->id)->first();
            if ($center_provide) {
                $center = TuitionCentre::find($center_provide->tuition_centre_id);
                if($center){
                    $email[] = $center->email;
                    $centerUser = User::find($center->user_id);
                    $msg = $std_details->first_name.' Student join '.$className->name .' Class';
                    $type = 1;
                    $title = 'Student Class Join';
                    $centerUser->notify(new StudentJoinClass($msg, $title, $type));
                }
            }
            $tutor_provide = Classtutorlink::where('class_id', $className->id)->first();
            if ($tutor_provide) {
                $tutor = Account::find($tutor_provide->tutor_id);
                if($tutor){
                    $email[] = $tutor->email;
                    $tutorUser = User::find($tutor->user_id);
                    $msg = $std_details->first_name.' Student join '.$className->name .' Class';
                    $type = 1;
                    $title = 'Student Class Join';
                    $tutorUser->notify(new StudentJoinClass($msg, $title, $type));
                }
            }



            $title = "Student Join Class";
            $msg = $std_details->first_name .' Student join '.$className->name .' Class';
            Mail::to($email)->send(new StudentClassJoin($title, $msg));

            if($request->enroll_class == '1'){
                return redirect()->route('student_class.index')->with('message','Child Enrolled Successfully');
            }else{
                return redirect()->route('student.my_classes')->with('message','Child Enrolled Successfully');
            }
        }else{
            $this->validate($request, [
                'first_name_child' => 'required|min:3|max:50',
                'email' => 'required|email|unique:users,email',
                'password_child' => 'required|required_with:password_confirmation_child|same:password_confirmation_child',
            ]);

            $parent_details = Account::where('user_id',auth()->user()->id)->first();

            $std = User::create([
                'name' => $request->first_name_child,
                'email' => $request->email,
                'password' => Hash::make($request->password_child)
            ]);
            $std->assignRole('student');

            $std_details = array(
                'user_id' => $std->id,
                'parent_id' => $parent_details->id,
                'first_name' => $request->first_name_child,
                'email' => $request->email,
            );
            DB::table('accounts')->insert($std_details);

            $admin = DB::table('users')
            ->select('users.email')
            ->leftJoin('model_has_roles','users.id','=','model_has_roles.model_id')
            ->leftJoin('roles','roles.id','=','model_has_roles.role_id')
            ->where('roles.id',6)
            ->first();
            if($request->class){
                $parent_details = Account::where('user_id',$parent_details->user_id)->first();
                $std_details = Account::where('user_id',$std->id)->first();
                $className = ScheduleClass::find($request->class);
                $class = new StudentClass();
                $class->student_id = $std_details->id;
                $class->class_id = $request->class;
                $class->save();

                $center_provide = ClasstuitionCentrelink::where('class_id', $className->id)->first();
                if ($center_provide) {
                    $center = TuitionCentre::find($center_provide->tuition_centre_id);
                    if($center){
                        $email[] = $center->email;
                        $centerUser = User::find($center->user_id);
                        $msg = $std_details->first_name.' Student join '.$className->name .' Class';
                        $type = 1;
                        $title = 'Student Class Join';
                        $centerUser->notify(new StudentJoinClass($msg, $title, $type));
                    }
                }
                $tutor_provide = Classtutorlink::where('class_id', $className->id)->first();
                if ($tutor_provide) {
                    $tutor = Account::find($tutor_provide->tutor_id);
                    if($tutor){
                        $email[] = $tutor->email;
                        $tutorUser = User::find($tutor->user_id);
                        $msg = $std_details->first_name.' Student join '.$className->name .' Class';
                        $type = 1;
                        $title = 'Student Class Join';
                        $tutorUser->notify(new StudentJoinClass($msg, $title, $type));
                    }
                }

                $title = "Student Join Class";
                $msg = $std_details->first_name .' Student join '.$className->name .' Class';
                Mail::to([$admin->email, $parent_details->email])->send(new StudentClassJoin($title, $msg));
            }

            $std_details = Account::where('user_id',$std->id)->first();
            if($request->from_classes){
                return redirect()->route('student_class.index')->with('message','Child Enrolled Successfully');
            }else{
                return redirect()->route('parent.student_dashboard')->with('message','Child Added Successfully');
            }
        }
    }

    public function updateChildAccount(Request $request)
    {
        // dd($request->all());
        $this->validate($request, [
            'first_name_child_edit' => 'required|min:3|max:50',
            'email_edit' => 'required',
        ]);

        $parent_details = Account::where('user_id',auth()->user()->id)->first();
        $student = Account::find($request->user_id);

        $std = User::find($student->user_id);
        $std->name = $request->first_name_child_edit.' '.$request->last_name_child_edit;
        $std->email = $request->email_edit;
        $std->save();

        $std_details = array(
            'user_id' => $std->id,
            'parent_id' => $parent_details->id,
            'first_name' => $request->first_name_child_edit,
            'last_name' => $request->last_name_child_edit,
            'email' => $request->email_edit,
            'street_name' => $request->street_edit,
            'state' => $request->state_edit,
            'city' => $request->city_edit,
            'gender' => $request->gender_edit,
            'contact_number' => $request->countryCode.$request->contact_edit
        );
        DB::table('accounts')->where('user_id',$std->id)->update($std_details);

        return redirect()->route('parent.student_dashboard')->with('message','Child Updated Successfully');
    }

    public function editChildAccount(Request $request)
    {
        $account = Account::where('user_id',$request->id)->first();
        return [
            'account' => $account
        ];
    }

    public function myClasses(Request $request){
            $student = Account::where('user_id', auth()->user()->id)->first();
            $student_class = StudentClass::where('student_id', $student->id)->get();
            $completed_class1 = ScheduleClass::where('endRecurring_date','=',date('Y-m-d'))->where('end_time','<',date('H:i:s'))->pluck('id')->toArray();
            $completed_class2 = ScheduleClass::where('endRecurring_date','<',date('Y-m-d'))->pluck('id')->toArray();
            $completed = array_merge($completed_class1,$completed_class2);

            $all_classes = [];
            $student_class_id = [];
            foreach($student_class as $value){
                $row_array = ScheduleClass::where('id', $value->class_id)->first();
                if(in_array($value->class_id,$completed)){
                    if($value->student_status == 1){
                        $row_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                        $row_array['student_id'] = $value->student_id;
                        $all_classes[] = $row_array;
                        array_push($student_class_id,$value->class_id);
                    }
                }
            }

            //in progress class detail
            $inprogress_class1 = ScheduleClass::where('class_date','=',date('Y-m-d'))->where('start_time','<=',date('H:i:s'))->pluck('id')->toArray();
            $inprogress_class2 = ScheduleClass::where('class_date','<',date('Y-m-d'))->where('endRecurring_date','>',date('Y-m-d'))->pluck('id')->toArray();

            $inprogress = array_merge($inprogress_class1,$inprogress_class2);


            foreach($student_class as $value){
                $row_array = ScheduleClass::where('id', $value->class_id)->first();
                if(in_array($value->class_id,$inprogress)){
                        $row_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                        $row_array['student_id'] = $value->student_id;
                        $all_classes[] = $row_array;
                        array_push($student_class_id,$value->class_id);
                }
            }

            $upcoming_class1 = ScheduleClass::where('class_date','=',date('Y-m-d'))->where('start_time','>=',date('H:i:s'))->pluck('id')->toArray();
            $upcoming_class2 = ScheduleClass::where('class_date','>',date('Y-m-d'))->pluck('id')->toArray();
            $upcoming = array_merge($upcoming_class1,$upcoming_class2);

            foreach($student_class as $value){
                $row_array = ScheduleClass::where('id', $value->class_id)->first();
                if(in_array($value->class_id,$upcoming)){
                        $row_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                        $row_array['student_id'] = $value->student_id;
                        $all_classes[] = $row_array;
                        array_push($student_class_id,$value->class_id);
                }
            }
            // $upcoming_classes = ScheduleClass::whereIn('id', $upcoming)->whereIn('id',$student_class_id)->get();



            $upcoming_classes = [];
            $completed_classes = [];
            $inprogress_classes = [];
            foreach($student_class as $value)
            {
                //upcoming
                $upcoming_array = ScheduleClass::whereIn('id', $upcoming)->where('id', $value->class_id)->first();
                if($upcoming_array != '')
                {
                    $upcoming_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                    $upcoming_array['student_id'] = $value->student_id;
                    $upcoming_classes[] = $upcoming_array;
                }

                //completed
                $completed_array = ScheduleClass::whereIn('id', $completed)->where('id', $value->class_id)->first();
                if($completed_array != '' && $value->student_status == 1)
                {
                    $completed_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                    $completed_array['student_id'] = $value->student_id;
                    $completed_classes[] = $completed_array;
                }

                //In progress
                $inprogress_array = ScheduleClass::whereIn('id', $inprogress)->where('id', $value->class_id)->first();
                if($inprogress_array != '')
                {
                    $inprogress_array['student_status'] = $value->student_status == 0 ? 'Enquired' : 'Enrolled';
                    $inprogress_array['student_id'] = $value->student_id;
                    $inprogress_classes[] = $inprogress_array;
                }
            }
            if($request->class_id){
                $class = $request->class_id;
            }else{
                $class = '';
            }
        return view('students.student_myClass',compact('class','all_classes','upcoming_classes','completed_classes','upcoming','completed','student_class_id','inprogress','inprogress_classes'));
    }

    public function edit(Request $request,$id)
    {
        $admin = User::find($id);
        $admin_details = DB::table('accounts')->where('user_id',$id)->first();
        $roles = Role::all();
        $edit = 1;
        $user = User::role('parent')->pluck('id')->toArray();
        $parents = Account::whereIn('user_id', $user)->get();
        $parent = Auth::user();
        $contact_number = substr($admin_details->contact_number, 0, -10) == '' ? 65 : substr($admin_details->contact_number, 0, -10);
        if($parent->roles->first()->name == 'parent'){
            $account = Account::where('user_id', $parent->id)->first();
            $logged_parent_id = $account->id;
        }else{
            $logged_parent_id = '';
        }
        if($request->from_profile){
            $previous = route('student.show',$id);
            $from_profile = 1;
            return view('students.edit_student', compact('roles', 'admin','admin_details','edit','previous','from_profile','contact_number'));
        }else{
            $previous = route('student.index');
            $from_profile = 0;
            return view('students.edit', compact('roles','contact_number','parents', 'admin','admin_details','edit','logged_parent_id','previous','from_profile'));
        }
    }

    public function update(Request $request,$id)
    {
        // dd($request,$id);
        $sup = DB::table('accounts')->where('user_id',$id)->first();
        $sup_id = $sup ? $sup->id : '';
        $this->validate($request, [
            'first_name' => 'required|min:3|max:50',
            'last_name' => 'required',
            'gender' => 'required',
            'parent' => 'required',
            'street_name' => 'required',
            'state' => 'required',
            'city' => 'required',
            // 'zip_code' => 'required',
            'email' => 'required|email|unique:users,email,'.$id,
            'contact_number' => 'required',
        ]);

        $user = User::find($id);
        // $user->syncRoles($request->role_id);

        $updated_logo_name = "";
        if ($request->profile_picture != '') {
            $image = $request->profile_picture_url;  // your base64 encoded
            $image = str_replace('data:image/png;base64,', '', $image);
            $image = str_replace(' ', '+', $image);
            $imageName = $request->profile_picture;

            $path = public_path() . '/profile_pictures/';
            File::exists($path) or File::makeDirectory($path, 0777, true);
            File::put(public_path() . '/profile_pictures/' . $imageName, base64_decode($image));

            $updated_logo_name = $imageName;
        }

        // $updated_logo_name = "";
        // if ($logo = $request->file('profile_picture')) {
        //     $logo_name = $request->first_name.$request->file('profile_picture')->getClientOriginalName();
        //     $target_path = public_path('/profile_pictures/');

        //     if ($logo->move($target_path, $logo_name)) {
        //         $updated_logo_name = $logo_name;
        //     }
        // }

        if($request->password != ""){
            if($request->password != $request->password_confirmation){
                return redirect()->back()->withErrors(["Confirm Password didn't match"])->withInput();
            } else {
                $user = User::where('id', $id)->update([
                    'name' => $request->first_name." ".$request->last_name,
                    'email' => $request->email,
                    'password' => Hash::make($request->password)
                ]);
            }
        } else {
            $user = User::where('id', $id)->update([
                'name' => $request->first_name." ".$request->last_name,
                    'email' => $request->email,
            ]);
        }
        $find_admin = DB::table('accounts')->where('user_id',$id)->first();
        if($find_admin != ''){
        if($updated_logo_name){
            $student_details = array(
                'profile_picture' => $updated_logo_name,
                'first_name' => $request->first_name,
                'last_name' => $request->last_name,
                'gender' => $request->gender,
                'parent_id' => $request->parent,
                'street_name' => $request->street_name,
                'state' => $request->state,
                'city' => $request->city,
                'zip_code' => $request->zip_code,
                'email' => $request->email,
                'contact_number' => $request->countryCode.$request->contact_number,
                'remarks' => $request->remarks,
                'status' => $request->status
            );
        } else {
            $student_details = array(
                'first_name' => $request->first_name,
                'last_name' => $request->last_name,
                'gender' => $request->gender,
                'parent_id' => $request->parent,
                'street_name' => $request->street_name,
                'state' => $request->state,
                'city' => $request->city,
                'zip_code' => $request->zip_code,
                'email' => $request->email,
                'contact_number' => $request->countryCode.$request->contact_number,
                'remarks' => $request->remarks,
                'status' => $request->status
            );
        }
        DB::table('accounts')->where('user_id',$id)->update($student_details);

    }else{
        $student_details = array(
            'user_id' => $id,
            'profile_picture' => $updated_logo_name,
            'first_name' => $request->first_name,
            'last_name' => $request->last_name,
            'gender' => $request->gender,
            'parent_id' => $request->parent,
            'street_name' => $request->street_name,
            'state' => $request->state,
            'city' => $request->city,
            'zip_code' => $request->zip_code,
            'email' => $request->email,
            'contact_number' => $request->countryCode.$request->contact_number,
            'remarks' => $request->remarks,
            'status' => $request->status
        );
        DB::table('accounts')->insert($student_details);
    }
    if($request->from_profile == 1){
        return redirect()->route('student.show',$id)->with('message', 'Student updated successfully');
    }else{
        if(auth()->user()->roles->first()->name == 'parent'){
            return redirect()->route('parent.student_dashboard')->with('message', 'Student Updated successfully');
        }else{
            return redirect()->route('student.index')->with('message', 'Student updated successfully');
        }
    }
    }

    public function enroll_student(Request $request){
           return view('students.enroll_student');
    }

    public function destroy(Request $request, $id)
    {
        User::find($id)->delete();
        Account::where('user_id',$id)->delete();
        if(auth()->user()->roles->first()->name == 'parent'){
            return redirect()->route('parent.student_dashboard')->with('message', 'Student deleted successfully');
        }else{
            return redirect()->route('student.index')->with('message', 'Student deleted successfully');
        }
    }

    public function show(Request $request,$id)
    {
        if($request->show){
            $show = $request->show;
        }else{
            $show = '';
        }
        $role = 'student';
        $edit_route = route('student.edit', $id);
        if(auth()->user()->roles->first()->name == 'tutor' || auth()->user()->roles->first()->name == 'tuition center'){
            $previous = route('tutor.student_dashboard');
        }else{
            $previous = route('student.index');
        }
        $value = Account::where('user_id',$id)->first();
        if($show == 1 && auth()->user()->roles->first()->name == 'parent'){
            $previous = route('student_class.index');
        }
        return view('students.show',compact('value','show','role','previous','edit_route'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Student  $student
     * @return \Illuminate\Http\Response
     */

    public function EnrollClassIndex(Request $request)
    {
        return view('students.enrollclass_index');
    }

    public function EnrollClassStudent(Request $request)
    {
        $admin = Auth::user()->id;
        $stud_id = Account::where('user_id', $admin)->first();
        $student_class = StudentClass::where('student_id', $stud_id->id)->get();
        return DataTables::of($student_class)
            ->editColumn('class', function ($student) {
                $class = ScheduleClass::find($student->class_id);
                return $class ? $class->name : '';
            })
            ->addColumn('class_date', function ($student) {
                $class = ScheduleClass::find($student->class_id);
                return $class ? date('d-m-Y', strtotime($class->class_date)) : '';
            })
            ->addColumn('timing', function ($student) {
                $class = ScheduleClass::find($student->class_id);
                return $class ? date('h:i A', strtotime($class->start_time)).' To '. date('h:i A', strtotime($class->end_time)) : '';
            })
            ->editColumn('lesson', function ($student) {
                $class = ScheduleClass::find($student->class_id);
                $lesson = $class ? Lessons::find($class->lesson_id) : '';
                return $lesson ? $lesson->name : '';
            })
            ->editColumn('level', function ($student) {
                $class = ScheduleClass::find($student->class_id);
                $lesson = $class ? Lessons::find($class->lesson_id) : '';
                $level = $lesson ? Levels::find($lesson->level_id) : '';
                return $level ? $level->name : '';
            })
            ->addColumn('actions', function ($student) {
                $student_class = StudentClass::where('id', $student->id)->first();
                return view('student_classes.action', ['class' => $student_class]);
            })
            ->escapeColumns('ratings')
            ->rawColumns(['actions'])->make(true);
    }

    public function ViewClassAttendance(Request $request, $id, $student)
    {
        // dd($student);
        $class_detail = ScheduleClass::find($id);
        $tutor_id = Classtutorlink::where('class_id', $class_detail->id)->first();
        $tutor = '';
        if ($tutor_id) {
            $tutor = Account::find($tutor_id->tutor_id);
        }
        $mode = '';
        if($class_detail->type_id == 1){
            $mode = 'Online group classes';
        }elseif($class_detail->type_id == 2){
            $mode = 'One - One Online Classes';
        }elseif($class_detail->type_id == 3){
            $mode = 'Offline group classes';
        }elseif($class_detail->type_id == 4){
            $mode = 'One - One in person classes';
        }

        $attendances = StudentAttendance::where('class_id', $class_detail->id)->where('student_id', $student)->first();

        $attendanceDate = [];
        if ($class_detail->is_special == 0) {
            for ($i=0; $i < $class_detail->no_lesson ; $i++) {
                $day = date('D', strtotime($class_detail->class_date));
                if ($i == 0) {
                    $attendanceDate[] = $class_detail->class_date;
                }else{
                    $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
                // dd(date('Y-m-d', strtotime($class_detail->class_date. ' + 7 days')));
            }
        }

        if ($class_detail->is_special == 1) {
            $specialclass_dates = SpecialClassSchedule::where('class_id', $id)->get();
            foreach ($specialclass_dates as $key => $value) {
                $attendanceDate[] = $value->class_date;
            }
        }
        // dd($attendanceDate);

        return view('students.view_attendance', compact('class_detail', 'tutor', 'mode','attendances','attendanceDate','student'));
    }

    public function studentCsv(Request $request)
    {
        // dd($request->all());
        $tab = $request->tab;
        $id = $request->id;
        $class = $request->class;
        $status = $request->status;
        $role = $request->user_role;
        $fileName = 'students.csv';
        return Excel::download(new StudentExport($tab, $id, $role, $class, $status), $fileName);
    }

}
