<?php

namespace App\Http\Controllers;

use App\Exports\TutorExport;
use App\Models\Account;
use App\Models\User;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;

class TutorReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware('permission:view-tutor-report')->only('index');
    }
    public function index(Request $request)
    {
        if($request->year){
            $year = $request->year;
        }else{
            $year = date('Y');
        }
        $user = User::role('tutor')->pluck('id')->toArray();
        $tutors = Account::whereIn('user_id', $user)->orderBy('updated_at','desc')->get();
        return view('reports.tutor',compact('tutors','year'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function TutorFilter(Request $request)
    {
        // dd($request->all());
        if($request->year){
            $year = $request->year;
        }else{
            $year = date('Y');
        }
        $user = User::role('tutor')->pluck('id')->toArray();
        $tutors = Account::whereIn('user_id', $user)->orderBy('updated_at','desc')->get();
        return view('reports.tutor',compact('tutors','year'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function tutorCsv(Request $request)
    {
        // dd($request->all());
        if($request->year_csv){
            $year = $request->year_csv;
        }else{
            $year = date('Y');
        }
        $fileName = 'tutor-report.csv';
        return Excel::download(new TutorExport($year), $fileName);
    }
}
