<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ParentContactMail extends Mailable
{
    use Queueable, SerializesModels;

    public $msg;
    public $title;
    public $parent_name;
    public $parent_email;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($title, $msg,$parent_name,$parent_email)
    {
        $this->msg = $msg;
        $this->title = $title;
        $this->parent_name = $parent_name;
        $this->parent_email = $parent_email;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('emails.parent_contact_mail')->with('title' , $this->title)->with('msg', $this->msg)->with('parent_name', $this->parent_name)->with('parent_email', $this->parent_email);
    }
}
