<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class StudentMail extends Mailable
{
    use Queueable, SerializesModels;

    public $msg;
    public $title;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($title, $msg)
    {
        $this->msg = $msg;
        $this->title = $title;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('emails.student_mail')->with('title' , $this->title)->with('msg', $this->msg);
    }
}
