<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTutorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tutors', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('created_by')->nullable();
            $table->integer('tuition_centre_id')->nullable();
            $table->string('first_name', 255);
            $table->string('last_name', 255)->nullable();
            $table->string('email', 255);
            $table->integer('tutor_type_id')->nullable();
            $table->string('nationality', 255)->nullable();
            $table->string('contact_number', 255)->nullable();
            $table->string('username', 255)->nullable();
            $table->string('password', 255)->nullable();
            $table->string('remarks', 255)->nullable();
            $table->string('breif_note', 255)->nullable();
            $table->string('tutor_certificate', 255)->nullable();
            $table->string('sub1', 255)->nullable();
            $table->string('sub2', 255)->nullable();
            $table->string('sub3', 255)->nullable();
            $table->string('sub4', 255)->nullable();
            $table->string('street_name', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->string('work_experience', 255)->nullable();
            $table->string('profile_picture', 255)->nullable();
            $table->string('upload_document', 255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tutors');
    }
}
