<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScheduleClassesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('schedule_classes', function (Blueprint $table) {
            $table->id();
            $table->integer('type_id'); //1: online-grp | 2: on-1-1 | 3: off-grp | 4:off-1-1
            $table->integer('created_by')->nullable();
            $table->string('banner', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->string('day', 255)->nullable();
            $table->string('start_time', 255)->nullable();
            $table->string('end_time', 255)->nullable();
            $table->double('price')->nullable();
            $table->integer('subject_id')->nullable();
            $table->integer('topic_id')->nullable();
            $table->string('live_link')->nullable();
            $table->string('live_id')->nullable();
            $table->string('live_password')->nullable();
            $table->string('lms_link')->nullable();
            $table->string('mas_link')->nullable();
            $table->integer('class_size')->nullable();
            $table->date('class_date')->nullable();
            $table->date('endRecurring_date')->nullable();
            $table->boolean('everyWeekday')->nullable();
            $table->boolean('everyWeek')->nullable();
            $table->boolean('everyMonth')->nullable();
            $table->boolean('is_recurring')->default(0);
            $table->string('description', 255)->nullable();
            $table->string('last_class_day', 255)->nullable();
           

            //----------------offline parameters--------------
            $table->string('street_name', 255)->nullable();
            $table->string('building_no', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->integer('zip_code')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('schedule_classes');
    }
}
