<?php

namespace Database\Seeders;

use App\Models\ClasstuitionCentrelink;
use App\Models\Topic;
use App\Models\Lessons;
use App\Models\Classtutorlink;
use DB;
use App\Models\Subject;
use App\Models\ScheduleClass;
use Illuminate\Database\Seeder;
use App\Models\Levels;
use Carbon\Carbon;
use App\Models\SpecialClassSchedule;

class ClassSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('classtutorlinks')->truncate();
        DB::table('classtuition_centrelinks')->truncate();
        DB::table('schedule_classes')->truncate();
        // DB::table('student_classes')->truncate();

        // add new classes
        $first = Lessons::paginate(10);
        $first_ids = Lessons::paginate(10)->pluck('id')->toArray();
       
        $second = Lessons::whereNotIn('id', $first_ids)->paginate(10);
        $second_ids = Lessons::whereNotIn('id', $first_ids)->paginate(10)->pluck('id')->toArray();

        $merge = array_merge($second_ids, $first_ids);

        $third = Lessons::whereNotIn('id', $merge)->paginate(10);
        $third_ids = Lessons::whereNotIn('id', $merge)->paginate(10)->pluck('id')->toArray();

        $t_merge = array_merge($merge, $third_ids);

        $forth = Lessons::whereNotIn('id', $t_merge)->paginate(12);
        $forth_ids = Lessons::whereNotIn('id', $t_merge)->paginate(12)->pluck('id')->toArray();

        foreach ($first as $key => $value) {
            $level_name = Levels::find($value->level_id);
            $newDate = Carbon::now()->addDays($key);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($key);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($key + 1);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '1';
            $class->name = $level_name->name .' Online Group Class '. $key;
            $class->subject_id = $value->subject_id;
            $class->topic_id = $value->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $value->id;
            $class->level_id = $value->level_id;
            $class->no_lesson = $key + 1;
            $class->save();

            $class_detail = ScheduleClass::find($class->id);
            $attendanceDate = [];
            for ($i=0; $i < $class_detail->no_lesson ; $i++) {
                $day = date('D', strtotime($class_detail->class_date));
                if ($i == 0) {
                    $attendanceDate[] = $class_detail->class_date;
                }else{
                    $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
                // dd(date('Y-m-d', strtotime($class_detail->class_date. ' + 7 days')));
            }
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->endRecurring_date = $attendanceDate[$class_detail->no_lesson - 1];
            $class_date_add->save();

            $centre = new ClasstuitionCentrelink();
            $centre->class_id = $class->id;
            $centre->tuition_centre_id = 1;
            $centre->save();
        }

        foreach ($second as $key => $value) {
            $level_name = Levels::find($value->level_id);
            $newDate = Carbon::now()->addDays($key);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($key);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($key + 1);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '2';
            $class->name = $level_name->name .' Online 1 -1 Class '. $key;
            $class->subject_id = $value->subject_id;
            $class->topic_id = $value->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $value->id;
            $class->level_id = $value->level_id;
            $class->no_lesson = $key + 1;
            $class->save();

            $class_detail = ScheduleClass::find($class->id);
            $attendanceDate = [];
            for ($i=0; $i < $class_detail->no_lesson ; $i++) {
                $day = date('D', strtotime($class_detail->class_date));
                if ($i == 0) {
                    $attendanceDate[] = $class_detail->class_date;
                }else{
                    $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
                // dd(date('Y-m-d', strtotime($class_detail->class_date. ' + 7 days')));
            }
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->endRecurring_date = $attendanceDate[$class_detail->no_lesson - 1];
            $class_date_add->save();

            $centre = new ClasstuitionCentrelink();
            $centre->class_id = $class->id;
            $centre->tuition_centre_id = 1;
            $centre->save();
        }

        foreach ($third as $key => $value) {
            $level_name = Levels::find($value->level_id);
            $newDate = Carbon::now()->addDays($key);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($key);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($key + 1);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '3';
            $class->name = $level_name->name .' Offline Group Class '. $key;
            $class->subject_id = $value->subject_id;
            $class->topic_id = $value->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $value->id;
            $class->level_id = $value->level_id;
            $class->no_lesson = $key + 1;
            $class->save();

            $class_detail = ScheduleClass::find($class->id);
            $attendanceDate = [];
            for ($i=0; $i < $class_detail->no_lesson ; $i++) {
                $day = date('D', strtotime($class_detail->class_date));
                if ($i == 0) {
                    $attendanceDate[] = $class_detail->class_date;
                }else{
                    $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
                // dd(date('Y-m-d', strtotime($class_detail->class_date. ' + 7 days')));
            }
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->endRecurring_date = $attendanceDate[$class_detail->no_lesson - 1];
            $class_date_add->save();

            $tutor1 = new Classtutorlink();
            $tutor1->class_id = $class->id;
            $tutor1->tutor_id = 3;
            $tutor1->save();
        }

        foreach ($forth as $key => $value) {
            $level_name = Levels::find($value->level_id);
            $newDate = Carbon::now()->addDays($key);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($key);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($key + 1);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '4';
            $class->name = $level_name->name .' Offline 1 -1 Class '. $key;
            $class->subject_id = $value->subject_id;
            $class->topic_id = $value->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $value->id;
            $class->level_id = $value->level_id;
            $class->no_lesson = $key + 1;
            $class->save();

            $class_detail = ScheduleClass::find($class->id);
            $attendanceDate = [];
            for ($i=0; $i < $class_detail->no_lesson ; $i++) {
                $day = date('D', strtotime($class_detail->class_date));
                if ($i == 0) {
                    $attendanceDate[] = $class_detail->class_date;
                }else{
                    $attendanceDate[] = date('Y-m-d', strtotime($attendanceDate[$i - 1]. ' + 7 days'));
                }
                // dd(date('Y-m-d', strtotime($class_detail->class_date. ' + 7 days')));
            }
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->endRecurring_date = $attendanceDate[$class_detail->no_lesson - 1];
            $class_date_add->save();

            $tutor1 = new Classtutorlink();
            $tutor1->class_id = $class->id;
            $tutor1->tutor_id = 3;
            $tutor1->save();
        }

        for ($i=0; $i < 2; $i++) { 
            $lesson = Lessons::find($first_ids[$i + 1]);
            $level_name = Levels::find($lesson->level_id);

            $newDate = Carbon::now()->addDays($i + 1);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($i + 1);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($i + 2);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '1';
            $class->name = $level_name->name .' Special Online Group Class '. $key;
            $class->subject_id = $lesson->subject_id;
            $class->topic_id = $lesson->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $lesson->id;
            $class->level_id = $lesson->level_id;
            $class->is_special = 1;
            $class->save();


            for ($j=0; $j < $i + 1; $j++) { 
                $newDate = Carbon::now()->addDays($j + 1);
                $classDate = date('Y-m-d',strtotime($newDate));

                $newStartTime = Carbon::now()->addHours($j + 1);
                $start_time = date('H:i:s',strtotime($newStartTime));

                $newEndTime = Carbon::now()->addHours($j + 2);
                $end_time = date('H:i:s',strtotime($newEndTime));

                $SpecialClassSchedule = new SpecialClassSchedule();
                $SpecialClassSchedule->class_id = $class->id;
                $SpecialClassSchedule->class_date = $classDate;
                $SpecialClassSchedule->start_time = $start_time;
                $SpecialClassSchedule->end_time = $end_time;
                $SpecialClassSchedule->save();
            }

            $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->get()->last();
            $SpecialClassScheduleFirst = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->first();

            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->start_time = date('H:i:s',strtotime($SpecialClassSchedule->start_time));
            $class_date_add->end_time = date('H:i:s',strtotime($SpecialClassSchedule->end_time));
            $class_date_add->class_date = date('Y-m-d',strtotime($SpecialClassScheduleFirst->class_date));
            $class_date_add->endRecurring_date = date('Y-m-d',strtotime($SpecialClassSchedule->class_date));
            $class_date_add->save();
            

            $tutor1 = new Classtutorlink();
            $tutor1->class_id = $class->id;
            $tutor1->tutor_id = 3;
            $tutor1->save();
        }

        for ($i=0; $i < 2; $i++) { 
            $lesson = Lessons::find($second_ids[$i + 1]);
            $level_name = Levels::find($lesson->level_id);

            $newDate = Carbon::now()->addDays($i + 1);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($i + 1);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($i + 2);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '2';
            $class->name = $level_name->name .' Special Online 1 -1 Class '. $key;
            $class->subject_id = $lesson->subject_id;
            $class->topic_id = $lesson->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $lesson->id;
            $class->level_id = $lesson->level_id;
            $class->is_special = 1;
            $class->save();


            for ($j=0; $j < $i + 1; $j++) { 
                $newDate = Carbon::now()->addDays($j + 1);
                $classDate = date('Y-m-d',strtotime($newDate));

                $newStartTime = Carbon::now()->addHours($j + 1);
                $start_time = date('H:i:s',strtotime($newStartTime));

                $newEndTime = Carbon::now()->addHours($j + 2);
                $end_time = date('H:i:s',strtotime($newEndTime));

                $SpecialClassSchedule = new SpecialClassSchedule();
                $SpecialClassSchedule->class_id = $class->id;
                $SpecialClassSchedule->class_date = $classDate;
                $SpecialClassSchedule->start_time = $start_time;
                $SpecialClassSchedule->end_time = $end_time;
                $SpecialClassSchedule->save();
            }
            
            $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->get()->last();
            $SpecialClassScheduleFirst = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->first();
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->start_time = date('H:i:s',strtotime($SpecialClassSchedule->start_time));
            $class_date_add->end_time = date('H:i:s',strtotime($SpecialClassSchedule->end_time));
            $class_date_add->class_date = date('Y-m-d',strtotime($SpecialClassScheduleFirst->class_date));
            $class_date_add->endRecurring_date = date('Y-m-d',strtotime($SpecialClassSchedule->class_date));
            $class_date_add->save();

            $tutor1 = new Classtutorlink();
            $tutor1->class_id = $class->id;
            $tutor1->tutor_id = 3;
            $tutor1->save();
        }

        for ($i=0; $i < 3; $i++) { 
            $lesson = Lessons::find($third_ids[$i + 1]);
            $level_name = Levels::find($lesson->level_id);

            $newDate = Carbon::now()->addDays($i + 1);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($i + 1);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($i + 2);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '3';
            $class->name = $level_name->name .' Special Offline Group Class '. $key;
            $class->subject_id = $lesson->subject_id;
            $class->topic_id = $lesson->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $lesson->id;
            $class->level_id = $lesson->level_id;
            $class->is_special = 1;
            $class->save();


            for ($j=0; $j < $i + 1; $j++) { 
                $newDate = Carbon::now()->addDays($j + 1);
                $classDate = date('Y-m-d',strtotime($newDate));

                $newStartTime = Carbon::now()->addHours($j + 1);
                $start_time = date('H:i:s',strtotime($newStartTime));

                $newEndTime = Carbon::now()->addHours($j + 2);
                $end_time = date('H:i:s',strtotime($newEndTime));

                $SpecialClassSchedule = new SpecialClassSchedule();
                $SpecialClassSchedule->class_id = $class->id;
                $SpecialClassSchedule->class_date = $classDate;
                $SpecialClassSchedule->start_time = $start_time;
                $SpecialClassSchedule->end_time = $end_time;
                $SpecialClassSchedule->save();
            }

            $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->get()->last();
            $SpecialClassScheduleFirst = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->first();
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->start_time = date('H:i:s',strtotime($SpecialClassSchedule->start_time));
            $class_date_add->end_time = date('H:i:s',strtotime($SpecialClassSchedule->end_time));
            $class_date_add->class_date = date('Y-m-d',strtotime($SpecialClassScheduleFirst->class_date));
            $class_date_add->endRecurring_date = date('Y-m-d',strtotime($SpecialClassSchedule->class_date));
            $class_date_add->save();
            

            $centre = new ClasstuitionCentrelink();
            $centre->class_id = $class->id;
            $centre->tuition_centre_id = 1;
            $centre->save();
        }

        for ($i=0; $i < 3; $i++) { 
            $lesson = Lessons::find($forth_ids[$i + 1]);
            $level_name = Levels::find($lesson->level_id);

            $newDate = Carbon::now()->addDays($i + 1);
            $classDate = date('Y-m-d',strtotime($newDate));

            $newStartTime = Carbon::now()->addHours($i + 1);
            $start_time = date('H:i:s',strtotime($newStartTime));

            $newEndTime = Carbon::now()->addHours($i + 2);
            $end_time = date('H:i:s',strtotime($newEndTime));
            

            $class = new ScheduleClass();
            $class->banner = 'banner.jpg';
            $class->type_id = '4';
            $class->name = $level_name->name .' Special Offline 1 -1 Class '. $key;
            $class->subject_id = $lesson->subject_id;
            $class->topic_id = $lesson->topic_id;
            $class->live_link = 'https://www.google.com/';
            $class->live_id = 'https://www.google.com/';
            $class->live_password = '123';
            $class->lms_link = 'https://www.google.com/';
            $class->mas_link = 'https://www.google.com/';
            $class->start_time = $start_time;
            $class->end_time = $end_time;
            $class->class_size = '10';
            $class->description = 'DESCRIPTION OF SAMPLE CLASS';
            $class->price = '50';
            $class->is_recurring = 0;
            $class->everyWeekday = 0;
            $class->everyWeek = 0;
            $class->everyMonth = 0;
            $class->class_date = $classDate;
            $class->created_by = 5;
            $class->lesson_id = $lesson->id;
            $class->level_id = $lesson->level_id;
            $class->is_special = 1;
            $class->save();


            for ($j=0; $j < $i + 1; $j++) { 
                $newDate = Carbon::now()->addDays($j + 1);
                $classDate = date('Y-m-d',strtotime($newDate));

                $newStartTime = Carbon::now()->addHours($j + 1);
                $start_time = date('H:i:s',strtotime($newStartTime));

                $newEndTime = Carbon::now()->addHours($j + 2);
                $end_time = date('H:i:s',strtotime($newEndTime));

                $SpecialClassSchedule = new SpecialClassSchedule();
                $SpecialClassSchedule->class_id = $class->id;
                $SpecialClassSchedule->class_date = $classDate;
                $SpecialClassSchedule->start_time = $start_time;
                $SpecialClassSchedule->end_time = $end_time;
                $SpecialClassSchedule->save();
            }

            $SpecialClassSchedule = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->get()->last();
            $SpecialClassScheduleFirst = SpecialClassSchedule::where('class_id', $class->id)->orderBy('class_date')->first();
            $class_date_add = ScheduleClass::find($class->id);
            $class_date_add->start_time = date('H:i:s',strtotime($SpecialClassSchedule->start_time));
            $class_date_add->end_time = date('H:i:s',strtotime($SpecialClassSchedule->end_time));
            $class_date_add->class_date = date('Y-m-d',strtotime($SpecialClassScheduleFirst->class_date));
            $class_date_add->endRecurring_date = date('Y-m-d',strtotime($SpecialClassSchedule->class_date));
            $class_date_add->save();
            

            $centre = new ClasstuitionCentrelink();
            $centre->class_id = $class->id;
            $centre->tuition_centre_id = 1;
            $centre->save();
        }

        // Online Group's 5 classes---------------------------------------------------------------
        // $centre = new ClasstuitionCentrelink();
        // $centre->class_id = 1;
        // $centre->tuition_centre_id = 1;
        // $centre->save();

        // $centre = new ClasstuitionCentrelink();
        // $centre->class_id = 2;
        // $centre->tuition_centre_id = 1;
        // $centre->save();

        // $centre = new ClasstuitionCentrelink();
        // $centre->class_id = 3;
        // $centre->tuition_centre_id = 1;
        // $centre->save();

        // $class = new ScheduleClass();
        //     $class->banner = 'banner.jpg';
        //     $class->type_id = '1';
        //     $class->name = 'Test online-grp class 1';
        //     $class->subject_id = '1';
        //     $class->topic_id = '1';
        //     $class->live_link = 'https://www.google.com/';
        //     $class->live_id = 'https://www.google.com/';
        //     $class->live_password = '123';
        //     $class->lms_link = 'https://www.google.com/';
        //     $class->mas_link = 'https://www.google.com/';
        //     $class->start_time = '09:00:00';
        //     $class->end_time = '10:00:00';
        //     $class->class_size = '10';
        //     $class->description = 'DESCRIPTION OF SAMPLE CLASS';
        //     $class->price = '50';
        //     $class->is_recurring = 0;
        //     $class->everyWeekday = 0;
        //     $class->everyWeek = 0;
        //     $class->everyMonth = 0;
        //     $class->class_date = date('Y-m-d');
        //     $class->created_by = 2;
        //     $class->lesson_id = 1;
        //     $class->save();

        // $class = new ScheduleClass();
        //     $class->banner = 'banner.jpg';
        //     $class->type_id = '1';
        //     $class->name = 'Test online-grp class 2';
        //     $class->subject_id = '1';
        //     $class->topic_id = '1';
        //     $class->live_link = 'https://www.google.com/';
        //     $class->live_id = 'https://www.google.com/';
        //     $class->live_password = '123';
        //     $class->lms_link = 'https://www.google.com/';
        //     $class->mas_link = 'https://www.google.com/';
        //     $class->start_time = '09:00:00';
        //     $class->end_time = '10:00:00';
        //     $class->class_size = '10';
        //     $class->description = 'DESCRIPTION OF SAMPLE CLASS';
        //     $class->price = '50';
        //     $class->is_recurring = 0;
        //     $class->everyWeekday = 0;
        //     $class->everyWeek = 0;
        //     $class->everyMonth = 0;
        //     $class->class_date = date('Y-m-d');
        //     $class->created_by = 2;
        //     $class->lesson_id = 2;
        //     $class->save();

        // $class = new ScheduleClass();
        //     $class->banner = 'banner.jpg';
        //     $class->type_id = '1';
        //     $class->name = 'Test online-grp class 3';
        //     $class->subject_id = '1';
        //     $class->topic_id = '1';
        //     $class->live_link = 'https://www.google.com/';
        //     $class->live_id = 'https://www.google.com/';
        //     $class->live_password = '123';
        //     $class->lms_link = 'https://www.google.com/';
        //     $class->mas_link = 'https://www.google.com/';
        //     $class->start_time = '09:00:00';
        //     $class->end_time = '10:00:00';
        //     $class->class_size = '10';
        //     $class->description = 'DESCRIPTION OF SAMPLE CLASS';
        //     $class->price = '50';
        //     $class->is_recurring = 0;
        //     $class->everyWeekday = 0;
        //     $class->everyWeek = 0;
        //     $class->everyMonth = 0;
        //     $class->class_date = date('Y-m-d');
        //     $class->created_by = 2;
        //     $class->lesson_id = 3;
        //     $class->save();

        // $class = new ScheduleClass();
        //     $class->banner = 'banner.jpg';
        //     $class->type_id = '1';
        //     $class->name = 'Test online-grp class 4';
        //     $class->subject_id = '1';
        //     $class->topic_id = '1';
        //     $class->live_link = 'https://www.google.com/';
        //     $class->live_id = 'https://www.google.com/';
        //     $class->live_password = '123';
        //     $class->lms_link = 'https://www.google.com/';
        //     $class->mas_link = 'https://www.google.com/';
        //     $class->start_time = '09:00 AM';
        //     $class->end_time = '10:00 AM';
        //     $class->class_size = '10';
        //     $class->description = 'DESCRIPTION OF SAMPLE CLASS';
        //     $class->price = '50';
        //     $class->is_recurring = 0;
        //     $class->everyWeekday = 0;
        //     $class->everyWeek = 0;
        //     $class->everyMonth = 0;
        //     $class->class_date = date('Y-m-d');
        //     $class->created_by = 2;
        //     $class->save();

    }
}
