<?php

namespace Database\Seeders;

use App\Models\User;
use DB;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {

        DB::table('model_has_permissions')->truncate();
        DB::table('model_has_roles')->truncate();
        DB::table('permissions')->truncate();
        DB::table('role_has_permissions')->truncate();
        DB::table('superadmins')->truncate();
        DB::table('tutors')->truncate();
        DB::table('users')->truncate();
        DB::table('tuition_centres')->truncate();
        DB::table('roles')->truncate();
        DB::table('schedule_classes')->truncate();
        DB::table('accounts')->truncate();
        $this->call([
            RolesAndPermissionsSeeder::class,
            TuitionCentreSeeder::class,
            TutorSeeder::class,
            SubjectSeeder::class,
            TopicSeeder::class,
            ClassSeeder::class
        ]);

        $user = User::create([
            'name' => 'Super Admin',
            'email' => 'admin@test.com',
            'password' => Hash::make('test@123'),
        ]);

        $user->assignRole('super_admin');

        $user_admin = array(
            'user_id' => $user->id,
            'first_name' => 'Super Admin',
            'gender' => 'm',
            'email' => 'admin@test.com',
            'contact_number' => '5832789730',
        );
        DB::table('accounts')->insert($user_admin);
    }
}
