<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;
use DB;

class RolesAndPermissionsSeeder extends Seeder
{
    public function run()
    {
        Permission::truncate();
        Role::truncate();
        DB::table('role_has_permissions')->truncate();
        // Reset cached roles and permissions
        app()[\Spatie\Permission\PermissionRegistrar::class]->forgetCachedPermissions();

        // create permissions
        // Permission::create(['name' => 'add-new-centres']);
        // Permission::create(['name' => 'add-new-tutors']);
        // Permission::create(['name' => 'attach-documents-for-tutors']);
        // Permission::create(['name' => 'calender-view']);
        // Permission::create(['name' => 'create-account-for-centres']);
        // Permission::create(['name' => 'create-account']);
        // Permission::create(['name' => 'create-teaching-schedule']);
        // Permission::create(['name' => 'create-unlimited-admin-access-accounts']);
        // Permission::create(['name' => 'create-unlimited-sales-staff-access-accounts']);
        // Permission::create(['name' => 'edit-new-centres']);
        // Permission::create(['name' => 'edit-tutor']);
        // Permission::create(['name' => 'listing-of-the-tutors-in-the-centre']);
        // Permission::create(['name' => 'making-payments']);
        // Permission::create(['name' => 'manage-payment-information']);
        // Permission::create(['name' => 'remove-new-centres']);
        // Permission::create(['name' => 'remove-tutors']);
        // Permission::create(['name' => 'search-for-tutors']);
        // Permission::create(['name' => 'tagging-tutors-to-centre']);
        // Permission::create(['name' => 'view-of-all-past-lessons']);
        // Permission::create(['name' => 'view-of-all-purchased-lessons']);
        // Permission::create(['name' => 'view-orders']);

        Permission::create(['name' => 'view-tuition-centre']);
        Permission::create(['name' => 'create-tuition-centre']);
        Permission::create(['name' => 'edit-tuition-centre']);
        Permission::create(['name' => 'delete-tuition-centre']);
        Permission::create(['name' => 'show-details-tuition-centre']);

        Permission::create(['name' => 'view-tutor']);
        Permission::create(['name' => 'create-tutor']);
        Permission::create(['name' => 'edit-tutor']);
        Permission::create(['name' => 'delete-tutor']);
        Permission::create(['name' => 'show-details-tutor']);

        Permission::create(['name' => 'view-parent']);
        Permission::create(['name' => 'create-parent']);
        Permission::create(['name' => 'edit-parent']);
        Permission::create(['name' => 'delete-parent']);
        Permission::create(['name' => 'show-details-parent']);

        Permission::create(['name' => 'view-student']);
        Permission::create(['name' => 'create-student']);
        Permission::create(['name' => 'edit-student']);
        Permission::create(['name' => 'delete-student']);
        Permission::create(['name' => 'show-details-student']);

        Permission::create(['name' => 'view-admin']);
        Permission::create(['name' => 'create-admin']);
        Permission::create(['name' => 'edit-admin']);
        Permission::create(['name' => 'delete-admin']);
        Permission::create(['name' => 'show-details-admin']);

        Permission::create(['name' => 'view-payment-history']);
        Permission::create(['name' => 'view-payments']);

        Permission::create(['name' => 'view-level']);
        Permission::create(['name' => 'create-level']);
        Permission::create(['name' => 'edit-level']);
        Permission::create(['name' => 'delete-level']);

        Permission::create(['name' => 'view-subject']);
        Permission::create(['name' => 'create-subject']);
        Permission::create(['name' => 'edit-subject']);
        Permission::create(['name' => 'delete-subject']);

        Permission::create(['name' => 'view-topic']);
        Permission::create(['name' => 'create-topic']);
        Permission::create(['name' => 'edit-topic']);
        Permission::create(['name' => 'delete-topic']);

        Permission::create(['name' => 'view-lesson']);
        Permission::create(['name' => 'create-lesson']);
        Permission::create(['name' => 'edit-lesson']);
        Permission::create(['name' => 'delete-lesson']);

        Permission::create(['name' => 'view-class']);
        Permission::create(['name' => 'create-class']);
        Permission::create(['name' => 'edit-class']);
        Permission::create(['name' => 'delete-class']);
        Permission::create(['name' => 'show-details-class']);

        Permission::create(['name' => 'view-enroll-classes']);
        Permission::create(['name' => 'create-enroll-classes']);
        Permission::create(['name' => 'edit-enroll-classes']);
        Permission::create(['name' => 'delete-enroll-classes']);
        Permission::create(['name' => 'show-details-enroll-classes']);

        Permission::create(['name' => 'student-attendance']);

        Permission::create(['name' => 'view-support']);
        Permission::create(['name' => 'create-support']);
        Permission::create(['name' => 'edit-support']);
        Permission::create(['name' => 'delete-support']);
        Permission::create(['name' => 'show-details-support']);

        Permission::create(['name' => 'view-broadcast']);
        Permission::create(['name' => 'create-broadcast']);
        Permission::create(['name' => 'edit-broadcast']);
        Permission::create(['name' => 'delete-broadcast']);
        Permission::create(['name' => 'send-broadcast']);
        Permission::create(['name' => 'show-details-broadcast']);

        Permission::create(['name' => 'student-view-attendance']);
        Permission::create(['name' => 'student-view-feedback']);
        Permission::create(['name' => 'student-my-class']);

        Permission::create(['name' => 'parent-view-attendance']);
        Permission::create(['name' => 'parent-view-feedback']);

        Permission::create(['name' => 'normal-to-sponsor']);
        Permission::create(['name' => 'sponsor-to-normal']);

        Permission::create(['name' => 'view-contactus']);
        Permission::create(['name' => 'delete-contactus']);

        Permission::create(['name' => 'view-address']);
        // create roles and assign created permissions
        Permission::create(['name' => 'view-multiplecentre']);
        Permission::create(['name' => 'create-multiplecentre']);
        Permission::create(['name' => 'edit-multiplecentre']);
        Permission::create(['name' => 'delete-multiplecentre']);

        Permission::create(['name' => 'view-banner']);
        Permission::create(['name' => 'create-banner']);
        Permission::create(['name' => 'edit-banner']);
        Permission::create(['name' => 'delete-banner']);

        Permission::create(['name' => 'view-parent-report']);
        Permission::create(['name' => 'view-centre-report']);
        Permission::create(['name' => 'view-tutor-report']);
        Permission::create(['name' => 'view-summary-report']);
        Permission::create(['name' => 'view-banner-report']);

        Permission::create(['name' => 'view-parent-contact']);
        Permission::create(['name' => 'create-parent-contact']);
        Permission::create(['name' => 'edit-parent-contact']);
        Permission::create(['name' => 'delete-parent-contact']);
        Permission::create(['name' => 'send-mail-parent-contact']);
        Permission::create(['name' => 'send-whatsapp-parent-contact']);

        Permission::create(['name' => 'view-user']);
        Permission::create(['name' => 'create-user']);
        Permission::create(['name' => 'edit-user']);
        Permission::create(['name' => 'delete-user']);
        Permission::create(['name' => 'show-details-user']);

        Permission::create(['name' => 'rating-class']);
        // this can be done as separate statements
        $role = Role::create(['name' => 'parent']);
        $role->givePermissionTo('view-payment-history','show-details-parent','edit-parent','create-student','edit-student','delete-student','show-details-student','parent-view-attendance','parent-view-feedback','view-enroll-classes','view-student');

        $role = Role::create(['name' => 'student']);
        $role->givePermissionTo(['view-payment-history', 'view-payments','view-student','show-details-student','edit-student','student-view-attendance','student-view-feedback','student-my-class']);

        // $role = Role::create(['name' => 'tuition_center']);
        // $role->givePermissionTo(['add-new-centres', 'remove-new-centres']);

        $role = Role::create(['name' => 'tutor']);
        $role->givePermissionTo(['view-tutor', 'edit-tutor','create-tutor','delete-tutor','show-details-tutor','view-support', 'create-support','edit-support','delete-support','show-details-support','view-student','show-details-student','view-class','create-class','edit-class','delete-class','show-details-class','student-attendance']);

        $role = Role::create(['name' => 'tuition center']);
        $role->givePermissionTo(['view-tuition-centre', 'edit-tuition-centre','create-tuition-centre','delete-tuition-centre','show-details-tuition-centre','view-support', 'create-support','edit-support','delete-support','show-details-support','view-student','show-details-student','view-class','create-class','edit-class','delete-class','show-details-class','student-attendance']);


        $Permission_needed = Permission::whereNotIn('name', ['view-enroll-classes','parent-view-attendance','parent-view-feedback','student-view-attendance','student-view-feedback','student-my-class'])->pluck('name')->toArray();

        $role = Role::create(['name' => 'admin']);
        $role->givePermissionTo($Permission_needed);



        $role = Role::create(['name' => 'super_admin']);
        $role->givePermissionTo($Permission_needed);
    }
}
