<?php

namespace Database\Seeders;

use App\Models\User;
use App\Models\TuitionCentre;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class TuitionCentreSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $manager = User::create([
            'name' => 'Sample Contact Person',
            'email' => 'centre@test.com',
            'password' => Hash::make('test@123')
        ]);

        $manager->assignRole('tuition center');

        $centre = new TuitionCentre();
        $centre->user_id = $manager->id;
        $centre->name = "Sample Tuition Centre";
        $centre->uen = "UEN test";
        $centre->street_name = "Street name test";
        $centre->state = "Sample state";
        $centre->city = 'Sample city';
        $centre->zip_code = '123';
        $centre->email = 'centre@test.com';
        $centre->contact_number = '123456';
        $centre->website = 'samplecentre.com';
        $centre->contact_person_name = 'Contact Person';
        $centre->contact_person_email = 'contact@test.com';
        $centre->contact_person_number = '123456';
        $centre->username = 'centre1';
        $centre->created_by = '1';
        $centre->is_verified = '1';
        $centre->save();

    }
}
