<?php

namespace Database\Seeders;

use App\Models\Account;
use DB;
use App\Models\User;
use App\Models\Tutor;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Hash;

class TutorSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //TEST student seeder
        $student_user = User::create([
            'name' => 'Sample Student',
            'email' => 'student@test.com',
            'password' => Hash::make('test@123')
        ]);

        $student_user->assignRole('student');

        $student = array(
            'user_id' => $student_user->id,
            'first_name' => 'Sample Student',
            'gender' => 'm',
            'parent_id' => 2,
            'email' => 'Student@test.com',
            'contact_number' => '5832789730',
        );
        DB::table('accounts')->insert($student);

        $parent_user = User::create([
            'name' => 'Sample Parent',
            'email' => 'parent@test.com',
            'password' => Hash::make('test@123')
        ]);

        $parent_user->assignRole('parent');

        $parent = array(
            'user_id' => $parent_user->id,
            'first_name' => 'Sample Parent',
            'gender' => 'm',
            'email' => 'parent@test.com',
            'contact_number' => '5632781730',
        );
        DB::table('accounts')->insert($parent);

        $tutor_user = User::create([
            'name' => 'Sample Tutor',
            'email' => 'tutor@test.com',
            'password' => Hash::make('test@123')
        ]);

        $tutor_user->assignRole('tutor');

        $tutor = new Account();
        $tutor->user_id = $tutor_user->id;
        $tutor->profile_picture = "sample-tutor-profile.png";
        $tutor->first_name = "Sample";
        $tutor->last_name = "Tutor";
        $tutor->email = 'tutor@test.com';
        $tutor->contact_number = '123456';
        $tutor->remarks = "abcdef.......remarks";
        $tutor->username = 'tutor1';
        $tutor->nationality = 'Singaporean';
        $tutor->street_name = 'Sample street';
        $tutor->zip_code = '400562';
        $tutor->password = Hash::make('test@123');
        $tutor->created_by = '1';
        $tutor->is_verify = '1';
        $tutor->breif_note = 'Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a typeLorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown';
        $tutor->work_experience = 'Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a typeLorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown';
        $tutor->save();

        $edu_data = array(
            'tutor_id' => $tutor->id,
            'institute_name' => "XYZ Sample institute of Arts",
            'course_name' => "Drawing & Sketching",
            'start_date' => '2015-06-02',
            'end_date' => '2016-01-01',
            'created_at' => date('Y-m-d'),
        );
        DB::table('tutor_educations')->insert($edu_data);

        $edu_data = array(
            'tutor_id' => $tutor->id,
            'institute_name' => "University of Singapore (sample)",
            'course_name' => "DEF course",
            'start_date' => '2019-06-02',
            'end_date' => '2020-05-01',
            'created_at' => date('Y-m-d'),
        );
        DB::table('tutor_educations')->insert($edu_data);

        Schema::dropIfExists('tutor_subjects');
        Schema::disableForeignKeyConstraints();
		DB::unprepared(file_get_contents(database_path('seeders/tutor_subjects.sql')));
        echo "SQLs/tutor_subjects seeding done.\n";
    }
}
