<?php

namespace Elementor;

class Class_Widget_4 extends Widget_Base {
    public function get_name(){ return 'class-detail-title-detail';}
    public function get_title(){ return 'Class Detail';}
    public function get_icon(){ return 'fa fa-font';}
    public function get_categories(){ return ['basic'];}
    public function _register_controls(){
        $this->start_controls_section(
            'section_title',
            ['label' => __( 'Content', 'elementor' ),]
        );
        $this->add_control(
			'image',
			[
				'label' => esc_html__( 'Choose Image', 'elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);

        $this->add_control(
            'title',
            [
                'label' => __( 'Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
            ]
        );

        $this->add_control(
            'subtitle',
            [
                'label' => __( 'Sub Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
            ]
        );

        $this->add_control(
            'link',
            [
                'label' => __( 'Link', 'elementor' ),
                'type' => Controls_Manager::URL,
                'default' => [
                    'url' => '',
                ]
            ]
        );
        $this->end_controls_section();
    }

    protected function render(){
        $settings = $this->get_settings_for_display();

        $url = $settings['link']['url'];
        $src = $settings['image']['url'];
        $title = $settings['title'];
        $subtitle = $settings['subtitle'];


        $get_Class_Details = wp_remote_get( 'https://tuitionkingsystem.swotfishdemo.cc/api/getClassDetails/'.$_GET['class_id'] );
        // $get_Class_Details = wp_remote_get( 'https://tuitionkingsystem.swotfishdemo.cc/api/getClassDetails/'.base64_encode(11));
        $get_Class_Details =  json_decode($get_Class_Details['body']);

        if($get_Class_Details->type_id == 1){
            $class_type =  "Online Group Class" ;
        }elseif($get_Class_Details->type_id == 2){
            $class_type =  "Online 1-1 Class" ;
        }elseif($get_Class_Details->type_id == 3){
            $class_type =  "Offline Group Class" ;
        }elseif($get_Class_Details->type_id == 4){
            $class_type =  "Offline 1-1 Class" ;
        }
        $imageUrl = "https://tuitionkingsystem.swotfishdemo.cc/class_banners/".$get_Class_Details->banner;

        $breadCrumbHtml =
        '<section class="elementor-section elementor-inner-section elementor-element elementor-element-b6e3d99 elementor-section-boxed elementor-section-height-default elementor-section-height-default">
            <div class="elementor-container elementor-column-gap-default">
                <div class="elementor-column elementor-col-100 elementor-inner-column elementor-element elementor-element-c69783d">
                    <div class="elementor-widget-wrap elementor-element-populated">
                        <div class="elementor-element elementor-element-43d29e9 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h3 class="elementor-heading-title elementor-size-default elementor-inline-editing">'.$get_Class_Details->name.' / '.$class_type.'</h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>';

        $containerHtml =
        '<section class="elementor-section elementor-inner-section elementor-element elementor-element-0dddc55 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-element_type="section">
            <div class="elementor-container elementor-column-gap-default">
                <div class="elementor-column elementor-col-50 elementor-inner-column elementor-element elementor-element-e8df6d9">
                    <div class="elementor-widget-wrap elementor-element-populated">
                        <style>.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=".svg"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>
                        <div class="elementor-element elementor-element-d4b6714 elementor-widget elementor-widget-image" data-id="d4b6714" data-element_type="widget" data-widget_type="image.default">
                            <div class="elementor-widget-container">
                                <img width="535" height="430" src="'.$imageUrl.'" class="attachment-large size-large" alt="" loading="lazy" style="border-radius:6px;">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="elementor-column elementor-col-50 elementor-inner-column elementor-element elementor-element-8180294">
                    <div class="elementor-widget-wrap elementor-element-populated">
                        <div class="elementor-element elementor-element-bf98b81 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h5 class="elementor-heading-title elementor-size-default" style="color:black;"><u>$'.$get_Class_Details->price.' / every month</h5></u>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-cd08890 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h6 class="elementor-heading-title elementor-size-default" style="color:black;">About this tuition group :</h6>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-3484531 elementor-widget elementor-widget-text-editor">
                            <div class="elementor-widget-container">
                                <p>'.$get_Class_Details->description.'</p>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-0b01753 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h6 class="elementor-heading-title elementor-size-default" style="color:black; text-decoration: underline; font-size: 15px;">Topic : '.$get_Class_Details->topic_name.'</h6>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-0b01753 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h6 class="elementor-heading-title elementor-size-default" style="color:black; text-decoration: underline; font-size: 15px;">Subject : '.$get_Class_Details->subject_name.'</h6>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-0b01753 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h6 class="elementor-heading-title elementor-size-default" style="color:black; text-decoration: underline; font-size: 15px;">Class Days : '.$get_Class_Details->class_size.'</h6>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-0b01753 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h6 class="elementor-heading-title elementor-size-default" style="color:black; text-decoration: underline; font-size: 15px;">Class Timings : '.date('h:i A',strtotime($get_Class_Details->start_time)) .' - '. date('h:i A',strtotime($get_Class_Details->end_time)).'</h6>
                            </div>
                        </div>
                        <div class="elementor-element elementor-element-0b01753 elementor-widget elementor-widget-heading">
                            <div class="elementor-widget-container">
                                <h6 class="elementor-heading-title elementor-size-default" style="color:black; text-decoration: underline; font-size: 15px;">Address : '.$get_Class_Details->street_name .' , '. $get_Class_Details->building_no.' , '. $get_Class_Details->city .' , '.$get_Class_Details->zip_code.'</h6>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>';

        echo $breadCrumbHtml;
        echo $containerHtml;

    }

    private function testingHtml(){

    }

}
