<?php

namespace Elementor;

class Class_Widget_2 extends Widget_Base {
    public function get_name(){ return 'grp-class-title-detail';}
    public function get_title(){ return 'Group Classes';}
    public function get_icon(){ return 'fa fa-font';}
    public function get_categories(){ return ['basic'];}
    public function _register_controls(){
        $this->start_controls_section(
            'section_title',
            ['label' => __( 'Content', 'elementor' ),]
        );
        $this->add_control(
			'image',
			[
				'label' => esc_html__( 'Choose Image', 'elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);

        $this->add_control(
            'title',
            [
                'label' => __( 'Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,                
            ]
        );

        $this->add_control(
            'subtitle',
            [
                'label' => __( 'Sub Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,                
            ]
        );

        $this->add_control(
            'link',
            [
                'label' => __( 'Link', 'elementor' ),
                'type' => Controls_Manager::URL,                
                'default' => [
                    'url' => '',
                ]
            ]
        );
        $this->end_controls_section();
    }
    
    protected function render(){
        $settings = $this->get_settings_for_display();

        $url = $settings['link']['url'];
        $src = $settings['image']['url'];
        $title = $settings['title'];
        $subtitle = $settings['subtitle'];

        //Grp section -2

        $offline_group_classes = wp_remote_get( 'https://tuitionkingsystem.swotfishdemo.cc/api/getFrontEndClasses/offline_group_classes' );
        $offline_group_classes = json_decode($offline_group_classes['body']);

        echo '<div class="elementor-container elementor-column-gap-default">';

        foreach ($offline_group_classes as $item){
            $url = get_site_url().'/about?class_id='.base64_encode($item->id);
            $src = 'http://tuitionkingsystem.swotfishdemo.cc/class_banners/'.$item->banner;
            $title = $item->name;
            $subtitle = $item->street_name.', '.$item->city;
        
        
            $html = '<div class="elementor-column elementor-col-33 elementor-top-column elementor-element elementor-element-d4649c2" data-id="d4649c2" data-element_type="column">'.
                        '<div class="elementor-widget-wrap elementor-element-populated">'.
                            // '<div class="elementor-element elementor-element-001dea5 elementor-position-top elementor-vertical-align-top elementor-widget elementor-widget-image-box" data-id="001dea5" data-element_type="widget" data-widget_type="image-box.default">'.
                                // '<div class="elementor-widget-container">'.
                                    '<div class="elementor-image-box-wrapper">'.
                                        '<figure class="elementor-image-box-img">'.
                                            '<a href="'.$url.'">'.
                                                '<img width="400" height="267" src="'.$src.'" class="attachment-full size-full" alt="" loading="lazy" style="border-radius: 6px;">'.
                                            '</a>'.
                                        '</figure>'.    
                                        '<div class="elementor-image-box-content">'.
                                            '<h5 class="elementor-image-box-title">'.
                                                '<a href="'.$url.'" style="color: black;">'.$title.'</a>'.
                                            '</h5>'.
                                            '<p class="elementor-image-box-description"><b style="font-size: 15px;">'.$subtitle.'</b></p>'.
                                        '</div>'.
                                    '</div>'.
                                // '</div>'.
                            // '</div>'.
                        '</div>'.
                    '</div>';

            echo $html;
        }
        echo '</div>';
    }
}