<?php

namespace Elementor;

class Class_Widget_3 extends Widget_Base {
    public function get_name(){ return 'recent-class-title-detail';}
    public function get_title(){ return 'Recent Classes';}
    public function get_icon(){ return 'fa fa-font';}
    public function get_categories(){ return ['basic'];}
    public function _register_controls(){
        $this->start_controls_section(
            'section_title',
            ['label' => __( 'Content', 'elementor' ),]
        );
        $this->add_control(
			'image',
			[
				'label' => esc_html__( 'Choose Image', 'elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);

        $this->add_control(
            'title',
            [
                'label' => __( 'Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,                
            ]
        );

        $this->add_control(
            'subtitle',
            [
                'label' => __( 'Sub Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,                
            ]
        );

        $this->add_control(
            'link',
            [
                'label' => __( 'Link', 'elementor' ),
                'type' => Controls_Manager::URL,                
                'default' => [
                    'url' => '',
                ]
            ]
        );
        $this->end_controls_section();
    }
    
    protected function render(){
        $settings = $this->get_settings_for_display();

        $url = $settings['link']['url'];
        $src = $settings['image']['url'];
        $title = $settings['title'];
        $subtitle = $settings['subtitle'];

        //Recent section -3
        $recentlyAdded_group_classes = wp_remote_get( 'https://tuitionkingsystem.swotfishdemo.cc/api/getFrontEndClasses/recentlyAdded_group_classes' );
        $recentlyAdded_group_classes = json_decode($recentlyAdded_group_classes['body']);
        
        // $styleHtml = '<style>.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:-webkit-box;display:-ms-flexbox;display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:right;-webkit-box-orient:horizontal;-webkit-box-direction:reverse;-ms-flex-direction:row-reverse;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:left;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{-webkit-box-align:center;-ms-flex-align:center;align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{-webkit-box-align:end;-ms-flex-align:end;align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style>';
        $sectionHtml = '<section class="elementor-section elementor-top-section elementor-element elementor-element-f93dcae elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-element_type="section"><div class="elementor-container elementor-column-gap-default">';

        $endSectionHtml = '</div></section>';
        echo $styleHtml;
        echo $sectionHtml;

        $count = 0;
        foreach ($recentlyAdded_group_classes as $item){
            $url = get_site_url().'/about?class_id='.base64_encode($item->id);
            $src = 'http://tuitionkingsystem.swotfishdemo.cc/class_banners/'.$item->banner;
            $title = $item->name;
            $subtitle = date('D', strtotime($item->class_date)).' : '.$item->start_time.' - '.$item->end_time;

            $html = "";
            $imageHtml = '<div class="elementor-column elementor-col-33 elementor-top-column elementor-element elementor-element-d4649c2">'.
                        '<div class="elementor-widget-wrap elementor-element-populated">'.
                            // '<div class="elementor-element elementor-element-001dea5 elementor-position-top elementor-vertical-align-top elementor-widget elementor-widget-image-box" data-widget_type="image-box.default">'.
                                // '<div class="elementor-widget-container">'.
                                    '<div class="elementor-image-box-wrapper">'.
                                        '<figure class="elementor-image-box-img">'.
                                            '<a href="'.$url.'">'.
                                                '<img width="400" height="267" src="'.$src.'" class="attachment-full size-full" alt="" loading="lazy" style="border-radius: 6px;">'.
                                            '</a>'.
                                        '</figure>'.    
                                        '<div class="elementor-image-box-content">'.
                                            '<h5 class="elementor-image-box-title">'.
                                                '<a href="'.$url.'" style="color: black;">'.$title.'</a>'.
                                            '</h5>'.
                                            '<p class="elementor-image-box-description"><b style="font-size: 15px;">'.$subtitle.'</b></p>'.
                                        '</div>'.
                                    '</div>'.
                                // '</div>'.
                            // '</div>'.
                        '</div>'.
                    '</div>';
            if($count == 3){
                $html = $endSectionHtml;
                $html .= $sectionHtml;
                $html .= $imageHtml;
                $count = 0;
            } else {
                $html = $imageHtml;
            }
            
            echo $html;
            $count++;
        }
        echo $endSectionHtml;
    }
}