<?php

namespace Elementor;

class Class_Widget_5 extends Widget_Base {
    public function get_name(){ return 'tutor-profile-title-detail';}
    public function get_title(){ return 'Tutor Profile';}
    public function get_icon(){ return 'fa fa-font';}
    public function get_categories(){ return ['basic'];}
    public function _register_controls(){
        $this->start_controls_section(
            'section_title',
            ['label' => __( 'Content', 'elementor' ),]
        );
        $this->add_control(
			'image',
			[
				'label' => esc_html__( 'Choose Image', 'elementor' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
					'url' => \Elementor\Utils::get_placeholder_image_src(),
				],
			]
		);

        $this->add_control(
            'title',
            [
                'label' => __( 'Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,                
            ]
        );

        $this->add_control(
            'subtitle',
            [
                'label' => __( 'Sub Title', 'elementor' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,                
            ]
        );

        $this->add_control(
            'link',
            [
                'label' => __( 'Link', 'elementor' ),
                'type' => Controls_Manager::URL,                
                'default' => [
                    'url' => '',
                ]
            ]
        );
        $this->end_controls_section();
    }
    
    protected function render(){
        
        // $get_Class_Details = wp_remote_get( 'https://tuitionkingsystem.swotfishdemo.cc/api/getClassDetails/'.$_GET['class_id'] );
        $get_Class_Details = wp_remote_get( 'https://tuitionkingsystem.swotfishdemo.cc/api/getClassDetails/'.base64_encode(11));
        $get_Class_Details =  json_decode($get_Class_Details['body']);

        $tutorHeadingHeading=
        '<section class="elementor-section elementor-inner-section elementor-element elementor-element-0d6dcf6 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="0d6dcf6" data-element_type="section">
            <div class="elementor-container elementor-column-gap-default">
                <div class="elementor-column elementor-col-100 elementor-inner-column elementor-element elementor-element-dcae0cc" data-id="dcae0cc" data-element_type="column">
            <div class="elementor-widget-wrap elementor-element-populated">
                            <div class="elementor-element elementor-element-ed1532d elementor-widget elementor-widget-heading" data-id="ed1532d" data-element_type="widget" data-widget_type="heading.default">
            <div class="elementor-widget-container">
            <h4 class="elementor-heading-title elementor-size-default">Tutor\'s Profile</h4>		</div>
            </div>
                </div>
            </div>
            </div>
        </section>';

        $personalDetailsHeading = 
        '<section class="elementor-section elementor-inner-section elementor-element elementor-element-e2538b3 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="e2538b3" data-element_type="section">
                    <div class="elementor-container elementor-column-gap-default">
                <div class="elementor-column elementor-col-100 elementor-inner-column elementor-element elementor-element-aa3a861" data-id="aa3a861" data-element_type="column">
            <div class="elementor-widget-wrap elementor-element-populated">
                            <div class="elementor-element elementor-element-41930a5 elementor-widget elementor-widget-heading" data-id="41930a5" data-element_type="widget" data-widget_type="heading.default">
            <div class="elementor-widget-container">
            <h5 class="elementor-heading-title elementor-size-default">Personal Details :</h5>		</div>
            </div>
                </div>
            </div>
                        </div>
        </section>';

        $personalDetailsHtml =
        '<section class="elementor-section elementor-inner-section elementor-element elementor-element-d56f18e elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="d56f18e" data-element_type="section">
            <div class="elementor-container elementor-column-gap-default">
                <div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-68d652e" data-id="68d652e" data-element_type="column">
                    <div class="elementor-widget-wrap elementor-element-populated">
                        <div class="elementor-element elementor-element-1d91e1c elementor-icon-list--layout-traditional elementor-list-item-link-full_width elementor-widget elementor-widget-icon-list" data-id="1d91e1c" data-element_type="widget" data-widget_type="icon-list.default">
                            <div class="elementor-widget-container">
                                <link rel="stylesheet" href="http://localhost/tuitionking-wp/wp-content/plugins/elementor/assets/css/widget-icon-list.min.css">
                                <ul class="elementor-icon-list-items">
                                    <li class="elementor-icon-list-item">
                                        <span class="elementor-icon-list-icon"><i aria-hidden="true" class="fas fa-caret-right"></i></span>
                                        <span class="elementor-icon-list-text">Name : Linda manning</span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-a96de10" data-id="a96de10" data-element_type="column">
                    <div class="elementor-widget-wrap elementor-element-populated">
                        <div class="elementor-element elementor-element-d433129 elementor-align-left elementor-icon-list--layout-traditional elementor-list-item-link-full_width elementor-widget elementor-widget-icon-list" data-id="d433129" data-element_type="widget" data-widget_type="icon-list.default">
                            <div class="elementor-widget-container">
                                <ul class="elementor-icon-list-items">
                                    <li class="elementor-icon-list-item">
                                        <span class="elementor-icon-list-icon"><i aria-hidden="true" class="fas fa-caret-right"></i></span>
                                        <span class="elementor-icon-list-text">Gender : Female</span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-9aa5f91" data-id="9aa5f91" data-element_type="column">
                    <div class="elementor-widget-wrap elementor-element-populated">
                        <div class="elementor-element elementor-element-53b7e0c elementor-align-left elementor-icon-list--layout-traditional elementor-list-item-link-full_width elementor-widget elementor-widget-icon-list" data-id="53b7e0c" data-element_type="widget" data-widget_type="icon-list.default">
                            <div class="elementor-widget-container">
                                <ul class="elementor-icon-list-items">
                                    <li class="elementor-icon-list-item">
                                        <span class="elementor-icon-list-icon"><i aria-hidden="true" class="fas fa-caret-right"></i></span>
                                        <span class="elementor-icon-list-text"> Email Id : lindama02@gmail.com</span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>';
        echo $breadCrumbHtml;
        echo $containerHtml;
        
    }

    private function testingHtml(){

    }
     
}