<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="assets/css/all.min.css" rel="stylesheet" type="text/css">
    <title>Tuition King</title>
</head>

<body>
    <section class="welcome-wrapper">
        <div class="row">
            <div class="col-xl-5 col-lg-5 col-md-4">
                <div class="welcome-wrap">

                    <div class="tutor-img">
                        <img src="assets/images/tutor-illus.png">
                    </div>

                    <div class="register-wrap">
                        <h4>Not yet registered yourself as a tutor?</h4>
                        <a href="{{ route('create-tutor-account') }}" class="btn-register">Register Now</a>
                    </div>
                </div>
                <!--
                <div class="welcome-wrap">
                    <div class="welcome-head">
                        <h2>Welcome to Tuition King</h2>
                    </div>
                    <div class="welcome-info">
                        <p>List yourself as a tutor today and reach out to thousands of students.</p>
                    </div>
                    <div class="register-wrap">
                        <h4>Not yet registered yourself as a tutor?</h4>
                        <a href="{{ route('create-tutor-account') }}" class="btn-register">Register Now</a>
                    </div>
                </div>-->
            </div>
            <div class="col-xl-7 col-lg-7 col-md-8">

                <div class="login-details-wrapper">
                    <div class="logo-wrap">
                        <a href="https://tuitionking.swotfishdemo.cc/"><img src="assets/images/logo.png"></a>
                    </div>
                    <div class="login-head">
                        <h4>Sign In To Tuition King</h4>
                    </div>

                    <div class="sign-in-wrap">
                        @if(count($errors) > 0)
                        @foreach( $errors->all() as $message )
                         <div class="alert alert-danger display-hide h6">
                          <span>{{ $message }}</span>
                         </div>
                        @endforeach
                       @endif
                        <div class="sign-up-form">
                            <form method="POST" action="{{ route('login') }}">
                                @csrf
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Email</label>
                                            <input type="email" name="login" id="login" value="{{  old('email') }}" class="form-control" placeholder="Enter your Email" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Password</label>
                                            <input type="password" name="password" id="pwd" class="form-control" placeholder="Enter your password" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-12" >
                                        <label class="checkbox5" for="myCheckboxId50">
                                            <input class="checkbox__input5" type="checkbox"
                                                name="myCheckboxName" id="myCheckboxId50">
                                            <div class="checkbox__box5"></div>

                                            <span>Remember Me</span>
                                        </label>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                                        <div class="pass">
                                        <a href="{{ route('password.request') }}">Forgot your password ?</a>
                                        </div>
                                    </div>
                                    <div class="btn-wrap">
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                <button type="submit" class="btn custom-btn common-transition">Log In</button>
                                                <!-- <h5>Does not have an account? <a href="{{ route('create-tutor-account') }}">Sign Up as a Tutor</a> </h5> -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>
