@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            @if(session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
            @endif
            <div class="less-wrap-2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Addresses</h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="pills-tabContent">

                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'level' ? 'show active' : '') : 'show active' }}" id="pills-levels" role="tabpanel"
                                    aria-labelledby="pills-levels-tab">
                                    <div class="tabcontent-3">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                    <div class="table-wrap-box">
                                                        <table id="addressDatatable" class="table table-striped-2 display" style="width:100%">
                                                            <thead>
                                                                <tr>
                                                                    <th class="th-left">S/N</th>
                                                                    <th class="th-center">Full Address</th>
                                                                    <th class="th-center">up</th>
                                                                </tr>
                                                            </thead>
                                                        </table>
                                                    </div>

                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
@push('scripts')
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
<script>
$(function() {
    $('#addressDatatable').DataTable({
        processing: true,
        serverSide: true,
        scrollX:true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        order:[2, 'desc'],
        "ajax": {
            'url': '{!! route("address.data") !!}',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            }
        },

        columns: [
            {
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
            {data: 'address', name: 'address', className: 'th-left'},
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
        ]
    });
    $(".dataTables_filter").find('input').addClass('input__textbox col-8');
});
</script>
@endpush
