@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success" id="successMessage">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Admins</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'parent' ? 'show active' : '') : 'show active' }}"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                                            <div class="opcm-btn">
                                                <a href="{{ route('admin.create') }}" class="btn-opcm"><i
                                                        class="fas fa-plus-circle"></i>New Admin</a>
                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="example-3" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                            <th class="th-left">Admin Name</th>
                                                        <th class="th-left">Email</th>
                                                        <th class="th-left">Contact No</th>
                                                        <th class="th-left">Admin Role</th>
                                                        <th class="th-center">Added Date</th>
                                                        <th class="th-center">Status</th>
                                                        <th class="th-center">up</th>
                                                        @canany(['show-details-admin','edit-admin','delete-admin'])
                                                        <th class="th-center">Actions</th>
                                                            @else
                                                        <th class="th-center"></th>
                                                        @endcanany
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
@endsection
@push('scripts')
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#example-3').DataTable({
            processing: true,
            serverSide: true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[6, 'desc'],
            "ajax": {
                'url': '{!! route("admin.data") !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] },
                { "targets": [ 5 ] },
                { "targets": [ 6 ] },
            ],
            columns: [
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'contact_number',name: 'contact_number',className: 'th-center'},
                {data: 'role', name: 'role', className: 'th-left'},
                {data: 'created_at', name: 'created_at', className: 'th-center'},
                {data: 'status', name: 'status', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},

                {data: 'actions', name: 'actions', className: 'th-center',
                @canany(['show-details-admin','edit-admin','delete-admin'])
                visible:true
                @else
                visible:false
                @endcanany
            }

            ]
        });
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
@endpush
