{{-- @extends('layouts.guest2')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Reset Password') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <form method="POST" action="{{ route('password.email') }}">
                        @csrf

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Send Password Reset Link') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection --}}
@extends('layouts.password_guest')

@section('content')

    <section class="welcome-wrapper">
        <div class="row">
            <div class="col-xl-5 col-lg-5 col-md-4">
                <div class="welcome-wrap">

                        <div class="tutor-img">
                            <img src="/assets/images/tutor-illus.png">
                        </div>
                </div>
            </div>
            <div class="col-xl-7 col-lg-7 col-md-8">
                <div class="login-details-wrapper">
                    <div class="logo-wrap">
                        <a href="https://tuitionking.swotfishdemo.cc"><img src="/assets/images/logo.png"></a>
                    </div>
                    <div class="login-head">
                        <h4>{{ __('Reset Password') }}</h4>
                    </div>

                    <div class="sign-in-wrap">
                        @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                        @endif
                        <div class="sign-up-form">
                            <form method="POST" action="{{ route('password.email') }}">
                                @csrf
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>{{ __('E-Mail Address') }}</label>
                                            <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                                            @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong style="color:#dc3545;">{{ $message }}</strong>
                                            </span>
                                             @enderror
                                        </div>
                                    </div>
                                    <div class="btn-wrap">
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                <button type="submit" class="btn custom-btn common-transition">{{ __('Send Password Reset Link') }}</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
