@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success" id="successMessage">
                        {{ session()->get('message') }}
                    </div>
                @endif
                @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Broadcast</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'tutor' ? 'show active' : '') : 'show active' }}"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        @can('create-broadcast')
                                        <div class="col-xl-12">
                                            <div class="opcm-btn">
                                                <a href="{{ route('broadcast.create') }}" class="btn-opcm"><i
                                                        class="fas fa-plus-circle"></i>New Broadcast</a>
                                            </div>
                                        </div>
                                        @endcan
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="example-1" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                        <th class="th-left">User</th>
                                                        {{-- <th class="th-left">Type</th> --}}
                                                        <th class="th-left">Message</th>
                                                        <th class="th-left">Date & Time</th>
                                                        <th class="th-center">up</th>
                                                        <th class="th-center">Actions</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
@endsection
<style>
    .fa-whatsapp  {
        font-size: 17px;
        color:#fff;
        background:
         linear-gradient(#25d366,#25d366) 14% 80%/16% 16% no-repeat,
         radial-gradient(#25d366 56%,transparent 0);
}
</style>
@push('scripts')
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <script>
        $(function() {
            $('#example-1').DataTable({
            processing: true,
            serverSide: true,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[3, 'desc'],
            "ajax": {
                'url': '{!! route('broadcast.data') !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                // { "targets": [ 3 ] },
            ],
            columns: [
                {data: 'user', name: 'user', className: 'th-left'},
                // {data: 'type', name: 'type', className: 'th-left'},
                {data: 'msg', name: 'msg', className: 'th-left'},
                {data: 'created_at', name: 'created_at', className: 'th-left'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'actions', name: 'actions', className: 'th-center'},
            ]
        });
        $(document).one('click','#send_wp',function() {
            event.preventDefault();
            $(this).prop('disabled', true);
        });
        $(".dataTables_filter").find('input').addClass('input__textbox col-8');
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
@endpush
