@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12">


                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="opcm-head">
                            <h4>Subscription Details</h4>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="opt-tag">
                            <div class="tag-wrap">
                                <label class="radio-btn-1" for="freelancer">
                                    <input class="btn-tag" type="radio" name="papers" id="freelancer" value="center" checked>
                                    <span class="mn">Tuition Centres</span>
                                </label>
                                <label class="radio-btn" for="tag">
                                    <input class="btn-tag" type="radio" name="papers" value="tutor" id="tag">
                                    <span>Tutors</span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="opcm-wrap">
                        <table id="example-1" class="table table-striped" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Tutors Name</th>
                                    <th class="sub-head">Invoice Date</th>
                                    <th class="sub-head">Invoice Number</th>
                                    <th class="sub-head">Fees Structure</th>
                                    <th class="sub-head">Payment received</th>
                                    <th class="sub-head">Total Amount</th>
                                </tr>
                            </thead>
                            <!-- <tbody>
                                <tr>
                                    <td class="par-name">Future Academy</td>
                                    <td class="list-info">10/12/21</td>
                                    <td class="list-info">AS/2056</td>
                                    <td class="list-info">Yearly</td>
                                    <td class="list-info">12/12/21</td>
                                    <td class="list-info"><b>$100.00</b></td>
                                </tr>
                            </tbody> -->
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@push('scripts')
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script>
    $(function() {
        $('#example-1').DataTable({
                destroy: true,
            processing: true,
            serverSide: true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            "ajax": {
                'url': '{!! route("centre-subscription.data") !!}',
                'data':{'data': $('input[name="papers"]:checked').val()},
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ] },
                { className: "opcm-func", "targets": [ 4 ] }
            ],

            columns: [
                {data: 'name', name: 'name'},
                {data: 'invoice_date', name: 'invoice_date'},
                {data: 'invoice_number', name: 'invoice_number'},
                {data: 'fee_str', name: 'fee_str'},
                {data: 'payment_recieved', name: 'payment_recieved'},
                {data: 'total_amt', name: 'total_amt'},
            ]
        });
        $('input[type=radio][name=papers]').change(function() {
            $('#example-1').DataTable({
                destroy: true,
            processing: true,
            serverSide: true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            "ajax": {
                'url': '{!! route("centre-subscription.data") !!}',
                'data':{'data': $('input[name="papers"]:checked').val()},
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ] },
                { className: "opcm-func", "targets": [ 4 ] }
            ],

            columns: [
                {data: 'name', name: 'name'},
                {data: 'invoice_date', name: 'invoice_date'},
                {data: 'invoice_number', name: 'invoice_number'},
                {data: 'fee_str', name: 'fee_str'},
                {data: 'payment_recieved', name: 'payment_recieved'},
                {data: 'total_amt', name: 'total_amt'},
            ]
        });
        });
    });
    var navLinks = document.getElementById("navLinks");
    function showmenu() {
        navLinks.style.left = "0";
    }
    function hidemenu() {
        navLinks.style.left = "-200px"
    }

</script>
@endpush
