@extends('layouts.sidebar')

@section('content')
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h5>Class Details</h5>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('class.index') }}" class="back-btn">Back</a>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
    <section class="user-profile-wrapper">
        <div class="container">
            <div class="user-profile-wrap">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                <img src="{{ asset('class_banners/' . $class->banner) }}" width="150px" height="150px" style="border-radius: 50%;">
                            </div>
                            <div class="user-profile-name">
                                <center style="font-size: 20px;font-weight:bold;">{{ ucfirst($class->name) }}</center>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Basic Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                             <i class="fas fa-book"></i>

                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Lesson Name</h4>
                                            <p>{{ App\Models\Lessons::find($class->lesson_id) ? App\Models\Lessons::find($class->lesson_id)->name : '' }}</p>
                                        </div>
                                    </div>
                                </div>
                                @if($tuition_centres != '')
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-school"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Tuition Centre</h4>
                                            <p>{{ $class_tuition_centre->center_id != '' ? (App\Models\MultipleCentre::find($class_tuition_centre->center_id)->name) : ($tuition_centres ? $tuition_centres->name : '-'); }}</p>
                                        </div>
                                    </div>
                                </div>
                               @endif
                               @if($tutors != '')
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-chalkboard-teacher"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Tutor</h4>
                                            <p>{{ $tutors ? $tutors->first_name.' '.$tutors->last_name : '-' }}</p>
                                        </div>
                                    </div>
                                </div>
                                @endif
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-pencil-ruler"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Size</h4>
                                            <p>{{ $class->class_size }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-users"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Type</h4>
                                            <p>{{ $class->type_id == 1 ? 'Online group classes' : ''}}{{ $class->type_id == 2 ? 'One - One Online Classes' : ''}}{{ $class->type_id == 3 ? 'Offline group classes' : ''}}{{ $class->type_id == 4 ? 'One - One in person classes' : ''}}{{ $class->type_id == 5 ? 'Trial classes' : ''}}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-calendar-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Date</h4>
                                            <p>{{ date('d-m-Y',strtotime($class->class_date)) }} To {{ date('d-m-Y',strtotime($class->endRecurring_date)) }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-clock"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Timings</h4>
                                            <p>{{ date('h:i A',strtotime($class->start_time)).' To '. date('h:i A',strtotime($class->end_time)) }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-road"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Street Name</h4>
                                            <p>{{ $class->street_name }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-city"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>City</h4>
                                            <p>{{ $class->city }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                         <i class="fas fa-building"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Building Number</h4>
                                            <p>{{ $class->building_no }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Zip Code</h4>
                                            <p>{{ $class->zip_code }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-hand-holding-usd"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Price ($)</h4>
                                            <p>{{ $class->price }}</p>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-folder"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Materials Access Link</h4>
                                            <p>{{ $class->mas_link }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-link"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>LMS Link</h4>
                                            <p>{{ $class->lms_link }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Description</h4>
                                            <p>{{ $class->description }}</p>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                <div class="col-xl-12">
                                        <div class="col-xl-6">
                                            <h6><b>Lesson Details</b></h6>
                                        </div>
                                        <div class="lesson-detail-table-wrap">
                                            <div class="table-wrap-box table-responsive text-nowrap">
                                                <table class="table table-striped-ld">
                                                    <tr>
                                                        <th style="position:sticky; z-index: 1;">Lesson No.</th>
                                                       @foreach($attendanceDate as $k => $date)
                                                            <td>{{ $k + 1 }}</td>
                                                        @endforeach
                                                    </tr>
                                                    <tr>
                                                        <th>Lesson Date</th>
                                                        @foreach($attendanceDate as $k => $date)
                                                            <td>{{ $date }}</td>
                                                        @endforeach
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                <hr>
                                    <div class="col-xl-12">
                                        <div class="col-xl-6">
                                            <h6><b>Student Details</b></h6>
                                        </div>
                                        <div class="table-wrap-box">
                                            <table id="studentclassDatatable" class="table table-striped-2 display"
                                                style="width:100%">
                                                <thead>
                                                    <tr>
                                                    <th class="th-left">S/N</th>
                                                    <th class="th-left">Student Name</th>
                                                    <th class="th-left">Email</th>
                                                    <th class="th-center">Status</th>
                                                    <th class="th-center">Added Date</th>
                                                    <th class="th-center">Action</th>
                                                    <th class="th-center">up</th>
                                                    </tr>
                                                </thead>
                                            </table>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <input value="{{ auth()->user()->roles->first()->name }}" id="role" type="hidden">
        </div>
    </section>
    <style>
        div.dt-buttons {
        float: right;
        margin-left:5px;
    }
    </style>
    @push('scripts')
        <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
        <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
        <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

        <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
        <script>
            $(function() {
                $('#studentclassDatatable').DataTable({
                    // dom:'Bfrtip',
                    // buttons: [
                    //     {
                    //         extend: 'csv',
                    //         className:'btn-opcm btn-primary',
                    //         text: '<i class="fas fa-file-export"></i> Export to csv ',
                    //         title: 'Students',
                    //         exportOptions: {
                    //             columns: [ 0, 1, 2, 3, 4],
                    //         }
                    //     },
                    // ],
                    processing: true,
                    serverSide: false,
                    scrollX:true,
                    oSearch: {
                        "bSmart": true
                    },
                    lengthMenu: [
                        [10, 25, 50, 100, -1],
                        [10, 25, 50, 100, "All"]
                    ],
                    pageLength: 10,
                    order: [6, 'asc'],
                    "ajax": {
                        'url': '{!! route('student.data') !!}',
                        'type': 'POST',
                        'data': {
                            'class_id': {{ $class->id }},
                            'role':$('#role').val(),
                        },
                        'headers': {
                            'X-CSRF-TOKEN': '{{ csrf_token() }}'
                        }
                    },
                    columnDefs: [{
                            "targets": [0],
                        },
                        {
                            "targets": [1],
                        },
                        {
                            "targets": [2],
                            "width": "10%",
                        },
                        {
                            "targets": [3],
                            "render": function(data, type, row) {
                                return data.split(",").join(",<br/>");
                            }
                        },
                        {
                            "targets": [4],
                            "width": "20%",
                        },
                        {
                            "targets": [5],
                        },
                        {
                            "targets": [6],
                        },
                    ],
                    columns: [{
                            data: 'DT_RowIndex',
                            name: 'DT_RowIndex',
                            'orderable': false,
                            'searchable': false,
                            className: 'th-center'
                        },
                        {
                            data: 'name',
                            name: 'name',
                            className: 'th-left'
                        },
                        {
                            data: 'email',
                            name: 'email',
                            className: 'th-left'
                        },
                        {
                            data: 'status',
                            name: 'status',
                            className: 'th-center'
                        },
                        {
                            data: 'created_at',
                            name: 'created_at',
                            className: 'th-center'
                        },
                        {
                            data: 'remove_action',
                            name: 'remove_action',
                            className: 'th-center'
                        },
                        {
                            data: 'updated_at',
                            name: 'updated_at',
                            visible: false,
                            className: 'th-center'
                        },
                    ]
                });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
            });
        </script>
    @endpush
@endsection
