@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success" id="successMessage">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Support</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'parent' ? 'show active' : '') : 'show active' }}"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="cen-info">
                                                <h5 for="class_Name">Service</h5>
                                                <select class="disselect-2 kt-input status" id="service" name="service">
                                                    <option value="">Select Service</option>
                                                    <option value="ADS" >ADS Service</option>
                                                    <option value="Enquiry" >Enquiry</option>
                                                </select>
                                                <button class="btn-opcm" id="filter">Filter</button>
                                                <button class="btn-opcm" style="background: white;color:black;" id="reset">Reset</button>
                                            </div>
                                        </div>
                                        {{-- <div class="col-xl-1 mt-1 px-1">
                                            <div class="cen-info">
                                                <div>&nbsp;</div>
                                                <button class="btn-opcm py-2 px-7" id="filter">Filter</button>
                                            </div>
                                        </div>
                                        <div class="col-xl-1 mt-1">
                                            <div class="cen-info">
                                                <div>&nbsp;</div>
                                                <button class="btn-opcm py-2 px-7" style="background: white;color:black;" id="reset">Reset</button>
                                            </div>
                                        </div> --}}
                                        <hr>
                                        @role('super_admin')
                                        @else
                                        @can('create-support')
                                        <div class="col-xl-12">
                                            <div class="opcm-btn">
                                                <a href="{{ route('contactus.create') }}" class="btn-opcm"><i
                                                        class="fas fa-plus-circle"></i>Create New</a>
                                            </div>
                                        </div>
                                        @endcan
                                        @endrole
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="example-3" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                        <th class="th-left">S/N</th>
                                                        @role('super_admin')
                                                        <th class="th-left">Email</th>
                                                        @endrole
                                                        <th class="th-center">Subject</th>
                                                        <th class="th-center">Service</th>
                                                        <th class="th-center">Message</th>
                                                        <th class="th-center">Date & Time</th>
                                                        <th class="th-center">up</th>
                                                        @canany(['edit-support','delete-support','show-details-support'])
                                                        <th class="th-center">Action</th>
                                                        @else
                                                        <th class="th-center"></th>
                                                        @endcanany
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
@endsection
@push('scripts')
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#example-3').DataTable({
            processing: true,
            serverSide: true,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            @role('super_admin')
            order:[6, 'desc'],
            @else
            order:[5, 'desc'],
            @endrole
            "ajax": {
                'url': '{!! route("contactus.data") !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                data: function(d) {
                    d.service = $('#service').val();
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] },
                // { "targets": [ 5 ] },
            ],
            columns: [
                {
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
                // {data: 'name', name: 'name', className: 'th-left'},
                @role('super_admin')
                {data: 'email', name: 'email', className: 'th-left'},
                @endrole
                {data: 'subject', name: 'subject', className: 'th-center'},
                {data: 'service', name: 'service', className: 'th-center'},
                {data: 'message', name: 'message', className: 'th-center'},
                {data: 'created_at', name: 'created_at', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'action', name: 'action', className: 'th-center',
            @canany(['edit-support','delete-support','show-details-support'])
            visible:true
            @else
            visible:false
            @endcanany
        }
            ]
        });
            var table1 = $('#example-3').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
@endpush
