@extends('layouts.sidebar')

@section('content')
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h5>Support Details</h5>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('contactus.index') }}" class="back-btn">Back</a>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
    <section class="user-profile-wrapper">
        <div class="container">
            <div class="user-profile-wrap">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                    @if ($role == 'tuition center')
                                        @if ($acc->logo_name)
                                        <img src="{{ asset('logo_images/' . $acc->logo_name) }}" width="150px" height="150px" style="border-radius: 50%;">
                                        @else
                                        <img src="{{ asset('class_banners/default_user.png') }}" width="150px" height="150px" style="border-radius: 50%;">
                                        @endif
                                    @else
                                        @if ($acc->profile_picture)
                                        <img src="{{ asset('profile_pictures/' . $acc->profile_picture) }}" width="150px" height="150px" style="border-radius: 50%;">
                                        @else
                                        <img src="{{ asset('class_banners/default_user.png') }}" width="150px" height="150px" style="border-radius: 50%;">
                                        @endif
                                    @endif
                            </div>
                            <div class="user-profile-name">
                                <center style="font-size: 20px;font-weight:bold;">{{ ucfirst($role) }} Profile</center>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Basic Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">

                                {{-- <hr> --}}
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                             <i class="fas fa-book"></i>

                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Name</h4>
                                            <p>{{ $name }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-school"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Email</h4>
                                            <p>{{ $email }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-chalkboard-teacher"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Subject</h4>
                                            <p>{{ $data->subject }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-users"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Service</h4>
                                            <p>{{ $data->service == 'ADS' ? 'ADS Service' : $data->service }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-pencil-ruler"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Message</h4>
                                            <p>{{ $data->message }}</p>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-profile-information">
                                            <h4 style="font-weight: bold;"><i class="fas fa-image" style="color:#eb9d31;"></i> Uploaded Image</h4>
                                            @if ($data->logo)
                                            <img src="{{ asset('support_banners/' . $data->logo) }}" width="150px" height="150px" style="border:2px solid gray;">
                                            @else
                                            <img src="{{ asset('support_banners/default_image.png') }}" width="150px" height="150px" style="border:2px solid gray;">
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
