@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success" id="successMessage">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Contact Us</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="tutor-registration-tab-wrappper">

                    <div class="tutor-registration-tab-wrap">
                        <div class="tab">
                            <div class="row">
                                <div class="col-xl-6 d-flex justify-content-center flex-column">
                                    <button class="tablinks" onclick="openCity(event, 'London','dir')"
                                        id="defaultOpen" type="button">Enquiry</button>
                                </div>
                                <div class="col-xl-6 d-flex justify-content-center flex-column">
                                    <button class="tablinks" id="p1" onclick="openCity(event, 'Paris','dir')"
                                        type="button">Registered Parents</button>
                                </div>
                            </div>
                        </div>
                    </div>
                <div id="London" class="tabcontent">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'parent' ? 'show active' : '') : 'show active' }}"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="example-3" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                        <th class="th-left">S/N</th>
                                                        <th class="th-left">Name</th>
                                                        <th class="th-left">Email</th>
                                                        <th class="th-center">Phone Number</th>
                                                        <th class="th-center">Message</th>
                                                        <th class="th-center">Date & Time</th>
                                                        <th class="th-center">up</th>
                                                        @canany(['delete-contactus'])
                                                        <th class="th-center">Action</th>
                                                        @else
                                                        <th class="th-center"></th>
                                                        @endcanany
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
                <div id="Paris" class="tabcontent">
                    <div class="row">
                        <div class="col-xl-12 col-lg-12 col-md-12">
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'parent' ? 'show active' : '') : 'show active' }}"
                                    id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                    <div class="tabcontent-2">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="table-wrap-box">
                                                    <table id="example-4" class="table table-striped-2 display"
                                                        style="width:100%">
                                                        <thead>
                                                            <tr>
                                                            <th class="th-left">S/N</th>
                                                            <th class="th-left">Name</th>
                                                            <th class="th-left">Email</th>
                                                            <th class="th-center">Phone Number</th>
                                                            <th class="th-center">Message</th>
                                                            <th class="th-center">Date & Time</th>
                                                            <th class="th-center">up</th>
                                                            @canany(['delete-contactus'])
                                                            <th class="th-center">Action</th>
                                                            @else
                                                            <th class="th-center"></th>
                                                            @endcanany
                                                            </tr>
                                                        </thead>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
        </div>
    </section>
    <script>
        function openCity(evt, cityName, dir) {
            var i, tabcontent, tablinks;
            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
            document.getElementById(cityName).style.display = "block";
            $('#tab').val(cityName);
            evt.currentTarget.className += " active";
        }
        document.getElementById("defaultOpen").click();
    </script>
@endsection
@push('scripts')
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#example-3').DataTable({
            processing: true,
            serverSide: true,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[6, 'desc'],
            "ajax": {
                'url': '{!! route("frontcontactus.data") !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] },
            ],
            columns: [
                {
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'phone_no', name: 'phone_no', className: 'th-center'},
                {data: 'message', name: 'message', className: 'th-center'},
                {data: 'created_at', name: 'created_at', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'action', name: 'action', className: 'th-center',
            @canany(['delete-contactus'])
            visible:true
            @else
            visible:false
            @endcanany
        }

            ]
        });
        $('#example-4').DataTable({
            processing: true,
            serverSide: true,
            scrollX:true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[6, 'desc'],
            "ajax": {
                'url': '{!! route("frontcontactus.parent_data") !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { "targets": [ 0 ] },
                { "targets": [ 1 ] },
                { "targets": [ 2 ] },
                { "targets": [ 3 ] },
                { "targets": [ 4 ] },
                { "targets": [ 5 ] },
            ],
            columns: [
                {
                        data: 'DT_RowIndex',
                        name: 'DT_RowIndex',
                        'orderable': false,
                        'searchable': false,
                        className: 'th-center'
                    },
                {data: 'name', name: 'name', className: 'th-left'},
                {data: 'email', name: 'email', className: 'th-left'},
                {data: 'phone_no', name: 'phone_no', className: 'th-center'},
                {data: 'message', name: 'message', className: 'th-center'},
                {data: 'created_at', name: 'created_at', className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                {data: 'action', name: 'action', className: 'th-center',
            @canany(['delete-contactus'])
            visible:true
            @else
            visible:false
            @endcanany
        }

            ]
        });
        $('#p1').click(function(){
                $('#example-4').DataTable().columns.adjust();
            });
        $('#defaultOpen').click(function(){
                $('#example-3').DataTable().columns.adjust();
        });
        $(".dataTables_filter").find('input').addClass('input__textbox col-8');
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
@endpush
