<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="/assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <link href='/assets/css/main.css' rel='stylesheet' />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <!-- <link href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" /> -->
    @stack('styles')
    <title>Tuition King</title>
</head>

<body>
    <section class="adm-head">
        <div class="container">
            <nav class="nav-bar2">
                <div class="nav-links" id="navLinks">
                    <div class="close">
                        <i class="fas fa-times" onclick="hidemenu()"></i>
                    </div>
                    <ul class="menu">
                        @role('tuition center')
                        <li><a href="{{ route('centre-manager.index') }}" class="{{ request()->is('centre-manager*') || request()->is('home') ? 'active' : '' }}"><i class="fas fa-th-large"></i>Dashboard</a></li>
                        <li><a href="{{ route('centre.subscription') }}" class="{{ request()->is('centre/subscription*') ? 'active' : '' }}"><i class="fas fa-university"></i>View Subcriptions</a></li>
                        @endrole
                        @role('tutor')
                        <li><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-th-large"></i>Dashboard</a></li>
                        <li><a href="{{ route('schedule-class.index') }}" class="{{ request()->is('schedule-class*') ? 'active' : '' }}"><i class="fas fa-chalkboard-teacher"></i>Schedule Class</a></li>
                        @endrole
                        @role('super_admin')
                        <li><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-user"></i>User Managements</a></li>
                        <li><a href="{{ route('role.index') }}" class="{{ request()->is('role*') ? 'active' : '' }}"><i class="fas fa-user-tag"></i>Roles & Permissions</a></li>
                        <li><a href="{{ route('subject.index') }}" class="{{ request()->is('subject*') ? 'active' : '' }}"><i class="fas fa-book-open"></i>Lessons Management</a></li>
                        <li><a href="{{ route('lesson.index') }}" class="{{ request()->is('lesson*') ? 'active' : '' }}"><i class="fas fa-book-open"></i>Lessons</a></li>
                        <li><a href="{{ route('class.index') }}" class="{{ request()->is('class*') ? 'active' : '' }}"><i class="fas fa-book-open"></i>Classes</a></li>
                        <li><a href="{{ route('admin.subscription') }}" class="{{ request()->is('admin/subscription*') ? 'active' : '' }}"><i class="fas fa-dollar-sign"></i>Subscription Details</a></li>
                        @endrole
                        @role('admin')
                        <li><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-user"></i>User Managements</a></li>
                        <li><a href="{{ route('role.index') }}" class="{{ request()->is('role*') ? 'active' : '' }}"><i class="fas fa-user-tag"></i>Roles & Permissions</a></li>
                        <li><a href="{{ route('subject.index') }}" class="{{ request()->is('subject*') ? 'active' : '' }}"><i class="fas fa-book-open"></i>Lessons Management</a></li>
                        <li><a href="{{ route('lesson.index') }}" class="{{ request()->is('lesson*') ? 'active' : '' }}"><i class="fas fa-book-open"></i>Lessons</a></li>
                        <li><a href="{{ route('class.index') }}" class="{{ request()->is('class*') ? 'active' : '' }}"><i class="fas fa-book-open"></i>Classes</a></li>
                        <li><a href="{{ route('admin.subscription') }}" class="{{ request()->is('admin/subscription*') ? 'active' : '' }}"><i class="fas fa-dollar-sign"></i>Subscription Details</a></li>
                        @endrole
                        @role('parent')
                        <li><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-user"></i>Dashboard</a></li>
                        <li><a href="{{ route('parent.student_dashboard') }}" class="{{ request()->is('parent*') ? 'active' : '' }}"><i class="fas fa-user"></i>Children</a></li>
                        <li><a href="{{ route('student_class.index') }}" class="{{ request()->is('student_class*') ? 'active' : '' }}"><i class="fas fa-user"></i>Enroll Classes</a></li>
                        @endrole
                        @role('student')
                        <li><a href="{{ route('student.index') }}" class="{{ request()->is('student*') || request()->is('home') ? 'active' : '' }}"><i class="fas fa-th-large"></i>Dashboard</a></li>
                        <li><a href="{{ route('student.lesson-management') }}"><i class="fas fa-chalkboard-teacher"></i>Lessons Management</a></li>
                        @endrole
                    </ul>
                </div>
                <div class="bar">
                    <i class="fas fa-bars" onclick="showmenu()"></i>
                    <span class="logo-wraap">
                        <a href="https://tuitionking.swotfishdemo.cc"><img src="/assets/images/logo.png"></a>
                    </span>
                </div>

            @if(Auth::user())
                <div class="user">
                    <a href="#" class="user-icon"><i class="fas fa-user-circle"></i></a>

                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            {{ Auth::user()->name }}
                        </button>
                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                            @role('super_admin') @php  $var = 'admin.show' @endphp @endrole
                            @role('tuition center') @php  $var = 'tuition.show' @endphp @endrole
                            @role('tutor') @php  $var = 'tutor.show' @endphp @endrole
                            @role('admin') @php  $var = 'admin.show' @endphp @endrole
                            @role('parent') @php  $var = 'parent.show' @endphp @endrole
                            @role('student')  @php  $var = 'student.show' @endphp @endrole
                            <li><a class="dropdown-item" href="{{ route($var,['id' => auth()->user()->id]) }}" >Profile Information</a></li>
                            <li>
                                <a class="dropdown-item" href="{{ route('logout') }}" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log Out</a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                            </li>
                        </ul>
                    </div>
                </div>
                @endif
            </nav>
        </div>
    </section>
    @yield('content')
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script> -->
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script>
        var navLinks = document.getElementById("navLinks");
        function showmenu() {
            navLinks.style.left = "0";
        }
        function hidemenu() {
            navLinks.style.left = "-270px"
        }

    </script>
    @stack('scripts')

</body>

</html>
