<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
    </script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
        crossorigin="anonymous"></script> -->
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="/assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <link href='/assets/css/main.css' rel='stylesheet' />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <!-- <link href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" /> -->
    @stack('styles')
    <title>Tuition King</title>
</head>

<body>
    <section class="header-2">
        <div class="container">
            @php
                                    $user = Auth::user();
                                @endphp
            <div class="row">
                <div class="col-xl-6" id="logo_part_1">
                    <div class="logo-wrap">
                        @if($user == '')
                        <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                        @else
                          @if($user->roles->first()->name != 'student' && $user->roles->first()->name != 'parent')
                          <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                          @else
                          <a href="https://tuitionking.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                          @endif
                        @endif
                    </div>
                </div>

                                @if($user != '')
                <div class="col-xl-6 d-flex justify-content-end flex-end" id="logo_part_2">
                    <div class="user">
                        @php
                            $words = explode(' ', auth()->user()->name);
                            $acronym = '';

                            foreach ($words as $w) {
                                $acronym .= mb_substr($w, 0, 1);
                            }
                        @endphp
                        <div class="dropdown">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1"
                                data-bs-toggle="dropdown" aria-expanded="false" title="{{ auth()->user()->name }}">
                                {{ $acronym }}
                            </button>
                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                @role('super_admin')
                                    @php  $var = 'admin.show'; $profile = 'admin/show'; @endphp @can('show-details-admin')
                                    @endcan
                                @endrole
                                @role('tuition center')
                                    @php  $var = 'tuition.show'; $profile = 'tuition-centre/show'; @endphp @can('show-details-tuition-centre')
                                    @endcan
                                @endrole
                                @role('tutor')
                                    @php  $var = 'tutor.show'; $profile = 'tutor/show'; @endphp @can('show-details-tutor')
                                    @endcan
                                @endrole
                                @role('admin')
                                    @php  $var = 'admin.show'; $profile = 'admin/show'; @endphp @can('show-details-admin')
                                    @endcan
                                @endrole
                                @role('parent')
                                    @php  $var = 'parent.show'; $profile = 'parent/show'; @endphp @can('show-details-parent')
                                    @endcan
                                @endrole
                                @role('student')
                                    @php  $var = 'student.show'; $profile = 'student/show'; @endphp @can('show-details-student')
                                    @endcan
                                @endrole
                                <li><a class="dropdown-item"
                                        href="{{ url($profile,['id' => auth()->user()->id]) }}">Profile Information</a>
                                </li>
                                @role('parent')
                                    @can('view-student')
                                        <li><a class="dropdown-item"
                                                href="{{ route('parent.student_dashboard') }}">My Children</a></li>
                                    @endcan
                                    @can('view-enroll-classes')
                                        {{-- //{{ route('student_class.index') }} child-classes.html --}}
                                        <li><a class="dropdown-item"
                                                href="{{ route('student_class.index') }}">My Child's Classes</a></li>
                                    @endcan
                                @endrole
                                @role('student')
                                    <li><a class="dropdown-item"
                                                href="{{ route('home') }}">My Classes</a></li>
                                @endrole
                                <li><a class="dropdown-item" href="{{ route('notifications.index') }}">Notifications</a></li>
                                @role('parent')
                                @can('view-parent-contact')
                                <li><a class="dropdown-item" href="{{ route('parent-contact.index') }}">Contact Us</a></li>
                                @endcan
                                @endrole
                                @role('parent')
                                    <li><a class="dropdown-item" href="{{ route('parent.logout') }}?user=parent"
                                        onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log
                                        Out</a>
                                        <form id="logout-form" action="{{ route('parent.logout') }}?user=parent" method="POST" class="d-none">
                                            @csrf
                                        </form>
                                    </li>
                                @else
                                    @role('student')
                                        <li><a class="dropdown-item" href="{{ route('parent.logout') }}?user=student"
                                            onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log
                                            Out</a>
                                            <form id="logout-form" action="{{ route('parent.logout') }}?user=student" method="POST" class="d-none">
                                                @csrf
                                            </form>
                                        </li>
                                    @else
                                        <li><a class="dropdown-item" href="{{ route('logout') }}"
                                            onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log
                                            Out</a>
                                            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                                @csrf
                                            </form>
                                        </li>
                                    @endrole
                                @endrole
                            </ul>
                        </div>
                    </div>
                </div>
@endif
            </div>
        </div>
    </section>
    @yield('content')
    @stack('scripts')
</body>

</html>
