<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script> -->
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="/assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <link href='/assets/css/main.css' rel='stylesheet' />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <!-- <link href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" /> -->
    @stack('styles')
    <title>Tuition King</title>
</head>

<body>
    <section class="adm-head">
        <div class="container">
            <nav class="nav-bar2">
                <div class="nav-links" id="navLinks">
                    <div class="close">
                        <i class="fas fa-times" onclick="hidemenu()"></i>
                    </div>
                    <div class="menu">
                        @role('tuition center')
                        <div class="item"><a href="{{ route('home') }}" class="{{ request()->is('centre-manager*') || request()->is('home') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        @can('view-student')
                        <div class="item"><a href="{{ route('tutor.student_dashboard') }}" class="sub-item {{ request()->is('tutor*') ? 'active' : '' }}" style="margin-left: 0.28rem"><i class="fas fa-user-graduate"></i> Students</a></div>
                        @endcan
                        @can('view-multiplecentre')
                        <div class="item"><a href="{{ route('multiplecentre.index') }}" class="{{ request()->is('multiplecentre*')}}"><i class="fas fa-code-branch"></i>Centres</a></div>
                        @endcan
                        {{-- <div class="item"><a href="{{ route('centre.subscription') }}" class="{{ request()->is('centre/subscription*')  ? 'active' : '' }}"><i class="fas fa-desktop"></i>View Subcriptions</a></div> --}}
                        @endrole
                        @role('tutor')
                        <div class="item"><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        @can('view-student')
                        <div class="item"><a href="{{ route('tutor.student_dashboard') }}" class="sub-item {{ request()->is('tutor*') ? 'active' : '' }}" style="margin-left: 0.28rem"><i class="fas fa-user-graduate"></i> Students</a></div>
                        @endcan
                        {{-- <div class="item"><a href="{{ route('schedule-class.index') }}" class="{{ request()->is('schedule-class*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Schedule Class</a></div> --}}
                        @endrole
                        @role('parent')
                        <div class="item"><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        @can('view-student')
                        <div class="item"><a href="{{ route('parent.student_dashboard') }}" class="{{ request()->is('parent*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Children</a></div>
                        @endcan
                        @can('view-enroll-classes')
                        <div class="item"><a href="{{ route('student_class.index') }}" class="{{ request()->is('student_class*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Enroll Classes</a></div>
                        @endcan
                        @endrole
                        @role('student')
                        <div class="item"><a href="{{ route('student.student_index') }}" class="{{ request()->is('home*') || request()->is('student*') && !request()->is('student/enrollclass')? 'active' : '' }}"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        @can('view-enroll-classes')
                        <div class="item"><a href="{{ route('student.enrollclass') }}" class="{{ request()->is('student/enrollclass') ? 'active' : '' }}"><i class="fas fa-user"></i>Enrolled Class</a></div>
                        @endcan
                        @endrole
                        @role('super_admin|admin')
                        <div class="item"><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        @endrole
                        @role('super_admin|admin|tuition center|tutor|parent|student')
                        @else
                        <div class="item"><a href="{{ route('home') }}" class="{{ request()->is('home*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Dashboard</a></div>
                        @endrole
                        @role('tuition center|tutor|parent|student')
                        @else
                        @canany(['view-tuition-centre', 'view-tutor', 'view-student', 'view-user','view-parent'])
                        <div class="item">
                          <a class="sub-btn {{ request()->is('tuition-centre*') || request()->is('tutor*') || request()->is('parent*') || request()->is('student*') || request()->is('users*') ? 'active' : '' }}"><i class="fas fa-table"></i>Users<i class="fas fa-angle-right dropdown"></i></a>
                          <div class="sub-menu">
                            @can('view-tuition-centre')
                            <a href="{{ route('tuition-centre.index') }}" class="sub-item {{ request()->is('tuition-centre*') ? 'active' : '' }}"><i class="fas fa-school"></i> Tuition Centres</a>
                            @endcan
                            @can('view-tutor')
                            <a href="{{ route('tutor.index') }}" class="sub-item {{ request()->is('tutor*') ? 'active' : '' }}"><i class="fas fa-chalkboard-teacher"></i> Tutors</a>
                            @endcan
                            @can('view-parent')
                            <a href="{{ route('parent.index') }}" class="sub-item {{ request()->is('parent*') ? 'active' : '' }}"><i class="fas fa-users"></i> Parents</a>
                            @endcan
                            @can('view-student')
                            <a href="{{ route('student.index') }}" class="sub-item {{ request()->is('student*') ? 'active' : '' }}" style="margin-left: 0.28rem"><i class="fas fa-user-graduate"></i> Students</a>
                            @endcan
                            @can('view-user')
                            <a href="{{ route('users.index') }}" class="sub-item {{ request()->is('users*') ? 'active' : '' }}"><i class="fas fa-user-cog"></i> Users</a>
                            @endcan
                        </div>
                        </div>
                        @endcanany
                        @endrole
                        @role('super_admin')
                        <div class="item"><a href="{{ route('role.index') }}" class="{{ request()->is('role*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Roles & Permissions</a></div>
                        @endrole
                        @canany(['view-level', 'view-subject', 'view-topic', 'view-lesson', 'view-class','view-address'])
                        <div class="item">
                          <a class="sub-btn {{ request()->is('subject*') || request()->is('lesson*') || request()->is('class*')|| request()->is('topic*') || request()->is('level*') ? 'active' : '' }}"><i class="fas fa-table"></i>Lesson Management<i class="fas fa-angle-right dropdown"></i></a>
                          <div class="sub-menu">
                            @can('view-level')
                                <a href="{{ route('level.index') }}" class="sub-item {{ request()->is('level*') ? 'active' : '' }}"><i class="fas fa-tasks"></i> Levels</a>
                            @endcan
                            @can('view-subject')
                            <a href="{{ route('subject.index') }}" class="sub-item {{ request()->is('subject*') ? 'active' : '' }}"><i class="fas fa-chalkboard-teacher"></i> Subjects</a>
                            @endcan
                            @can('view-topic')
                            <a href="{{ route('topic.index') }}" class="sub-item {{ request()->is('topic*') ? 'active' : '' }}"><i class="fas fa-chalkboard-teacher"></i> Topics</a>
                            @endcan
                            @role('parent|student')
                            @else
                            @can('view-lesson')
                            <a href="{{ route('lesson.index') }}" class="sub-item {{ request()->is('lesson*') ? 'active' : '' }}"><i class="fas fa-book-open"></i> Lessons</a>
                            @endcan
                            @can('view-address')
                                <a href="{{ route('address.index') }}" class="sub-item {{ request()->is('address*') ? 'active' : '' }}"><i class="fas fa-tasks"></i>Addresses</a>
                            @endcan
                            @can('view-class')
                            <a href="{{ route('class.index') }}" class="sub-item {{ request()->is('class*') ? 'active' : '' }}"><i class="fas fa-book-open"></i> Classes</a>
                            @endcan
                            @endrole
                          </div>
                        </div>
                        @endcanany
                        @role('parent|student')
                        @else
                        @can('view-banner')
                        <div class="item"><a href="{{ route('banner.index') }}" class="{{ request()->is('banner*') ? 'active' : '' }}"><i class="fas fa-audio-description"></i>ADS Banner</a></div>
                        @endcan
                        @endrole
                        @can('view-broadcast')
                            <div class="item"><a href="{{ route('broadcast.index') }}" class="{{ request()->is('broadcast*') ? 'active' : '' }}"><i class="fas fa-podcast"></i>Broadcast</a></div>
                        @endcan
                        @can('view-support')
                            <div class="item"><a href="{{ route('contactus.index') }}" class="{{ request()->is('contactus*') ? 'active' : '' }}"><i class="fas fa-phone-alt"></i>Support</a></div>
                        @endcan
                        @can('view-contactus')
                            <div class="item"><a href="{{ route('frontcontactus.index') }}" class="{{ request()->is('frontcontactus*') ? 'active' : '' }}"><i class="fas fa-phone-alt"></i>Contact Us</a></div>
                        @endcan
                        @role('tuition center|tutor|parent|student')
                        @else
                        @canany(['view-parent-report', 'view-centre-report', 'view-tutor-report', 'view-summary-report', 'view-banner-report'])
                        <div class="item">
                            <a class="sub-btn {{ request()->is('parent-report*') || request()->is('centre-report*') || request()->is('tutor-report*') || request()->is('summary-report*') || request()->is('banner-report*') ? 'active' : '' }}"><i class="fas fa-table"></i>Reports<i class="fas fa-angle-right dropdown"></i></a>
                            <div class="sub-menu">
                                @can('view-parent-report')
                                <a href="{{ route('parent-report.index') }}" class="sub-item {{ request()->is('parent-report*') ? 'active' : '' }}"><i class="fas fa-dot-circle"></i>Parent Report</a>
                                @endcan
                                @can('view-centre-report')
                                <a href="{{ route('centre-report.index') }}" class="sub-item {{ request()->is('centre-report*') ? 'active' : '' }}"><i class="fas fa-dot-circle"></i> Centre Report</a>
                                @endcan
                                @can('view-tutor-report')
                                <a href="{{ route('tutor-report.index') }}" class="sub-item {{ request()->is('tutor-report*') ? 'active' : '' }}"><i class="fas fa-dot-circle"></i> Tutor Report</a>
                                @endcan
                                @can('view-summary-report')
                                <a href="{{ route('summary-report.index') }}" class="sub-item {{ request()->is('summary-report*') ? 'active' : '' }}"><i class="fas fa-dot-circle"></i> Summary Report</a>
                                @endcan
                                @can('view-banner-report')
                                <a href="{{ route('banner-report.index') }}" class="sub-item {{ request()->is('banner-report*') ? 'active' : '' }}"><i class="fas fa-dot-circle"></i>ADS Statistic Report</a>
                                @endcan
                            </div>
                        </div>
                        @endcanany
                        @endrole
                        {{-- @role('super_admin|admin')
                        <div class="item"><a href="{{ route('admin.subscription') }}" class="{{ request()->is('admin/subscription*') ? 'active' : '' }}"><i class="fas fa-desktop"></i>Subscription Details</a></div>
                        @endrole --}}
                    </div>
                </div>
                <div class="bar">
                    <i class="fas fa-bars" onclick="showmenu()"></i>
                    <span class="logo-wraap">
                        @php
                        $user = Auth::user();
                        @endphp
                        @if($user == '')
                        <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                        @else
                          @if($user->roles->first()->name != 'student' && $user->roles->first()->name != 'parent')
                          <a href="https://tuitionkingsystem.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                          @else
                          <a href="https://tuitionking.swotfishdemo.cc/"><img src="/assets/images/logo.png"></a>
                          @endif
                        @endif
                    </span>
                </div>

            @if(Auth::user())
                <div class="user">
                    <a href="#" class="user-icon"><i class="fas fa-user-circle"></i></a>

                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            @role('tuition center')
                            @php
                                $name = App\Models\TuitionCentre::where('user_id',auth()->user()->id)->first();
                            @endphp
                             {{ $name->name }}
                            @else
                            @php
                                $name = App\Models\Account::where('user_id',auth()->user()->id)->first();
                            @endphp
                             {{ $name->first_name }} {{ $name->last_name }}
                            @endif
                        </button>
                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                            @php
                                $can = 0;
                            @endphp
                            @role('super_admin') @php  $var = 'admin.show'; @endphp @can('show-details-admin')  @php $can = 1; @endphp @endcan @endrole
                            @role('tuition center') @php  $var = 'tuition.show' @endphp @can('show-details-tuition-centre')  @php $can = 1; @endphp @endcan @endrole
                            @role('tutor') @php  $var = 'tutor.show' @endphp @can('show-details-tutor')  @php $can = 1; @endphp @endcan @endrole
                            @role('admin') @php  $var = 'admin.show' @endphp @can('show-details-admin')  @php $can = 1; @endphp @endcan @endrole
                            @role('parent') @php  $var = 'parent.show' @endphp @can('show-details-parent')  @php $can = 1; @endphp @endcan @endrole
                            @role('student')  @php  $var = 'student.show' @endphp @can('show-details-student')  @php $can = 1; @endphp @endcan @endrole
                            @if($can == 1)
                            <li><a class="dropdown-item" href="{{ route($var,['id' => auth()->user()->id]) }}" >Profile Information</a></li>
                            @endif
                            <li><a class="dropdown-item" href="{{ route('notifications.index') }}">Notifications</a></li>
                            <li>
                                <a class="dropdown-item" href="{{ route('logout') }}" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log Out</a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                            </li>
                        </ul>
                    </div>
                </div>
                @endif
            </nav>
        </div>
    </section>
    @yield('content')

    <script>
        var navLinks = document.getElementById("navLinks");
        function showmenu() {
            navLinks.style.left = "0";
        }
        function hidemenu() {
            navLinks.style.left = "-270px"
        }

    </script>
    <script type="text/javascript">
        $(document).ready(function(){
          //jquery for toggle sub menus
          $('.sub-btn').click(function(){
            $(this).next('.sub-menu').slideToggle();
            $(this).find('.dropdown').toggleClass('rotate');
          });
        });
        </script>

    @stack('scripts')

</body>

</html>
