@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <form action="{{ route('lesson.update', $lessons->id)}}" method="POST" id="LessonForm">
           @csrf
           @method('PUT')
            <div class="container">
                <div class="row">
                    @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h4>Edit Lesson</h4>
                        </div>
                    </div>
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            <a href="{{ route('lesson.index')}}" class="back-btn">Back</a>
                        </div>
                    </div>
                </div><br>

                <div class="sub-add-wrap">
                    <div class="row">
                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                            <div class="cen-info">
                                <h5>Level <span class="text-danger">*</span></h5>
                                <select class="disselect-2" name="level" id="level">
                                    <option value="">Select Level</option>
                                    @foreach ($levels as $level)
                                    <option value="{{ $level->id }}" {{ $lessons->level_id == $level->id ? 'selected' : ''}}>{{ $level->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                            <div class="cen-info">
                                <h5>Subject <span class="text-danger">*</span></h5>
                                <select class="disselect-2" name="subject" id="subject">
                                    <option value="">Select Subject</option>
                                    @php
                                    $subjects = App\Models\Subject::where('level_id',$lessons->level_id)->get();
                                    @endphp
                                    @foreach ($subjects as $subject)
                                    <option value="{{ $subject->id }}" {{ $lessons->subject_id == $subject->id ? 'selected' : ''}} >{{ $subject->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                            <div class="cen-info">
                                <h5>Topic <span class="text-danger">*</span></h5>
                                <select class="disselect-2" name="topic" id="topic">
                                    <option value="">Select Topic</option>
                                    @php
                                    $topics = App\Models\Topic::where('level_id',$lessons->level_id)->get();
                                    @endphp
                                    @foreach ($topics as $topic)
                                    <option value="{{ $topic->id }}"  {{ $topic->id == $lessons->topic_id ? 'selected' : ''}}>{{ $topic->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                            <div class="cen-info">
                                <h5>Lesson Name <span class="text-danger">*</span></h5>
                                <input name="lesson" value="{{ $lessons->name }}" type="text" class="input__textbox"
                                    placeholder="Enter the Lesson Name">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="adm-btn">
                            <a href="{{ route('lesson.index') }}" class="adm-info-btn-2">Cancel</a>
                            <button type="submit" class="adm-info-btn save-btn">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
@endsection
<style>
    input[type="datepicker"]::-webkit-inner-spin-button,
input[type="datepicker"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}
</style>
@push('scripts')
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
        <script type="text/javascript">
            $(function() {
                $(".datepicker").datepicker({
                    autoclose: true,
                    orientation: "down",
                    dateFormat: 'dd-mm-yy'
                });

                $('form[id="LessonForm"]').validate({
                    rules: {
                        topic: {
                          required:true,
                        },
                        level: {
                          required:true,
                        },
                        subject: {
                          required:true,
                        },
                        lesson: {
                          required:true,
                        },
                    },
                    messages: {
                        topic: "<span style='color:red;'>This field is required.</span>",
                        level: "<span style='color:red;'>This field is required.</span>",
                        subject: "<span style='color:red;'>This field is required.</span>",
                        lesson: "<span style='color:red;'>This field is required.</span>",
                    }
                })

                $('#subject').change(function() {
                    $("select[name='topic'] > option").remove();
                    $('#topic').append('<option value="">Select Topic</option>');
                    $.ajax({
                        url: '{{ url('subject/get_topic') }}?subject=' + $('#subject').val(),
                        data:{type:'topic'},
                        success: function(response) {
                            $.each(response.topics, function(key,value) {
                                $('#topic').append('<option value="' +value.id +'">' +value.name + ' </option>');
                            });
                        }
                    });
                });
                $('#level').change(function() {
                    $("select[name='subject'] > option").remove();
                    $('#subject').append('<option value="">Select Subject</option>');
                    $.ajax({
                        url: '{{ url('subject/get_topic') }}?level=' + $('#level').val(),
                        data:{type:'subject'},
                        success: function(response) {
                            $.each(response.subjects, function(key,value) {
                                $('#subject').append('<option value="' +value.id +'">' +value.name + ' </option>');
                            });
                        }
                    });
                });
            });
        </script>
@endpush
