@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <form action="{{ route('level.update',$level->id) }}" method="POST" id="LevelForm">
        @csrf
        @method('PUT')
        <div class="container">
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Level</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('level.index') }}" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Level <span class="text-danger">*</span></h5>
                            <input type="text" name="name" value="{{$level->name}}" placeholder="Enter Name of your Level" class="sub-box">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="{{ route('level.index') }}" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
@endsection
@push('scripts')
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $('form[id="LevelForm"]').validate({
            rules: {
                name: {
                  required:true,
                  remote: {
                    url: "{{url('lesson/same_name')}}",
                    data:{
                        from:'level',
                        id:{{ $level->id }},
                    },
                    type: 'get',
                }
                },
            },
            messages: {
                name:{
                    required:"<span style='color:red;'>This field is required.</span>",
                    remote:"<span style='color:red;'>Level Already Exist.</span>",
                }
            }
        })
    })
</script>
@endpush
