@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <form action="{{ route('multiplecentre.store') }}" method="POST" id="LevelForm">
        @csrf
        <div class="container">
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>New Centre</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('multiplecentre.index') }}" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Centre Name <span class="text-danger">*</span></h5>
                            <input type="text" name="centre_name" value="{{ old('centre_name') }}" placeholder="Enter Name of your Centre" class="sub-box">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="{{ route('multiplecentre.index') }}" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
@endsection
@push('scripts')
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $('form[id="LevelForm"]').validate({
            rules: {
                centre_name: {
                  required:true,
                },
            },
            messages: {
                centre_name:{
                    required:"<span style='color:red;'>This field is required.</span>",
                }
            }
        })
    })
</script>
@endpush
