@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            @if(session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
            @endif
            <div class="less-wrap-2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Centres</h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="pills-tabContent">

                            <div class="tab-pane fade show active" id="pills-levels" role="tabpanel"
                                    aria-labelledby="pills-levels-tab">
                                    <div class="tabcontent-3">
                                        <div class="row">
                                            @can('create-multiplecentre')
                                            <div class="col-xl-12">
                                                <div class="opcm-btn">
                                                    <a href="{{ route('multiplecentre.create')}}" class="btn-opcm"><i class="fas fa-plus-circle"></i>New Centre</a>
                                                </div>
                                            </div>
                                            @endcan
                                            <div class="col-xl-12">
                                                    <div class="table-wrap-box">
                                                        <table id="ok" class="table table-striped-2 display" style="width:100%">
                                                            <thead>
                                                                <tr>
                                                                    <th class="th-left">Name</th>
                                                                    <th class="th-center">Added Date</th>
                                                                    <th class="th-center">up</th>
                                                                    @canany(['edit-multiplecentre','delete-multiplecentre'])
                                                                    <th class="th-center">Actions</th>
                                                                    @else
                                                                    <th class="th-center"></th>
                                                                    @endcanany
                                                                </tr>
                                                            </thead>
                                                        </table>
                                                    </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
@push('scripts')
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
<script>
$(function() {
    $('#ok').DataTable({
        processing: true,
        serverSide: true,
        scrollX:true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        order:[2, 'desc'],
        "ajax": {
            'url': '{!! route("multiplecentre.data") !!}',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            }
        },

        columns: [
            {data: 'name', name: 'name', className: 'th-left'},
            {data: 'created_at', name: 'created_at', className: 'th-center'},
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center',
            @canany(['edit-multiplecentre','delete-multiplecentre'])
            visible:true
            @else
            visible:false
            @endcanany
        }
        ]
    });
    $(".dataTables_filter").find('input').addClass('input__textbox col-8');
});
</script>
@endpush
