@extends(
    (auth()->user()->roles->first()->name == 'parent') || (auth()->user()->roles->first()->name == 'student')
        ? 'layouts.nav'
        : 'layouts.sidebar'
)
@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success" id="successMessage">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h5>Notification</h5>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'tutor' ? 'show active' : '') : 'show active' }}"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box">
                                                <table id="example-1" class="table table-striped-2 display"
                                                    style="width:100%">
                                                    <thead>
                                                        <tr>
                                                        <th class="th-left">Title</th>
                                                        <th class="th-left">Notification</th>
                                                        <th class="th-left">Date & Time</th>
                                                        <th class="th-center">up</th>
                                                        <th class="th-center">Actions</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
        @if(auth()->user()->roles->first()->name == 'parent' || auth()->user()->roles->first()->name == 'student')
        @include('layouts.footer')
        @endif
    </section>

@endsection

@push('scripts')
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#example-1').DataTable({
                processing: true,
                serverSide: true,
                scrollX:true,
                oSearch: {"bSmart": true},
                lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
                pageLength: 10,
                order:[3, 'desc'],
                "ajax": {
                    'url': '{!! route("notifications.data") !!}',
                    'type': 'POST',
                    'headers': {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    }
                },
                columnDefs: [
                    { "targets": [ 0 ] },
                    { "targets": [ 1 ] },
                    { "targets": [ 2 ] },
                    { "targets": [ 3 ] },
                ],
                columns: [
                    {data: 'title', name: 'title', className: 'th-left'},
                    {data: 'msg', name: 'msg', className: 'th-left'},
                    {data: 'created_at', name: 'created_at', className: 'th-left'},
                    {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                    {data: 'actions', name: 'actions', className: 'th-center'}
                ],
                "rowCallback": function( row, data, index ) {
                    if(data.read_at == null){
                        $('td', row).css('background-color', '#DCDCDC');
                    }
                }
            });
            $(".dataTables_filter").find('input').addClass('input__textbox col-8');
        });
    </script>
    <script>
        var navLinks = document.getElementById("navLinks");

        function showmenu() {
            navLinks.style.left = "0";
        }

        function hidemenu() {
            navLinks.style.left = "-270px"
        }
    </script>
@endpush
