@extends('layouts.nav')

@section('content')
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="band-wrap-head">
                        <h4>Profile Information</h4>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="parent-sign-up-form">
        <div class="parent-edit-details-wrapper">
            <div class="container">
                <div class="sign-up-form-wrapper">
                    <div class="form-head">
                        <h3>Edit Details</h3>
                    </div>
                    <div class="sign-up-wrap">
                        <div class="sign-up-form">
                            <form action="" method="POST" id="regForm2">
                                @csrf
                                @method('PUT')
                                <input type="hidden" value="{{ $contact_number }}" id="code">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>First Name <span class="text-danger">*</span></label>
                                            <input type="text" name="first_name" id="first_name"
                                                value="{{ $admin_details->first_name }}" class="form-control"
                                                placeholder="Enter the First Name" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Last Name <span class="text-danger">*</span></label>
                                            <input type="text" name="last_name" id="last_name"
                                                value="{{ $admin_details->last_name }}" class="form-control"
                                                placeholder="Enter the Last Name" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Email Id <span class="text-danger">*</span></label>
                                            <input name="email" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$"
                                                value="{{ $admin_details->email }}" type="email" class="form-control"
                                                placeholder="Enter the Email Id" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Password </label>
                                            <input type="password" name="password" id="password"
                                                autocomplete="new-password" class="form-control"
                                                placeholder="Enter the Password" >
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Confirm Password </label>
                                            <input type="password" name="password_confirmation" class="form-control"
                                                placeholder="Re enter password" >
                                        </div>
                                    </div>
                                    <div class="col-xl-12" id="code_div">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Country Code <span class="text-danger">*</span></label>
                                            <select class="disselect-2 js-example-basic-single" name="countryCode" id="countryCode">
                                                @include('include.contry_code')
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Contact No. <span class="text-danger">*</span></label>
                                            <input type="number"
                                                name="contact_number" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" value="{{ str_replace($contact_number, '', $admin_details->contact_number); }}" class="form-control"
                                                placeholder="Enter the child's Contact No." required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Gender <span class="text-danger">*</span></label>
                                            <select class="disselect-2" name="gender" id="gender">
                                                <option value="" selected disabled>Select the gender</option>
                                                <option value="m" class="abc" {{ $admin_details->gender == 'm' ? 'selected' : '' }}>Male</option>
                                                <option value="f" class="abc" {{ $admin_details->gender == 'f' ? 'selected' : '' }}>Female</option>
                                                <option value="o" class="abc" {{ $admin_details->gender == 'o' ? 'selected' : '' }}>Others</option>
                                            </select>
                                        </div>
                                    </div>
                                    <input id="user_id" type="hidden" value="{{ $admin->id }}">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Street Name <span class="text-danger">*</span></label>
                                            <input name="street_name" value="{{ $admin_details->street_name }}"
                                                type="text" id="street_name" class="form-control"
                                                placeholder="Enter the Street Name" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>State <span class="text-danger">*</span></label>
                                            <input name="state" value="{{ $admin_details->state }}" type="text"
                                                id="state" class="form-control" placeholder="Enter the State Name"
                                                required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>City <span class="text-danger">*</span></label>
                                            <input name="city" value="{{ $admin_details->city }}" type="text"
                                                id="city" class="form-control" placeholder="Enter the City Name"
                                                required>
                                        </div>
                                    </div>
                                    <div class="btn-wrap">
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                <button type="submit" class="btn custom-btn common-transition">Update
                                                    Details</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
    </section>
    @include('layouts.footer')
@endsection
<style type="text/css">
    #email-error {
        color: red;
    }

    #contact_number-error {
        color: red;
    }

    #password-error {
        color: red;
    }

    #password_confirmation-error {
        color: red;
    }
    .select2-container--default .select2-selection--single {
    background-color: #fff!important;
    border: 1px solid #dbdbdb!important;
    padding: 0.65rem 0.7rem 0.65rem 0.7rem!important;
    border-radius: 4px!important;
    height: 43px!important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 20px!important;
    font-size:0.85rem;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b{
    margin-top:5px!important;
    left:15%!important;
    border-color: #5a5a5a transparent transparent transparent!important;
}
.select2-results{
    font-size: 0.85rem!important;
}
</style>
@push('scripts')
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
    <script>
        $(document).ready(function() {
          $('.js-example-basic-single').select2();
        });
        $(function(){
         $('#countryCode').val($('#code').val());
         $('#countryCode').select2().trigger('change');
        });
        $(document).ready(function() {
            $.validator.addMethod(
                "regex",
                function(value, element, regexp) {
                    var re = new RegExp(regexp);
                    return this.optional(element) || re.test(value);
                },
                "Please check your input."
            );
            $('form[id="regForm2"]').validate({
                rules: {
                    first_name: {
                        required: true,
                        minlength: 3,
                    },
                    last_name: {
                        required: true,
                        minlength: 3,
                    },
                    email: {
                        required: true,
                        email: true,
                        remote: {
                            url: "{{ url('/validate') }}",
                            data: {
                                from: 'parent',
                                id: function() {
                                    return $("#user_id").val();
                                }
                            },
                            type: 'get',
                        }
                    },
                    gender: {
                        required: true,
                    },
                    street_name: {
                        required: true,
                    },
                    state: {
                        required: true,
                    },
                    city: {
                        required: true,
                    },
                    contact_number:{
                    required:true,
                    regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$" ,
                    },
                    password_confirmation: {
                        equalTo: "#password"
                    },
                },
                messages: {
                    first_name: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    last_name: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    email: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        remote: "<span style='color:red;'>Email Already Exist.</span>",
                    },
                    gender: "<span style='color:red;'>This field is required.</span>",
                    street_name: "<span style='color:red;'>This field is required.</span>",
                    state: "<span style='color:red;'>This field is required.</span>",
                    city: "<span style='color:red;'>This field is required.</span>",
                    contact_number: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
                    },
                    password_confirmation: {
                        equalTo: "<span style='color:red;'>Confirm Password Not Matched.</span>",
                    }
                },
                submitHandler: function(form) {
                    $('#regForm2').attr('action',
                        '{{ route('parent.update', $admin->id) . '?from_profile=' . $from_profile }}'
                        );
                    form.submit();
                }
            });
        });
    </script>
@endpush
