@extends(
    (auth()->user()->roles->first()->name == 'parent' || auth()->user()->roles->first()->name == 'student') ? 'layouts.nav' : 'layouts.sidebar'
)

@section('content')
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                @if(session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    @if ($show == '')
                        <div class="band-wrap-head">
                            <h4>Profile Information</h4>
                        </div>
                    @else
                        <div class="band-wrap-head">
                            <h4>Child Details</h4>
                        </div>
                    @endif
                </div>
                @if ($show != '')
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            @role('parent')
                                <a href="{{ route('parent.student_dashboard') }}" class="back-btn">Back</a>
                            @else
                                <a href="{{ $previous }}" class="back-btn">Back</a>
                            @endrole
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </section>

    <section class="user-profile-wrapper">
        <div class="container">
            <div class="user-profile-wrap">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                <img src="{{ asset('profile_pictures/' . $value->profile_picture) }}">
                            </div>
                            <div class="user-profile-name">
                                <h3>{{ $value->first_name . ' ' . $value->last_name }}</h3>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Basic Information</h4>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                                        @if ($show == '')
                                            <div class="edit-details-wrapper">
                                                <a href="{{ $edit_route.'?from_profile=1' }}"><i class="fas fa-pen"></i> Edit
                                                    Details</a>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Email ID</h4>
                                            <p>{{ $value->email }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-phone-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Number</h4>
                                            <p>{{ $value->contact_number }}</p>
                                        </div>
                                    </div>


                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-road"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Street Name</h4>
                                            <p>{{ $value->street_name }}</p>
                                        </div>
                                    </div>


                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-flag"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>State</h4>
                                            <p>{{ $value->state }}</p>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-city"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>City</h4>
                                            <p>{{ $value->city }}</p>
                                        </div>
                                    </div>

                                </div>
                                @if(auth()->user()->roles->first()->name == 'parent' && $show != 1)
                                    @php
                                        $count = App\Models\Account::where('user_id', auth()->user()->id)->first();
                                        $student = App\Models\Account::where('parent_id', $count->id)
                                            ->get()
                                            ->count();
                                    @endphp
                                    <div class="col-xl-4">
                                        <div class="admin-profile-wrap">
                                            <div class="admin-icon-box">
                                                <i class="fas fa-child"></i>
                                            </div>
                                            <div class="admin-profile-information">
                                                <h4>Children Registered</h4>
                                                <p>{{ $student }}</p>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-user"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Gender</h4>
                                            <p>{{ $value->gender == 'o' ? 'Other':'' }}{{ $value->gender == 'f' ? 'Female':'' }}{{ $value->gender == 'm' ? 'Male':'' }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
