@extends('layouts.guest')
@section('content')
    <section class="parent-sign-up-form">
        <div class="container">
            <div class="sign-up-form-wrapper">
                <div class="form-head">
                    <h3>Welcome,</h3>
                    <h4>Enter your details below to sign in</h4>
                </div>
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="sign-up-wrap">
                    <div class="sign-up-form">
                        <form method="POST" action="{{ route('login') }}">
                            @csrf
                            <div class="row">
                                <div class="col-xl-12">
                                    <div class="form-group mt-2 mb-2">
                                        <label>Email Id</label>
                                        <input type="email" name="login" id="login" value="{{ old('email') }}" class="form-control" placeholder="Enter your Email" required>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="form-group mt-2 mb-2">
                                        <label>Password</label>
                                        <input type="password" name="password" id="pwd"  class="form-control" placeholder="Enter your password" required>
                                    </div>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                                    <label class="checkbox5" for="myCheckboxId50">
                                        <input class="checkbox__input5" type="checkbox" {{ old('remember') ? 'checked' : '' }}
                                         name="myCheckboxName" id="myCheckboxId50">
                                        <div class="checkbox__box5"></div>

                                        <span>Remember Me</span>
                                    </label>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-12">
                                    <div class="pass">
                                    <a href="{{ route('password.request') }}">Forgot your password ?</a>
                                    </div>
                                </div>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <button type="submit" class="btn custom-btn common-transition">Sign
                                                In</button>
                                            @if($user == 'parent')
                                            <h5 class="sign-up-title">Doesn't have an account? <a href="{{ route('create-parent-account') }}">Sign Up</a> </h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                @if($user == 'parent')
                                <br><h6 style="text-align: center;">OR</h6>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <a href="{{ route('auth.google') }}" class="btn btn-danger" style="width: 100%; color: white;">Continue With Google</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <a href="{{ route('auth.facebook') }}" class="btn btn-primary" style="width: 100%; color: white;">Continue With Facebook</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-wrap">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <a href="{{ route('auth.graph') }}" class="btn btn-warning" style="width: 100%; color: white;">Continue With Microsoft</a>
                                        </div>
                                    </div>
                                </div>
                                @endif
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->

    </section>
    @include('layouts.footer')
@endsection
<style type="text/css">
    #email-error {
        color: red;
    }

    #email_child-error {
        color: red;
    }
</style>
