@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <form action="{{ route('rating.store') }}" method="POST" id="LevelForm">
            @csrf
            <div class="container">
                <div class="row">
                    @if (session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Rating & Review</h6>
                        </div>
                    </div>
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            @role('parent')
                                <a href="{{ route('student_class.index') }}" class="back-btn">Back</a>
                            @else
                                <a href="{{ route('student.enrollclass') }}" class="back-btn">Back</a>
                            @endrole
                        </div>
                    </div>
                </div><br />
                <div class="sub-add-wrap">
                    <div class="row">
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="sub-add">
                                <h5>Class Name<span class="text-danger">*</span></h5>
                                <input type="text" readonly style="background: rgb(228, 225, 225)" name="class"
                                    value="{{ $classes ? $classes->name : '' }}" placeholder="Enter Name of your Level"
                                    class="sub-box">
                                <input name="class_id" id="class_id" value="{{ $classes ? $classes->id : '' }}"
                                    type="hidden" />
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="sub-add">
                                <h5>Review <span class="text-danger">*</span></h5>
                                <input type="text" name="review" id="review"
                                    value="{{ $value ? $value->review : '' }}" placeholder="Enter Review" class="sub-box">
                            </div><br />
                            <span style="color:red;font-family:'Poppins',sans-serif;font-size: 0.88rem;" class="d-none"
                                id="err1">This field is required.</span>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="sub-add">
                                <h5>Ratings <span class="text-danger">*</span></h5>
                                @if ($value == '')
                                    <input class="star" type="checkbox" title="bookmark page" id="star1"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star2"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star3"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star4"
                                        checked>&nbsp;&nbsp;&nbsp;
                                    <input class="star" type="checkbox" title="bookmark page" id="star5"
                                        checked>&nbsp;&nbsp;&nbsp;
                                @else
                                    @if ($value->ratings == 0)
                                        <input class="star" type="checkbox" title="bookmark page" id="star1"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star2"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star3"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    @elseif($value->ratings == 1)
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star2"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star3"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    @elseif($value->ratings == 2)
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star3"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    @elseif($value->ratings == 3)
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star3">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star4"
                                            checked>&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    @elseif($value->ratings == 4)
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star3">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star4">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page" id="star5"
                                            checked>&nbsp;&nbsp;&nbsp;
                                    @elseif($value->ratings == 5)
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star1">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star2">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star3">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star4">&nbsp;&nbsp;&nbsp;
                                        <input class="star" type="checkbox" title="bookmark page"
                                            id="star5">&nbsp;&nbsp;&nbsp;
                                    @endif
                                @endif

                            </div><br />
                            <span style="color:red;font-family:'Poppins',sans-serif;font-size: 0.88rem;" class="d-none"
                                id="err">This field is required.</span>
                            <input name="star" id="star" value="{{ $value ? $value->ratings : '0' }}"
                                type="hidden" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="adm-btn">
                            @role('parent')
                                <a href="{{ route('student_class.index') }}" class="adm-info-btn-2">Cancel</a>
                            @else
                                <a href="{{ route('student.enrollclass') }}" class="adm-info-btn-2">Cancel</a>
                            @endrole
                            <button type="button" id="btn" class="sub-save">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
    <style type="text/css">
        .star {
            visibility: hidden;
            color: #fca500;
            font-size: 40px;
            cursor: pointer;
        }

        .star:before {
            content: "\2605";
            position: absolute;
            visibility: visible;
        }

        .star:checked:before {
            content: "\2606";
            color: #e9af0b;
            position: absolute;
        }
    </style>
@endsection
@push('scripts')
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
    <script>
        $(document).ready(function() {
            $(".star").on("click", function(event) {
                if ($(this).attr('id') == 'star1') {
                    const isChecked = $("#star1").is(":checked");
                    if (isChecked == false) {
                        $(this).prop('checked', false);
                        $('#star2').prop('checked', true);
                        $('#star3').prop('checked', true);
                        $('#star4').prop('checked', true);
                        $('#star5').prop('checked', true);
                    } else {
                        const isChecked = $("#star2").is(":checked");
                        if (isChecked == false) {
                            $(this).prop('checked', false);
                            $('#star2').prop('checked', true);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        } else {
                            $(this).prop('checked', true);
                            $('#star2').prop('checked', true);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }
                } else if ($(this).attr('id') == 'star2') {
                    const isChecked = $("#star2").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', true);
                        $('#star4').prop('checked', true);
                        $('#star5').prop('checked', true);
                    } else {
                        const isChecked = $("#star3").is(":checked");
                        if (isChecked == false) {
                            $('#star2').prop('checked', false);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        } else {
                            $('#star2').prop('checked', true);
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }

                } else if ($(this).attr('id') == 'star3') {
                    const isChecked = $("#star3").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', false);
                        $('#star4').prop('checked', true);
                        $('#star5').prop('checked', true);
                    } else {
                        const isChecked = $("#star4").is(":checked");
                        if (isChecked == false) {
                            $('#star3').prop('checked', false);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        } else {
                            $('#star3').prop('checked', true);
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }
                } else if ($(this).attr('id') == 'star4') {
                    const isChecked = $("#star4").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', false);
                        $('#star4').prop('checked', false);
                        $('#star5').prop('checked', true);
                    }else{
                        const isChecked = $("#star5").is(":checked");
                        if (isChecked == false) {
                            $('#star4').prop('checked', false);
                            $('#star5').prop('checked', true);
                        } else {
                            $('#star4').prop('checked', true);
                            $('#star5').prop('checked', true);
                        }
                    }
                } else if ($(this).attr('id') == 'star5') {
                    const isChecked = $("#star5").is(":checked");
                    if (isChecked == false) {
                        $('#star1').prop('checked', false);
                        $('#star2').prop('checked', false);
                        $('#star3').prop('checked', false);
                        $('#star4').prop('checked', false);
                        $('#star5').prop('checked', false);
                    }
                }
            });
            $("#btn").on("click", function(event) {
                var sum = 5 - $('.star').filter(':checked').length;
                if (sum == 0) {
                    $('#err').removeClass('d-none');
                } else {
                    $('#err').addClass('d-none');
                }
                if ($('#review').val() != '' && sum != '') {
                    $("#LevelForm").submit();
                }
                if ($('#review').val() != '') {
                    $('#err1').addClass('d-none');
                } else {
                    $('#err1').removeClass('d-none');
                }
            });
            $('.star').change(function(e) {
                $('#err').addClass('d-none');
                $('#star').val(5 - $('.star').filter(':checked').length);
            });
            $('#review').keyup(function(e) {
                $('#err1').addClass('d-none');
            });
        })
    </script>
@endpush
