@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <form action="{{ route('student_class.store') }}" method="POST" id="regForm">
        @csrf
        <div class="container">
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>New Class Enrollment</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        @if(empty($stud_id))
                        <a href="{{ route('student_class.index') }}" class="back-btn">Back</a>
                        @else
                        <a href="{{ route('parent.student_dashboard') }}" class="back-btn">Back</a>
                        @endif
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    @if(empty($stud_id))
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Select Child <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="child" id="child">
                                <option value="">Select Child</option>
                                @foreach ($students as $student)
                                <option value="{{ $student->id }}" {{ old('student')  == $student->id ? 'selected' : ''}}>{{ $student->first_name }} {{ $student->last_name }}</option>
                                @endforeach
                            </select>
                            <span style="color:red;font-size: 0.88rem" id="err"></span>
                        </div>
                    </div>
                    @else
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Child Name<span class="text-danger">*</span></h5>
                            <input name="name" value="{{ $stud_id->first_name.' '.$stud_id->last_name }}" type="text" class="input__textbox" placeholder="Enter the Child" disabled>
                        </div>
                    </div>
                    <input name="child" id="child" value="{{ $stud_id->id }}" class="input__textbox" placeholder="Enter the Child" type="hidden">
                    @endif
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Select Lesson <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="lesson" id="lesson">
                                <option value="">Select Lesson</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Select Class <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="class" id="class">
                                <option value="">Select Class</option>
                                @if (old('class') != '')
                                @php
                                $count = [];
                                $all_classes = App\Models\ScheduleClass::all();
                                foreach($all_classes as $class_data){
                                    $stud = App\Models\StudentClass::where('class_id',$class_data->id)->get()->count();
                                    if($stud >= $class_data->class_size){
                                        array_push($count,$class_data->id);
                                    }
                                }
                                  $classes = App\Models\ScheduleClass::whereNotIn('id',$count)->where('lesson_id', old('lesson'))->get();
                                @endphp
                                @foreach ($classes as $class)
                                <option value="{{ $class->id }}" {{ old('class')  == $class->id ? 'selected' : ''}}>{{ $class->name }}({{date('d-m-Y',strtotime($class->class_date))}})({{date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time))}})</option>
                                @endforeach
                                @endif
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        @if(empty($stud_id))
                        <a href="{{ route('student_class.index') }}" class="adm-info-btn-2">Cancel</a>
                        @else
                        <a href="{{ route('parent.student_dashboard') }}" class="adm-info-btn-2">Cancel</a>
                        @endif
                        <button type="submit" id="submitBtn" class="sub-save">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
@push('scripts')
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script type="text/javascript">
    $(function() {
        if($('#child').val() != ''){
            $('#lesson').val('');
            $("select[name='lesson'] > option").remove();
            $('#lesson').append('<option value="">Select Lesson</option>');
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '{{ url('class/get_class') }}?lesson=' + $('#lesson').val(),
                data:{type:'lesson',
                      stud_id:$('#child').val(),
                    },
                success: function(response) {
                    if(response.classes.length != 0){
                        $.each(response.classes, function(key,value) {
                        $('#lesson').append('<option value="' +value.id +'">' +value.name +' </option>');
                    });
                    }else{
                        $("select[name='lesson'] > option").remove();
                        $('#lesson').append('<option value="" disabled selected>No Lesson Available</option>');
                        $("select[name='class'] > option").remove();
                        $('#class').append('<option value="" disabled selected>No Class Available</option>');
                    }
                }
            });
        }
        $('#child').change(function() {
            $('#lesson').val('');
            $("select[name='lesson'] > option").remove();
            $('#lesson').append('<option value="">Select Lesson</option>');
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '{{ url('class/get_class') }}?lesson=' + $('#lesson').val(),
                data:{type:'lesson',
                      stud_id:$('#child').val(),
                    },
                success: function(response) {
                    if(response.classes.length != 0){
                        $.each(response.classes, function(key,value) {
                        $('#lesson').append('<option value="' +value.id +'">' +value.name +' </option>');
                    });
                    }else{
                        $("select[name='lesson'] > option").remove();
                        $('#lesson').append('<option value="" disabled selected>No Lesson Available</option>');
                        $("select[name='class'] > option").remove();
                        $('#class').append('<option value="" disabled selected>No Class Available</option>');
                    }
                }
            });
        });
        $('#lesson').click(function() {
            var validator = $( "#regForm" ).validate();
            validator.element( "#child" );
        });
        $('#class').click(function() {
            var validator = $( "#regForm" ).validate();
            validator.element( "#child" );
            var validator = $( "#regForm" ).validate();
            validator.element( "#lesson" );
        });
        $('#lesson').change(function() {
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '{{ url('class/get_class') }}?lesson=' + $('#lesson').val(),
                data:{type:'class',
                      stud_id:$('#child').val(),
                    },
                success: function(response) {
                    $.each(response.classes, function(key,value) {
                        $('#class').append('<option value="' +value.id +'">' +value.name +'(' + moment(value.class_date).format('DD-MM-YYYY') + ')' + '(' + moment(value.start_time, 'hh:mm A').format('hh:mm A') + ' To ' + moment(value.end_time, 'hh:mm A').format('hh:mm A') +') </option>');
                    });
                }
            });
        });
    });
        $(document).ready (function () {
        $('form[id="regForm"]').validate({
        rules: {
          class: {
          required:true,
          },
          lesson: {
          required:true,
          },
          child: {
          required:true
          },
        },
        messages: {
            class:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          lesson:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          child:{
            required:"<span style='color:red;'>Please Select Child First.</span>",
          },
        },
        submitHandler: function(form) {
                $('#regForm').attr('action', "{{ route('student_class.store').'?from_child='.$child }}");
                form.submit();
        }
      });
    });
</script>
@endpush
@endsection
