@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <form action="{{ route('student_class.update', $student_class->id)}}" method="POST" id="regForm">
           @csrf
           @method('PUT')
            <div class="container">
                <div class="row">
                    @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h4>Edit Class Enrollment</h4>
                        </div>
                    </div>
                    <div class="col-xl-6 d-flex justify-content-end">
                        <div class="back-btn-wrap">
                            <a href="{{ route('student_class.index')}}" class="back-btn">Back</a>
                        </div>
                    </div>
                </div><br>
                <div class="sub-add-wrap">
                    <div class="row">
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="cen-info">
                                <h5>Select Child <span class="text-danger">*</span></h5>
                                <select class="disselect-2" name="child" id="child">
                                    <option value="">Select Child</option>
                                    @foreach ($students as $student)
                                    <option value="{{ $student->id }}" {{ $student_class->student_id  == $student->id ? 'selected' : ''}}>{{ $student->first_name }} {{ $student->last_name }}</option>
                                    @endforeach
                                </select>
                                <span style="color:red;font-size: 0.88rem" id="err"></span>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="cen-info">
                                <h5>Select Lesson <span class="text-danger">*</span></h5>
                                <select class="disselect-2" name="lesson" id="lesson">
                                    <option value="">Select Lesson</option>
                                    @php
                                     $count = [];
                                     $all_classes = App\Models\ScheduleClass::all();
                                     foreach($all_classes as $class_data){
                                         $stud = App\Models\StudentClass::where('class_id',$class_data->id)->get()->count();
                                         if($stud >= $class_data->class_size){
                                             array_push($count,$class_data->id);
                                         }
                                     }
                                        $class = App\Models\ScheduleClass::find($student_class->class_id);
                                        $classes = App\Models\StudentClass::where('student_id',$student_class->student_id)->where('class_id','!=',$student_class->class_id)->pluck('class_id')->toArray();
                                        $merge = array_merge($count,$classes);

                                        $value = App\Models\Account::where('user_id', auth()->user()->id)->first();
                                        $lesson = App\Models\ScheduleClass::whereNotIn('id',$merge)->pluck('lesson_id')->toArray();
                                        $lessons = App\Models\Lessons::whereIn('id',$lesson)->get();
                                    @endphp
                                    @foreach ($lessons as $lesson)
                                    <option value="{{ $lesson->id }}" {{ $class->lesson_id  == $lesson->id ? 'selected' : ''}}>{{ $lesson->name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                            <div class="cen-info">
                                <h5>Select Class <span class="text-danger">*</span></h5>
                                <select class="disselect-2" name="class" id="class">
                                    <option value="">Select Class</option>
                                    @if($class->lesson_id != '')
                                    @php
                                     $count = [];
                                     $all_classes = App\Models\ScheduleClass::all();
                                     foreach($all_classes as $class_data){
                                         $stud = App\Models\StudentClass::where('class_id',$class_data->id)->get()->count();
                                         if($stud >= $class_data->class_size){
                                             array_push($count,$class_data->id);
                                         }
                                     }
                                     $value = App\Models\Account::where('user_id', auth()->user()->id)->first();
                                    if($student_class->student_id != ''){
                                        $class1 = App\Models\StudentClass::where('class_id','!=',$student_class->class_id)->where('student_id',$student_class->student_id)->pluck('class_id')->toArray();
                                        $merge = array_merge($count,$class1);
                                        $classes = App\Models\ScheduleClass::whereNotIn('id',$merge)->where('lesson_id',$class->lesson_id)->get();
                                    }else{
                                        $classes = App\Models\ScheduleClass::whereNotIn('id',$count)->where('lesson_id', $class->lesson_id)->get();
                                    }
                                    @endphp
                                    @foreach ($classes as $class)
                                    <option value="{{ $class->id }}" {{ $student_class->class_id  == $class->id ? 'selected' : ''}}>{{ $class->name }}({{date('d-m-Y',strtotime($class->class_date))}})({{date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time))}})</option>
                                    @endforeach
                                    @endif
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="adm-btn">
                            <a href="{{ route('student_class.index') }}" class="adm-info-btn-2">Cancel</a>
                            <button type="submit" id="submitBtn" class="sub-save">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
    @push('scripts')
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>


<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script type="text/javascript">
    $(function() {
        $('#child').change(function() {
            $('#lesson').val('');
            $("select[name='lesson'] > option").remove();
            $('#lesson').append('<option value="">Select Lesson</option>');
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '{{ url('class/get_class') }}?lesson=' + $('#lesson').val(),
                data:{type:'lesson',
                      stud_id:$('#child').val(),
                      old_id:{{ $student_class->student_id }},
                      class_id:{{ $student_class->class_id }}
                    },
                success: function(response) {
                    if(response.classes.length != 0){
                    $.each(response.classes, function(key,value) {
                        $('#lesson').append('<option value="' +value.id +'">' +value.name +' </option>');
                    });
                    }else{
                        $("select[name='lesson'] > option").remove();
                        $('#lesson').append('<option value="" disabled selected>No Lesson Available</option>');
                        $("select[name='class'] > option").remove();
                        $('#class').append('<option value="" disabled selected>No Class Available</option>');
                    }
              }
            });
        });
        $('#lesson').click(function() {
            var validator = $( "#regForm" ).validate();
            validator.element( "#child" );
        });
        $('#class').click(function() {
            var validator = $( "#regForm" ).validate();
            validator.element( "#child" );
            var validator = $( "#regForm" ).validate();
            validator.element( "#lesson" );
        });
        $('#lesson').change(function() {
            $("select[name='class'] > option").remove();
            $('#class').append('<option value="">Select Class</option>');
            $.ajax({
                url: '{{ url('class/get_class') }}?lesson=' + $('#lesson').val(),
                data:{type:'class',
                stud_id:$('#child').val(),
                class_id:{{ $student_class->class_id }}
                },
                success: function(response) {
                    $.each(response.classes, function(key,value) {
                        $('#class').append('<option value="' +value.id +'">' +value.name + '(' + moment(value.class_date).format('DD-MM-YYYY') + ')' +'(' + moment(value.start_time, 'hh:mm A').format('hh:mm A') + ' To ' + moment(value.end_time, 'hh:mm A').format('hh:mm A') +') </option>');
                    });
                }
            });
        });
    });
    $(document).ready (function () {
        $('form[id="regForm"]').validate({
        rules: {
          class: {
          required:true,
          },
          lesson: {
          required:true,
          },
          child: {
          required:true
          },
        },
        messages: {
            class:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          lesson:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          child:{
            required:"<span style='color:red;'>Please Select Child First.</span>",
          },
        },
        submitHandler: function(form) {
        $('#regForm').attr('action', "{{ route('student_class.update', $student_class->id)}}");
          form.submit();
        }
        });
      });
</script>
@endpush
@endsection

