@extends('layouts.nav')

@section('content')
    <section class="band-wrapper-2">
        <div class="container">
            @if (session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
            @endif
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="band-wrap-head">
                        <h4>My Child's Classes</h4>
                    </div>
                </div>
                <form action="{{ route('student_class.index') }}"
                    class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-end flex-end">
                    <div>
                        <select class="disselect-3 col-xl-12" style="padding-right:30px;" onchange="this.form.submit()"
                            name="child">
                            <option value="all" {{ $sel_child == '' || $sel_child == 'all' ? 'selected' : '' }}>All
                            </option>
                            @foreach ($childrens as $child)
                                <option value="{{ $child->id }}"
                                    {{ $sel_child != '' && $sel_child != 'all' ? ($sel_child == $child->id ? 'selected' : '') : '' }}>
                                    {{ $child->first_name . ' ' . $child->last_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </form>
            </div>
            <input type="hidden" value="{{ $class }}" id="student">
            <input type="hidden" value=" {{ count($all_classes) }}" id="all">
            <input type="hidden" value=" {{ count($upcoming_classes) }}" id="upcoming">
            <input type="hidden" value=" {{ count($completed_classes) }}" id="complete">
            <input type="hidden" value=" {{ count($inprogress_classes) }}" id="inprogress">
            <div class="my_tabs">
            <div class="tab">
                <button class="tablinks active" onclick="openCity(event, 'London')"id="defaultOpen">
                    <div class="tab-heading">
                        All
                        <div class="counting-wrap">
                            <div class="count active">
                                {{ count($all_classes) }}
                            </div>
                        </div>
                    </div>
                </button>
                <button class="tablinks" onclick="openCity(event, 'Paris')">
                    <div class="tab-heading">
                        Upcoming
                        <div class="counting-wrap">
                            <div class="count">
                                {{ count($upcoming_classes) }}
                            </div>
                        </div>
                    </div>
                </button>
                <button class="tablinks" onclick="openCity(event, 'Korea')">
                    <div class="tab-heading">
                        In Progress
                        <div class="counting-wrap">
                            <div class="count">
                                {{ count($inprogress_classes) }}
                            </div>
                        </div>
                    </div>
                </button>
                <button class="tablinks" onclick="openCity(event, 'Tokyo')">
                    <div class="tab-heading">
                        Completed
                        <div class="counting-wrap">
                            <div class="count">
                                {{ count($completed_classes) }}
                            </div>
                        </div>
                    </div>
                </button>

            </div>
            <select class="disselect-2" id="sel_tabs">
                <option value="1">All ( {{ count($all_classes) }} )</option>
                <option value="2">Upcoming ( {{ count($upcoming_classes) }} )</option>
                <option value="3">In Progress ( {{ count($inprogress_classes) }} )</option>
                <option value="4">Completed ( {{ count($completed_classes) }} )</option>
            </select>
        </div>
    </section>
    <section class="child-class-tab-content" style="margin-bottom:10px;">
        <div class="container">
            <div id="London" class="tabcontent">
                <div class="owl-carousel owl-theme case1">
                    @foreach ($all_classes as $classes)
                        @php
                            $tutor = '';
                            $data = App\Models\Classtutorlink::where('class_id', $classes->id)->first();
                            $center_data = App\Models\ClasstuitionCentrelink::where('class_id', $classes->id)->first();
                            if($data){
                                $tutor_detail = App\Models\Account::find($data->tutor_id);
                                if($tutor_detail){
                                    $tutor = $tutor_detail->first_name . ' ' . $tutor_detail->last_name;
                                }
                            }
                            if($center_data){
                                $center_detail = App\Models\TuitionCentre::find($center_data->tuition_centre_id);
                                if($center_detail){
                                    $tutor = $center_detail->name;
                                }
                            }

                            $lessons = '';
                            if ($classes->is_special == 0) {
                                $lessons = $classes->no_lesson;
                            }else{
                                $SpecialClassSchedule = App\Models\SpecialClassSchedule::where('class_id', $classes->id)->orderBy('class_date')->pluck('class_date')->toArray();
                                $lessons = count($SpecialClassSchedule);
                            }

                            $subjectName = '';
                            $lesson = App\Models\Lessons::find($classes->lesson_id);
                            if($lesson){
                                $subject = App\Models\Subject::find($lesson->subject_id);
                                $subjectName = $subject->name;
                            }

                            $student = App\Models\Account::find($classes->student_id);
                        @endphp
                        <div class="item">
                            <a href="{{ route('student_class.details', [$classes->id]) }}" title="View Class Detail">
                            <div class="class-banner-image-wrap">
                                <img src="assets/images/live-1.jpg">
                            </div>
                            <div class="row">
                                <div class="col-xl-12 d-flex justify-content-center flex-column">
                                    <div class="class-name-wrapper">
                                        <h4>{{ $classes->name }}</h4>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    @if($classes->student_status == 'Enquired')
                                    <div class="class-status-upcoming-wrapper">
                                        <span class="badge enquired">Status: {{ $classes->student_status }} </span>
                                    </div>
                                    @else
                                        <div class="class-status-enrolled-wrapper">
                                            <span class="badge enrolled">Status: {{ $classes->student_status }} </span>
                                        </div>
                                    @endif
                                </div>
                            </div>
                            <div class="class-tutor-name-wrap">
                                <h4><b style="color: black;">Child Name:</b>
                                    {{ $student ? $student->first_name . ' ' . $student->last_name : '' }}</h4>
                            </div>
                            <div class="class-tutor-name-wrap">
                                <h4><b style="color: black;">@if($data) Tutor  @else Tuition Center @endif Name:</b>
                                    {{ $tutor ? $tutor : '' }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4>{{ date('l', strtotime($classes->class_date)) }} :
                                    {{ date('h:i A', strtotime($classes->start_time)) }} -
                                    {{ date('h:i A', strtotime($classes->end_time)) }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4><b style="color: black;">Class Date:</b>
                                    {{ date('d-m-Y', strtotime($classes->class_date)) }} To
                                    {{ date('d-m-Y', strtotime($classes->endRecurring_date)) }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4><b style="color: black;">Lessons :</b>
                                    {{ $lessons }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4><b style="color: black;">Subject :</b>
                                    {{ $subjectName }}</h4>
                            </div>
                            </a>
                            @if (in_array($classes->id, $upcoming))
                                <div class="class-upcoming-btn">
                                    <p>Upcoming</p>
                                </div>
                            @elseif(in_array($classes->id, $completed))
                            <div class="class-completed-btn">
                                <p>Completed</p>
                            </div>
                            @if ($classes->student_status == 'Enrolled')
                                    <div class="class-completed-wrap-btn" style="margin-top:20px;">
                                        @can('parent-view-attendance')
                                        <a href="{{ route('student_class.attendance', [$classes->id, $student->id]) }}"
                                            class="attendance-btn">View Attendance</a>{{-- Attached with this page Attendance-page.html --}}
                                        @endcan
                                        @can('parent-view-feedback')
                                        <button class="feedback-btn" data-bs-toggle="modal" id="give_feedback"
                                            onclick="modal_open({{ $classes->id }})" data-id="{{ $classes->id }}"
                                            data-bs-target="#exampleModal">
                                            Give Feedback
                                        </button>
                                        @endcan
                                    </div>
                                @endif
                            @elseif(in_array($classes->id, $inprogress))
                            <div class="class-inprogress-btn">
                                <p>In Progress</p>
                            </div>
                            @if ($classes->student_status == 'Enrolled')
                                    <div class="class-completed-wrap-btn" style="margin-top:20px;">
                                        @can('parent-view-attendance')
                                        <a href="{{ route('student_class.attendance', [$classes->id, $student->id]) }}"
                                            class="attendance-btn">View Attendance</a>{{-- Attached with this page Attendance-page.html --}}
                                        @endcan
                                        @can('parent-view-feedback')
                                        <button class="feedback-btn" data-bs-toggle="modal" id="give_feedback"
                                            onclick="modal_open({{ $classes->id }})" data-id="{{ $classes->id }}"
                                            data-bs-target="#exampleModal">
                                            Give Feedback
                                        </button>
                                        @endcan
                                    </div>
                                @endif
                            @endif
                            <div class="class-completed-wrap-btn" style="margin-top:20px;">
                            <a class="attendance-btn" style="background:#dc35456e;color:#8b3b3b;" onclick="return confirm('Are you sure want to remove child from this class ?');" href="{{ route('student_class.delete_student', $classes->student_id)}}"><i class="text-danger fas fa-trash" Title="Delete"></i>  Remove Child</a>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>

            <div id="Paris" class="tabcontent">
                <div class="owl-carousel owl-theme case2">
                    @foreach ($upcoming_classes as $classes)
                        @php
                            $tutor = '';
                            $data = App\Models\Classtutorlink::where('class_id', $classes->id)->first();
                            $center_data = App\Models\ClasstuitionCentrelink::where('class_id', $classes->id)->first();
                            if($data){
                                $tutor_detail = App\Models\Account::find($data->tutor_id);
                                if($tutor_detail){
                                    $tutor = $tutor_detail->first_name . ' ' . $tutor_detail->last_name;
                                }
                            }
                            if($center_data){
                                $center_detail = App\Models\TuitionCentre::find($center_data->tuition_centre_id);
                                if($center_detail){
                                    $tutor = $center_detail->name;
                                }
                            }
                            $std_class = App\Models\StudentClass::where('class_id', $classes->id)->first();
                            $student = App\Models\Account::find($classes->student_id);

                            $lessons = '';
                            if ($classes->is_special == 0) {
                                $lessons = $classes->no_lesson;
                            }else{
                                $SpecialClassSchedule = App\Models\SpecialClassSchedule::where('class_id', $classes->id)->orderBy('class_date')->pluck('class_date')->toArray();
                                $lessons = count($SpecialClassSchedule);
                            }

                            $subjectName = '';
                            $lesson = App\Models\Lessons::find($classes->lesson_id);
                            if($lesson){
                                $subject = App\Models\Subject::find($lesson->subject_id);
                                $subjectName = $subject->name;
                            }
                        @endphp
                        <div class="item">
                            <a href="{{ route('student_class.details', [$classes->id]) }}" title="View Class Detail">
                            <div class="class-banner-image-wrap">
                                <img src="assets/images/live-1.jpg">
                            </div>
                            <div class="row">
                                <div class="col-xl-12 d-flex justify-content-center flex-column">
                                    <div class="class-name-wrapper">
                                        <h4>{{ $classes->name }}</h4>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    @if($classes->student_status == 'Enquired')
                                    <div class="class-status-upcoming-wrapper">
                                        <span class="badge enquired">Status: {{ $classes->student_status }} </span>
                                    </div>
                                    @else
                                        <div class="class-status-enrolled-wrapper">
                                            <span class="badge enrolled">Status: {{ $classes->student_status }} </span>
                                        </div>
                                    @endif
                                </div>
                            </div>
                            <div class="class-tutor-name-wrap">
                                <h4><b style="color: black;">Child Name:</b>
                                    {{ $student ? $student->first_name . ' ' . $student->last_name : '' }}</h4>
                            </div>
                            <div class="class-tutor-name-wrap">
                                <h4><b style="color: black;">@if($data) Tutor  @else Tuition Center @endif  Name:</b>
                                    {{ $tutor ? $tutor : '' }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4>{{ date('l', strtotime($classes->class_date)) }} :
                                    {{ date('h:i A', strtotime($classes->start_time)) }} -
                                    {{ date('h:i A', strtotime($classes->end_time)) }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4><b style="color: black;">Class Date:</b>
                                    {{ date('d-m-Y', strtotime($classes->class_date)) }} To
                                    {{ date('d-m-Y', strtotime($classes->endRecurring_date)) }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4><b style="color: black;">Lessons :</b>
                                    {{ $lessons }}</h4>
                            </div>
                            <div class="class-days-wrapper">
                                <h4><b style="color: black;">Subject :</b>
                                    {{ $subjectName }}</h4>
                            </div>
                            <!-- <div class="class-upcoming-btn" style="margin-bottom:3px;">
                                <p>Upcoming</p>
                            </div> -->
                            </a>
                        </div>
                        <div class="class-completed-wrap-btn" style="margin-top:20px;">
                            <a class="attendance-btn" style="background:#dc35456e;color:#8b3b3b;" onclick="return confirm('Are you sure want to remove child from this class ?');" href="{{ route('student_class.delete_student', $classes->student_id)}}"><i class="text-danger fas fa-trash" Title="Delete"></i>  Remove Child</a>
                        </div>
                    @endforeach
                </div>
            </div>

            <div id="Korea" class="tabcontent">
                <div class="inprofress-tab-wrap">
                    <div class="owl-carousel owl-theme case3">
                        @foreach ($inprogress_classes as $key => $classes)
                            @php
                                $tutor = '';
                                $data = App\Models\Classtutorlink::where('class_id', $classes->id)->first();
                                $center_data = App\Models\ClasstuitionCentrelink::where('class_id', $classes->id)->first();
                                if($data){
                                    $tutor_detail = App\Models\Account::find($data->tutor_id);
                                    if($tutor_detail){
                                        $tutor = $tutor_detail->first_name . ' ' . $tutor_detail->last_name;
                                    }
                                }
                                if($center_data){
                                    $center_detail = App\Models\TuitionCentre::find($center_data->tuition_centre_id);
                                    if($center_detail){
                                        $tutor = $center_detail->name;
                                    }
                                }
                                $student = App\Models\Account::find($classes->student_id);

                                $lessons = '';
                                if ($classes->is_special == 0) {
                                    $lessons = $classes->no_lesson;
                                }else{
                                    $SpecialClassSchedule = App\Models\SpecialClassSchedule::where('class_id', $classes->id)->orderBy('class_date')->pluck('class_date')->toArray();
                                    $lessons = count($SpecialClassSchedule);
                                }

                                $subjectName = '';
                                $lesson = App\Models\Lessons::find($classes->lesson_id);
                                if($lesson){
                                    $subject = App\Models\Subject::find($lesson->subject_id);
                                    $subjectName = $subject->name;
                                }
                            @endphp
                            <div class="item">
                                <a href="{{ route('student_class.details', [$classes->id]) }}" title="View Class Detail">
                                <div class="class-banner-image-wrap">
                                    <img src="assets/images/live-1.jpg">
                                </div>
                                <div class="row">
                                    <div class="col-xl-12 d-flex justify-content-center flex-column">
                                        <div class="class-name-wrapper">
                                            <h4>{{ $classes->name }}</h4>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        @if($classes->student_status == 'Enquired')
                                        <div class="class-status-upcoming-wrapper">
                                            <span class="badge enquired">Status: {{ $classes->student_status }} </span>
                                        </div>
                                        @else
                                            <div class="class-status-enrolled-wrapper">
                                                <span class="badge enrolled">Status: {{ $classes->student_status }} </span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="class-tutor-name-wrap">
                                    <h4><b style="color: black;">Child Name:</b>
                                        {{ $student ? $student->first_name . ' ' . $student->last_name : '' }}</h4>
                                </div>
                                <div class="class-tutor-name-wrap">
                                    <h4><b style="color: black;">@if($data) Tutor  @else Tuition Center @endif Name:</b>
                                        {{ $tutor ? $tutor : '' }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4>{{ date('l', strtotime($classes->class_date)) }} :
                                        {{ date('h:i A', strtotime($classes->start_time)) }}
                                        {{ date('h:i A', strtotime($classes->end_time)) }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4><b style="color: black;">Class Date:</b>
                                        {{ date('d-m-Y', strtotime($classes->class_date)) }} To
                                        {{ date('d-m-Y', strtotime($classes->endRecurring_date)) }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4><b style="color: black;">Lessons :</b>
                                        {{ $lessons }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4><b style="color: black;">Subject :</b>
                                        {{ $subjectName }}</h4>
                                </div>
                                </a>
                                @if ($classes->student_status == 'Enrolled')
                                    <div class="class-completed-wrap-btn" style="margin-bottom:3px;">
                                        @can('parent-view-attendance')
                                        <a href="{{ route('student_class.attendance', [$classes->id, $student->id]) }}"
                                            class="attendance-btn">View Attendance</a>{{-- Attached with this page Attendance-page.html --}}
                                        @endcan
                                        @can('parent-view-feedback')
                                        <button class="feedback-btn" data-bs-toggle="modal" id="give_feedback"
                                            onclick="modal_open({{ $classes->id }})" data-id="{{ $classes->id }}"
                                            data-bs-target="#exampleModal">
                                            Give Feedback
                                        </button>
                                        @endcan
                                    </div>
                                @endif
                                <div class="class-completed-wrap-btn" style="margin-top:20px;">
                                    <a class="attendance-btn" style="background:#dc35456e;color:#8b3b3b;" onclick="return confirm('Are you sure want to remove child from this class ?');" href="{{ route('student_class.delete_student', $classes->student_id)}}"><i class="text-danger fas fa-trash" Title="Delete"></i>  Remove Child</a>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>

            <div id="Tokyo" class="tabcontent">
                <div class="completed-tab-wrap">
                    <div class="owl-carousel owl-theme case4">
                        @foreach ($completed_classes as $key => $classes)
                            @php
                                $tutor = '';
                                $data = App\Models\Classtutorlink::where('class_id', $classes->id)->first();
                                $center_data = App\Models\ClasstuitionCentrelink::where('class_id', $classes->id)->first();
                                if($data){
                                    $tutor_detail = App\Models\Account::find($data->tutor_id);
                                    if($tutor_detail){
                                        $tutor = $tutor_detail->first_name . ' ' . $tutor_detail->last_name;
                                    }
                                }
                                if($center_data){
                                    $center_detail = App\Models\TuitionCentre::find($center_data->tuition_centre_id);
                                    if($center_detail){
                                        $tutor = $center_detail->name;
                                    }
                                }
                                $student = App\Models\Account::find($classes->student_id);

                                $lessons = '';
                                if ($classes->is_special == 0) {
                                    $lessons = $classes->no_lesson;
                                }else{
                                    $SpecialClassSchedule = App\Models\SpecialClassSchedule::where('class_id', $classes->id)->orderBy('class_date')->pluck('class_date')->toArray();
                                    $lessons = count($SpecialClassSchedule);
                                }

                                $subjectName = '';
                                $lesson = App\Models\Lessons::find($classes->lesson_id);
                                if($lesson){
                                    $subject = App\Models\Subject::find($lesson->subject_id);
                                    $subjectName = $subject->name;
                                }
                            @endphp
                            <div class="item">
                                <a href="{{ route('student_class.details', [$classes->id]) }}" title="View Class Detail">
                                <div class="class-banner-image-wrap">
                                    <img src="assets/images/live-1.jpg">
                                </div>
                                <div class="row">
                                    <div class="col-xl-12 d-flex justify-content-center flex-column">
                                        <div class="class-name-wrapper">
                                            <h4>{{ $classes->name }}</h4>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        @if($classes->student_status == 'Enquired')
                                        <div class="class-status-upcoming-wrapper">
                                            <span class="badge enquired">Status: {{ $classes->student_status }} </span>
                                        </div>
                                        @else
                                            <div class="class-status-enrolled-wrapper">
                                                <span class="badge enrolled">Status: {{ $classes->student_status }} </span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="class-tutor-name-wrap">
                                    <h4><b style="color: black;">Child Name:</b>
                                        {{ $student ? $student->first_name . ' ' . $student->last_name : '' }}</h4>
                                </div>
                                <div class="class-tutor-name-wrap">
                                    <h4><b style="color: black;">@if($data) Tutor  @else Tuition Center @endif Name:</b>
                                        {{ $tutor ? $tutor : '' }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4>{{ date('l', strtotime($classes->class_date)) }} :
                                        {{ date('h:i A', strtotime($classes->start_time)) }}
                                        {{ date('h:i A', strtotime($classes->end_time)) }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4><b style="color: black;">Class Date:</b>
                                        {{ date('d-m-Y', strtotime($classes->class_date)) }} To
                                        {{ date('d-m-Y', strtotime($classes->endRecurring_date)) }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4><b style="color: black;">Lessons :</b>
                                        {{ $lessons }}</h4>
                                </div>
                                <div class="class-days-wrapper">
                                    <h4><b style="color: black;">Subject :</b>
                                        {{ $subjectName }}</h4>
                                </div>
                                </a>
                                @if ($classes->student_status == 'Enrolled')
                                    <div class="class-completed-wrap-btn" style="margin-bottom:3px;">
                                        @can('parent-view-attendance')
                                        <a href="{{ route('student_class.attendance', [$classes->id, $student->id]) }}"
                                            class="attendance-btn">View Attendance</a>{{-- Attached with this page Attendance-page.html --}}
                                        @endcan
                                        @can('parent-view-feedback')
                                        <button class="feedback-btn" data-bs-toggle="modal" id="give_feedback"
                                            onclick="modal_open({{ $classes->id }})" data-id="{{ $classes->id }}"
                                            data-bs-target="#exampleModal">
                                            Give Feedback
                                        </button>
                                        @endcan
                                    </div>
                                @endif
                                <div class="class-completed-wrap-btn" style="margin-top:20px;">
                                    <a class="attendance-btn" style="background:#dc35456e;color:#8b3b3b;" onclick="return confirm('Are you sure want to remove child from this class ?');" href="{{ route('student_class.delete_student', $classes->student_id)}}"><i class="text-danger fas fa-trash" Title="Delete"></i>  Remove Child</a>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
            <!-- Modal -->

            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title" id="exampleModalLabel">Give Review</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                aria-label="Close"></button>
                        </div>
                        <form action="{{ route('rating.store') }}" method="POST" id="LevelForm">
                            @csrf
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Give Rating</label>
                                            <ul class="rating-star">

                                            </ul>
                                        </div>
                                    </div>
                                    <span style="color:red;font-family:'Poppins',sans-serif;font-size: 0.88rem;"
                                        class="d-none" id="err">This field is required.</span>
                                    <input name="star" id="star" value="" type="hidden" />
                                    <input name="class_id" id="class_id" value="" type="hidden" />
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Give review about the class</label>
                                            <textarea name="review" id="review" cols="30" rows="10" placeholder="Write here . . ."
                                                class="review-box"></textarea>
                                        </div>
                                    </div>
                                    <span style="color:red;font-family:'Poppins',sans-serif;font-size: 0.88rem;"
                                        class="d-none" id="err1">This field is required.</span>
                                </div>
                                <hr/>
                                <div class="col-xl-12 ">
                                    <div class="form-group mt-2 mb-2">
                                        <span   style="height:70px!important;background: #78a5d836;"
                                            class="form-control col-4">
                                        <label><i class=" fas fa-comment-dots" style="color: #EBA100" Title="Comment"></i> <b>Comment: </b></label>
                                        <span id="comment"></span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <div class="btn-wrap">
                                    <button type="button" id="btn"
                                        class="btn custom-btn common-transition">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            @if ($class != '')
                @php
                    $std_class_id = App\Models\StudentClass::where('class_id', $class)->pluck('student_id')->toArray();
                    $parent = App\Models\Account::where('user_id', auth()->user()->id)->first();
                    $parent_childs = App\Models\Account::where('parent_id', $parent->id)->whereNotIn('id', $std_class_id)->get();
                @endphp
                <input type="hidden" id="count" value="{{ count($parent_childs) }}">
                <div class="modal fade" id="exampleModal1" tabindex="-1" aria-labelledby="exampleModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h1 class="modal-title" id="exampleModalLabel">New Class Enrollment

                                </h1>
                                <a href="" style="cursor: pointer;margin-left:8%;" data-bs-toggle="modal"
                                data-bs-target="#exampleModal2" ><i class="fas fa-plus-circle"></i> Click to Add New Child</a>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" id="close"
                                    aria-label="Close"></button>
                            </div>
                            <form action="" method="POST" id="regForm1">
                                @csrf
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                <label>Child Name</label>
                                                <input name="enroll_class" type="hidden" value="1">
                                                <select class="disselect-5" name="child_id" id="child_id">
                                                    <option value="" selected>Select Your Child</option>

                                                    @if ($class != '')
                                                        @foreach ($parent_childs as $child)
                                                            <option value="{{ $child->id }}">
                                                                {{ $child->first_name . ' ' . $child->last_name }}</option>
                                                        @endforeach
                                                    @endif
                                                </select>
                                            </div>
                                        </div>
                                        @if ($class != '')
                                            <div class="col-xl-12">
                                                <div class="form-group mt-2 mb-2">
                                                    @php
                                                        $class_detail = App\Models\ScheduleClass::find($class);
                                                    @endphp
                                                    <label>Class Name</label>
                                                    <input type="text"
                                                        value="{{ $class_detail ? $class_detail->name . ' (' . date('d-m-Y', strtotime($class_detail->class_date)) . ')' . ' (' . date('h:i A', strtotime($class_detail->start_time)) . ' To ' . date('h:i A', strtotime($class_detail->end_time)) . ')' : '' }}"
                                                        readonly class="form-control">
                                                    <input type="hidden" name="class" value="{{ $class }}">
                                                </div>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <div class="btn-wrap">
                                        <button type="submit" class="btn custom-btn common-transition">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            @else
            <input type="hidden" id="count" value="0">
            @endif
            <div class="modal fade" data-keyboard="false" data-backdrop="static" id="exampleModal2" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title" id="exampleModalLabel">Adding New Child</h1>
                            <button type="button" class="btn-close" id="closing"></button>
                        </div>
                        <form action="" method="POST" enctype="multipart/form-data" id="regForm2">
                            @csrf
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Child Name</label>
                                            <input type="text" value="{{ old('first_name_child') }}"
                                                name="first_name_child" id="first_name_child" class="form-control"
                                                placeholder="Enter the child name" required>
                                        </div>
                                    </div>
                                    @if ($class != '')
                                        <div class="col-xl-12">
                                            <div class="form-group mt-2 mb-2">
                                                @php
                                                    $class_detail = App\Models\ScheduleClass::find($class);
                                                @endphp
                                                <label>Class Name</label>
                                                <input type="text"
                                                    value="{{ $class_detail ? $class_detail->name . ' (' . date('d-m-Y', strtotime($class_detail->class_date)) . ')' . ' (' . date('h:i A', strtotime($class_detail->start_time)) . ' To ' . date('h:i A', strtotime($class_detail->end_time)) . ')' : '' }}"
                                                    id="class" readonly class="form-control">
                                                <input type="hidden" name="class" value="{{ $class }}">
                                            </div>
                                        </div>
                                    @endif
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Email Id</label>
                                            <input type="email" value="{{ old('email') }}" name="email" id="email"
                                                pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$" class="form-control"
                                                placeholder="Enter the child email id" required>
                                        </div>
                                    </div>

                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Create Password</label>
                                            <input name="password_child" type="password" id="password_child"
                                                autocomplete="new-password" class="form-control"
                                                placeholder="Create the password" required>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="form-group mt-2 mb-2">
                                            <label>Confirm Password</label>
                                            <input name="password_confirmation_child" type="password" class="form-control"
                                                placeholder="Confirm the password" required>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="modal-footer">
                                <div class="btn-wrap">
                                    <button type="submit" class="btn custom-btn common-transition">Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @include('layouts.footer')
@endsection
<style>
a:link {
  color: #eca203;
}

/* visited link */
a:visited {
  color: #eca203;
}

/* mouse over link */
a:hover {
  color: red;
}
#email-error {
        color: red;
    }

</style>
@push('scripts')
    <link href="assets/css/owl.carousel.min.css" rel="stylesheet">
    <script src="assets/js/owl.carousel.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#closing').click(function() {
                $("#exampleModal2").modal('hide');
                $("#exampleModal1").modal('show');
            });
            $('#exampleModal').modal({backdrop: 'static', keyboard: false});
            $('#exampleModal1').modal({backdrop: 'static', keyboard: false});
            $('#exampleModal2').modal({backdrop: 'static', keyboard: false});
            // if($('#count').val() > 0){
                    if ($('#student').val() != '') {
                    $('#exampleModal1').modal('show');
                }
            // }
            $('#close').click(function(){
                window.location.href = "{{ route('student_class.index')}}";
            });
            $('form[id="regForm1"]').validate({
                rules: {
                    child_id: {
                        required: true,
                    },
                },
                messages: {
                    child_id: {
                        required: "<span style='color:red;'>This field is required.</span>",
                    },
                },
                submitHandler: function(form) {
                    $('#regForm1').attr('action', '{{ route('store-child-account') }}');
                    form.submit();
                }
            });
            $(document).on('keyup', '#review', function() {
                $('#err1').addClass('d-none');
            });
            $('#sel_tabs').change(function(){
               if($(this).val() == '1'){
                openCity(event, 'London')
               }else if($(this).val() == '2'){
                openCity(event, 'Paris')
               }else if($(this).val() == '3'){
                openCity(event, 'Korea')
               }else if($(this).val() == '4'){
                openCity(event, 'Tokyo')
               }
            });
            $(document).on('click', '.fa-star', function() {
                $('#err').addClass('d-none');
                if ($(this).attr('id') == 'star1') {
                    const isChecked = $('#star1').attr('name');
                    if (isChecked == 'true') {
                        $('#star1').removeAttr('name');
                        $('#star1').attr('name', false);
                        $('#star1').removeAttr('class');
                        $('#star1').attr('class', 'fa fa-star');

                        $('#star2').removeAttr('name');
                        $('#star2').attr('name', true);
                        $('#star2').removeAttr('class');
                        $('#star2').attr('class', 'far fa-star');

                        $('#star3').removeAttr('name');
                        $('#star3').attr('name', true);
                        $('#star3').removeAttr('class');
                        $('#star3').attr('class', 'far fa-star');

                        $('#star4').removeAttr('name');
                        $('#star4').attr('name', true);
                        $('#star4').removeAttr('class');
                        $('#star4').attr('class', 'far fa-star');

                        $('#star5').removeAttr('name');
                        $('#star5').attr('name', true);
                        $('#star5').removeAttr('class');
                        $('#star5').attr('class', 'far fa-star');
                    } else {
                        const isChecked = $("#star2").attr('name');
                        if (isChecked == 'false') {
                            $('#star1').removeAttr('name');
                            $('#star1').attr('name', false);
                            $('#star1').removeAttr('class');
                            $('#star1').attr('class', 'fa fa-star');

                            $('#star2').removeAttr('name');
                            $('#star2').attr('name', true);
                            $('#star2').removeAttr('class');
                            $('#star2').attr('class', 'far fa-star');

                            $('#star3').removeAttr('name');
                            $('#star3').attr('name', true);
                            $('#star3').removeAttr('class');
                            $('#star3').attr('class', 'far fa-star');

                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        } else {
                            $('#star1').removeAttr('name');
                            $('#star1').attr('name', true);
                            $('#star1').removeAttr('class');
                            $('#star1').attr('class', 'far fa-star');

                            $('#star2').removeAttr('name');
                            $('#star2').attr('name', true);
                            $('#star2').removeAttr('class');
                            $('#star2').attr('class', 'far fa-star');

                            $('#star3').removeAttr('name');
                            $('#star3').attr('name', true);
                            $('#star3').removeAttr('class');
                            $('#star3').attr('class', 'far fa-star');

                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        }
                    }
                } else if ($(this).attr('id') == 'star2') {
                    const isChecked = $("#star2").attr('name');
                    if (isChecked == 'true') {
                        $('#star1').removeAttr('name');
                        $('#star1').attr('name', false);
                        $('#star1').removeAttr('class');
                        $('#star1').attr('class', 'fa fa-star');

                        $('#star2').removeAttr('name');
                        $('#star2').attr('name', false);
                        $('#star2').removeAttr('class');
                        $('#star2').attr('class', 'fa fa-star');

                        $('#star3').removeAttr('name');
                        $('#star3').attr('name', true);
                        $('#star3').removeAttr('class');
                        $('#star3').attr('class', 'far fa-star');

                        $('#star4').removeAttr('name');
                        $('#star4').attr('name', true);
                        $('#star4').removeAttr('class');
                        $('#star4').attr('class', 'far fa-star');

                        $('#star5').removeAttr('name');
                        $('#star5').attr('name', true);
                        $('#star5').removeAttr('class');
                        $('#star5').attr('class', 'far fa-star');
                    } else {
                        const isChecked = $("#star3").attr('name');
                        if (isChecked == 'false') {
                            $('#star2').removeAttr('name');
                            $('#star2').attr('name', false);
                            $('#star2').removeAttr('class');
                            $('#star2').attr('class', 'fa fa-star');

                            $('#star3').removeAttr('name');
                            $('#star3').attr('name', true);
                            $('#star3').removeAttr('class');
                            $('#star3').attr('class', 'far fa-star');

                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        } else {
                            $('#star2').removeAttr('name');
                            $('#star2').attr('name', true);
                            $('#star2').removeAttr('class');
                            $('#star2').attr('class', 'far fa-star');

                            $('#star3').removeAttr('name');
                            $('#star3').attr('name', true);
                            $('#star3').removeAttr('class');
                            $('#star3').attr('class', 'far fa-star');

                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        }
                    }
                } else if ($(this).attr('id') == 'star3') {
                    const isChecked = $("#star3").attr('name');
                    if (isChecked == 'true') {
                        $('#star1').removeAttr('name');
                        $('#star1').attr('name', false);
                        $('#star1').removeAttr('class');
                        $('#star1').attr('class', 'fa fa-star');

                        $('#star2').removeAttr('name');
                        $('#star2').attr('name', false);
                        $('#star2').removeAttr('class');
                        $('#star2').attr('class', 'fa fa-star');

                        $('#star3').removeAttr('name');
                        $('#star3').attr('name', false);
                        $('#star3').removeAttr('class');
                        $('#star3').attr('class', 'fa fa-star');

                        $('#star4').removeAttr('name');
                        $('#star4').attr('name', true);
                        $('#star4').removeAttr('class');
                        $('#star4').attr('class', 'far fa-star');

                        $('#star5').removeAttr('name');
                        $('#star5').attr('name', true);
                        $('#star5').removeAttr('class');
                        $('#star5').attr('class', 'far fa-star');
                    } else {
                        const isChecked = $("#star4").attr('name');
                        if (isChecked == 'false') {
                            $('#star3').removeAttr('name');
                            $('#star3').attr('name', false);
                            $('#star3').removeAttr('class');
                            $('#star3').attr('class', 'fa fa-star');

                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        } else {
                            $('#star3').removeAttr('name');
                            $('#star3').attr('name', true);
                            $('#star3').removeAttr('class');
                            $('#star3').attr('class', 'far fa-star');

                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        }
                    }
                } else if ($(this).attr('id') == 'star4') {
                    const isChecked = $("#star4").attr('name');
                    if (isChecked == 'true') {
                        $('#star1').removeAttr('name');
                        $('#star1').attr('name', false);
                        $('#star1').removeAttr('class');
                        $('#star1').attr('class', 'fa fa-star');

                        $('#star2').removeAttr('name');
                        $('#star2').attr('name', false);
                        $('#star2').removeAttr('class');
                        $('#star2').attr('class', 'fa fa-star');

                        $('#star3').removeAttr('name');
                        $('#star3').attr('name', false);
                        $('#star3').removeAttr('class');
                        $('#star3').attr('class', 'fa fa-star');

                        $('#star4').removeAttr('name');
                        $('#star4').attr('name', false);
                        $('#star4').removeAttr('class');
                        $('#star4').attr('class', 'fa fa-star');

                        $('#star5').removeAttr('name');
                        $('#star5').attr('name', true);
                        $('#star5').removeAttr('class');
                        $('#star5').attr('class', 'far fa-star');
                    } else {
                        const isChecked = $("#star5").attr('name');
                        if (isChecked == 'false') {
                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', false);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'fa fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        } else {
                            $('#star4').removeAttr('name');
                            $('#star4').attr('name', true);
                            $('#star4').removeAttr('class');
                            $('#star4').attr('class', 'far fa-star');

                            $('#star5').removeAttr('name');
                            $('#star5').attr('name', true);
                            $('#star5').removeAttr('class');
                            $('#star5').attr('class', 'far fa-star');
                        }
                    }
                } else if ($(this).attr('id') == 'star5') {
                    const isChecked = $("#star5").attr('name');
                    if (isChecked == 'true') {
                        $('#star1').removeAttr('name');
                        $('#star1').attr('name', false);
                        $('#star1').removeAttr('class');
                        $('#star1').attr('class', 'fa fa-star');

                        $('#star2').removeAttr('name');
                        $('#star2').attr('name', false);
                        $('#star2').removeAttr('class');
                        $('#star2').attr('class', 'fa fa-star');

                        $('#star3').removeAttr('name');
                        $('#star3').attr('name', false);
                        $('#star3').removeAttr('class');
                        $('#star3').attr('class', 'fa fa-star');

                        $('#star4').removeAttr('name');
                        $('#star4').attr('name', false);
                        $('#star4').removeAttr('class');
                        $('#star4').attr('class', 'fa fa-star');

                        $('#star5').removeAttr('name');
                        $('#star5').attr('name', false);
                        $('#star5').removeAttr('class');
                        $('#star5').attr('class', 'fa fa-star');
                    } else {
                        $('#star5').removeAttr('name');
                        $('#star5').attr('name', true);
                        $('#star5').removeAttr('class');
                        $('#star5').attr('class', 'far fa-star');
                    }
                }
                $('#star').val($('.fa-star[name="false"]').length);
            });


            $("#btn").on("click", function(event) {
                var sum = $('.fa-star[name="false"]').length;
                if (sum == 0) {
                    $('#err').removeClass('d-none');
                } else {
                    $('#err').addClass('d-none');
                }
                if ($('#review').val() != '' && sum != '') {
                    $("#LevelForm").submit();
                }
                if ($('#review').val() != '') {
                    $('#err1').addClass('d-none');
                } else {
                    $('#err1').removeClass('d-none');
                }
            });
            var navLinks = document.getElementById("navLinks");

            function showmenu() {
                navLinks.style.left = "0";
            }

            function hidemenu() {
                navLinks.style.left = "-200px"
            }

            $('form[id="regForm2"]').validate({
                rules: {
                    first_name_child: {
                        required: true,
                        minlength: 3,
                    },
                    email: {
                        required: true,
                        email: true,
                        remote: {
                            url: "{{ url('/validate') }}",
                            data: {
                                from: 'student',
                            },
                            type: 'get',
                        }
                    },
                    password_child: {
                        required: true,
                    },
                    password_confirmation_child: {
                        required: true,
                        equalTo: "#password_child"
                    },
                },
                messages: {
                    first_name_child: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        minlength: "<span style='color:red;'>Enter Name at least 3 character.</span>",
                    },
                    email: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        remote: "<span style='color:red;'>Email Already Exist.</span>",
                    },
                    password_child: "<span style='color:red;'>This field is required.</span>",
                    password_confirmation_child: {
                        required: "<span style='color:red;'>This field is required.</span>",
                        equalTo: "<span style='color:red;'>Confirm Password Not Matched.</span>",
                    }
                },
                submitHandler: function(form) {
                    $('#regForm2').attr('action', '{{ route('store-child-account',['from_classes' => '1']) }}');
                    form.submit();
                }
            });
        });

        function openCity(evt, cityName) {
            var i, tabcontent, tablinks;
            tabcontent = document.getElementsByClassName("tabcontent");
            for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
            }
            tablinks = document.getElementsByClassName("tablinks");
            for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
            }
            document.getElementById(cityName).style.display = "block";
            evt.currentTarget.className += " active";
        }

        function modal_open(row) {
            $.ajax({
                url: '{{ url('rating/give_rating') }}?id=' + row,
                data: {
                    class_id: row,
                },
                success: function(response) {
                    $('#class_id').val(row);
                    $('.rating-star').empty();
                    $('.rating-star').append(response.html);
                    $('#star').val(response.old_star);
                    $('#review').val(response.review);
                    $('#comment').html(response.comment);
                    if($('#star').val() != '0' && $('#star').val() != ''){
                        $("#review").prop('readonly', true);
                        $('.fa-star').removeAttr('id');
                        $('.fa-star').css('cursor','default');
                        $("#review").css('cursor','default');
                        $("#btn").addClass('d-none');
                    }else{
                        $("#btn").removeClass('d-none');
                        $("#review").css('cursor','text');
                        $("#review").prop('readonly', false);
                    }
                }
            });
        }
        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();
        if ($('#all').val() > 3) {
            var looping = true;
        } else {
            var looping = false;
        }
        if ($('#upcoming').val() > 3) {
            var looping1 = true;
        } else {
            var looping1 = false;
        }
        if ($('#inprogress').val() > 3) {
            var looping2 = true;
        } else {
            var looping2 = false;
        }
        if ($('#complete').val() > 3) {
            var looping3 = true;
        } else {
            var looping3 = false;
        }
        console.log(looping)
        $('.case1').owlCarousel({
            loop: looping,
            margin: 30,
            nav: true,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 3
                },
                1000: {
                    items: 3
                }
            }
        })
        $('.case2').owlCarousel({
            loop: looping1,
            margin: 30,
            nav: true,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 3
                },
                1000: {
                    items: 3
                }
            }
        })
        $('.case3').owlCarousel({
            loop: looping2,
            margin: 30,
            nav: true,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 3
                },
                1000: {
                    items: 3
                }
            }
        })
        $('.case4').owlCarousel({
            loop: looping3,
            margin: 30,
            nav: true,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 3
                },
                1000: {
                    items: 3
                }
            }
        })
    </script>
@endpush
