@extends('layouts.nav')

@section('content')
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="band-wrap-head">
                        <h4>Class Detail</h4>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                    <div class="band-wrap-btn">
                        @role('student')
                        <a href="{{ route('home') }}" class="back-btn">Back</a>
                        @else
                        <a href="{{ route('student_class.index') }}" class="back-btn">Back</a>
                        @endrole
                    </div>

                </div>
            </div>
        </div>
    </section>
    <section class="user-profile-wrapper">
        <div class="container">
            <div class="user-profile-wrap">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                <img src="{{ asset('class_banners/' . $class->banner) }}" width="150px" height="150px" style="border-radius: 50%;">
                            </div>
                            <div class="user-profile-name">
                                <center class="h3" style="font-size:1.25rem;font-weight:bold;margin-top:5px;margin:20px;">{{ $class->name }}</center>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Basic Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                             <i class="fas fa-book"></i>

                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Lesson Name</h4>
                                            <p>{{ App\Models\Lessons::find($class->lesson_id) ? App\Models\Lessons::find($class->lesson_id)->name : '' }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-school"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Tuition Centre</h4>
                                            <p>{{ $tuition_centres ? $tuition_centres->name : '-' }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-chalkboard-teacher"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Tutor</h4>
                                            <p>{{ $tutors ? $tutors->first_name.' '.$tutors->last_name : '-' }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-pencil-ruler"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Size</h4>
                                            <p>{{ $class->class_size }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-users"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Type</h4>
                                            <p>{{ $class->type_id == 1 ? 'Online group classes' : ''}}{{ $class->type_id == 2 ? 'One - One Online Classes' : ''}}{{ $class->type_id == 3 ? 'Offline group classes' : ''}}{{ $class->type_id == 4 ? 'One - One in person classes' : ''}}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-calendar-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Date</h4>
                                            <p>{{ date('d-m-Y',strtotime($class->class_date)) }} To {{ date('d-m-Y',strtotime($class->endRecurring_date)) }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-clock"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Timings</h4>
                                            <p>{{ date('h:i A',strtotime($class->start_time)).' To '. date('h:i A',strtotime($class->end_time)) }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-road"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Street Name</h4>
                                            <p>{{ $class->street_name }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-city"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>City</h4>
                                            <p>{{ $class->city }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                         <i class="fas fa-building"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Building Number</h4>
                                            <p>{{ $class->building_no }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Zip Code</h4>
                                            <p>{{ $class->zip_code }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-hand-holding-usd"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Price ($)</h4>
                                            <p>{{ $class->price }}</p>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-folder"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Materials Access Link</h4>
                                            <p>{{ $class->mas_link }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-link"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>LMS Link</h4>
                                            <p>{{ $class->lms_link }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Description</h4>
                                            <p>{{ $class->description }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                @if($tuition_centres)
                                <img src="{{ asset('logo_images/' . $tuition_centres->logo_name) }}" width="150px" height="150px" style="border-radius: 50%;">
                                @else
                                <img src="{{ asset('profile_pictures/' . $tutors->profile_pricture) }}" width="150px" height="150px" style="border-radius: 50%;">
                                @endif
                            </div>
                            <div class="user-profile-name">
                                @if($tuition_centres)
                                <center class="h3" style="font-size:1.25rem;font-weight:bold;margin-top:5px;margin:20px;">{{ $tuition_centres ? $tuition_centres->name : '' }}</center>
                                @else
                                <center class="h3" style="font-size:1.25rem;font-weight:bold;margin-top:5px;margin:20px;">{{ $tutors ? $tutors->first_name.' '.$tutors->last_name : '' }}</center>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <hr>
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Provider Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-user-tie"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            @php
                                                if($tuition_centres){
                                                    $user = App\Models\User::find($tuition_centres->user_id);
                                                    $value = App\Models\TuitionCentre::find($tuition_centres->id);
                                                    $role = 'tuition center';
                                                }else{
                                                    $user = App\Models\User::find($tutors->user_id);
                                                    $value = App\Models\Account::find($tutors->id);
                                                    $role = 'tutor';
                                                    $tutor_work_exp = DB::table('tutor_exps')->where('tutor_id',$tutors->id)->get();
                                                }
                                            @endphp
                                            <h4>User Role</h4>
                                            <p>{{ str_replace('_', ' ', ucwords($user->roles->first()->name)) }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-phone-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Number</h4>
                                            <p>{{ $value->contact_number }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            @if ($role == 'tuition center')
                                            <i class="fas fa-id-card"></i>
                                            @else
                                            <i class="fas fa-user"></i>
                                            @endif
                                        </div>
                                        <div class="admin-profile-information">
                                            @if ($role == 'tuition center')
                                                <h4>UEN No.</h4>
                                                <p>{{ $value->uen }}</p>
                                            @else
                                                <h4>Gender</h4>
                                                <p>{{ $value->gender == 'm' ? 'Male' : '' }}{{ $value->gender == 'f' ? 'Female' : '' }}{{ $value->gender == 'o' ? 'Other' : '' }}
                                                </p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Email ID</h4>
                                            <p>{{ $value->email }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-road"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Street Name</h4>
                                            <p>{{ $value->street_name }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-city"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>City</h4>
                                            <p>{{ $value->city }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-flag"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>State</h4>
                                            <p>{{ $value->state }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Zip Code</h4>
                                            <p>{{ $value->zip_code }}</p>
                                        </div>
                                    </div>
                                </div>
                                @if($role == 'tutor')
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Designation</h4>
                                        <p>{{ $value->tutor_type_id == '1' ? 'Full Time Tutor' : '' }}{{ $value->tutor_type_id == '2' ? 'Part Time Tutor' : '' }}</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Teaching Subjects</h4>
                                        @php
                                           $subject = DB::table('tutor_subjects')->where('tutor_id',$value->id)->pluck('subject_id')->toArray();
                                           $name = App\Models\Subject::whereIn('id',$subject)->pluck('name')->implode(',');
                                        @endphp
                                        <p>{{ $name ? $name : '' }}</p>
                                    </div>
                                </div>
                            </div>

                            <h5>Education Details</h5>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Institute Name</h4>
                                        @php
                                           $education = DB::table('tutor_educations')->where('tutor_id',$value->id)->first();
                                        @endphp
                                        <p>{{ $education ? $education->institute_name : '' }}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Course Name</h4>
                                        <p>{{ $education ? $education->course_name : '' }}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Start Date</h4>
                                        <p>{{ $education ? ( $education->start_date ?  date('d-m-Y',strtotime($education->start_date)) : '' ) : ''}}</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>End Date</h4>
                                        <p>{{ $education ? ( $education->end_date ? date('d-m-Y',strtotime($education->end_date)) : '' ) : '' }}</p>
                                    </div>
                                </div>
                            </div>

                            <h5>Working Experience</h5>
                            @foreach($tutor_work_exp as $key => $exp)
                            @if(count($tutor_work_exp) != 1)
                            <h6>Experience {{ $key + 1}})</h6>
                            @endif
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Title</h4>
                                        <p>{{ $exp ? $exp->job_title : ''}}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Employment Type</h4>
                                        <p>{{ $exp ? $exp->job_type : ''}}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Company Name</h4>
                                        <p>{{ $exp ? $exp->institute_name : ''}}</p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Location</h4>
                                        <p>{{ $exp ? $exp->job_location : ''}}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Start Date</h4>
                                        <p>{{ $exp ? ( $exp->start_date ? date('d-m-Y',strtotime($exp->start_date)) : '' ) : ''}}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job End Date</h4>
                                        <p>{{ $exp ? ( $exp->end_date ? date('d-m-Y',strtotime($exp->end_date)) : '' ) : ''}}</p>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                            @endif
                            @if ($role == 'tuition center')

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                        <i class="fas fa-globe"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Website</h4>
                                            <p>{{ $value->website }}</p>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-user-tie"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person Name</h4>
                                            <p>{{ $value->contact_person_name }}</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person Email</h4>
                                            <p>{{ $value->contact_person_email }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-phone-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person No</h4>
                                            <p>{{ $value->contact_person_number }}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-12">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Description</h4>
                                            <p>{{ $value->description }}</p>
                                        </div>
                                    </div>
                                </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @include('layouts.footer')
@endsection
