@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <div class="container">

            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6">
                    <div class="adm-info-head">
                        @role('parent')
                        <h4>Edit Child</h4>
                        @else
                        <h4>Edit Student</h4>
                        @endrole
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        @role('parent')
                        <a href="{{ route('parent.student_dashboard') }}" class="back-btn">Back</a>
                        @elseif(auth()->user()->roles->first()->name == 'tutor')
                        <a href="{{ route('tutor.student_dashboard') }}" class="back-btn">Back</a>
                        @else
                        <a href="{{ $previous }}" class="back-btn">Back</a>
                        @endrole
                    </div>
                </div>
            </div>
                <div class="adm-cen-wrap-3">
                    <div class="col-xl-12">
                        <div class="cen-logo">
                            <div class="container">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h3>Drag and drop files you want to upload</h3>
                                        <form action="{{route('dropzone.store')}}" method="post" style="border: none;" name="file" files="true" enctype="multipart/form-data" class="dropzone" id="image-upload">
                                            @csrf
                                            <div>
                                                <h5>(file format supported: jpeg, png)</h5>
                                                <h6>max file size : 2mb</h6>
                                                @if(!empty($admin_details) && file_exists('profile_pictures/'.$admin_details->profile_picture) == 'true' && $admin_details->profile_picture != null)
                                                <input id="img" value="{{ asset('profile_pictures/'.$admin_details->profile_picture) }}" type="hidden">
                                                <input id="img_url" value="{{ $admin_details->profile_picture }}" type="hidden">
                                                @else
                                                <input id="img" value="" type="hidden">
                                                <input id="img_url" value="" type="hidden">
                                                @endif
                                        </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <div class="col-xl-12">
                    <form action="{{ route('student.update', $admin->id) }}" method="POST" enctype="multipart/form-data" id="StudentForm">
                        @csrf
                        @method('PUT')
                    @include('students.fields')
                    <div class="col-xl-12">
                        @role('parent')
                        <div class="adm-btn">
                            <a href="{{ route('parent.student_dashboard') }}" class="adm-info-btn-2">Cancel</a>
                            <button type="submit" class="adm-info-btn">Save</button>
                        </div>
                        @elseif(auth()->user()->roles->first()->name == 'tutor')
                        <div class="adm-btn">
                            <a href="{{ route('tutor.student_dashboard') }}" class="adm-info-btn-2">Cancel</a>
                            <button type="submit" id="submitBtn" class="adm-info-btn">Save</button>
                        </div>
                        @else
                        <div class="adm-btn">
                            <a href="{{ $previous }}" class="adm-info-btn-2">Cancel</a>
                            <button type="submit" id="submitBtn" class="adm-info-btn save-btn">Save</button>
                        </div>
                        @endrole
                    </div>
                    </form>
                </div>
                </div>
    </div>
</section>
@endsection
<style type="text/css">
    #email-error {
        color: red;
    }
    #contact_number-error {
        color: red;
    }
    #contact_person_number-error {
        color: red;
    }
    #contact_person_email-error {
        color: red;
    }
    #website-error {
        color: red;
    }
    .dropzone .dz-preview .dz-error-message {
    top: 150px!important;
    display: none;
}
.dropzone .dz-preview .dz-image {
        border-radius:50%!important;
    }
    .dz-image img {
    width: 100%!important;
    height: 100%!important;
}
.dz-remove
{
    display:inline-block !important;
    width:1.2em;
    height:1.2em;

    position:absolute;
    top:5px;
    right:5px;
    z-index:1000;

    font-size:1.2em !important;
    line-height:1em;

    text-align:center;
    font-weight:bold;
    border:1px solid #80808000 !important;
    border-radius:1.2em;
    color:#80808000;
    background-color:#80808000;
    opacity:.5;

}

.dz-remove:hover
{
    text-decoration:none !important;
    opacity:1;
    color: white;
                background-color: rgb(131, 131, 131);
}
.select2-container--default .select2-selection--single {
    background-color: #fff!important;
    border: 1px solid #dbdbdb!important;
    padding: 0.65rem 0.7rem 0.65rem 0.7rem!important;
    border-radius: 4px!important;
    height: 43px!important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 20px!important;
    font-size:0.85rem;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b{
    margin-top:5px!important;
    left:15%!important;
    border-color: #5a5a5a transparent transparent transparent!important;
}
.select2-results{
    font-size: 0.85rem!important;
}
</style>
@push('scripts')
<link href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.0.1/min/dropzone.min.css" rel="stylesheet">
     <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/4.2.0/min/dropzone.min.js"></script>
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script type="text/javascript">
    // Dropzone.autoDiscover = false;
    $(document).ready(function() {
          $('.js-example-basic-single').select2();
        });
        $(function(){
         $('#countryCode').val($('#code').val());
         $('#countryCode').select2().trigger('change');
        });

    Dropzone.options.imageUpload = {
        dictDefaultMessage: "<label class='btn-cen-logo'>Upload Profile Picture</label>",
        maxFilesize: 2,
        allowMultiple:false,
        addRemoveLinks: true,
        acceptedFiles: ".jpeg,.jpg,.png",
        dictRemoveFile : "x",
        // maxFiles:1,
        init: function() {
            var count = 0;
            if($('#img').val() != ''){
                count = 1;
                var thisDropzone = this;
                var mockFile = { name: $('#img_url').val(), size: 12345, type: 'image/jpeg' };
                thisDropzone.emit("addedfile", mockFile);
                thisDropzone.emit("complete", mockFile);
                thisDropzone.emit("thumbnail", mockFile, $('#img').val());
                $(".dz-preview").attr('id','current');
                $('.dz-remove').css('color','white');
                    $('.dz-remove').css('background-color','rgb(131, 131, 131)');
            }
            this.on("success", function(file, response) {
                    $('.dz-remove').css('color','white');
                    $('.dz-remove').css('background-color','rgb(131, 131, 131)');
                });
            this.on("thumbnail", function(file, response) {
                    if (file.size > (1024 * 1024 * 2)) // not more than 2mb
                    {
                        alert("Only 2 mb file size is allowed to store.");
                        this.removeFile(file);
                    }else{
                        $('#logo_url').val(response);
                        $('#logo_name').val(file.name);
                    }
                    $('.dz-remove').click(function(){
                        $('#logo_url').val('');
                        $('#logo_name').val('');
                    });
                $(".dz-remove").attr('title','Remove File');
                if (this.files.length > 1) {
                this.removeFile(this.files[0]);
                }else{
                    if(count  ==  1){
                        $('#current').addClass('d-none');
                    }
                }
                // $('#preview_img').addClass('d-none');
            });
        }
    };
</script>
<script>
    $(document).ready (function () {
        $.validator.addMethod(
  "regex",
  function(value, element, regexp) {
    var re = new RegExp(regexp);
    return this.optional(element) || re.test(value);
  },
  "Please check your input."
);
      $('form[id="StudentForm"]').validate({
        rules: {
          first_name: {
          required:true,
          minlength: 3,
          },
          last_name: {
          required:true,
          },
          gender: {
          required:true,
          },
          street_name: {
          required:true,
          },
          state: {
          required:true,
          },
          city: {
          required:true,
          },
          zip_code: {
          required:true,
          },
          parent: {
          required:true,
          },
          email: {
          required:true,
          email:true,
          remote: {
                    url: "{{url('/validate')}}",
                    data:{
                        from:'parent',
                        id:{{ $admin->id }}
                    },
                    type: 'get',
                }
          },
          contact_number:{
            required:true,
            regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$" ,
          },
          password_confirmation: {
            equalTo: "#password"
          },
        },
        messages: {
          first_name:{
            required:"<span style='color:red;'>This field is required.</span>",
            minlength:"<span style='color:red;'>Enter Name at least 3 character.</span>",
          },
          last_name: "<span style='color:red;'>This field is required.</span>",
          gender: "<span style='color:red;'>This field is required.</span>",
          street_name: "<span style='color:red;'>This field is required.</span>",
          state: "<span style='color:red;'>This field is required.</span>",
          city: "<span style='color:red;'>This field is required.</span>",
          zip_code: "<span style='color:red;'>This field is required.</span>",
          parent: "<span style='color:red;'>This field is required.</span>",
          email:{
            required:"<span style='color:red;'>This field is required.</span>",
            remote:"<span style='color:red;'>Email Already Exist.</span>",
          },
          contact_number:{
          required: "<span style='color:red;'>This field is required.</span>",
          regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
          },
          password_confirmation: {
            equalTo:"<span style='color:red;'>Confirm Password Not Matched.</span>",
          }
        },
        submitHandler: function(form) {
        $('#StudentForm').attr('action', "{{ route('student.update', $admin->id).'?from_profile='.$from_profile }}");
          form.submit();
        }
      });
    });
</script>
@endpush
