@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-12 col-lg-12 col-md-12">
                    <div class="tab-content" id="nav-tabContent">
                        <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'tuition-centre' ? 'show active' : '') : 'show active' }}"
                            id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                            <div id="nav-home-tab">
                                <div class="row">
                                    <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                                        <div class="adm-info-head">
                                            <h5>Enroll Classes Details</h5>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 d-flex justify-content-end">
                                        <div class="back-btn-wrap">
                                            <a href="{{ route('student_class.index') }}" class="back-btn">Back</a>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="content-wrapper">
                                            <div class="table-wrap">
                                                <div class="admin-profile-description">
                                                    <div class="admin-details-wrapper">
                                                        <div class="row gy-4">
                                                            <div class="col-xl-4">
                                                                <div class="admin-profile-wrap">
                                                                    <div class="admin-icon-box">
                                                                        <i class="fas fa-id-card-alt"></i>
                                                                    </div>
                                                                    <div class="admin-profile-information">
                                                                        <h4>Child Name</h4>
                                                                        <p>{{ $class ? App\Models\Account::find($class->student_id)->first_name.' '.App\Models\Account::find($class->student_id)->last_name : ''; }}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-4">
                                                                <div class="admin-profile-wrap">
                                                                    <div class="admin-icon-box">
                                                                         <i class="fas fa-book"></i>

                                                                    </div>
                                                                    <div class="admin-profile-information">
                                                                        <h4>Lesson Name</h4>
                                                                        <p>{{ App\Models\Lessons::find($schedule_class->lesson_id) ? App\Models\Lessons::find($schedule_class->lesson_id)->name : '' }}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-4">
                                                                <div class="admin-profile-wrap">
                                                                    <div class="admin-icon-box">
                                                                        <i class="fas fa-school"></i>
                                                                    </div>
                                                                    <div class="admin-profile-information">
                                                                        <h4>Class Name</h4>
                                                                        <p>{{ $schedule_class->name }}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <hr>

                                                            <div class="col-xl-4">
                                                                <div class="admin-profile-wrap">
                                                                    <div class="admin-icon-box">
                                                                        <i class="fas fa-users"></i>
                                                                    </div>
                                                                    <div class="admin-profile-information">
                                                                        <h4>Class Type</h4>
                                                                        <p>{{ $schedule_class->type_id == 1 ? 'Online group classes' : ''}}{{ $schedule_class->type_id == 2 ? 'One - One Online Classes' : ''}}{{ $schedule_class->type_id == 3 ? 'Offline group classes' : ''}}{{ $schedule_class->type_id == 4 ? 'One - One in person classes' : ''}}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-4">
                                                                <div class="admin-profile-wrap">
                                                                    <div class="admin-icon-box">
                                                                        <i class="fas fa-calendar-alt"></i>
                                                                    </div>
                                                                    <div class="admin-profile-information">
                                                                        <h4>Class Date</h4>
                                                                        <p>{{ date('d-m-Y',strtotime($schedule_class->class_date)) }}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            <div class="col-xl-4">
                                                                <div class="admin-profile-wrap">
                                                                    <div class="admin-icon-box">
                                                                        <i class="fas fa-clock"></i>
                                                                    </div>
                                                                    <div class="admin-profile-information">
                                                                        <h4>Timings</h4>
                                                                        <p>{{ date('h:i A',strtotime($schedule_class->start_time)).' To '. date('h:i A',strtotime($schedule_class->end_time)) }}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <br /><br />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
@endsection
