@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            <div class="row">
                @if (session()->has('message'))
                    <div class="alert alert-success" id="successMessage">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-6">
                    <div class="adm-info-head">
                        <h5>Student Attendance</h5>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('class.index') }}" class="back-btn mb-1">Back</a>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'tutor' ? 'show active' : '') : 'show active' }}"
                                id="pills-tuition-centres" role="tabpanel" aria-labelledby="pills-tuition-centres-tab">
                                <div class="tabcontent-2">
                                    <div class="row" >
                                        <div class="col-xl-6 date-time">
                                            <div class="cen-info">
                                                <div ><b>Class Name :</b>{{ $class->name }}</div>
                                            </div>
                                        </div>
                                        <div class="col-xl-6 date-time">
                                            <div class="cen-info">
                                                <div  style="float:right;"><b>Date & Time :</b>
                                                     @if($class->is_special == 0)
                                                        <select class="disselect-2" id="class_dates" name="class_dates">
                                                            @foreach($attendanceDate as $value)
                                                                <option value="{{$value}}" {{ $first_date == $value ? 'selected' : '' }}> {{ date('d-m-Y',strtotime($value)).' ( '.date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time)).' )' }}</option>
                                                            @endforeach
                                                        </select>
                                                    @else
                                                        <select class="disselect-2" id="class_dates" name="class_dates">
                                                            @foreach($attendanceDate as $key => $value)
                                                                <option value="{{$value}}" {{ $first_date == $value ? 'selected' : '' }}> {{ $special_Attendance[$key] }}</option>
                                                            @endforeach
                                                        </select>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        {{-- <div class="col-xl-6">
                                            <div class="col-xl-4"><b>Class Name :</b> {{ $class->name }}</div>

                                        </div>
                                        <div class="col-xl-6">
                                            <div class="col-xl-4"><b>Class Name :</b> {{ $class->name }}</div>

                                        </div> --}}

                                        {{-- <div class="col-xl-4"><b>Class Name :</b> {{ $class->name }}</div> --}}
                                        <!-- <div class="col-6"><b>Date & Time : </b>{{ date('d-m-Y',strtotime($class->class_date)).' ( '.date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time)).' )' }}</div> -->
                                        {{-- <div class="col-xl-2" style="float: right;"><b>Date & Time : </b></div>
                                        <div class="col-xl-4 col-lg-3 col-md-4 col-12" style="float: right;">
                                            @if($class->is_special == 0)
                                                <select class="disselect-2" id="class_dates" name="class_dates">
                                                    @foreach($attendanceDate as $value)
                                                        <option value="{{$value}}" {{ $first_date == $value ? 'selected' : '' }}> {{ date('d-m-Y',strtotime($value)).' ( '.date('h:i A',strtotime($class->start_time)).' To '.date('h:i A',strtotime($class->end_time)).' )' }}</option>
                                                    @endforeach
                                                </select>
                                            @else
                                                <select class="disselect-2" id="class_dates" name="class_dates">
                                                    @foreach($attendanceDate as $key => $value)
                                                        <option value="{{$value}}" {{ $first_date == $value ? 'selected' : '' }}> {{ $special_Attendance[$key] }}</option>
                                                    @endforeach
                                                </select>
                                            @endif
                                        </div> --}}
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="table-wrap-box table-responsive">
                                                <form method="post" action="{{ route('attendance.store') }}">
                                                    @csrf
                                                    <div id="show_attendance">
                                                    <table class="table table-bordered"
                                                        style="width:100%;">
                                                        <thead>
                                                            <tr style="border-bottom:2px solid gray;">
                                                                <th class="th-left text-center">S/N</th>
                                                                <th class="th-left">Student Name</th>
                                                                <th class="th-left">Attendance</th>
                                                                <th class="th-left">Result</th>
                                                                <th class="th-left">Feedback</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <input type="hidden" name="class_id"
                                                            value="{{ $class_id }}" id="class_id">
                                                            @if(count($students) > 0)
                                                                    @foreach ($students as $key => $student)
                                                                        <tr class="table-Default">
                                                                            <th class="th-left text-center">{{ $key + 1 }} )</th>
                                                                            <input type="hidden" name="stud_id[]"
                                                                                value="{{ $student->id }}" id="student">
                                                                            <input type="hidden" name="attendance_date" id="attendance_date" value="{{ $first_date }}">
                                                                            <td class="th-left">{{ $student->first_name }}
                                                                                {{ $student->last_name }}</td>
                                                                        @php
                                                                            $student_attendance = App\Models\StudentAttendance::where('student_id',$student->id)->where('class_id',$class_id)->where('date', $first_date)->first();
                                                                        @endphp
                                                                        @if($student_attendance == '')
                                                                                <td class="th-left">
                                                                                    <select class="disselect-2" style="border:2px solid gray;font-weight:bold;"
                                                                                        name="attendance[]" id="attendance">
                                                                                        <option value="p" class="abc"
                                                                                            {{ old('attendance') == 'p' ? 'selected' : '' }}>
                                                                                            P</option>
                                                                                        <option value="a" class="abc"
                                                                                            {{ old('attendance') == 'a' ? 'selected' : '' }}>
                                                                                            A</option>
                                                                                    </select>
                                                                                </td>
                                                                        @else
                                                                        <td class="th-left">
                                                                            <select class="disselect-2" style="border:2px solid gray;font-weight:bold;"
                                                                                name="attendance[]" id="attendance">
                                                                                <option value="p" class="abc"
                                                                                    {{ $student_attendance->attendance == 'p' ? 'selected' : '' }}>
                                                                                    P</option>
                                                                                <option value="a" class="abc"
                                                                                    {{ $student_attendance->attendance == 'a' ? 'selected' : '' }}>
                                                                                    A</option>
                                                                            </select>
                                                                        </td>
                                                                        @endif
                                                                        <td class="th-left"><input name="result[]" placeholder="Enter Marks" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="number" value="{{ $student_attendance ? $student_attendance->result : '' }}"/></td>
                                                                        <td class="th-left"><input name="feedback[]" max="5" placeholder="Enter Feedback" style="border:2px solid gray;font-weight:bold;" class="input__textbox" type="text" value="{{ $student_attendance ? $student_attendance->feedback : '' }}"/></td>
                                                                        </tr>
                                                                    @endforeach
                                                            @else
                                                            <tr>
                                                            <td class="th-left text-center" colspan="5">No Data Available in Table</td>
                                                            </tr>
                                                            @endif
                                                        </tbody>
                                                    </table>
                                                    </div>
                                                    @if(count($students) > 0)
                                                    <div class="col-xl-12">
                                                        <div class="adm-btn">
                                                            <a href="{{ route('class.index') }}" class="adm-info-btn-2">Cancel</a>
                                                            <button type="submit" class="adm-info-btn">Save</button>
                                                        </div>
                                                    </div>
                                                    @endif
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
@endsection
@push('scripts')
    <link href="/assets/css/owl.carousel.min.css" rel="stylesheet">
    <script src="/assets/js/owl.carousel.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript">
        $(function() {
            $('#class_dates').change(function(){
                $.ajax({
                    type: "POST",
                    url: '{{ route("attendance.date_attendance") }}?date=' + $(this).val() + '&class_id=' + $('#class_id').val(),
                    'headers': {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function(response) {
                        $('#show_attendance').empty();
                        console.log(response);
                        $('#show_attendance').html(response.html);
                        $('#attendance_date').val(response.date);
                    }
                });
            })
        });

        document.addEventListener('DOMContentLoaded', (event) => {
            if($('#class_dates').val()){
                $.ajax({
                    type: "POST",
                    url: '{{ route("attendance.date_attendance") }}?date=' + $('#class_dates').val() + '&class_id=' + $('#class_id').val(),
                    'headers': {
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    success: function(response) {
                        $('#show_attendance').empty();
                        console.log(response);
                        $('#show_attendance').html(response.html);
                        $('#attendance_date').val(response.date);
                    }
                });
            }
        });
    </script>
@endpush
