@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <form action="{{ route('subject.store') }}" method="POST" id="SubjectForm">
        @csrf
        <div class="container">
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>New Subject</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('subject.index') }}" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Level <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="level">
                                <option value="">Select Level</option>
                                @foreach ($levels as $level)
                                <option value="{{ $level->id }}" {{ old('level')  == $level->id ? 'selected' : ''}}>{{ $level->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Subject <span class="text-danger">*</span></h5>
                            <input type="text" name="name" value="{{ old('name') }}" placeholder="Enter Name of your subject" class="sub-box">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="{{ route('subject.index') }}" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
@endsection
@push('scripts')
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $('form[id="SubjectForm"]').validate({
            rules: {
                name: {
                  required:true,
                },
                level: {
                  required:true,
                },
            },
            messages: {
                name: "<span style='color:red;'>This field is required.</span>",
                level: "<span style='color:red;'>This field is required.</span>",
            }
        })
    })
</script>
@endpush
