@extends('layouts.sidebar')

@section('content')
    <section class="adm-wrap-2">
        <div class="container">
            @if(session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
            @endif
            <div class="less-wrap-2">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-6 col-6 d-flex justify-content-center flex-column">
                        <div class="adm-info-head">
                            <h6>Subjects</h6>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tab-content" id="pills-tabContent">

                            <div class="tab-pane fade {{ session()->has('tab') ? (session()->get('tab') == 'level' ? 'show active' : '') : 'show active' }}" id="pills-levels" role="tabpanel"
                                    aria-labelledby="pills-levels-tab">
                                    <div class="tabcontent-3">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="cen-info">
                                                    <h5 for="class_Name">Level Name</h5>
                                                    <select class="disselect-2 kt-input status" id="level" name="level">
                                                        <option value="">Select Level Name</option>
                                                        @foreach($levels as $level)
                                                            <option value="{{ $level->id }}" >{{ $level->name }}</option>
                                                        @endforeach
                                                    </select>
                                                    <button class="btn-opcm" id="filter">Filter</button>
                                                    <button class="btn-opcm" style="background: white;color:black;" id="reset">Reset</button>
                                                </div>
                                            </div>
                                            {{-- <div class="col-xl-1 mt-1 px-1">
                                                <div class="cen-info">
                                                    <div>&nbsp;</div>
                                                    <button class="btn-opcm py-2 px-7" id="filter">Filter</button>
                                                </div>
                                            </div>
                                            <div class="col-xl-1 mt-1">
                                                <div class="cen-info">
                                                    <div>&nbsp;</div>
                                                    <button class="btn-opcm py-2 px-7" style="background: white;color:black;" id="reset">Reset</button>
                                                </div>
                                            </div> --}}
                                            <hr>
                                            <div class="col-xl-12">
                                                <div class="opcm-btn">
                                                    @can('create-subject')
                                                    <a href="{{ route('subject.create')}}" class="btn-opcm"><i class="fas fa-plus-circle"></i>New Subject</a>
                                                    @endcan
                                                </div>
                                            </div>
                                            <div class="col-xl-12">

                                                    <div class="table-wrap-box">
                                                        <table id="subjectDatatable" class="table table-striped-2 display" style="width:100%">
                                                            <thead>
                                                                <tr>
                                                                    <th class="th-left">Level Name</th>
                                                                <th class="th-center">Subject Name</th>
                                                                <th class="th-center">Added Date</th>
                                                                <th class="th-center">up</th>
                                                                @canany(['delete-subject','edit-subject'])
                                                                <th class="th-center">Actions</th>
                                                                @else
                                                                <th class="th-center"></th>
                                                                @endcanany
                                                                </tr>
                                                            </thead>
                                                        </table>
                                                    </div>

                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
<style>
    div.dt-buttons {
    float: right;
    margin-left:5px;
}
</style>
@push('scripts')
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<!--<script src="https://code.jquery.com/jquery-3.5.1.js"></script>-->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

<script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.print.min.js"></script>
<script>
$(function() {
    $('#subjectDatatable').DataTable({
        dom:'Bfrtip',
                buttons: [
                    {
                        extend: 'csv',
                        className:'btn-opcm btn-primary',
                        text: '<i class="fas fa-file-export"></i> Export to csv',
                        title: 'Subjects',
                        page:"all",
                        exportOptions: {
                            modifer: {
                               page: 'all',
                            },
                            columns: [ 0, 1, 2]
                        }
                    },
                ],
        processing: true,
        serverSide: false,
        scrollX:true,
        oSearch: {"bSmart": true},
        lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
        pageLength: 10,
        order:[3, 'desc'],
        "ajax": {
            'url': '{!! route("subject.data") !!}',
            'type': 'POST',
            'headers': {
                'X-CSRF-TOKEN': '{{ csrf_token() }}'
            },
            data: function(d) {
                d.level = $('#level').val();
            }
        },

        columns: [
            {data: 'level_id', name: 'level_id', className: 'th-left'},
            {data: 'name', name: 'name', className: 'th-center'},
            {data: 'created_at', name: 'created_at', className: 'th-center'},
            {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
            {data: 'actions', name: 'actions', className: 'th-center',
            @canany(['delete-subject','edit-subject'])
            visible:true
            @else
            visible:false
            @endcanany
        }
        ]
    });
    var table1 = $('#subjectDatatable').DataTable();
                $('#filter').on('click', function(e) {
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + $(this).val();
                        } else {
                            params[i] = $(this).val();
                        }
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', true, false);
                    });
                    table1.table().draw();
                    table1.ajax.reload();
                });
                $('#reset').on('click', function(e) {
                    location.reload();
                    e.preventDefault();
                    var params = {};
                    $('.kt-input').each(function() {
                        var i = $(this).data('col-index');
                        if (params[i]) {
                            params[i] += '|' + '';
                        } else {
                            params[i] = '';
                        }
                        $(this).val('');
                    });
                    $.each(params, function(i, val) {
                        table1.column(i).search(val ? '.*' + val : '', false, false);
                    });
                    table1.table().draw();
                });
                $(".dataTables_filter").find('input').addClass('input__textbox col-8');
});
</script>
@endpush
