@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <form action="{{ route('topic.update',$topic->id) }}" method="POST" id="TopicForm">
        @csrf
        @method('PUT')
        <div class="container">
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Topic</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="{{ route('topic.index') }}" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Level <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="level" id="level">
                                <option value="">Select Level</option>
                                @foreach ($levels as $level)
                                <option value="{{ $level->id }}" {{ $topic->level_id  == $level->id ? 'selected' : ''}}>{{ $level->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Subject <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="subject" id="subject">
                            <option value="" class="abc">Select Subject</option>
                            @if($topic->level_id != '')
                            @php
                                $subjects = App\Models\Subject::where('level_id',$topic->level_id)->get();
                            @endphp
                            @foreach ($subjects as $subject)
                                <option value="{{ $subject->id }}" {{ $topic->subject_id  == $subject->id ? 'selected' : ''}}>{{ $subject->name }}</option>
                            @endforeach
                            @endif
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-6 col-12">
                        <div class="sub-add">
                            <h5>Topic <span class="text-danger">*</span></h5>
                            <input type="text" name="name" value="{{ $topic->name }}" class="sub-box">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="{{ route('topic.index') }}" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="adm-info-btn save-btn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
@endsection
@push('scripts')
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
        <script type="text/javascript">
            $(function() {
                $('form[id="TopicForm"]').validate({
                    rules: {
                        name: {
                          required:true,
                        },
                        level: {
                          required:true,
                        },
                        subject: {
                          required:true,
                        },
                    },
                    messages: {
                        name: "<span style='color:red;'>This field is required.</span>",
                        level: "<span style='color:red;'>This field is required.</span>",
                        subject: "<span style='color:red;'>This field is required.</span>",
                    }
                })

                $('#level').change(function() {
                    $("select[name='subject'] > option").remove();
                    $('#subject').append('<option value="">Select Subject</option>');
                    $.ajax({
                        url: '{{ url('subject/get_topic') }}?level=' + $('#level').val(),
                        data:{type:'subject'},
                        success: function(response) {
                            $.each(response.subjects, function(key,value) {
                                $('#subject').append('<option value="' +value.id +'">' +value.name + ' </option>');
                            });
                        }
                    });
                });
            });
        </script>
@endpush
