@extends('layouts.sidebar')
@push('styles')

@endpush
@section('content')
<section class="adm-wrap-2">
    <div class="container">
        <div class="less-wrap-2">
            <div class="row">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="col-xl-12 col-lg-6">
                    <div class="adm-info-head">
                        <h4>Welcome, {{ auth()->user()->name}}</h4>
                    </div>
                </div>
            </div>
        </div>
        <div class="tutor-wrapperr">
            <div class="row">
                <div class="col-xl-12 col-lg-8 col-md-12">
                    <div class="tutor-profile-information">
                        <div class="row">
                            <div class="col-xl-10 col-lg-10 col-md-10 col-10">
                                <div class="tutor-profile-pic-wrapper">
                                    <div class="tutor-profile-img">
                                        <img src="{{ asset('profile_pictures/'.$tutor->profile_picture) }}">
                                        <!-- <div class="change-img-wrap"> -->
                                        <div>
                                            <div class="form">
                                                <!-- <input type="file" class="file-input" hidden>
                                                <a href="#" data-bs-toggle="modal" data-bs-target="#editProImgModal"><i class="fas fa-pen"></i> </a> -->
                                                <div class="edit-profile-wrap-3">
                                                    <!-- Modal -->
                                                    <div class="modal fade" id="editProImgModal" tabindex="-1" aria-labelledby="editProImgModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title" id="editProImgModalLabel">Update profile photo </h5>
                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                </div>
                                                                <form action="{{ route('tutor.update-profile-photo',$tutor->id) }}" method="POST" enctype="multipart/form-data">
                                                                @csrf
                                                                <input type="hidden" name="tutor_id" value="{{ $tutor->id }}"/>
                                                                    <div class="modal-body">
                                                                        <div class="row">
                                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                                <div class="cen-logo">
                                                                                    <img id="preview_img" src="{{ asset('profile_pictures/'.$tutor->profile_picture) }}" width="170" height="120">
                                                                                    <h3>Drag and drop files you want to upload</h3>
                                                                                    <h5>(file format supported: jpeg, png)</h5>
                                                                                    <h6>max file size : 2mb</h6>
                                                                                    <label for="logo" class="btn-cen-logo">Upload profile picture</label>
                                                                                    <input id="logo" style="visibility:hidden;" type="file" name="profile_picture" class="form-control" onchange="loadFile(event)"/>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal-footer">
                                                                        <button type="submit" class="btn btn-primary-2">Submit</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tutor-profile-description">
                                        <div class="tutor-name-wrap">
                                            <h4>{{ $tutor->first_name }} {{ $tutor->last_name }} <span> | Full Time Tutor </span></h4>
                                        </div>
                                        <div class="tutor-abt-wrap">
                                            <p>{{ $tutor->breif_note }}</p>
                                        </div>
                                        <div class="tutor-basic-info">
                                            <ul>
                                                <li><i class="fas fa-user"></i> {{ $tutor->nationality }}</li>
                                                <li><i class="fas fa-phone-alt"></i> {{ $tutor->contact_number }}</li>
                                                <li><i class="fas fa-envelope"></i> {{ $tutor->email }}</li>
                                                <li><i class="fas fa-map-marker-alt"></i> {{ $tutor->street_name }}, {{ $tutor->zip_code }}</li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-2 col-lg-2 col-md-2 col-2">
                                <div class="edit-profile-wrap-3">
                                    <!-- <ul>
                                        <li>
                                            <button type="button" class="btn btn-add" data-bs-toggle="modal" data-bs-target="#editProfDetailsModal">
                                                <i class="fas fa-2x fa-pen-square"></i>
                                            </button>
                                        </li>
                                    </ul> -->
                                    <div class="modal fade" id="editProfDetailsModal" tabindex="-1" aria-labelledby="editProfDetailsLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="editProfDetailsLabel">Edit Personal Details </h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <form action="{{ route('tutor.edit-personal-details',$tutor->id) }}" method="POST">
                                                @csrf
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>First Name</h5>
                                                                    <input type="text" name="first_name" value="{{ $tutor->first_name }}" class="input__textbox" placeholder="Enter the first name" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Last Name</h5>
                                                                    <input type="text" name="last_name" value="{{ $tutor->last_name }}" class="input__textbox" placeholder="Enter the last name" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Brief Note</h5>
                                                                    <input type="text" name="breif_note" value="{{ $tutor->breif_note }}" class="input__textbox" placeholder="Enter the brief note" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Nationality</h5>
                                                                    <input type="text" name="nationality" value="{{ $tutor->nationality }}" class="input__textbox" placeholder="Enter the nationality" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Contact Number</h5>
                                                                    <input type="number" minlength="10"  title ="Please enter at least 10 digits."  oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" maxlength = "10" name="contact_number" value="{{ $tutor->contact_number }}" class="input__textbox" placeholder="Enter the contact number" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Email</h5>
                                                                    <input type="email" name="email" value="{{ $tutor->email }}" class="input__textbox" placeholder="Enter the email" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Street</h5>
                                                                    <input type="text" name="street_name" value="{{ $tutor->street_name }}" class="input__textbox" placeholder="Enter the street name" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-xl-12 col-lg-12 col-md-12 col-12">
                                                                <div class="cen-info">
                                                                    <h5>Zip Code</h5>
                                                                    <input type="text" name="zip_code" value="{{ $tutor->zip_code }}" class="input__textbox" placeholder="Enter the zip code" required>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-primary-2">Submit</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="das-class-wrap">
                        <div class="row">
                            <div class="col-xl-6 d-flex justify-content-center flex-column">
                                <div class="opcm-head">
                                    <h4>Upcoming Classes</h4>
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                                <nav class="nav-4">
                                    <div class="nav nav-tabs-1" id="nav-tab" role="tablist">
                                        <button class="nav-link-5 active" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="true">Calendar View</button>
                                        <button class="nav-link-6 " id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="false">List View</button>
                                    </div>
                                </nav>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="tab-content" id="nav-tabContent">
                                <div class="tab-pane fade " id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                                    <div id="nav-home-tab" class="tabcontent-3">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="opcm-wrap-3">
                                                    <table id="classDatatable" class="table table-striped-2 display" style="width:100%">
                                                        <thead>
                                                            <tr>
                                                                <th class="th-left">Class Name</th>
                                                                <th class="th-center">Class Mode</th>
                                                                <th class="th-center">Class Date</th>
                                                                <th class="th-center">Timings</th>
                                                                <th class="th-center">Subjects</th>
                                                                <th class="th-center">Added Date</th>
                                                                <th class="th-center">UP</th>
                                                                <!-- <th class="th-center">Actions</th> -->
                                                            </tr>
                                                        </thead>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane fade show active" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                                    <div id="nav-profile-tab" class="tabcontent-3">
                                        <div class="opcm-wrap-3">
                                            <div class="cen-info">
                                                <div id='calendar'></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="das-class-wrap-2">
                        <div class="row">
                            <div class="col-xl-6 d-flex justify-content-center flex-column">
                                <div class="opcm-head">
                                    <h4>Completed Classes</h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="tab-content" id="nav-tabContent">
                                <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                                    <div id="nav-home-tab" class="tabcontent-4">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="opcm-wrap-3">
                                                    <table id="completedClass" class="table table-striped-2 display" style="width:100%">
                                                        <thead>
                                                            <tr>
                                                                <th class="th-left">Class Name</th>
                                                                <th class="th-center">Class Mode</th>
                                                                <th class="th-center">Class Date</th>
                                                                <th class="th-center">Timings</th>
                                                                <th class="th-center">Added Date</th>
                                                                <th class="th-center">UP</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="preview-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Preview Details</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="duration-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Class Information :</h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="class_name_p">Class Name : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="class_date_p">Class Date : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4 id="sub_p">Subject : </h4>
                                </div>
                            </div>
                            <div class="col-xl-3">
                                <div class="online-links">
                                    <h4  id="topic_p">Topic : </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="zoom-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Zoom Details :</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4>Zoom Link : <a href="#"  id="zoom_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4 id="zoom_id_p">Zoom Id :</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-12 col-md-12">
                                <div class="online-links">
                                    <h4 id="zoom_password_p">Zoom Password : </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="moodle-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>External Links :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4>Moodle Link : <a href="#" id="moodle_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4>Google Drive Link : <a href="#" id="drive_link_p">https://www.google.com/</a></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="moodle-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Duration of Class :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="start_time_p"></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="end_time_p"></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="other-wrap">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="zoom-head">
                                    <h4>Other Information :</h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="class_size_p"></h4>
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="online-links">
                                    <h4 id="price_p"></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a href="" class="adm-info-btn" id="edit_class_btn_p">Edit</a>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
@push('scripts')
<script src='assets/js/main.js'></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.14.0/jquery.validate.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
<!-- <script src="https://cdn.jsdelivr.net/npm/fullcalendar@5.10.2/main.min.js"></script> -->
<script>
var loadFile = function(event) {
	var image = document.getElementById('preview_img');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
</script>
<script>
    $(document).ready(function () {
        // $('#nav-ho-tab').click(function(){
            var classes = <?php echo json_encode($scheduleClasses); ?>;
            loadCalendar(classes);
        // });

        $('#classDatatable').DataTable({
            processing: true,
            serverSide: true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[6, 'desc'],
            "ajax": {
                'url': '{!! route("tutor.upcomingClass") !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            columnDefs: [
                { className: "op-top", "targets": [ 0 ] },
                { className: "de", "targets": [ 1 ] },
                { className: "de", "targets": [ 2 ] },
                { className: "de", "targets": [ 3 ] },
                { className: "de", "targets": [ 4 ] },
                { className: "opcm-func", "targets": [ 5 ] },
                { className: "opcm-func", "targets": [ 6 ] }
            ],
            columns: [
                {data: 'name', name: 'name'},
                {data: 'type_id', name: 'type_id'},
                {data: 'class_date', name: 'class_date'},
                {data: 'class_time', name: 'class_time'},
                {data: 'subject_id', name: 'subject_id'},
                {data: 'created_at', name: 'created_at',className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                // {data: 'actions', name: 'actions'}
            ]
        });
        $('#nav-home-tab').click(function(e) {
    var table2 = $('#classDatatable').DataTable();
    table2.columns.adjust().draw(false);
});
        $('#completedClass').DataTable({
            processing: true,
            serverSide: true,
            oSearch: {"bSmart": true},
            lengthMenu: [ [10, 25, 50, 100, -1], [10, 25, 50, 100, "All"] ],
            pageLength: 10,
            order:[5, 'desc'],
            "ajax": {
                'url': '{!! route("tutor.completedClass") !!}',
                'type': 'POST',
                'headers': {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                }
            },
            // columnDefs: [
            //     { className: "op-top", "targets": [ 0 ] },
            //     { className: "de", "targets": [ 1 ] },
            //     { className: "de", "targets": [ 2 ] },
            //     { className: "de", "targets": [ 3 ] },
            //     { className: "de", "targets": [ 4 ] },
            //     // { className: "opcm-func", "targets": [ 5 ] }
            // ],
            columns: [
                {data: 'name', name: 'name'},
                {data: 'type_id', name: 'type_id'},
                {data: 'class_date', name: 'class_date',className: 'th-center'},
                {data: 'class_time', name: 'class_time'},
                {data: 'created_at', name: 'created_at',className: 'th-center'},
                {data: 'updated_at', name: 'updated_at',visible:false, className: 'th-center'},
                // {data: 'actions', name: 'actions'}
            ]
        });
    });
    function loadCalendar(classes){
        var calendarEl = document.getElementById('calendar');
        var calendar = new FullCalendar.Calendar(calendarEl, {
            initialView: 'dayGridMonth',
            contentHeight: 'auto',
            headerToolbar: {
                left: 'prev,next today',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay'
            },
            eventClick: function(info) {
                $.ajax({
                    url: '{{ url("schedule-class/get-class-details/") }}/' + info.event.id,
                    success: function(response) {
                        $('#class_name_p').html("Class Name : "+response.name);
                        $('#class_date_p').html("Class Date : "+response.class_date);
                        $('#sub_p').html("Subject : "+response.subject_id);
                        $('#topic_p').html("Topic : "+response.topic_id);
                        $('#zoom_link_p').html(response.live_link);
                        $('#zoom_link_p').attr('href', response.live_link);
                        $('#zoom_id_p').html("Zoom ID : "+response.live_id);
                        $('#zoom_password_p').html("Zoom Password : "+response.live_password);
                        $('#moodle_link_p').html(response.live_id);
                        $('#moodle_link_p').attr('href', response.name);
                        $('#drive_link_p').html(response.name);
                        $('#drive_link_p').attr('href', response.name);
                        $('#start_time_p').html("Start Time : "+response.start_time);
                        $('#end_time_p').html("End Time : "+response.end_time);
                        $('#class_size_p').html("Class Size : "+response.class_size);
                        $('#price_p').html("Price ($) : "+response.price);
                        $('#edit_class_btn_p').attr('href', response.edit_url);

                        $('#preview-modal').modal('show');
                    }
                });
            },
            editable: true,
            eventDrop: function(info) {
                $.ajax({
                    url: '{{ url("schedule-class/drag-drop-date-update/") }}/' + info.event.id + '/' + info.event.startStr,
                    success: function(response) {
                        // if(response) alert('Date updated!');
                    }
                });
                $.ajax({
                    url: '{{ url("schedule-class/get-scheduled-classes") }}',
                    success: function(response) {
                        loadCalendar(response);
                    }
                });
            },
        });

        for(var i = 0; i < classes.length; i++){
            calendar.addEvent({
                groupId: classes[i]['grp'],
                id: classes[i]['id'],
                title: classes[i]['name'],
                start: classes[i]['class_date']
            });
        }
        calendar.render();
    }
</script>
@endpush
