@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <div class="container">
        <form action="{{ route('tutor.update', $tutor->id) }}" method="POST" enctype="multipart/form-data" id="regForm">
            @csrf
            @method('PUT')
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>Edit Tutor</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        @role('tuition center')
                        <a href="{{ route('centre-manager.index') }}" class="back-btn">Back</a>
                        @else
                        <a href="{{ $previous }}" class="back-btn">Back</a>
                        @endrole
                    </div>
                </div>
            </div>
            <div class="col-xl-12">
                @include('tutors.fields')
                <div class="col-xl-12">
                    <div class="adm-btn">
                    @role('tuition center')
                    <a href="{{ route('centre-manager.index') }}" class="adm-info-btn-2">Cancel</a>
                    @else
                    <a href="{{ $previous }}" class="adm-info-btn-2">Cancel</a>
                    @endrole
                        <button type="submit" class="adm-info-btn" id="submitBtn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
<style type="text/css">
    #email-error {
        color: red;
    }
    #contact_number-error {
        color: red;
    }
</style>
@push('scripts')
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $.validator.addMethod(
  "regex",
  function(value, element, regexp) {
    var re = new RegExp(regexp);
    return this.optional(element) || re.test(value);
  },
  "Please check your input."
);
      $('form[id="regForm"]').validate({
        rules: {
          first_name: {
          required:true,
          minlength: 3,
          },
          last_name: {
          required:true,
          },
          email: {
          required:true,
          email:true,
          remote: {
                    url: "{{url('/validate')}}",
                    data:{
                        from:'tutor',
                        id:{{ $tutor->id }}
                    },
                    type: 'get',
                }
          },
          contact_number:{
            required:true,
            regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$" ,
          },
          password_confirmation: {
            equalTo: "#password"
          },
        },
        messages: {
          first_name:{
            required:"<span style='color:red;'>This field is required.</span>",
            minlength:"<span style='color:red;'>Enter Name at least 3 character.</span>",
          },
          last_name:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          email:{
            required:"<span style='color:red;'>This field is required.</span>",
            remote:"<span style='color:red;'>Email Already Exist.</span>",
          },
          contact_number:{
          required: "<span style='color:red;'>This field is required.</span>",
          regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
          },
          password_confirmation: {
            equalTo:"<span style='color:red;'>Confirm Password Not Matched.</span>",
          }
        },
        submitHandler: function(form) {
        $('#regForm').attr('action', "{{ route('tutor.update', $tutor->id).'?from_profile='.$from_profile }}");
          form.submit();
        }
      });
    });
</script>
@endpush
