@extends('layouts.sidebar')

@section('content')
<section class="adm-wrap-2">
    <div class="container">
        <form action="{{ route('tutor.store-info-tutor') }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="row">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h4>Account Information of tutor</h4>
                    </div>
                </div>
                <input type="hidden" value="{{ $tutor->id }}" name="tutor_id"/>
                <div class="adm-cen-wrap-3">
                    <div class="tut-info-2">
                        <div class="row">
                            <div class="col-xl-12">
                                <!-- Button trigger modal -->
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal">
                                    <i class="fas fa-plus-circle"></i>Personal Write Up
                                </button>
                                <span id="personal_tick" class="tut-succ {{ $tutor->breif_note ? '' : 'd-none' }}"><i class="fas fa-check-circle"></i></span>
                                <!-- Modal -->
                                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Personal Write Up</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <h6>Add a brief note about yourself</h6>
                                                <textarea class="tut-per" placeholder="Start writing here.." rows="4" cols="50" id="breif_note" name="breif_note">{{ $tutor->breif_note }}</textarea>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="ed-wrap">
                                    <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-9">
                                        <i class="fas fa-plus-circle"></i>Add Educational Background
                                    </button>
                                    <span id="edu_tick" class="tut-succ {{ count($tutor_educations) > 0 ? '' : 'd-none' }}"><i class="fas fa-check-circle"></i></span>
                                    <div class="modal fade" id="exampleModal-9" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">Education Details</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="edu-head">
                                                        <div class="row">
                                                            <div class="col-lg-12">
                                                                <h4>Education Details 1 :</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Institute Name</h5>
                                                                <input type="text" id="institute_name1" name="institute_name1" value="{{ count($tutor_educations) > 0 ? $tutor_educations[0]->institute_name : '' }}" class="input__textbox" placeholder="Enter the institute name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Course Name</h5>
                                                                <input type="text" name="course_name1" value="{{ count($tutor_educations) > 0 ? $tutor_educations[0]->course_name : '' }}" class="input__textbox" placeholder="Enter the course name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Start Date</h5>
                                                                <input type="date" name="start_date1" value="{{ count($tutor_educations) > 0 ? $tutor_educations[0]->start_date : '' }}" class="input__textbox" placeholder="Enter the start date">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>End Date</h5>
                                                                <input type="date" name="end_date1" value="{{ count($tutor_educations) > 0 ? $tutor_educations[0]->end_date : '' }}" class="input__textbox" placeholder="Enter the end start">
                                                            </div>
                                                        </div>
                                                    </div>
                                                   @if(count($tutor_educations) > 1)
                                                    <div class="edu-head-2">
                                                        <div class="row">
                                                            <div class="col-lg-12">
                                                                <h4>Education Details 2 :</h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Institute Name</h5>
                                                                <input type="text" id="institute_name2" name="institute_name2" value="{{ count($tutor_educations) > 0 ? $tutor_educations[1]->institute_name : '' }}" class="input__textbox" placeholder="Enter the institute name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Course Name</h5>
                                                                <input type="text" name="course_name2" class="input__textbox" value="{{ count($tutor_educations) > 0 ? $tutor_educations[1]->course_name : '' }}" placeholder="Enter the course name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>Start Date</h5>
                                                                <input type="date" name="start_date2" class="input__textbox" value="{{ count($tutor_educations) > 0 ? $tutor_educations[1]->start_date : '' }}" placeholder="Enter the start date">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-md-12 col-12">
                                                            <div class="cen-info">
                                                                <h5>End Date</h5>
                                                                <input type="date" name="end_date2" class="input__textbox" value="{{ count($tutor_educations) > 0 ? $tutor_educations[1]->end_date : '' }}" placeholder="Enter the end start">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    @endif
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary"
                                                        data-bs-dismiss="modal">Ok</button>
                                                    <button type="button" class="btn btn-primary-2">Submit</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-2">
                                    <i class="fas fa-plus-circle"></i>Transcripts(Certificates)
                                </button>
                                <span id="certi_tick" class="tut-succ {{ $tutor->tutor_certificate ? '' : 'd-none' }}"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-2" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Attach Certificates
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="col-xl-12 col-lg-12 col-md-12">
                                                    <div class="cen-logo-2">
                                                        @if(!empty($tutor) && $tutor->tutor_certificate)
                                                            <iframe id="preview_img_2" src="{{ asset('tutor_certificates/'.$tutor->tutor_certificate) }}" width="300" height="200"></iframe>
                                                        @else
                                                            <iframe id="preview_img_2" src="" width="300" height="200" style="display: none;"></iframe>
                                                        @endif
                                                        <h3>Attach the documents for tutor</h3>
                                                        <h5>(file format supported: pdf)</h5>
                                                        <h6>max file size : 2mb</h6>
                                                        <label for="attach_certificate" class="btn-cen-logo">Upload documents</label>
                                                        <input id="attach_certificate" accept="application/pdf" style="visibility:hidden;" type="file" name="attach_certificate" class="form-control" onchange="loadFile2(event)"/>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                    data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-3">
                                    <i class="fas fa-plus-circle"></i>Add Subjects
                                </button>
                                <span id="sub_tick" class="tut-succ {{ empty($subjects) ? 'd-none' : '' }}"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-3" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Add one or more subjects</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="col-xl-12">
                                                    <select class="disselect-4 chosen-select" id="sub-id" name="subjects[]" multiple="true">
                                                        <option value="1" @if(!empty($subjects)) @foreach($subjects as $sub) @if ($sub->subject_id == '1') selected @endif @endforeach @endif>English</option>
                                                        <option value="2" @if(!empty($subjects)) @foreach($subjects as $sub) @if ($sub->subject_id == '2') selected @endif @endforeach @endif>Maths</option>
                                                        <option value="3" @if(!empty($subjects)) @foreach($subjects as $sub) @if ($sub->subject_id == '3') selected @endif @endforeach @endif>Chemistry</option>
                                                        <option value="4" @if(!empty($subjects)) @foreach($subjects as $sub) @if ($sub->subject_id == '4') selected @endif @endforeach @endif>Biology</option>
                                                        <option value="5" @if(!empty($subjects)) @foreach($subjects as $sub) @if ($sub->subject_id == '5') selected @endif @endforeach @endif>Physics</option>
                                                        <option value="6" @if(!empty($subjects)) @foreach($subjects as $sub) @if ($sub->subject_id == '6') selected @endif @endforeach @endif>History</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-4">
                                    <i class="fas fa-plus-circle"></i>Add Location
                                </button>
                                <span id="loc_tick" class="tut-succ {{ $tutor->street_name && $tutor->state && $tutor->city && $tutor->zip_code ? '' : 'd-none' }}"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-4" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Location Details</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <style>
                                                    .col-xl-12{
                                                        margin-bottom: 0rem;
                                                    }
                                                </style>
                                                <div class="row">
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>Street Name</h5>
                                                            <input type="text" id="street_name" name="street_name" value="{{ $tutor->street_name }}" class="input__textbox" placeholder="Enter the street name">
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>State</h5>
                                                            <input type="text" id="state" name="state" value="{{ $tutor->state }}" class="input__textbox" placeholder="Enter the state">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>City</h5>
                                                            <input type="text" id="city" name="city" value="{{ $tutor->city }}" class="input__textbox" placeholder="Enter the city">
                                                        </div>
                                                    </div>
                                                    <div class="col-xl-12" style="margin-bottom: 0rem;">
                                                        <div class="cen-info">
                                                            <h5>Zip Code</h5>
                                                            <input type="number" id="zip_code" name="zip_code" value="{{ $tutor->zip_code }}" class="input__textbox" placeholder="Enter the zip code">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <button type="button" class="btn btn-primary-1" data-bs-toggle="modal" data-bs-target="#exampleModal-5">
                                    <i class="fas fa-plus-circle"></i>Add Experience
                                </button>
                                @php
                                                   $exp = DB::table('tutor_exps')->where('tutor_id',$tutor->id)->first(); @endphp
                                <span id="exp_tick" class="tut-succ {{ $exp ? $exp->job_title ? '' : 'd-none' : ''}}"><i class="fas fa-check-circle"></i></span>
                                <div class="modal fade" id="exampleModal-5" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Working Experience(ifany)</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <h6>Add a brief working experience</h6>

{{-- <textarea class="tut-per" id="exp" name="work_experience" placeholder="Enter your experience details here.." rows="4" cols="50">@if($exp != '') Institute Name :  {{ $exp->institute_name }}
Job Title :  {{ $exp->job_title }}
Job Type :  {{ $exp->job_type }}
Job Location : {{ $exp->job_location }}@endif
@if($tutor->work_experience != '') Working Experience : {{ $tutor->work_experience }}@endif
</textarea> --}}
<div class="row">
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Job Title</h5>
            <input type="text" value="{{ $exp ? $exp->job_title : '' }}" name="job_title" id="job_title" class="input__textbox" placeholder="Enter the first name">
            </label>
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Employment Type</h5>
            <input type="text" name="job_type" value="{{ $exp ? $exp->job_type : '' }}" class="input__textbox" placeholder="Enter the last name">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Company Name</h5>
            <input type="text" name="institute_name" value="{{ $exp ? $exp->institute_name : '' }}"  class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Job Location</h5>
            <input type="text" name="job_location" value="{{ $exp ? $exp->job_location : '' }}" class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>Start Date</h5>
            <input type="date" name="start_date" value="{{ $exp ? $exp->start_date : '' }}" class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>
    <div class="col-xl-12" style="margin-bottom: 0rem;">
        <div class="cen-info">
            <h5>End Date</h5>
            <input type="date" name="end_date" value="{{ $exp ? $exp->end_date : '' }}" class="input__textbox" placeholder="Enter the email id">
        </div>
    </div>


</div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                                                <button type="button" class="btn btn-primary-2">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="adm-btn">
                        @role('tuition center')
                    <a href="{{ route('centre-manager.index') }}" class="adm-info-btn-2">Cancel</a>
                    @else
                    <a href="{{ route('tutor.index') }}" class="adm-info-btn-2">Cancel</a>
                    @endrole
                        <button type="submit" class="adm-info-btn">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
@endsection
@push('styles')
<link rel="stylesheet" href="{{ asset('assets/css/chosen.min.css') }}"/>
@endpush
@push('scripts')
<script src="{{ asset('assets/jquery/chosen.jquery.min.js') }}"></script>
<script>
var loadFile2 = function(event) {
	var image = document.getElementById('preview_img_2');
	image.src = URL.createObjectURL(event.target.files[0]);
    image.style.display = 'inline';
};
$(function() {
    // $('.tut-succ').addClass('d-none');
    $('#sub-id').chosen();
    $('.btn-primary-2').addClass('d-none');

    $('.modal').on('hidden.bs.modal', function () {
        checkEntries();
    });
    checkEntries();

    function checkEntries(){
        if($('#breif_note').val())
            $('#personal_tick').removeClass('d-none');
        else
            $('#personal_tick').addClass('d-none');

        if($('#attach_certificate').val())
            $('#certi_tick').removeClass('d-none');
        else
            $('#certi_tick').addClass('d-none');

        if($('#sub-id').val().length != 0)
            $('#sub_tick').removeClass('d-none');
        else
            $('#sub_tick').addClass('d-none');

        if($('#institute_name1').val() && $('#institute_name2').val())
            $('#edu_tick').removeClass('d-none');
        else
            $('#sub_tick').addClass('d-none');

        if($('#street_name').val() && $('#state').val() && $('#city').val() && $('#zip_code').val())
            $('#loc_tick').removeClass('d-none');
        else
            $('#loc_tick').addClass('d-none');

        if($('#job_title').val() != ''){
            $('#exp_tick').removeClass('d-none');
        }else{
            $('#exp_tick').addClass('d-none');
        }
    }
});
</script>
@endpush
