<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link href="assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="apple-touch-icon" sizes="180x180" href="assets/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="assets/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="assets/favicon/favicon-16x16.png">
    <link rel="manifest" href="assets/favicon/site.webmanifest">
    <link rel="mask-icon" href="assets/favicon/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    <title>Tuition King</title>
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}"><img src="assets/images/logo.png"></a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                For Parents
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="{{ route('create-parent-account') }}">Create an account</a></li>
                                <li><a class="dropdown-item" href="{{ route('login') }}">Log In</a></li>
                            </ul>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                For Tutors
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="{{ route('create-tutor-account') }}">Create an account</a></li>
                                <li><a class="dropdown-item" href="{{ route('login') }}">Log In</a></li>
                                <li><a class="dropdown-item" href="#">List Tuition Class</a></li>
                            </ul>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                For Tuition Centres
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="{{ route('create-tuition-center-account') }}">Create an account</a></li>
                                <li><a class="dropdown-item" href="#">Log In</a></li>
                            </ul>
                        </li>
                    </ul>
                    <div class="btn-header">
                    @if (Route::has('login'))
                            @auth
                                <a href="{{ url('/home') }}" class="btn-head">Home</a>
                            @else
                                <a href="{{ route('login') }}" class="btn-head">Log in</a>

                                @if (Route::has('register'))
                                    <!-- <a href="{{ route('register') }}" class="ml-4 text-sm text-gray-700 dark:text-gray-500 underline">Register</a> -->
                                @endif
                            @endauth
                        </div>
                    @endif
                    </div>
                </div>
            </div>
        </nav>
    </header>
    <section class="banner">
        <div class="container">
            <div class="banner-wrap">
                <h2>What would you like to <b>learn?</b></h2>
                <div class="search-banner">
                    <input type="search" id="search" class="search-box"
                        placeholder="Explore classes by Tuition Centres and private Tutors">
                    <a href="#" class="banner-btn"><i class="fas fa-search"></i></a>
                </div>
            </div>
        </div>
    </section>
    <section class="live-class">
        <div class="container">
            <div class="live-class-head">
                <h4>Live Interactive Classes (Offline Group Classes)</h4>
            </div>
            <div class="row">
                @foreach($online_group_classes as $class)
                <div class="col-xl-4 col-lg-4 col-md-6 col-6">
                    <div class="live-class-wrap">
                        @if($class->banner)
                        <img src="{{ asset('class_banners/'.$class->banner) }}" class="rounded img-fluid">
                        @else
                        <img src="assets/images/live-1.jpg" class="rounded img-fluid">
                        @endif
                    </div>
                    <div class="live-sub">
                        <h3>{{ $class->name }}</h3>
                        <h4>{{ date('D', strtotime($class->class_date)) }} : {{ $class->start_time }} - {{ $class->end_time }}</h4>
                    </div>
                    <div class="ratings">
                        <ul>
                            <li><i class="fas fa-star"></i></li>
                            <li><i class="fas fa-star"></i></li>
                            <li><i class="fas fa-star"></i></li>
                            <li><i class="fas fa-star"></i></li>
                            <li><i class="far fa-star"></i></li>
                        </ul>
                    </div>
                    <div class="btn-live">
                        <a href="#" class="book-btn">Book Now</a>
                        <a href="#" class="cont-btn">Contact</a>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>
    <section class="group-class">
        <div class="container">
            <div class="group-class-head">
                <h4>Group Tuition Classes (Online Group Classes)</h4>
            </div>
            <div class="row">
                @foreach($offline_group_classes as $class)
                <div class="col-xl-4 col-lg-4 col-md-6 col-6">
                    <div class="group-class-wrap">
                        @if($class->banner)
                        <img src="{{ asset('class_banners/'.$class->banner) }}" class="rounded img-fluid">
                        @else
                        <img src="assets/images/live-1.jpg" class="rounded img-fluid">
                        @endif
                    </div>
                    <div class="group-text-wrap">
                        <div class="group-tutor-img">
                            <img src="assets/images/group-1.png">
                        </div>
                        <div class="group-sub">
                            <h3>{{ $class->name }}</h3>
                            <h4>{{ $class->street_name }}, {{$class->city}}</h4>
                        </div>
                        <div class="rating">
                            <ul>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="fas fa-star"></i></li>
                                <li><i class="far fa-star"></i></li>
                            </ul>
                        </div>
                        <div class="btn-group">
                            <a href="#" class="book-btn">Book Now</a>
                            <a href="#" class="cont-btn">Contact</a>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>
    <section class="recently">
        <div class="container">
            <div class="recently-head">
                <h4>Recently Added Tuitions</h4>
            </div>
            <div class="row">
                @foreach($recently_added_classes as $class)
                <div class="col-xl-4 col-lg-4 col-md-6 col-6">
                    <div class="recent-wrap">
                        @if($class->banner)
                        <img src="{{ asset('class_banners/'.$class->banner) }}" class="rounded img-fluid">
                        @else
                        <img src="assets/images/live-1.jpg" class="rounded img-fluid">
                        @endif
                    </div>
                    <div class="group-text-wrap">
                        <div class="group-tutor-img">
                            <img src="assets/images/group-1.png">
                            <span>
                                <a href="#" class="pri-tutor">Private Tutor</a>
                            </span>
                        </div>
                        <div class="recent-sub">
                            <h3><b>{{ $class->tutorUser->name }}</b> | Full Time Tutor</h3>
                            <h4>2 years of experience</h4>
                            <h5>{{ $class->name }}</h5>
                            <h6>
                                @if($class->type_id == 3 || $class->type_id == 4)
                                    {{$class->street_name}}, {{$class->city}}
                                @else
                                    {{ date('D', strtotime($class->class_date)) }} : {{ $class->start_time }} - {{ $class->end_time }}
                                @endif
                            </h6>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </section>
    <section class="teach">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-5 col-12">
                    <div class="teach-wrap">
                        <h3>Looking to <b>teach?</b></h3>
                        <p>Join TUITIONKING and connect with more than 10,000 students
                        on the platform. Create a strong profile and grow your network.</p>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-7 col-12 d-flex justify-content-center flex-column">
                    <div class="teach-wrap-2">
                        <a href="#" class="sign-tutors">Sign up as a tutor</a>
                        <a href="#" class="sign-centres">Sign up as a tuition centre</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="subjects">
        <div class="container">
            <div class="row">
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="subject-wrap">
                        <h4>PRIMARY SCHOOL CLASSES</h4>
                        <ul>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Lower Pri Math Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Lower Pri English Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Lower Pri Science Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Lower Pri Chinese Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Lower Pri Physics Tuition</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="subject-wrap">
                        <h4>LOWER SECONDARY CLASSES</h4>
                        <ul>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary Math Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary English Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary Science Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary Chinese Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary Physics Tuition</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="subject-wrap">
                        <h4>UPPER SECONDARY CLASSES</h4>
                        <ul>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary History Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary English Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary Science Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>Secondary Chinese Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>All Upper Secondary Tuition</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="subject-wrap">
                        <h4>JUNIOR COLLEGE CLASSES</h4>
                        <ul>
                            <li><a href="#"><i class="fas fa-angle-right"></i>JC History Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>JC English Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>JC Science Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>JC Chinese Tuition</a></li>
                            <li><a href="#"><i class="fas fa-angle-right"></i>All JC Tuition</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="footer-wrap">
                        <h4>General</h4>
                        <ul>
                            <li><a href="#">About Us</a></li>
                            <li><a href="#">Be a Coordinator</a></li>
                            <li><a href="#">Contact Us</a></li>
                            <li><a href="#">List of Tuition Centres</a></li>
                            <li><a href="#">Terms and conditions</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="footer-wrap">
                        <h4>For Students</h4>
                        <ul>
                            <li><a href="#">Find a Home Tutor</a></li>
                            <li><a href="#">Tuition Agency</a></li>
                            <li><a href="#">Tuition Agency Fees</a></li>
                            <li><a href="#">Search Tuition Groups</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="footer-wrap">
                        <h4>For Tutors</h4>
                        <ul>
                            <li><a href="#">Login</a></li>
                            <li><a href="#">Tutors Sign Up</a></li>
                            <li><a href="#">Tuition Assignments</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-lg-3 col-md-3 col-3">
                    <div class="footer-wrap">
                        <h4>Useful Links</h4>
                        <ul>
                            <li><a href="#">Privacy Policy</a></li>
                            <li><a href="#">Registered Users Policy</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>


</body>

</html>
