<?php

use Illuminate\Support\Facades\Route;
use Laravel\Socialite\Facades\Socialite;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {return view('welcome');});
Route::get('/', function(){
    return redirect()->route('login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/getUser', 'RatingController@GetUser');

// Route::get('/tuition-center/create', function(){
//     $edit = 0;
//     return view('tuition_centers/create',compact('edit'));
// })->name('tuition-center.create');

// Route::get('/tuition-center/success', function(){
//     return view('tuition_centers/success');
// })->name('tuition-center.success');
// Route::resource('tuition-center', 'TuitionCentreController');

Route::post('parent-logout', 'ParentController@parentlogout')->name('parent.logout');
Route::get('sign-in', 'ParentController@signin')->name('account.sign_in')->withoutMiddleware(['auth']);
Route::post('parent/data', 'ParentController@data')->name('parent.data');
Route::get('parent/student_dashboard', 'ParentController@student_dashboard')->name('parent.student_dashboard');
Route::get('parent/get_tutor', 'ParentController@getTutor')->name('subject.gettutor')->withoutMiddleware(['auth']);
Route::resource('parent', 'ParentController');
Route::get('parent/show/{id}', 'ParentController@show')->name('parent.show');

Route::get('parent-contact/send/{id}', 'ParentContactUsController@ContactSend')->name('parent-contact.send');
Route::post('parent-contact/data', 'ParentContactUsController@data')->name('parent-contact.data');
Route::resource('parent-contact', 'ParentContactUsController');

Route::post('student/csv', 'StudentController@studentCsv')->name('student.csv');
Route::post('student/data', 'StudentController@data')->name('student.data');
Route::get('student/my_classes', 'StudentController@myClasses')->name('student.my_classes');
Route::get('student/enroll_student', 'StudentController@enroll_student')->name('student.enroll_student')->withoutMiddleware(['auth']);
Route::post('store-child-account', 'StudentController@storeChildAccount')->name('store-child-account');
Route::post('update-child-account', 'StudentController@updateChildAccount')->name('update-child-account');
Route::get('edit-child-account', 'StudentController@editChildAccount')->name('edit-child-account');
Route::get('student/enrollclass', 'StudentController@EnrollClassIndex')->name('student.enrollclass');
Route::get('student/student_index', 'StudentController@student_index')->name('student.student_index');
Route::get('student/changestatus/{id}', 'StudentController@changestatus')->name('student.changestatus');
Route::post('student/enrollclassDetail', 'StudentController@EnrollClassStudent')->name('student.enrollclassDetail');
Route::get('student/lesson-management', 'StudentController@lessonManagementIndex')->name('student.lesson-management');
Route::get('view_class_attendance/{id}/{stud}', 'StudentController@ViewClassAttendance')->name('student.view_attendance');
Route::resource('student', 'StudentController');
Route::get('student/show/{id}', 'StudentController@show')->name('student.show');

Route::get('account-creation/create', 'AccountController@create')->name('account-creation.create');
Route::post('account-creation/create', 'AccountController@create')->name('account-creation.create');
Route::get('account-creation/cancel/{tab}', 'AccountController@cancel')->name('account-creation.cancel');
Route::post('tuition-centre/data', 'TuitionCentreController@data')->name('tuition-centre.data');
Route::get('tuition-centre/changestatus', 'TuitionCentreController@ChangeStatus')->name('tuition-centre.changestatus');
Route::get('tuition-centre/show/{id}', 'TuitionCentreController@show')->name('tuition.show');
Route::resource('tuition-centre', 'TuitionCentreController');

Route::post('tutor/data', 'TutorController@data')->name('tutor.data');
Route::post('tutor/store-info-tutor', 'TutorController@storeInfoTutor')->name('tutor.store-info-tutor');
Route::get('tutor/student_dashboard', 'TutorController@student_dashboard')->name('tutor.student_dashboard');
Route::get('tutor/changestatus', 'TutorController@ChangeStatus')->name('tutor.changestatus');
Route::resource('tutor', 'TutorController');
Route::get('tutor/show/{id}', 'TutorController@show')->name('tutor.show');

Route::get('account/changestatus', 'AccountController@ChangeStatus')->name('account.changestatus');
Route::post('admin/data', 'AccountController@dataAdmin')->name('admin.data');
Route::get('admin/create', 'AccountController@createAdmin')->name('admin.create');
Route::get('admin/show/{id}', 'AccountController@show')->name('admin.show');
Route::get('admin/index', 'AccountController@index')->name('admin.index');
Route::post('admin/store', 'AccountController@storeAdmin')->name('admin.store');
Route::get('admin/edit/{id}', 'AccountController@editAdmin')->name('admin.edit');
Route::post('admin/update/{id}', 'AccountController@updateAdmin')->name('admin.update');
Route::delete('admin/destroy/{id}', 'AccountController@destroyAdmin')->name('admin.destroy');
Route::get('admin/subscription', 'AccountController@subscriptionIndex')->name('admin.subscription');
Route::post('admin-subscription/data', 'AccountController@subscriptionData')->name('admin-subscription.data');

Route::get('centre-manager', 'CentreManagerController@index')->name('centre-manager.index');
Route::post('centre-manager/data', 'CentreManagerController@data')->name('centre-manager.data');
Route::get('centre/subscription', 'CentreManagerController@subscriptionIndex')->name('centre.subscription');
Route::post('centre-subscription/data', 'CentreManagerController@subscriptionData')->name('centre-subscription.data');
Route::get('/validate', 'AccountController@validate_email')->name('validate')->withoutMiddleware(['auth']);

Route::get('role', 'RolePermissionController@index')->name('role.index');
Route::get('role/check', 'RolePermissionController@Check')->name('role.check');
Route::get('role/create', 'RolePermissionController@create')->name('role.create');
Route::get('role/edit_role', 'RolePermissionController@Roleindex')->name('role.roleindex');
Route::post('role/data', 'RolePermissionController@data')->name('role.data');
Route::delete('role/destroy/{id}', 'RolePermissionController@destroy')->name('role.destroy');
Route::post('role/update-permission', 'RolePermissionController@updatePermission')->name('role.update-permission');

Route::get('schedule-class/getTopicBySubject', 'ScheduleClassController@getTopicBySubject')->name('schedule-class.getTopicBySubject');
Route::get('schedule-class/changesponcer/{class_id}', 'ScheduleClassController@ChangeSponcerClass')->name('schedule-class.changesponcer');
Route::get('schedule-class/changenormal/{class_id}', 'ScheduleClassController@ChangeNormalClass')->name('schedule-class.changenormal');
Route::put('/reorder-rows', 'ScheduleClassController@reorderRows');
Route::post('schedule-class/create', 'ScheduleClassController@create')->name('schedule-class.create');
Route::post('schedule-class/store', 'ScheduleClassController@store')->name('schedule-class.store');
Route::post('schedule-class/data', 'ScheduleClassController@data')->name('schedule-class.data');
Route::get('schedule-class/get-class-details/{id}', 'ScheduleClassController@getClassDetails')->name('schedule-class.get-class-details');
Route::get('schedule-class/drag-drop-date-update/{id}/{date}', 'ScheduleClassController@dragDropDateUpdate')->name('schedule-class.drag-drop-date-update');
Route::get('schedule-class/get-scheduled-classes', 'ScheduleClassController@getScheduledClasses')->name('schedule-class.get-scheduled-classes');
Route::resource('schedule-class', 'ScheduleClassController');

Route::post('subject/data', 'SubjectController@getData')->name('subject.data');
Route::get('subject/get_topic', 'SubjectController@getTopic')->name('subject.gettopic');
Route::resource('subject', 'SubjectController');
Route::get('subject/cancel/{tab}', 'SubjectController@cancel')->name('subject.cancel');

Route::post('lesson/data', 'LessonController@getData')->name('lesson.data');
Route::get('lesson/same_name', 'LessonController@Samename')->name('lesson.same_name');
Route::resource('lesson', 'LessonController');

Route::post('showAttendance', 'StudentAttendanceController@DateAttendance')->name('attendance.date_attendance');
Route::resource('attendance', 'StudentAttendanceController');

Route::post('level/data', 'LevelController@getData')->name('level.data');
Route::resource('level', 'LevelController');

Route::get('multiplecentre/get_calender', 'MultipleCentreController@Get_calender')->name('multiplecentre.get_calender');
Route::post('multiplecentre/data', 'MultipleCentreController@data')->name('multiplecentre.data');
Route::resource('multiplecentre', 'MultipleCentreController');

Route::post('store-comment', 'RatingController@comment_store')->name('store-comment');
Route::get('rating/give_rating', 'RatingController@give_ratings')->name('rating.give_ratings');
Route::get('rating/changestatus', 'RatingController@ChangeStatus')->name('rating.changestatus');
Route::post('rating/data', 'RatingController@data')->name('rating.data');
Route::resource('rating', 'RatingController');

Route::post('contactus/data', 'ContactUsController@data')->name('contactus.data');
Route::resource('contactus', 'ContactUsController');

Route::get('student_class/delete_student/{id}', 'StudentClassController@delete_student')->name('student_class.delete_student');
Route::get('student_class_attendance/{id}/{stud}', 'StudentClassController@StudentClassAttendance')->name('student_class.attendance');
Route::get('student_class_Detail/{id}', 'StudentClassController@StudentClassDetail')->name('student_class.details');
Route::post('student_class/data', 'StudentClassController@getData')->name('student_class.data');
Route::resource('student_class', 'StudentClassController');

Route::post('class/class_lesson_detail', 'ClassController@class_lesson')->name('class.class_lesson');
Route::post('class/data', 'ClassController@getData')->name('class.data');
Route::post('class/expired_data', 'ClassController@getExpiredData')->name('class.ExpiredClassdata');
Route::post('class/Spodata', 'ClassController@getSpoData')->name('class.Spodata');
Route::post('class/alldata', 'ClassController@getAllData')->name('class.alldata');
Route::get('class/rating', 'ClassController@rating')->name('class.rating');
Route::get('class/get_class', 'ClassController@getClass')->name('class.getclass');
Route::get('class/get_lesson', 'ClassController@getLesson')->name('class.getlesson');
Route::resource('class', 'ClassController');

Route::post('topic/data', 'TopicController@getData')->name('topic.data');
Route::resource('topic', 'TopicController');

Route::get('moodle-testing', 'ApiController@moodleTesting')->name('moodle-testing');

Route::get('create-tutor-account', 'AccountController@createTutorAccountIndex')->name('create-tutor-account')->withoutMiddleware(['auth']);
Route::get('parent-register', 'AccountController@createParentAccountIndex')->name('create-parent-account')->withoutMiddleware(['auth']);
Route::post('store-tutor-account', 'AccountController@storeTutorAccount')->name('store-tutor-account')->withoutMiddleware(['auth']);
Route::post('store-account', 'ParentController@storeParentAccount')->name('store-account')->withoutMiddleware(['auth']);
Route::post('update-tutor-account/{id}', 'AccountController@updateTutorAccount')->name('update-tutor-account');
Route::get('update-tutor-account-link', 'AccountController@updateTutorAccountIndex')->name('update-tutor-account-link');

Route::get('create-tuition-center-account', 'AccountController@createTuitionCenterAccountIndex')->name('create-tuition-center-account')->withoutMiddleware(['auth']);
Route::post('store-tuition-center-account', 'AccountController@storeTuitionCenterAccount')->name('store-tuition-center-account')->withoutMiddleware(['auth']);

Route::get('autocomplete', 'ClassController@autocomplete')->name('autocomplete');
Route::get('dropzone/example', 'ClassController@dropzoneExample')->withoutMiddleware(['auth']);
Route::post('dropzone/store', 'ClassController@dropzoneStore')->name('dropzone.store')->withoutMiddleware(['auth']);
// Route::get('login-tutor', 'AccountController@loginTutor')->name('login-tutor');
// Route::get('login-tuition-center', 'AccountController@loginTuitionCenter')->name('login-tuition-center');

Route::post('tutor/add-education-detail/{tutor_id}', 'TutorController@addEducationDetail')->name('tutor.add-education-detail');
Route::post('tutor/completeclassdata', 'TutorController@CompletedClassData')->name('tutor.completedClass');
Route::post('tutor/upcomingclassdata', 'TutorController@UpcomingClassData')->name('tutor.upcomingClass');
Route::post('tutor/edit-education-detail/{tutor_id}/{edu_id}', 'TutorController@editEducationDetail')->name('tutor.edit-education-detail');
Route::post('tutor/update-profile-photo/{tutor_id}', 'TutorController@updateProfilePhoto')->name('tutor.update-profile-photo');
Route::post('tutor/edit-personal-details/{tutor_id}', 'TutorController@editPersonalDetails')->name('tutor.edit-personal-details');
Route::post('tutor/add-exp-detail/{tutor_id}', 'TutorController@addExpDetail')->name('tutor.add-exp-detail');
Route::post('tutor/edit-exp-detail/{tutor_id}/{exp_id}', 'TutorController@editExpDetail')->name('tutor.edit-exp-detail');

Route::get('/auth/redirect', 'ProviderLoginController@RedirectToGoogle')->name('auth.google');
Route::get('login/google/callback', 'ProviderLoginController@ProviderGoogleCallback');

Route::get('/auth/redirectfacebook', 'ProviderLoginController@RedirectToFacebook')->name('auth.facebook');
Route::get('login/facebook/callback', 'ProviderLoginController@ProviderFacebookCallback');

Route::post('notifications/data', 'NotificationController@Data')->name('notifications.data');
Route::resource('notifications', 'NotificationController');

Route::post('address/data', 'AddressController@Data')->name('address.data');
Route::resource('address', 'AddressController');

Route::get('broadcast/send/{id}', 'BroadcastController@BroadcastSend')->name('broadcast.send');
Route::post('broadcast/data', 'BroadcastController@Data')->name('broadcast.data');
Route::resource('broadcast', 'BroadcastController');

Route::post('users/data', 'UserController@Data')->name('users.data');
Route::resource('users', 'UserController');

Route::post('frontcontactus/parent-data', 'FrontContactUsController@parentData')->name('frontcontactus.parent_data');
Route::post('frontcontactus/data', 'FrontContactUsController@Data')->name('frontcontactus.data');
Route::resource('frontcontactus', 'FrontContactUsController');

Route::get('connect', 'ProviderLoginController@connect')->name('connect');
Route::get('app', 'ProviderLoginController@app')->name('app');

Route::get('/auth/redirectgraph', 'ProviderLoginController@RedirectToGraph')->name('auth.graph');
Route::get('login/graph/callback', 'ProviderLoginController@ProviderGraphCallback');

Route::post('centre-report/filter', 'CentreReportController@CentreFilter')->name('centre-report.filter');
Route::post('centre-report/csv', 'CentreReportController@centreCsv')->name('centre-report.csv');
Route::resource('centre-report', 'CentreReportController');

Route::post('tutor-report/filter', 'TutorReportController@TutorFilter')->name('tutor-report.filter');
Route::post('tutor-report/csv', 'TutorReportController@tutorCsv')->name('tutor-report.csv');
Route::resource('tutor-report', 'TutorReportController');

Route::post('summary-report/filter', 'SummaryReportController@SummaryFilter')->name('summary-report.filter');
Route::post('summary-report/csv', 'SummaryReportController@summaryCsv')->name('summary-report.csv');
Route::resource('summary-report', 'SummaryReportController');

Route::post('banner-report/filter', 'BannerReportController@BannerFilter')->name('banner-report.filter');
Route::post('banner-report/csv', 'BannerReportController@bannerCsv')->name('banner-report.csv');
Route::resource('banner-report', 'BannerReportController');

Route::post('parent-report/csv', 'ParentReportController@parentCsv')->name('parent-report.csv');
Route::resource('parent-report', 'ParentReportController');

Route::put('banner/reorder-rows', 'BannerController@reorderRows');
Route::post('banner/data', 'BannerController@getData')->name('banner.data');
Route::resource('banner', 'BannerController');
// Route::get('/auth/redirect', function () {
//     return Socialite::driver('google')->redirect();
// })->name('auth.google');

// Route::get('login/google/callback', function () {
//     $user = Socialite::driver('google')->user();
//     dd($user);
//     // $user->token
// });
