<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link href="/assets/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <link href='/assets/css/main.css' rel='stylesheet' />
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <!-- <link href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" /> -->
    <?php echo $__env->yieldPushContent('styles'); ?>
    <title>Tuition King</title>
</head>

<body>
    <section class="adm-head">
        <div class="container">
            <nav class="nav-bar2">
                <div class="nav-links" id="navLinks">
                    <div class="close">
                        <i class="fas fa-times" onclick="hidemenu()"></i>
                    </div>
                    <ul class="menu">
                        <?php if(auth()->check() && auth()->user()->hasRole('center_manager')): ?>
                        <li><a href="<?php echo e(route('centre-manager.index')); ?>" class="<?php echo e(request()->is('centre-manager*') || request()->is('home') ? 'active' : ''); ?>"><i class="fas fa-th-large"></i>Dashboard</a></li>
                        <li><a href="<?php echo e(route('centre.subscription')); ?>" class="<?php echo e(request()->is('centre/subscription*') ? 'active' : ''); ?>"><i class="fas fa-university"></i>View Subcriptions</a></li>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('tutor')): ?>
                        <li><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-th-large"></i>Dashboard</a></li>
                        <li><a href="<?php echo e(route('schedule-class.index')); ?>" class="<?php echo e(request()->is('schedule-class*') ? 'active' : ''); ?>"><i class="fas fa-chalkboard-teacher"></i>Schedule Class</a></li>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('super_admin')): ?>
                        <li><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-user"></i>User Managements</a></li>
                        <li><a href="<?php echo e(route('role.index')); ?>" class="<?php echo e(request()->is('role*') ? 'active' : ''); ?>"><i class="fas fa-user-tag"></i>Roles & Permissions</a></li>
                        <li><a href="<?php echo e(route('subject.index')); ?>" class="<?php echo e(request()->is('subject*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i>Lessons Management</a></li>
                        <li><a href="<?php echo e(route('lesson.index')); ?>" class="<?php echo e(request()->is('lesson*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i>Lessons</a></li>
                        <li><a href="<?php echo e(route('class.index')); ?>" class="<?php echo e(request()->is('class*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i>Classes</a></li>
                        <li><a href="<?php echo e(route('admin.subscription')); ?>" class="<?php echo e(request()->is('admin/subscription*') ? 'active' : ''); ?>"><i class="fas fa-dollar-sign"></i>Subscription Details</a></li>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('admin')): ?>
                        <li><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-user"></i>User Managements</a></li>
                        <li><a href="<?php echo e(route('role.index')); ?>" class="<?php echo e(request()->is('role*') ? 'active' : ''); ?>"><i class="fas fa-user-tag"></i>Roles & Permissions</a></li>
                        <li><a href="<?php echo e(route('subject.index')); ?>" class="<?php echo e(request()->is('subject*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i>Lessons Management</a></li>
                        <li><a href="<?php echo e(route('lesson.index')); ?>" class="<?php echo e(request()->is('lesson*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i>Lessons</a></li>
                        <li><a href="<?php echo e(route('class.index')); ?>" class="<?php echo e(request()->is('class*') ? 'active' : ''); ?>"><i class="fas fa-book-open"></i>Classes</a></li>
                        <li><a href="<?php echo e(route('admin.subscription')); ?>" class="<?php echo e(request()->is('admin/subscription*') ? 'active' : ''); ?>"><i class="fas fa-dollar-sign"></i>Subscription Details</a></li>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('parent')): ?>
                        <li><a href="<?php echo e(route('home')); ?>" class="<?php echo e(request()->is('home*') ? 'active' : ''); ?>"><i class="fas fa-user"></i>Dashboard</a></li>
                        <li><a href="<?php echo e(route('parent.student_dashboard')); ?>" class="<?php echo e(request()->is('parent*') ? 'active' : ''); ?>"><i class="fas fa-user"></i>Children</a></li>
                        <li><a href="<?php echo e(route('student_class.index')); ?>" class="<?php echo e(request()->is('student_class*') ? 'active' : ''); ?>"><i class="fas fa-user"></i>Enroll Classes</a></li>
                        <?php endif; ?>
                        <?php if(auth()->check() && auth()->user()->hasRole('student')): ?>
                        <li><a href="<?php echo e(route('student.index')); ?>" class="<?php echo e(request()->is('student*') || request()->is('home') ? 'active' : ''); ?>"><i class="fas fa-th-large"></i>Dashboard</a></li>
                        <li><a href="<?php echo e(route('student.lesson-management')); ?>"><i class="fas fa-chalkboard-teacher"></i>Lessons Management</a></li>
                        <?php endif; ?>
                    </ul>
                </div>
                <div class="bar">
                    <i class="fas fa-bars" onclick="showmenu()"></i>
                    <span class="logo-wraap">
                        <a href="https://tuitionking.swotfishdemo.cc"><img src="/assets/images/logo.png"></a>
                    </span>
                </div>

            <?php if(Auth::user()): ?>
                <div class="user">
                    <a href="#" class="user-icon"><i class="fas fa-user-circle"></i></a>

                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton1"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            <?php echo e(Auth::user()->name); ?>

                        </button>
                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                            <?php if(auth()->check() && auth()->user()->hasRole('super_admin')): ?> <?php  $var = 'admin.show' ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('center_manager')): ?> <?php  $var = 'tuition.show' ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('tutor')): ?> <?php  $var = 'tutor.show' ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('admin')): ?> <?php  $var = 'admin.show' ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('parent')): ?> <?php  $var = 'parent.show' ?> <?php endif; ?>
                            <?php if(auth()->check() && auth()->user()->hasRole('student')): ?>  <?php  $var = 'student.show' ?> <?php endif; ?>
                            <li><a class="dropdown-item" href="<?php echo e(route($var,['id' => auth()->user()->id])); ?>" >Profile Information</a></li>
                            <li>
                                <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Log Out</a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                    <?php echo csrf_field(); ?>
                                </form>
                            </li>
                        </ul>
                    </div>
                </div>
                <?php endif; ?>
            </nav>
        </div>
    </section>
    <?php echo $__env->yieldContent('content'); ?>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script> -->
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap5.min.js"></script>
    <script>
        var navLinks = document.getElementById("navLinks");
        function showmenu() {
            navLinks.style.left = "0";
        }
        function hidemenu() {
            navLinks.style.left = "-200px"
        }

    </script>
    <?php echo $__env->yieldPushContent('scripts'); ?>

</body>

</html>
<?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/layouts/app.blade.php ENDPATH**/ ?>