<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <div class="container">
        <form action="<?php echo e(route('tutor.update', $tutor->id)); ?>" method="POST" enctype="multipart/form-data" id="regForm">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>New Tutor</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <?php if(auth()->check() && auth()->user()->hasRole('center_manager')): ?>
                        <a href="<?php echo e(route('centre-manager.index')); ?>" class="back-btn">Back</a>
                        <?php else: ?>
                        <a href="<?php echo e(route('tutor.index')); ?>" class="back-btn">Back</a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="col-xl-12">
                <?php echo $__env->make('tutors.fields', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="col-xl-12">
                    <div class="adm-btn">
                    <?php if(auth()->check() && auth()->user()->hasRole('center_manager')): ?>
                    <a href="<?php echo e(route('centre-manager.index')); ?>" class="adm-info-btn-2">Cancel</a>
                    <?php else: ?>
                    <a href="<?php echo e(route('tutor.index')); ?>" class="adm-info-btn-2">Cancel</a>
                    <?php endif; ?>
                        <button type="submit" class="adm-info-btn" id="submitBtn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<style type="text/css">
    #email-error {
        color: red;
    }
    #contact_number-error {
        color: red;
    }
</style>
<?php $__env->startPush('scripts'); ?>
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
<script>
    $(document).ready (function () {
        $.validator.addMethod(
  "regex",
  function(value, element, regexp) {
    var re = new RegExp(regexp);
    return this.optional(element) || re.test(value);
  },
  "Please check your input."
);
      $('form[id="regForm"]').validate({
        rules: {
          first_name: {
          required:true,
          minlength: 3,
          },
          last_name: {
          required:true,
          },
          email: {
          required:true,
          email:true,
          remote: {
                    url: "<?php echo e(url('/validate')); ?>",
                    data:{
                        from:'tutor',
                        id:<?php echo e($tutor->id); ?>

                    },
                    type: 'get',
                }
          },
          contact_number:{
            required:true,
            regex: "^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$" ,
          },
          password_confirmation: {
            equalTo: "#password"
          },
        },
        messages: {
          first_name:{
            required:"<span style='color:red;'>This field is required.</span>",
            minlength:"<span style='color:red;'>Enter Name at least 3 character.</span>",
          },
          last_name:{
            required:"<span style='color:red;'>This field is required.</span>",
          },
          email:{
            required:"<span style='color:red;'>This field is required.</span>",
            remote:"<span style='color:red;'>Email Already Exist.</span>",
          },
          contact_number:{
          required: "<span style='color:red;'>This field is required.</span>",
          regex: "<span style='color:red;'>Please enter at least 10 digits.</span>",
          },
          password_confirmation: {
            equalTo:"<span style='color:red;'>Confirm Password Not Matched.</span>",
          }
        },
        submitHandler: function(form) {
        $('#regForm').attr('action', "<?php echo e(route('tutor.update', $tutor->id)); ?>");
          form.submit();
        }
      });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/tutors/edit.blade.php ENDPATH**/ ?>