<?php $__env->startSection('content'); ?>
<section class="adm-wrap-2">
    <form action="<?php echo e(route('lesson.store')); ?>" method="POST" id="LessonForm">
        <?php echo csrf_field(); ?>
        <div class="container">
            <div class="row">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="adm-info-head">
                        <h4>New Lesson</h4>
                    </div>
                </div>
                <div class="col-xl-6 d-flex justify-content-end">
                    <div class="back-btn-wrap">
                        <a href="<?php echo e(route('lesson.index')); ?>" class="back-btn">Back</a>
                    </div>
                </div>
            </div><br/>
            <div class="sub-add-wrap">
                <div class="row">
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Level <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="level" id="level">
                                <option value="">Select Level</option>
                                <?php $__currentLoopData = $levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($level->id); ?>" <?php echo e(old('level')  == $level->id ? 'selected' : ''); ?>><?php echo e($level->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Subject <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="subject" id="subject">
                                <option value="">Select Subject</option>
                                <?php if(old('subject') != ''): ?>
                                <?php
                                  $subjects = App\Models\Subject::where('level_id', old('level'))->get();
                                ?>
                                <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($subject->id); ?>" <?php echo e(old('subject')  == $subject->id ? 'selected' : ''); ?>><?php echo e($subject->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Topic <span class="text-danger">*</span></h5>
                            <select class="disselect-2" name="topic" id="topic">
                                <option value="">Select Topic</option>
                                <?php if(old('topic') != ''): ?>
                                <?php
                                  $topics = App\Models\Topic::where('subject_id', old('subject'))->get();
                                ?>
                                <?php $__currentLoopData = $topics; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $topic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($topic->id); ?>" <?php echo e(old('topic')  == $topic->id ? 'selected' : ''); ?>><?php echo e($topic->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                        <div class="cen-info">
                            <h5>Lesson Name <span class="text-danger">*</span></h5>
                            <input name="lesson" value="<?php echo e(old('lesson')); ?>" type="text" class="input__textbox"
                                placeholder="Enter the Lesson Name">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-btn">
                        <a href="<?php echo e(route('lesson.index')); ?>" class="adm-info-btn-2">Cancel</a>
                        <button type="submit" class="sub-save">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>
<?php $__env->stopSection(); ?>
<style>
    input[type="datepicker"]::-webkit-inner-spin-button,
    input[type="datepicker"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}
</style>
<?php $__env->startPush('scripts'); ?>
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>
        <script type="text/javascript">
            $(function() {
                $(".datepicker").datepicker({
                    autoclose: true,
                    orientation: "down",
                    dateFormat: 'dd-mm-yy'
                });

                $('form[id="LessonForm"]').validate({
                    rules: {
                        topic: {
                          required:true,
                        },
                        level: {
                          required:true,
                        },
                        subject: {
                          required:true,
                        },
                        lesson: {
                          required:true,
                        },
                    },
                    messages: {
                        topic: "<span style='color:red;'>This field is required.</span>",
                        level: "<span style='color:red;'>This field is required.</span>",
                        subject: "<span style='color:red;'>This field is required.</span>",
                        lesson: "<span style='color:red;'>This field is required.</span>",
                    }
                })

                $('#subject').change(function() {
                    $("select[name='topic'] > option").remove();
                    $('#topic').append('<option value="">Select Topic</option>');
                    $.ajax({
                        url: '<?php echo e(url('subject/get_topic')); ?>?subject=' + $('#subject').val(),
                        data:{type:'topic'},
                        success: function(response) {
                            $.each(response.topics, function(key,value) {
                                $('#topic').append('<option value="' +value.id +'">' +value.name + ' </option>');
                            });
                        }
                    });
                });
                $('#level').change(function() {
                    $("select[name='subject'] > option").remove();
                    $('#subject').append('<option value="">Select Subject</option>');
                    $.ajax({
                        url: '<?php echo e(url('subject/get_topic')); ?>?level=' + $('#level').val(),
                        data:{type:'subject'},
                        success: function(response) {
                            $.each(response.subjects, function(key,value) {
                                $('#subject').append('<option value="' +value.id +'">' +value.name + ' </option>');
                            });
                        }
                    });
                });
            });
        </script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/lessons/create.blade.php ENDPATH**/ ?>