<?php $__env->startPush('styles'); ?>
<link href="assets/css/owl.carousel.min.css" rel="stylesheet" type="text/css">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<section class="stu-wrapper">
    <div class="container">
        <div class="less-wrap-2">
            <div class="row">
                <div class="col-xl-12 col-lg-6">
                    <div class="stu-info-head">
                        <h6>Dashboard</h6>
                    </div>
                </div>
            </div>
        </div>
        <div class="enroll-wrapper">
            <div class="enrol-head">
                <h4>Upcoming Classes</h4>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <table id="classDatatable" class="table table-striped" style="width:100%">
                        <thead>
                            <th class="th-left">S/N</th>
                            <th class="th-left">Lesson Name</th>
                            <th class="th-left">Class Name</th>
                            <th class="th-left">Class Date</th>
                            <th class="th-left">Timings</th>
                            <th class="th-left">Service Provider</th>
                            <th class="th-center">up</th>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
        
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script src='assets/js/main.js'></script>
<script src="assets/js/owl.carousel.min.js"></script>
<!-- <script src="https://cdn.jsdelivr.net/npm/fullcalendar@5.10.2/main.min.js"></script> -->
<script>
    var calendarEl = document.getElementById('calendar');
    document.addEventListener('DOMContentLoaded', function () {

        var calendar = new FullCalendar.Calendar(calendarEl, {
            initialView: 'dayGridMonth',
            initialDate: '2022-02-07',
            headerToolbar: {
                left: 'prev,next today',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay'
            },
        });

        calendar.render();
    });
    $(document).ready(function () {
        // $('#example-8').DataTable();
        $('#classDatatable').DataTable({
                    processing: true,
                    serverSide: true,
                    oSearch: {
                        "bSmart": true
                    },
                    lengthMenu: [
                        [10, 25, 50, 100, -1],
                        [10, 25, 50, 100, "All"]
                    ],
                    pageLength: 10,
                    order: [6, 'desc'],
                    "ajax": {
                        'url': '<?php echo route('student_class.data'); ?>',
                        'type': 'POST',
                        'data': {
                            'id': <?php echo e($value->id); ?>,
                            'type': 'student',
                            'role':'student',
                            'mode':'upcoming'
                        },
                        'headers': {
                            'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                        }
                    },
                    columnDefs: [{
                            "targets": [0],
                        },
                        {
                            "targets": [1],
                            "render": function(data, type, row) {
                                return data.split(",").join(",<br/>");
                            }
                        },
                        {
                            "targets": [2],
                        },
                        {
                            "targets": [3],
                        },
                        {
                            "targets": [4],
                        },
                        {
                            "targets": [5],
                        },
                        {
                            "targets": [6],
                        },
                    ],
                    columns: [{
                            data: 'DT_RowIndex',
                            name: 'DT_RowIndex',
                            'orderable': false,
                            'searchable': false,
                            className: 'th-center'
                        },
                        {
                            data: 'lesson',
                            name: 'lesson',
                            className: 'th-left'
                        },
                        {
                            data: 'class',
                            name: 'class',
                            className: 'th-left'
                        },
                        {
                            data: 'class_date',
                            name: 'class_date',
                            className: 'th-left'
                        },
                        {
                            data: 'timing',
                            name: 'timing',
                            className: 'th-left'
                        },
                        {
                            data: 'provider',
                            name: 'provider',
                            className: 'th-left'
                        },
                        {
                            data: 'updated_at',
                            name: 'updated_at',
                            visible: false,
                            className: 'th-center'
                        },
                    ]
                });

    });
</script>
<script>
    $('.owl-carousel').owlCarousel({
        loop: true,
        margin: 20,
        nav: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 2
            },
            1000: {
                items: 4
            }
        }
    })

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/students/index.blade.php ENDPATH**/ ?>