<?php $__env->startPush('styles'); ?>
<link href="/assets/css/chosen.min.css" rel="stylesheet" type="text/css">
<link href='/assets/css/main.css' rel='stylesheet' />
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<section class="adm-wrap-3">
    <div class="container">
        <?php if($errors->any()): ?>
            <div class="alert alert-danger">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>
        <form action="<?php echo e(route('schedule-class.update', $class->id)); ?>" method="POST" enctype="multipart/form-data" id="online_group_classForm">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <div class="row">
                <div class="col-xl-12">
                    <div class="adm-info-head">
                        <h4>Edit an online 1 - 1 class</h4>
                    </div>
                </div>
                <input type="hidden" name="type_id" value="2">
                <div class="col-xl-12">
                    <div class="adm-cen-wrap-4">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="cen-logo">
                                    <?php if($class->banner): ?>
                                    <img id="preview_img" src="<?php echo e(asset('class_banners/'.$class->banner)); ?>" width="170" height="120">
                                    <?php else: ?>
                                    <img id="preview_img" src="" width="170" height="120" style="display: none;"/>
                                    <?php endif; ?>
                                    <h3>Drag and drop files you want to upload</h3>
                                    <h5>(file format supported: jpeg, png, pdf)</h5>
                                    <h6>max file size : 2mb</h6>
                                    <label for="logo" class="btn-cen-logo">Upload a banner image of the class</label>
                                    <input id="logo" style="visibility:hidden;" type="file" name="banner" class="form-control" onchange="loadFile(event)"/>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <div class="adm-cen-head">
                                    <h4>Class Information</h4>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-4 col-md-4 col-12">
                                <div class="cen-info">
                                    <h5 for="class_Name">Class Name</h5>
                                    <input type="text" id="class_Name" name="name" value="<?php echo e($class->name); ?>" class="input__textbox" placeholder="Enter the class name" required>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Subjects</h5>
                                    <select class="disselect-2" name="subject_id" id="subject_id" required>
                                        <option value="" selected>Select the subject</option>
                                        <?php $__currentLoopData = $subjects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subject): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($subject->id); ?>" <?php echo e($subject->id == $class->subject_id ? 'selected' : ''); ?>> <?php echo e($subject->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-4 col-6">
                                <div class="cen-info">
                                    <h5>Topics</h5>
                                    <select class="disselect-4" id="topic_id" name="topic_id" required>
                                        <option value="" selected>Select the Topic</option>
                                        <?php $__currentLoopData = $topics; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $topic): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($topic->id); ?>" <?php echo e($topic->id == $class->topic_id ? 'selected' : ''); ?>> <?php echo e($topic->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="cal-view">
                                    <div class="cen-info">
                                        <h5>Select the date and time for the following class : </h5>
                                        <div id='calendar'></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="more-class-info">
                    <div class="modal fade" id="classdateModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">More Information
                                    </h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <div class="zoom-wrap">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="zoom-head">
                                                    <h4>Live class details :</h4>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-4 col-12">
                                                <div class="online-links">
                                                    <h4>Live Class Link</h4>
                                                    <input type="text" name="live_link" value="<?php echo e($class->live_link); ?>" placeholder="Enter the Live CLass link" class="zoom-1" required>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-4 col-12">
                                                <div class="online-links">
                                                    <h4>Live Class Id</h4>
                                                    <input type="text" name="live_id" value="<?php echo e($class->live_id); ?>" placeholder="Enter the Live id" class="zoom-1">
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-4 col-12">
                                                <div class="online-links">
                                                    <h4>Live Class Password</h4>
                                                    <input type="text" name="live_password" value="<?php echo e($class->live_password); ?>" placeholder="Enter the Live Class Password" class="zoom-1">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="moodle-wrap">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="zoom-head">
                                                    <h4>External Links :</h4>
                                                </div>
                                            </div>
                                            <div class="col-xl-6 col-lg-6 col-md-6">
                                                <div class="online-links">
                                                    <h4>LMS Link</h4>
                                                    <input type="text" name="lms_link" value="<?php echo e($class->lms_link); ?>" placeholder="Enter the LMS link" class="zoom-1">
                                                </div>
                                            </div>
                                            <div class="col-xl-6 col-lg-6 col-md-6">
                                                <div class="online-links">
                                                    <h4>Materials Access Link</h4>
                                                    <input type="text" name="mas_link" value="<?php echo e($class->mas_link); ?>" placeholder="Enter the Materials Access Link" class="zoom-1">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="duration-wrap">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="zoom-head">
                                                    <h4>Duration of Class :</h4>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-6">
                                                <div class="online-links">
                                                    <h4>Start time</h4>
                                                    <input type="time" id="start_time" name="start_time" value='<?php echo e($class->start_time); ?>' placeholder="Enter the start time" class="zoom-1" required>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-6">
                                                <div class="online-links">
                                                    <h4>Duration</h4>
                                                    <select class="disselect-5" id="duration">
                                                        <option value="" selected disabled>Select the duration</option>
                                                        <option value="1" class="abc">01:00 hrs</option>
                                                        <option value="1.5" class="abc">01:30 hrs</option>
                                                        <option value="2" class="abc">02:00 hrs</option>
                                                        <option value="2.5" class="abc">02:30 hrs</option>
                                                        <option value="3" class="abc">03.00 hrs</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-xl-4 col-lg-4 col-md-6">
                                                <div class="online-links">
                                                    <h4>End time</h4>
                                                    <input type="time" id="end_time" name="end_time" value='<?php echo e($class->end_time); ?>' placeholder="Enter the end time" class="zoom-1" required>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="other-wrap">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="zoom-head">
                                                    <h4>Other Information :</h4>
                                                </div>
                                            </div>
                                            <div class="col-xl-6 col-lg-6 col-md-6">
                                                <div class="online-links">
                                                    <h4>Class Size</h4>
                                                    <input type="number" name="class_size" value="<?php echo e($class->class_size); ?>" readonly="true" placeholder="Enter the class size" class="zoom-1" required>
                                                </div>
                                            </div>
                                            <div class="col-xl-6 col-lg-6 col-md-6">
                                                <div class="online-links">
                                                    <h4>Price ($)</h4>
                                                    <input type="number"  name="price" value="<?php echo e($class->price); ?>" placeholder="Enter the price" class="zoom-1" required>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="other-wrap">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="zoom-head">
                                                    <h4>Class description :</h4>
                                                </div>
                                            </div>
                                            <div class="col-xl-12 col-lg-12 col-md-12">
                                                <div class="online-links">
                                                    <h4>Add a short description about the class</h4>
                                                    <textarea name="description" class="class-des" rows="6" cols="20" placeholder="Type here...."><?php echo e($class->description); ?></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="other-wrap">
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="zoom-head">
                                                    <h4>Recurring Information :</h4>
                                                </div>
                                            </div>
                                            <div class="col-xl-12 col-lg-12 col-md-12">
                                                <div class="online-links">
                                                    <h4 class="rec-ques">Do you want to recurring this class ?</h4>
                                                    <span class="rec-wrap">
                                                        <label class="radio-btn-1" for="freelancer">
                                                            <input class="btn-tag" type="radio" value='1' name="is_recurring" id="freelancer" <?php echo e($class->is_recurring == 1 ? 'checked' : ''); ?>>
                                                            <span class="mn">Yes</span>
                                                        </label>
                                                        <label class="radio-btn" for="tag">
                                                            <input class="btn-tag" type="radio" value='0' name="is_recurring" id="tag" <?php echo e($class->is_recurring == 0 ? 'checked' : ''); ?>>
                                                            <span>No</span>
                                                        </label>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="row recurring-setting <?php echo e($class->is_recurring == 0 ? 'd-none' : ''); ?>">
                                                <div class="col-xl-4 col-lg-4 col-md-4">
                                                    <div class="online-links">
                                                        <div class="class-sel">
                                                            <label class="checkbox51" for="myCheckboxId51">
                                                                <input class="checkbox__input51" type="checkbox" name="everyWeekday" id="myCheckboxId51" <?php echo e($class->everyWeekday == 1 ? 'checked' : ''); ?>>
                                                                <div class="checkbox__box51"></div>
                                                                <span class="rec-week">Every Weekday</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-xl-4 col-lg-4 col-md-4">
                                                    <div class="online-links">
                                                        <div class="class-sel">
                                                            <label class="checkbox51" for="myCheckboxId53">
                                                                <input class="checkbox__input51" type="checkbox" name="everyWeek" id="myCheckboxId53" <?php echo e($class->everyWeek == 1 ? 'checked' : ''); ?>>
                                                                <div class="checkbox__box51"></div>
                                                                <span class="rec-week">Every Week</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-xl-4 col-lg-4 col-md-4">
                                                    <div class="online-links">
                                                        <div class="class-sel">
                                                            <label class="checkbox51" for="myCheckboxId54">
                                                                <input class="checkbox__input51" type="checkbox" name="everyMonth" id="myCheckboxId54" <?php echo e($class->everyMonth == 1 ? 'checked' : ''); ?>>
                                                                <div class="checkbox__box51"></div>
                                                                <span class="rec-week">Every Month</span>
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-xl-4s">
                                                    <div class="online-links">
                                                        <h4 class="rec-end">End Date of Recurring Class</h4>
                                                        <input type="date" name="endRecurring_date" value="<?php echo e($class->endRecurring_date); ?>" placeholder="Enter the end date" class="zoom-1">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" id="saveMoreInfo" class="btn btn-primary-2">Schedule</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <input type="hidden" name="selectedDate" id="selectedDate" value="<?php echo e($class->class_date); ?>">
        </form>     
    </div>
</section>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="/assets/jquery/chosen.jquery.min.js"></script>
<script src="<?php echo e(asset('assets/js/main.js')); ?>"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>

<script>
    var loadFile = function(event) {
        var image = document.getElementById('preview_img');
        image.src = URL.createObjectURL(event.target.files[0]);
        image.style.display = 'inline';
    };

    $(document).ready(function () {
        $('input[name=is_recurring]').change(function(){
            if($(this).val() == 1)
                $('.recurring-setting').removeClass('d-none');
            else
                $('.recurring-setting').addClass('d-none');
        });
        $('.checkbox__input51').change(function() {
            $('.checkbox__input51').prop('checked', false);
            $(this).prop('checked', true);
        });
        $('#subject_id').change(function(e){
            if($(this).val() != ""){
                $.ajax({
                    url: '<?php echo e(url("schedule-class/getTopicBySubject")); ?>?subject_id=' + $(this).val(),
                    method: 'GET',
                    success: function(response){
                        $('#topic_id').empty();
                        $('#topic_id').append('<option value="">Select Topic</option>');
                        $.each(response.topics, function(key, value) {
                            $('#topic_id').append('<option value="'+key+'">'+value+'</option>');
                        })
                    }
                });
            }else{
                alert('Select the Subject');
            }
        });
        $('#saveMoreInfo').click(function(e){
            var isValidForm = $('#online_group_classForm').valid();
            if(isValidForm){
                $("#online_group_classForm").submit()
            } else {
                // console.log('err');
            }
        });
        $('#start_time,#duration').change(function(e){
            calculateEndTime();
        });

        function calculateEndTime(){
            var dur = $('#duration').val();
            var st = $('#start_time').val();
            if(st != null && dur != null){
                var st_arr = st.split(":");
                var dur_arr = dur.split(".");

                var date = new Date();
                date.setHours(st_arr[0]);
                date.setMinutes(st_arr[1]);

                var et = pad(parseInt(date.getHours()) + parseInt(dur_arr[0]),2);

                if(dur_arr[1]){
                    et += ":";
                    et += pad(parseInt(date.getMinutes()) + parseInt(30),2);
                } else {
                    et += ":";
                    et += pad(parseInt(date.getMinutes()) + parseInt(00),2);
                }
                $('#end_time').val(et);
            }
        }
        function pad(num, size) {
            num = num.toString();
            while (num.length < size) num = "0" + num;
            return num;
        }
    });
    var calendarEl = document.getElementById('calendar');
    document.addEventListener('DOMContentLoaded', function () {
        var calendar = new FullCalendar.Calendar(calendarEl, {
            initialView: 'dayGridMonth',
            headerToolbar: {
                left: 'prev,next today',
                center: 'title',
                right: 'dayGridMonth,timeGridWeek,timeGridDay'
            },
            dateClick: function (info) {
                var class_date = '<?php echo e($class->class_date); ?>';
                if(class_date != info.dateStr)
                    alert("Selected date is different than previously selected.");
                form1Validator(info.dateStr);
            },
            eventClick: function (info) {form1Validator(info.dateStr);}
        });
        calendar.addEvent({
            id: '<?php echo e($class->id); ?>',
            title: '<?php echo e($class->name); ?>',
            start: '<?php echo e($class->class_date); ?>',
        });
        calendar.render();
    });
    function form1Validator(date){
        if($('#online_group_classForm').valid()){
            $("#classdateModal").modal('show');
            $('#selectedDate').val(date);
        }else{
            alert('Please select the required Fields.')
        }
    }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/schedule_classes/online/edit_one_one.blade.php ENDPATH**/ ?>