<?php $__env->startSection('content'); ?>
    <section class="band-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-6 col-6 d-flex justify-content-center flex-column">
                    <div class="band-wrap-head">
                        <h4>Class Detail</h4>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-6 col-6">
                    <div class="band-wrap-btn">
                        <?php if(auth()->check() && auth()->user()->hasRole('student')): ?>
                        <a href="<?php echo e(route('home')); ?>" class="back-btn">Back</a>
                        <?php else: ?>
                        <a href="<?php echo e(route('student_class.index')); ?>" class="back-btn">Back</a>
                        <?php endif; ?>
                    </div>

                </div>
            </div>
        </div>
    </section>
    <section class="user-profile-wrapper">
        <div class="container">
            <div class="user-profile-wrap">
                <div class="row">
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                <img src="<?php echo e(asset('class_banners/' . $class->banner)); ?>" width="150px" height="150px" style="border-radius: 50%;">
                            </div>
                            <div class="user-profile-name">
                                <center class="h3" style="font-size:1.25rem;font-weight:bold;margin-top:5px;margin:20px;"><?php echo e($class->name); ?></center>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Basic Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                             <i class="fas fa-book"></i>

                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Lesson Name</h4>
                                            <p><?php echo e(App\Models\Lessons::find($class->lesson_id) ? App\Models\Lessons::find($class->lesson_id)->name : ''); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-school"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Tuition Centre</h4>
                                            <p><?php echo e($tuition_centres ? $tuition_centres->name : '-'); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-chalkboard-teacher"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Tutor</h4>
                                            <p><?php echo e($tutors ? $tutors->first_name.' '.$tutors->last_name : '-'); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-pencil-ruler"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Size</h4>
                                            <p><?php echo e($class->class_size); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-users"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Type</h4>
                                            <p><?php echo e($class->type_id == 1 ? 'Online group classes' : ''); ?><?php echo e($class->type_id == 2 ? 'One - One Online Classes' : ''); ?><?php echo e($class->type_id == 3 ? 'Offline group classes' : ''); ?><?php echo e($class->type_id == 4 ? 'One - One in person classes' : ''); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-calendar-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Class Date</h4>
                                            <p><?php echo e(date('d-m-Y',strtotime($class->class_date))); ?> To <?php echo e(date('d-m-Y',strtotime($class->endRecurring_date))); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-clock"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Timings</h4>
                                            <p><?php echo e(date('h:i A',strtotime($class->start_time)).' To '. date('h:i A',strtotime($class->end_time))); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-road"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Street Name</h4>
                                            <p><?php echo e($class->street_name); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-city"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>City</h4>
                                            <p><?php echo e($class->city); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                         <i class="fas fa-building"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Building Number</h4>
                                            <p><?php echo e($class->building_no); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Zip Code</h4>
                                            <p><?php echo e($class->zip_code); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-hand-holding-usd"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Price ($)</h4>
                                            <p><?php echo e($class->price); ?></p>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-folder"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Materials Access Link</h4>
                                            <p><?php echo e($class->mas_link); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-6">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-link"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>LMS Link</h4>
                                            <p><?php echo e($class->lms_link); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-12">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Description</h4>
                                            <p><?php echo e($class->description); ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3">
                        <div class="user-profile-img-name-wrapper">
                            <div class="profile-info-img-wrap">
                                <?php if($tuition_centres): ?>
                                <img src="<?php echo e(asset('logo_images/' . $tuition_centres->logo_name)); ?>" width="150px" height="150px" style="border-radius: 50%;">
                                <?php else: ?>
                                <img src="<?php echo e(asset('profile_pictures/' . $tutors->profile_pricture)); ?>" width="150px" height="150px" style="border-radius: 50%;">
                                <?php endif; ?>
                            </div>
                            <div class="user-profile-name">
                                <?php if($tuition_centres): ?>
                                <center class="h3" style="font-size:1.25rem;font-weight:bold;margin-top:5px;margin:20px;"><?php echo e($tuition_centres ? $tuition_centres->name : ''); ?></center>
                                <?php else: ?>
                                <center class="h3" style="font-size:1.25rem;font-weight:bold;margin-top:5px;margin:20px;"><?php echo e($tutors ? $tutors->first_name.' '.$tutors->last_name : ''); ?></center>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-9">
                        <div class="user-profile-information-wrap">
                            <hr>
                            <div class="user-prof-info-head">
                                <div class="row">
                                    <div class="col-xl-6">
                                        <h4>Provider Information</h4>
                                    </div>
                                </div>
                            </div>
                            <div class="row gy-5">
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-user-tie"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <?php
                                                if($tuition_centres){
                                                    $user = App\Models\User::find($tuition_centres->user_id);
                                                    $value = App\Models\TuitionCentre::find($tuition_centres->id);
                                                    $role = 'tuition center';
                                                }else{
                                                    $user = App\Models\User::find($tutors->user_id);
                                                    $value = App\Models\Account::find($tutors->id);
                                                    $role = 'tutor';
                                                    $tutor_work_exp = DB::table('tutor_exps')->where('tutor_id',$tutors->id)->get();
                                                }
                                            ?>
                                            <h4>User Role</h4>
                                            <p><?php echo e(str_replace('_', ' ', ucwords($user->roles->first()->name))); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-phone-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Number</h4>
                                            <p><?php echo e($value->contact_number); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <?php if($role == 'tuition center'): ?>
                                            <i class="fas fa-id-card"></i>
                                            <?php else: ?>
                                            <i class="fas fa-user"></i>
                                            <?php endif; ?>
                                        </div>
                                        <div class="admin-profile-information">
                                            <?php if($role == 'tuition center'): ?>
                                                <h4>UEN No.</h4>
                                                <p><?php echo e($value->uen); ?></p>
                                            <?php else: ?>
                                                <h4>Gender</h4>
                                                <p><?php echo e($value->gender == 'm' ? 'Male' : ''); ?><?php echo e($value->gender == 'f' ? 'Female' : ''); ?><?php echo e($value->gender == 'o' ? 'Other' : ''); ?>

                                                </p>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Email ID</h4>
                                            <p><?php echo e($value->email); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-road"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Street Name</h4>
                                            <p><?php echo e($value->street_name); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-city"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>City</h4>
                                            <p><?php echo e($value->city); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-flag"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>State</h4>
                                            <p><?php echo e($value->state); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-map-marker-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Zip Code</h4>
                                            <p><?php echo e($value->zip_code); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <?php if($role == 'tutor'): ?>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Designation</h4>
                                        <p><?php echo e($value->tutor_type_id == '1' ? 'Full Time Tutor' : ''); ?><?php echo e($value->tutor_type_id == '2' ? 'Part Time Tutor' : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Teaching Subjects</h4>
                                        <?php
                                           $subject = DB::table('tutor_subjects')->where('tutor_id',$value->id)->pluck('subject_id')->toArray();
                                           $name = App\Models\Subject::whereIn('id',$subject)->pluck('name')->implode(',');
                                        ?>
                                        <p><?php echo e($name ? $name : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <h5>Education Details</h5>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Institute Name</h4>
                                        <?php
                                           $education = DB::table('tutor_educations')->where('tutor_id',$value->id)->first();
                                        ?>
                                        <p><?php echo e($education ? $education->institute_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Course Name</h4>
                                        <p><?php echo e($education ? $education->course_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Start Date</h4>
                                        <p><?php echo e($education ? ( $education->start_date ?  date('d-m-Y',strtotime($education->start_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>End Date</h4>
                                        <p><?php echo e($education ? ( $education->end_date ? date('d-m-Y',strtotime($education->end_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <h5>Working Experience</h5>
                            <?php $__currentLoopData = $tutor_work_exp; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $exp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(count($tutor_work_exp) != 1): ?>
                            <h6>Experience <?php echo e($key + 1); ?>)</h6>
                            <?php endif; ?>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Title</h4>
                                        <p><?php echo e($exp ? $exp->job_title : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Employment Type</h4>
                                        <p><?php echo e($exp ? $exp->job_type : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Company Name</h4>
                                        <p><?php echo e($exp ? $exp->institute_name : ''); ?></p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Location</h4>
                                        <p><?php echo e($exp ? $exp->job_location : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job Start Date</h4>
                                        <p><?php echo e($exp ? ( $exp->start_date ? date('d-m-Y',strtotime($exp->start_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="admin-profile-wrap">
                                    <div class="admin-icon-box">
                                        <i class="fas fa-map-marker-alt"></i>
                                    </div>
                                    <div class="admin-profile-information">
                                        <h4>Job End Date</h4>
                                        <p><?php echo e($exp ? ( $exp->end_date ? date('d-m-Y',strtotime($exp->end_date)) : '' ) : ''); ?></p>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <?php if($role == 'tuition center'): ?>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                        <i class="fas fa-globe"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Website</h4>
                                            <p><?php echo e($value->website); ?></p>
                                        </div>
                                    </div>
                                </div>


                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-user-tie"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person Name</h4>
                                            <p><?php echo e($value->contact_person_name); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-envelope"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person Email</h4>
                                            <p><?php echo e($value->contact_person_email); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-4">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-phone-alt"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Contact Person No</h4>
                                            <p><?php echo e($value->contact_person_number); ?></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xl-12">
                                    <div class="admin-profile-wrap">
                                        <div class="admin-icon-box">
                                            <i class="fas fa-sticky-note"></i>
                                        </div>
                                        <div class="admin-profile-information">
                                            <h4>Description</h4>
                                            <p><?php echo e($value->description); ?></p>
                                        </div>
                                    </div>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/swotdecc/public_html/tuitionkingsystem/resources/views/student_classes/student_class_detail.blade.php ENDPATH**/ ?>